#include <hex/api/content_registry.hpp>
#include <hex/api/localization.hpp>

namespace hex::plugin::builtin {

    void registerLanguageDeDE() {
        ContentRegistry::Language::registerLanguage("German", "de-DE");

        ContentRegistry::Language::addLocalizations("de-DE", {
                { "hex.builtin.welcome.header.main", "Wilkommen zu ImHex" },
                { "hex.builtin.welcome.header.start", "Start" },
                    { "hex.builtin.welcome.start.create_file", "Neue Datei Erstellen" },
                    { "hex.builtin.welcome.start.open_file", "Datei Öffnen" },
                    { "hex.builtin.welcome.start.open_project", "Projekt Öffnen" },
                    { "hex.builtin.welcome.start.recent", "Kürzlich geöffnet" },
                    { "hex.builtin.welcome.start.open_other", "Andere Provider" },
                { "hex.builtin.welcome.header.help", "Hilfe" },
                    { "hex.builtin.welcome.help.repo", "GitHub Repository" },
                        { "hex.builtin.welcome.help.repo.link", "https://imhex.werwolv.net/git" },
                    { "hex.builtin.welcome.help.gethelp", "Hilfe erhalten" },
                        { "hex.builtin.welcome.help.gethelp.link", "https://github.com/WerWolv/ImHex/discussions/categories/get-help" },
                    { "hex.builtin.welcome.help.discord", "Discord Server" },
                        { "hex.builtin.welcome.help.discord.link", "https://imhex.werwolv.net/discord" },
                { "hex.builtin.welcome.header.plugins", "Geladene Plugins" },
                    { "hex.builtin.welcome.plugins.plugin", "Plugin" },
                    { "hex.builtin.welcome.plugins.author", "Autor" },
                    { "hex.builtin.welcome.plugins.desc", "Beschreibung" },
                { "hex.builtin.welcome.header.customize", "Anpassen" },
                    { "hex.builtin.welcome.customize.settings.title", "Einstellungen" },
                    { "hex.builtin.welcome.customize.settings.desc", "Ändere ImHex's Einstellungen" },
                { "hex.builtin.welcome.header.update", "Updates" },
                    { "hex.builtin.welcome.update.title", "Neues Update verfügbar!" },
                    { "hex.builtin.welcome.update.desc", "ImHex {0} wurde gerade released! Downloade die neue version hier" },
                    { "hex.builtin.welcome.update.link", "https://github.com/WerWolv/ImHex/releases/latest" },
                { "hex.builtin.welcome.header.learn", "Lernen" },
                    { "hex.builtin.welcome.learn.latest.title", "Neuster Release" },
                    { "hex.builtin.welcome.learn.latest.desc", "Lies den momentanen ImHex Changelog" },
                    { "hex.builtin.welcome.learn.latest.link", "https://github.com/WerWolv/ImHex/releases/latest" },
                    { "hex.builtin.welcome.learn.pattern.title", "Pattern Language Dokumentation" },
                    { "hex.builtin.welcome.learn.pattern.desc", "Lern ImHex Patterns zu schreiben mit unserer umfangreichen Dokumentation" },
                    { "hex.builtin.welcome.learn.pattern.link", "https://imhex.werwolv.net/docs" },
                    { "hex.builtin.welcome.learn.plugins.title", "Plugins API" },
                    { "hex.builtin.welcome.learn.plugins.desc", "Erweitere ImHex mit neuen Funktionen mit Plugins" },
                    { "hex.builtin.welcome.learn.plugins.link", "https://github.com/WerWolv/ImHex/wiki/Plugins-Development-Guide" },
                { "hex.builtin.welcome.header.various", "Verschiedenes" },
                { "hex.builtin.welcome.tip_of_the_day", "Tipp des Tages" },
                // { "hex.builtin.welcome.check_for_updates_text", "Do you want to automatically check for updates on startup ?\n"
                //     "Possible updates will be shown in the 'Update' tab of the welcome screen" },

                { "hex.builtin.welcome.safety_backup.title", "Verlorene Daten wiederherstellen" },
                { "hex.builtin.welcome.safety_backup.desc", "Oh nein, ImHex ist letztes mal abgestürtzt.\nWillst du das verherige Projekt wiederherstellen?"},
                { "hex.builtin.welcome.safety_backup.restore", "Ja, Wiederherstellen" },
                { "hex.builtin.welcome.safety_backup.delete", "Nein, Entfernen" },

                { "hex.builtin.common.name", "Name" },
                { "hex.builtin.common.endian", "Endian" },
                { "hex.builtin.common.little_endian", "Little Endian" },
                { "hex.builtin.common.big_endian", "Big Endian" },
                { "hex.builtin.common.little", "Little" },
                { "hex.builtin.common.big", "Big" },
                { "hex.builtin.common.number_format", "Format" },
                { "hex.builtin.common.decimal", "Dezimal" },
                { "hex.builtin.common.hexadecimal", "Hexadezimal" },
                { "hex.builtin.common.octal", "Oktal" },
                { "hex.builtin.common.info", "Information" },
                { "hex.builtin.common.error", "Fehler" },
                { "hex.builtin.common.fatal", "Fataler Fehler" },
                { "hex.builtin.common.question", "Frage" },
                { "hex.builtin.common.address", "Adresse" },
                { "hex.builtin.common.size", "Länge" },
                { "hex.builtin.common.region", "Region" },
                { "hex.builtin.common.match_selection", "Arbeitsbereich synchronisieren" },
                { "hex.builtin.common.yes", "Ja" },
                { "hex.builtin.common.no", "Nein" },
                { "hex.builtin.common.okay", "Okay" },
                { "hex.builtin.common.load", "Laden" },
                { "hex.builtin.common.cancel", "Abbrechen" },
                { "hex.builtin.common.set", "Setzen" },
                { "hex.builtin.common.close", "Schliessen" },
                { "hex.builtin.common.dont_show_again", "Nicht mehr anzeigen" },
                { "hex.builtin.common.link", "Link" },
                { "hex.builtin.common.file", "Datei" },
                { "hex.builtin.common.open", "Öffnen" },
                { "hex.builtin.common.browse", "Druchsuchen..." },
                { "hex.builtin.common.choose_file", "Datei auswählen" },
                { "hex.builtin.common.processing", "Verarbeiten" },
                { "hex.builtin.common.filter", "Filter" },
                { "hex.builtin.common.count", "Anzahl" },
                { "hex.builtin.common.value", "Wert" },
                { "hex.builtin.common.type", "Typ" },
                    { "hex.builtin.common.type.u8", "uint8_t" },
                    { "hex.builtin.common.type.i8", "int8_t" },
                    { "hex.builtin.common.type.u16", "uint16_t" },
                    { "hex.builtin.common.type.i16", "int16_t" },
                    { "hex.builtin.common.type.u24", "uint24_t" },
                    { "hex.builtin.common.type.i24", "int24_t" },
                    { "hex.builtin.common.type.u32", "uint32_t" },
                    { "hex.builtin.common.type.i32", "int32_t" },
                    { "hex.builtin.common.type.u48", "uint48_t" },
                    { "hex.builtin.common.type.i48", "int48_t" },
                    { "hex.builtin.common.type.u64", "uint64_t" },
                    { "hex.builtin.common.type.i64", "int64_t" },
                    { "hex.builtin.common.type.f32", "float" },
                    { "hex.builtin.common.type.f64", "double" },
                { "hex.builtin.common.offset", "Offset" },
                { "hex.builtin.common.range", "Bereich" },
                    { "hex.builtin.common.range.entire_data", "Gesammte Daten" },
                    { "hex.builtin.common.range.selection", "Selektion" },
                { "hex.builtin.common.comment", "Kommentar" },

                { "hex.builtin.common.encoding.ascii", "ASCII" },
                { "hex.builtin.common.encoding.utf16le", "UTF-16LE" },
                { "hex.builtin.common.encoding.utf16be", "UTF-16BE" },
                { "hex.builtin.common.encoding.utf8", "UTF-8" },

                { "hex.builtin.popup.exit_application.title", "Applikation verlassen?" },
                { "hex.builtin.popup.exit_application.desc", "Es wurden ungespeicherte Änderungen an diesem Projekt vorgenommen.\nBist du sicher, dass du ImHex schliessen willst?" },
                { "hex.builtin.popup.close_provider.title", "Provider schliessen?" },
                { "hex.builtin.popup.close_provider.desc", "Es wurden ungespeicherte Änderungen an diesem Provider vorgenommen.\nBist du sicher, dass du ihn schliessen willst?" },
                { "hex.builtin.popup.error.read_only", "Schreibzugriff konnte nicht erlangt werden. Datei wurde im Lesemodus geöffnet." },
                { "hex.builtin.popup.error.open", "Öffnen der Datei fehlgeschlagen!" },
                { "hex.builtin.popup.error.project.load", "Laden des Projektes fehlgeschlagen!" },
                { "hex.builtin.popup.error.project.save", "Speichern des Projektes fehlgeschlagen!!" },
                { "hex.builtin.popup.error.create", "Erstellen der neuen Datei fehlgeschlagen!" },
                { "hex.builtin.popup.error.task_exception", "Fehler in Task '{}':\n\n{}" },
                { "hex.builtin.popup.error.file_dialog.portal",
                    "Ein Fehler trat beim öffnen des Dateibrowser auf! Der Grund dafür kann sein, dass dein System kein xdg-desktop-portal Backend korrekt installiert hat.\n"
                    "\n"
                    "Auf KDE wird xdg-desktop-portal-kde benötigt.\n"
                    "Auf Gnome wird xdg-desktop-portal-gnome benötigt.\n"
                    "Auf wlroots wird xdg-desktop-portal-wlr benötigt.\n"
                    "Andernfalls kann xdg-desktop-portal-gtk.\n"
                    "\n"
                    "Starte dein System neu nach der Installation.\n"
                    "\n"
                    "Falls der Dateibrowser immer noch nicht funktionieren sollte, erstelle ein Issue auf https://github.com/WerWolv/ImHex/issues\n"
                    "\n"
                    "In der Zwischenzeit können Dateien immer noch geöffnet werden, in dem sie auf das ImHex Fenster gezogen werden."
                },
                { "hex.builtin.popup.error.file_dialog.common", "Ein Fehler trat beim öffnen des Dateibrowser auf!" },

                { "hex.builtin.hex_editor.page", "Seite" },
                { "hex.builtin.hex_editor.selection", "Auswahl" },
                { "hex.builtin.hex_editor.selection.none", "Keine" },
                { "hex.builtin.hex_editor.region", "Region" },
                { "hex.builtin.hex_editor.data_size", "Datengrösse" },
                { "hex.builtin.hex_editor.no_bytes", "Keine bytes verfügbar" },

                { "hex.builtin.pattern_drawer.var_name", "Name" },
                { "hex.builtin.pattern_drawer.color", "Farbe" },
                { "hex.builtin.pattern_drawer.offset", "Offset" },
                { "hex.builtin.pattern_drawer.size", "Grösse" },
                { "hex.builtin.pattern_drawer.type", "Typ" },
                { "hex.builtin.pattern_drawer.value", "Wert" },
                { "hex.builtin.pattern_drawer.double_click", "Doppelklicken um mehr Einträge zu sehen" },

                { "hex.builtin.menu.file", "Datei" },
                    { "hex.builtin.menu.file.open_file", "Datei öffnen..." },
                    { "hex.builtin.menu.file.open_recent", "Kürzlich geöffnete Dateien" },
                    { "hex.builtin.menu.file.clear_recent", "Löschen" },
                    { "hex.builtin.menu.file.open_other", "Provider öffnen..." },
                    { "hex.builtin.menu.file.close", "Schliessen" },
                    { "hex.builtin.menu.file.reload_file", "Datei neu laden" },
                    { "hex.builtin.menu.file.quit", "ImHex Beenden" },
                    { "hex.builtin.menu.file.open_project", "Projekt öffnen..." },
                    { "hex.builtin.menu.file.save_project", "Projekt speichern..." },
                    { "hex.builtin.menu.file.import", "Importieren..." },
                        { "hex.builtin.menu.file.import.base64", "Base64 Datei" },
                            { "hex.builtin.menu.file.import.base64.popup.import_error", "Datei ist nicht in einem korrekten Base64 Format!" },
                            { "hex.builtin.menu.file.import.base64.popup.open_error", "Öffnen der Datei fehlgeschlagen!" },
                        { "hex.builtin.menu.file.import.ips", "IPS Patch" },
                        { "hex.builtin.menu.file.import.ips32", "IPS32 Patch" },
                    { "hex.builtin.menu.file.export", "Exportieren..." },
                        { "hex.builtin.menu.file.export.title", "Datei exportieren" },
                        { "hex.builtin.menu.file.export.ips", "IPS Patch" },
                        { "hex.builtin.menu.file.export.ips32", "IPS32 Patch" },
                        { "hex.builtin.menu.file.export.base64.popup.export_error", "File is not in a valid Base64 format!" },
                    { "hex.builtin.menu.file.bookmark.import", "Lesezeichen importieren" },
                    { "hex.builtin.menu.file.bookmark.export", "Lesezeichen exportieren" },

                { "hex.builtin.menu.edit", "Bearbeiten" },
                    { "hex.builtin.menu.edit.undo", "Rückgängig" },
                    { "hex.builtin.menu.edit.redo", "Wiederholen" },
                    { "hex.builtin.menu.edit.bookmark.create", "Lesezeichen erstellen" },

                { "hex.builtin.menu.view", "Ansicht" },
                { "hex.builtin.menu.layout", "Layout" },
                    { "hex.builtin.menu.view.demo", "ImGui Demo anzeigen" },
                { "hex.builtin.menu.help", "Hilfe" },

                { "hex.builtin.view.bookmarks.name", "Lesezeichen" },
                    { "hex.builtin.view.bookmarks.default_title", "Lesezeichen [0x{0:X} - 0x{1:X}]" },
                    { "hex.builtin.view.bookmarks.no_bookmarks", "Noch kein Lesezeichen erstellt. Füge eines hinzu mit Bearbeiten -> Lesezeichen erstellen" },
                    { "hex.builtin.view.bookmarks.title.info", "Informationen" },
                    { "hex.builtin.view.bookmarks.address", "0x{0:X} : 0x{1:X} ({2} bytes)" },
                    { "hex.builtin.view.bookmarks.button.jump", "Springen" },
                    { "hex.builtin.view.bookmarks.button.remove", "Entfernen" },
                    { "hex.builtin.view.bookmarks.header.name", "Name" },
                    { "hex.builtin.view.bookmarks.header.color", "Farbe" },
                    { "hex.builtin.view.bookmarks.header.comment", "Kommentar" },

                { "hex.builtin.view.command_palette.name", "Befehlspalette" },

                { "hex.builtin.view.data_inspector.name", "Dateninspektor" },
                    { "hex.builtin.view.data_inspector.table.name", "Name" },
                    { "hex.builtin.view.data_inspector.table.value", "Wert" },
                    { "hex.builtin.view.data_inspector.no_data", "Keine bytes angewählt"},
                    { "hex.builtin.view.data_inspector.invert", "Invertieren" },

                { "hex.builtin.view.data_processor.name", "Datenprozessor" },
                    { "hex.builtin.view.data_processor.help_text", "Rechtsklicken um neuen Knoten zu erstellen" },
                    { "hex.builtin.view.data_processor.menu.remove_selection", "Auswahl entfernen" },
                    { "hex.builtin.view.data_processor.menu.remove_node", "Knoten entfernen" },
                    { "hex.builtin.view.data_processor.menu.remove_link", "Link entfernen" },
                    { "hex.builtin.view.data_processor.menu.file.load_processor", "Datenprozessor laden..." },
                    { "hex.builtin.view.data_processor.menu.file.save_processor", "Datenprozessor speichern..." },

                { "hex.builtin.view.disassembler.name", "Disassembler" },
                    { "hex.builtin.view.disassembler.position", "Position" },
                    { "hex.builtin.view.disassembler.base", "Basisadresse" },
                    { "hex.builtin.view.disassembler.region", "Code Region" },
                    { "hex.builtin.view.disassembler.settings.header", "Einstellungen" },
                    { "hex.builtin.view.disassembler.arch", "Architektur" },
                        { "hex.builtin.view.disassembler.16bit", "16-bit" },
                        { "hex.builtin.view.disassembler.32bit", "32-bit" },
                        { "hex.builtin.view.disassembler.64bit", "64-bit" },

                        { "hex.builtin.view.disassembler.arm.arm", "ARM" },
                        { "hex.builtin.view.disassembler.arm.thumb", "Thumb" },
                        { "hex.builtin.view.disassembler.arm.default", "Standard" },
                        { "hex.builtin.view.disassembler.arm.cortex_m", "Cortex-M" },
                        { "hex.builtin.view.disassembler.arm.armv8", "ARMv8" },

                        { "hex.builtin.view.disassembler.mips.mips32", "MIPS32" },
                        { "hex.builtin.view.disassembler.mips.mips64", "MIPS64" },
                        { "hex.builtin.view.disassembler.mips.mips32R6", "MIPS32R6" },
                        { "hex.builtin.view.disassembler.mips.mips2", "MIPS II" },
                        { "hex.builtin.view.disassembler.mips.mips3", "MIPS III" },
                        { "hex.builtin.view.disassembler.mips.micro", "Micro" },

                        { "hex.builtin.view.disassembler.ppc.qpx", "Quad Processing Extensions" },
                        { "hex.builtin.view.disassembler.ppc.spe", "Signal Processing Engine" },
                        { "hex.builtin.view.disassembler.ppc.booke", "Book-E" },

                        { "hex.builtin.view.disassembler.sparc.v9", "Sparc V9" },

                        { "hex.builtin.view.disassembler.riscv.compressed", "Komprimiert" },

                        { "hex.builtin.view.disassembler.m68k.000", "000" },
                        { "hex.builtin.view.disassembler.m68k.010", "010" },
                        { "hex.builtin.view.disassembler.m68k.020", "020" },
                        { "hex.builtin.view.disassembler.m68k.030", "030" },
                        { "hex.builtin.view.disassembler.m68k.040", "040" },
                        { "hex.builtin.view.disassembler.m68k.060", "060" },

                        { "hex.builtin.view.disassembler.m680x.6301", "6301" },
                        { "hex.builtin.view.disassembler.m680x.6309", "6309" },
                        { "hex.builtin.view.disassembler.m680x.6800", "6800" },
                        { "hex.builtin.view.disassembler.m680x.6801", "6801" },
                        { "hex.builtin.view.disassembler.m680x.6805", "6805" },
                        { "hex.builtin.view.disassembler.m680x.6808", "6808" },
                        { "hex.builtin.view.disassembler.m680x.6809", "6809" },
                        { "hex.builtin.view.disassembler.m680x.6811", "6811" },
                        { "hex.builtin.view.disassembler.m680x.cpu12", "CPU12" },
                        { "hex.builtin.view.disassembler.m680x.hcs08", "HCS08" },

                        { "hex.builtin.view.disassembler.mos65xx.6502", "6502" },
                        { "hex.builtin.view.disassembler.mos65xx.65c02", "65C02" },
                        { "hex.builtin.view.disassembler.mos65xx.w65c02", "W65C02" },
                        { "hex.builtin.view.disassembler.mos65xx.65816", "65816" },
                        { "hex.builtin.view.disassembler.mos65xx.65816_long_m", "65816 Long M" },
                        { "hex.builtin.view.disassembler.mos65xx.65816_long_x", "65816 Long X" },
                        { "hex.builtin.view.disassembler.mos65xx.65816_long_mx", "65816 Long MX" },

                        { "hex.builtin.view.disassembler.bpf.classic", "Classic" },
                        { "hex.builtin.view.disassembler.bpf.extended", "Extended" },

                    { "hex.builtin.view.disassembler.disassemble", "Disassemble" },
                    { "hex.builtin.view.disassembler.disassembling", "Disassemblen..." },
                    { "hex.builtin.view.disassembler.disassembly.title", "Disassembly" },
                        { "hex.builtin.view.disassembler.disassembly.address", "Adresse" },
                        { "hex.builtin.view.disassembler.disassembly.offset", "Offset" },
                        { "hex.builtin.view.disassembler.disassembly.bytes", "Byte" },

                { "hex.builtin.view.hashes.name", "Hashes" },
                    { "hex.builtin.view.hashes.hash", "Hash" },
                    { "hex.builtin.view.hashes.no_settings", "Keine Einstellungen verfügbar" },
                    { "hex.builtin.view.hashes.function", "Hashfunktion" },
                    { "hex.builtin.view.hashes.table.name", "Name" },
                    { "hex.builtin.view.hashes.table.type", "Typ" },
                    { "hex.builtin.view.hashes.table.result", "Resultat" },
                    { "hex.builtin.view.hashes.remove", "Hash entfernen" },
                    { "hex.builtin.view.hashes.hover_info", "Bewege die Maus über die seketierten Bytes im Hex Editor und halte SHIFT gedrückt, um die Hashes dieser Region anzuzeigen." },

                { "hex.builtin.view.help.name", "Hilfe" },
                    { "hex.builtin.view.help.about.name", "Über ImHex" },
                        { "hex.builtin.view.help.about.translator", "Von WerWolv übersetzt" },
                        { "hex.builtin.view.help.about.source", "Quellcode auf GitHub verfügbar:" },
                        { "hex.builtin.view.help.about.donations", "Spenden" },
                        { "hex.builtin.view.help.about.thanks", "Wenn dir meine Arbeit gefällt, bitte ziehe eine Spende in Betracht, um das Projekt am Laufen zu halten. Vielen Dank <3" },
                        { "hex.builtin.view.help.about.contributor", "Mitwirkende" },
                        { "hex.builtin.view.help.about.libs", "Benutzte Libraries" },
                        { "hex.builtin.view.help.about.paths", "ImHex Ordner" },
                        { "hex.builtin.view.help.about.license", "Lizenz" },
                    { "hex.builtin.view.help.documentation", "ImHex Dokumentation" },
                    { "hex.builtin.view.help.pattern_cheat_sheet", "Pattern Language Cheat Sheet"},
                    { "hex.builtin.view.help.calc_cheat_sheet", "Rechner Cheat Sheet" },

                { "hex.builtin.view.hex_editor.name", "Hex editor" },

                    { "hex.builtin.view.hex_editor.menu.file.load_encoding_file", "Custom encoding laden..." },
                    { "hex.builtin.view.hex_editor.menu.file.search", "Suchen" },
                        { "hex.builtin.view.hex_editor.search.string", "String" },
                        { "hex.builtin.view.hex_editor.search.hex", "Hex" },
                        { "hex.builtin.view.hex_editor.search.find", "Suchen" },
                        { "hex.builtin.view.hex_editor.search.find_next", "Nächstes" },
                        { "hex.builtin.view.hex_editor.search.find_prev", "Vorheriges" },
                    { "hex.builtin.view.hex_editor.menu.file.goto", "Sprung" },
                        { "hex.builtin.view.hex_editor.goto.offset.absolute", "Absolut" },
                        { "hex.builtin.view.hex_editor.goto.offset.current", "Momentan" },
                        { "hex.builtin.view.hex_editor.goto.offset.begin", "Beginn" },
                        { "hex.builtin.view.hex_editor.goto.offset.end", "Ende" },
                    { "hex.builtin.view.hex_editor.menu.file.select", "Auswählen" },
                        { "hex.builtin.view.hex_editor.select.offset.region", "Region" },
                            { "hex.builtin.view.hex_editor.select.offset.begin", "Beginn" },
                            { "hex.builtin.view.hex_editor.select.offset.end", "Ende" },
                            { "hex.builtin.view.hex_editor.select.offset.size", "Grösse" },
                        { "hex.builtin.view.hex_editor.select.select", "Select" },
                    { "hex.builtin.view.hex_editor.file.save", "Speichern" },
                    { "hex.builtin.view.hex_editor.file.save_as", "Speichern unter..." },
                    { "hex.builtin.view.hex_editor.menu.edit.copy", "Kopieren" },
                    { "hex.builtin.view.hex_editor.menu.edit.copy_as", "Kopieren als..." },
                        { "hex.builtin.view.hex_editor.copy.hex", "Hex String" },
                        { "hex.builtin.view.hex_editor.copy.address", "Adresse" },
                        { "hex.builtin.view.hex_editor.copy.c", "C Array" },
                        { "hex.builtin.view.hex_editor.copy.cpp", "C++ Array" },
                        { "hex.builtin.view.hex_editor.copy.csharp", "C# Array" },
                        { "hex.builtin.view.hex_editor.copy.rust", "Rust Array" },
                        { "hex.builtin.view.hex_editor.copy.python", "Python Array" },
                        { "hex.builtin.view.hex_editor.copy.java", "Java Array" },
                        { "hex.builtin.view.hex_editor.copy.js", "JavaScript Array" },
                        { "hex.builtin.view.hex_editor.copy.lua", "Lua Array" },
                        { "hex.builtin.view.hex_editor.copy.go", "Go Array" },
                        { "hex.builtin.view.hex_editor.copy.crystal", "Crystal Array" },
                        { "hex.builtin.view.hex_editor.copy.swift", "Swift Array" },
                        { "hex.builtin.view.hex_editor.copy.pascal", "Pascal Array" },
                        { "hex.builtin.view.hex_editor.copy.base64", "Base64" },
                        { "hex.builtin.view.hex_editor.copy.ascii", "Text Area" },
                        { "hex.builtin.view.hex_editor.copy.html", "HTML" },
                    { "hex.builtin.view.hex_editor.menu.edit.paste", "Einfügen" },
                    { "hex.builtin.view.hex_editor.menu.edit.paste_all", "Alles einfügen" },
                    { "hex.builtin.view.hex_editor.menu.edit.select_all", "Alles auswählen" },
                    { "hex.builtin.view.hex_editor.menu.edit.set_base", "Basisadresse setzen" },
                    { "hex.builtin.view.hex_editor.menu.edit.resize", "Grösse ändern..." },
                    { "hex.builtin.view.hex_editor.menu.edit.insert", "Einsetzen..." },
                    { "hex.builtin.view.hex_editor.menu.edit.remove", "Entfernen..." },
                    { "hex.builtin.view.hex_editor.menu.edit.jump_to", "Springen" },
                    { "hex.builtin.view.hex_editor.menu.edit.open_in_new_provider", "Auswahlansicht öffnen..." },

                { "hex.builtin.view.information.name", "Dateninformationen" },
                    { "hex.builtin.view.information.control", "Einstellungen" },
                    { "hex.builtin.view.information.analyze", "Seite analysieren" },
                    { "hex.builtin.view.information.analyzing", "Analysieren..." },
                    { "hex.builtin.view.information.region", "Analysierte Region" },
                    { "hex.builtin.view.information.magic", "Magic Informationen" },
                    { "hex.builtin.view.information.description", "Beschreibung:" },
                    { "hex.builtin.view.information.mime", "MIME Typ:" },
                    { "hex.builtin.view.information.info_analysis", "Informationsanalysis" },
                    { "hex.builtin.view.information.distribution", "Byte Verteilung" },
                    { "hex.builtin.view.information.entropy", "Entropie" },
                    { "hex.builtin.view.information.block_size", "Blockgrösse" },
                    { "hex.builtin.view.information.block_size.desc", "{0} Blöcke min {1} bytes" },
                    { "hex.builtin.view.information.file_entropy", "Dateientropie" },
                    { "hex.builtin.view.information.highest_entropy", "Höchste Blockentropie" },
                    { "hex.builtin.view.information.encrypted", "Diese Daten sind vermutlich verschlüsselt oder komprimiert!" },
                    { "hex.builtin.view.information.magic_db_added", "Magic Datenbank hinzugefügt!" },

                { "hex.builtin.view.patches.name", "Patches" },
                    { "hex.builtin.view.patches.offset", "Offset" },
                    { "hex.builtin.view.patches.orig", "Originalwert" },
                    { "hex.builtin.view.patches.patch", "Patchwert"},
                    { "hex.builtin.view.patches.remove", "Patch entfernen" },

                { "hex.builtin.view.pattern_editor.name", "Pattern Editor" },
                { "hex.builtin.view.pattern_editor.accept_pattern", "Pattern akzeptieren" },
                    { "hex.builtin.view.pattern_editor.accept_pattern.desc", "Ein oder mehrere kompatible Pattern wurden für diesen Dateityp gefunden" },
                    { "hex.builtin.view.pattern_editor.accept_pattern.pattern_language", "Pattern" },
                    { "hex.builtin.view.pattern_editor.accept_pattern.question", "Ausgewähltes Pattern anwenden?" },
                { "hex.builtin.view.pattern_editor.menu.file.load_pattern", "Pattern laden..." },
                { "hex.builtin.view.pattern_editor.menu.file.save_pattern", "Pattern speichern..." },
                { "hex.builtin.view.pattern_editor.menu.edit.place_pattern", "Pattern platzieren..." },
                    { "hex.builtin.view.pattern_editor.menu.edit.place_pattern.builtin", "Built-in Type" },
                        { "hex.builtin.view.pattern_editor.menu.edit.place_pattern.builtin.single", "Einzeln" },
                        { "hex.builtin.view.pattern_editor.menu.edit.place_pattern.builtin.array", "Array" },
                    { "hex.builtin.view.pattern_editor.menu.edit.place_pattern.custom", "Benutzerdefinierter Type" },
                { "hex.builtin.view.pattern_editor.open_pattern", "Pattern öffnen" },
                { "hex.builtin.view.pattern_editor.evaluating", "Evaluieren..." },
                { "hex.builtin.view.pattern_editor.auto", "Auto evaluieren" },
                { "hex.builtin.view.pattern_editor.console", "Konsole" },
                { "hex.builtin.view.pattern_editor.env_vars", "Umgebungsvariablen" },
                { "hex.builtin.view.pattern_editor.settings", "Einstellungen" },
                { "hex.builtin.view.pattern_editor.sections", "Sektionen" },
                    { "hex.builtin.view.pattern_editor.section_popup", "Sektion" },
                { "hex.builtin.view.pattern_editor.dangerous_function.name", "Gefährliche funktion erlauben?" },
                { "hex.builtin.view.pattern_editor.dangerous_function.desc", "Dieses Pattern hat versucht eine gefährliche Funktion aufzurufen.\nBist du sicher, dass du diesem Pattern vertraust?" },
                { "hex.builtin.view.pattern_editor.no_in_out_vars", "Definiere einige globale Variablen mit dem 'in' oder 'out' specifier damit diese hier auftauchen." },

                { "hex.builtin.view.pattern_data.name", "Pattern Daten" },

                { "hex.builtin.view.settings.name", "Einstellungen" },
                    { "hex.builtin.view.settings.restart_question", "Eine Änderung die du gemacht hast benötigt einen neustart von ImHex. Möchtest du ImHex jetzt neu starten?" },

                { "hex.builtin.view.tools.name", "Werkzeuge" },

                { "hex.builtin.view.yara.name", "Yara Regeln" },
                    { "hex.builtin.view.yara.header.rules", "Regeln" },
                        { "hex.builtin.view.yara.reload", "Neu laden" },
                        { "hex.builtin.view.yara.match", "Regeln anwenden" },
                        { "hex.builtin.view.yara.reset", "Zurücksetzen" },
                        { "hex.builtin.view.yara.matching", "Anwenden..." },
                        { "hex.builtin.view.yara.error", "Yara Kompilerfehler: " },
                    { "hex.builtin.view.yara.header.matches", "Funde" },
                        { "hex.builtin.view.yara.matches.identifier", "Kennung" },
                        { "hex.builtin.view.yara.matches.variable", "Variable" },
                        { "hex.builtin.view.yara.whole_data", "Gesammte Daten Übereinstimmung!" },
                        { "hex.builtin.view.yara.no_rules", "Keine Yara Regeln gefunden. Platziere sie in ImHex's 'yara' Ordner" },
                { "hex.builtin.view.yara.rule_added", "Yara Regel hinzugefügt!" },

                { "hex.builtin.view.constants.name", "Konstanten" },
                    { "hex.builtin.view.constants.row.category", "Kategorie" },
                    { "hex.builtin.view.constants.row.name", "Name" },
                    { "hex.builtin.view.constants.row.desc", "Beschreibung" },
                    { "hex.builtin.view.constants.row.value", "Wert" },

                { "hex.builtin.view.store.name", "Content Store" },
                    { "hex.builtin.view.store.desc", "Downloade zusätzlichen Content von ImHex's online Datenbank" },
                    { "hex.builtin.view.store.reload", "Neu laden" },
                    { "hex.builtin.view.store.row.name", "Name" },
                    { "hex.builtin.view.store.row.description", "Beschreibung" },
                    { "hex.builtin.view.store.download", "Download" },
                    { "hex.builtin.view.store.update", "Update" },
                    { "hex.builtin.view.store.remove", "Entfernen" },
                    { "hex.builtin.view.store.tab.patterns", "Patterns" },
                    { "hex.builtin.view.store.tab.libraries", "Libraries" },
                    { "hex.builtin.view.store.tab.magics", "Magic Files" },
                    { "hex.builtin.view.store.tab.constants", "Konstanten" },
                    { "hex.builtin.view.store.tab.encodings", "Encodings" },
                    { "hex.builtin.view.store.tab.yara", "Yara Rules" },
                    { "hex.builtin.view.store.loading", "Store inhalt wird geladen..." },
                    // { "hex.builtin.view.store.netfailed", "Net request to load store content failed!" },
                    { "hex.builtin.view.store.download_error", "Datei konnte nicht heruntergeladen werden! Zielordner konnte nicht gefunden werden." },

                { "hex.builtin.view.diff.name", "Diffing" },

                { "hex.builtin.view.provider_settings.name", "Provider Einstellungen" },
                    { "hex.builtin.view.provider_settings.load_popup", "Provider öffnen" },
                    { "hex.builtin.view.provider_settings.load_error", "Ein Fehler beim öffnen dieses Providers is aufgetreten!"},

                { "hex.builtin.view.find.name", "Finden" },
                    { "hex.builtin.view.find.searching", "Suchen..." },
                    { "hex.builtin.view.find.demangled", "Demangled" },
                    { "hex.builtin.view.find.strings", "Strings" },
                        { "hex.builtin.view.find.strings.min_length", "Minimallänge" },
                        { "hex.builtin.view.find.strings.match_settings", "Sucheinstellungen" },
                        { "hex.builtin.view.find.strings.null_term", "Null-Terminierung" },
                        { "hex.builtin.view.find.strings.chars", "Zeichen" },
                        { "hex.builtin.view.find.strings.lower_case", "Kleinbuchstaben" },
                        { "hex.builtin.view.find.strings.upper_case", "Grossbuchstaben" },
                        { "hex.builtin.view.find.strings.numbers", "Zahlen" },
                        { "hex.builtin.view.find.strings.underscores", "Unterstriche" },
                        { "hex.builtin.view.find.strings.symbols", "Symbole" },
                        { "hex.builtin.view.find.strings.spaces", "Leerzeichen" },
                        { "hex.builtin.view.find.strings.line_feeds", "Line Feeds" },
                    { "hex.builtin.view.find.sequences", "Sequenzen" },
                    { "hex.builtin.view.find.regex", "Regex" },
                        { "hex.builtin.view.find.regex.pattern", "Pattern" },
                        { "hex.builtin.view.find.regex.full_match", "Benötige volle übereinstimmung" },
                    { "hex.builtin.view.find.value", "Numerischer Wert" },
                        { "hex.builtin.view.find.value.min", "Minimalwert" },
                        { "hex.builtin.view.find.value.max", "Maximalwert" },
                    { "hex.builtin.view.find.binary_pattern", "Binärpattern" },
                    { "hex.builtin.view.find.search", "Suchen" },
                    { "hex.builtin.view.find.context.copy", "Wert Kopieren" },
                    { "hex.builtin.view.find.context.copy_demangle", "Demangled Wert Kopieren" },
                    { "hex.builtin.view.find.search.entries", "{} Einträge gefunden" },
                    { "hex.builtin.view.find.search.reset", "Zurücksetzen" },

                { "hex.builtin.command.calc.desc", "Rechner" },
                { "hex.builtin.command.cmd.desc", "Command" },
                { "hex.builtin.command.cmd.result", "Command '{0}' ausführen" },
                { "hex.builtin.command.web.desc", "Webseite nachschlagen" },
                { "hex.builtin.command.web.result", "'{0}' nachschlagen" },

                { "hex.builtin.inspector.binary", "Binär (8 bit)" },
                { "hex.builtin.inspector.u8", "uint8_t" },
                { "hex.builtin.inspector.i8", "int8_t" },
                { "hex.builtin.inspector.u16", "uint16_t" },
                { "hex.builtin.inspector.i16", "int16_t" },
                { "hex.builtin.inspector.u24", "uint24_t" },
                { "hex.builtin.inspector.i24", "int24_t" },
                { "hex.builtin.inspector.u32", "uint32_t" },
                { "hex.builtin.inspector.i32", "int32_t" },
                { "hex.builtin.inspector.u48", "uint48_t" },
                { "hex.builtin.inspector.i48", "int48_t" },
                { "hex.builtin.inspector.u64", "uint64_t" },
                { "hex.builtin.inspector.i64", "int64_t" },
                { "hex.builtin.inspector.float16", "half float (16 bit)" },
                { "hex.builtin.inspector.float", "float (32 bit)" },
                { "hex.builtin.inspector.double", "double (64 bit)" },
                { "hex.builtin.inspector.long_double", "long double (128 bit)" },
                //{ "hex.builtin.inspector.sleb128", "Signed LEB128" },
                //{ "hex.builtin.inspector.uleb128", "Unsigned LEB128" },
                { "hex.builtin.inspector.bool", "bool" },
                { "hex.builtin.inspector.ascii", "ASCII Zeichen" },
                { "hex.builtin.inspector.wide", "Wide Zeichen" },
                { "hex.builtin.inspector.utf8", "UTF-8 code point" },
                { "hex.builtin.inspector.string", "String" },
                { "hex.builtin.inspector.string16", "Wide String" },
                { "hex.builtin.inspector.time32", "time32_t" },
                { "hex.builtin.inspector.time64", "time64_t" },
                { "hex.builtin.inspector.time", "time_t" },
                { "hex.builtin.inspector.dos_date", "DOS Date" },
                { "hex.builtin.inspector.dos_time", "DOS Time" },
                { "hex.builtin.inspector.guid", "GUID" },
                { "hex.builtin.inspector.rgba8", "RGBA8 Farbe" },
                { "hex.builtin.inspector.rgb565", "RGB565 Farbe" },

                { "hex.builtin.nodes.common.input", "Input" },
                { "hex.builtin.nodes.common.input.a", "Input A" },
                { "hex.builtin.nodes.common.input.b", "Input B" },
                { "hex.builtin.nodes.common.output", "Output" },
                { "hex.builtin.nodes.common.width", "Breite" },
                { "hex.builtin.nodes.common.height", "Höhe" },

                { "hex.builtin.nodes.constants", "Konstanten" },
                    { "hex.builtin.nodes.constants.int", "Integral" },
                        { "hex.builtin.nodes.constants.int.header", "Integral" },
                    { "hex.builtin.nodes.constants.float", "Kommazahl" },
                        { "hex.builtin.nodes.constants.float.header", "Kommazahl" },
                    { "hex.builtin.nodes.constants.nullptr", "Nullptr" },
                        { "hex.builtin.nodes.constants.nullptr.header", "Nullptr" },
                    { "hex.builtin.nodes.constants.buffer", "Buffer" },
                        { "hex.builtin.nodes.constants.buffer.header", "Buffer" },
                        { "hex.builtin.nodes.constants.buffer.size", "Size" },
                    { "hex.builtin.nodes.constants.string", "String" },
                        { "hex.builtin.nodes.constants.string.header", "String" },
                    { "hex.builtin.nodes.constants.rgba8", "RGBA8 Farbe" },
                        { "hex.builtin.nodes.constants.rgba8.header", "RGBA8 Farbe" },
                        { "hex.builtin.nodes.constants.rgba8.output.r", "Rot" },
                        { "hex.builtin.nodes.constants.rgba8.output.g", "Grün" },
                        { "hex.builtin.nodes.constants.rgba8.output.b", "Blau" },
                        { "hex.builtin.nodes.constants.rgba8.output.a", "Alpha" },
                    { "hex.builtin.nodes.constants.comment", "Kommentar" },
                        { "hex.builtin.nodes.constants.comment.header", "Kommentar" },

                { "hex.builtin.nodes.display", "Anzeigen" },
                    { "hex.builtin.nodes.display.int", "Integral" },
                        { "hex.builtin.nodes.display.int.header", "Integral Anzeige" },
                    { "hex.builtin.nodes.display.float", "Kommazahl" },
                        { "hex.builtin.nodes.display.float.header", "Kommazahl Anzeige" },
                    { "hex.builtin.nodes.display.buffer", "Buffer" },
                        { "hex.builtin.nodes.display.buffer.header", "Buffer Anzeige" },
                    { "hex.builtin.nodes.display.string", "String" },
                        { "hex.builtin.nodes.display.string.header", "String Anzeige" },

                { "hex.builtin.nodes.data_access", "Datenzugriff" },
                    { "hex.builtin.nodes.data_access.read", "Lesen" },
                        { "hex.builtin.nodes.data_access.read.header", "Lesen" },
                        { "hex.builtin.nodes.data_access.read.address", "Adresse" },
                        { "hex.builtin.nodes.data_access.read.size", "Grösse" },
                        { "hex.builtin.nodes.data_access.read.data", "Daten" },
                    { "hex.builtin.nodes.data_access.write", "Schreiben" },
                        { "hex.builtin.nodes.data_access.write.header", "Schreiben" },
                        { "hex.builtin.nodes.data_access.write.address", "Adresse" },
                        { "hex.builtin.nodes.data_access.write.data", "Daten" },
                    { "hex.builtin.nodes.data_access.size", "Datengrösse"},
                        { "hex.builtin.nodes.data_access.size.header", "Datengrösse"},
                        { "hex.builtin.nodes.data_access.size.size", "Grösse"},
                    { "hex.builtin.nodes.data_access.selection", "Angewählte Region"},
                        { "hex.builtin.nodes.data_access.selection.header", "Angewählte Region"},
                        { "hex.builtin.nodes.data_access.selection.address", "Adresse"},
                        { "hex.builtin.nodes.data_access.selection.size", "Grösse"},

                { "hex.builtin.nodes.casting", "Datenumwandlung" },
                    { "hex.builtin.nodes.casting.int_to_buffer", "Integral zu Buffer" },
                        { "hex.builtin.nodes.casting.int_to_buffer.header", "Integral zu Buffer" },
                    { "hex.builtin.nodes.casting.buffer_to_int", "Buffer zu Integral" },
                        { "hex.builtin.nodes.casting.buffer_to_int.header", "Buffer zu Integral" },
                    { "hex.builtin.nodes.casting.float_to_buffer", "Float zu Buffer" },
                        { "hex.builtin.nodes.casting.float_to_buffer.header", "Float zu Buffer" },
                    { "hex.builtin.nodes.casting.buffer_to_float", "Buffer zu Float" },
                        { "hex.builtin.nodes.casting.buffer_to_float.header", "Buffer zu Float" },

                { "hex.builtin.nodes.arithmetic", "Arithmetisch" },
                    { "hex.builtin.nodes.arithmetic.add", "Addition" },
                        { "hex.builtin.nodes.arithmetic.add.header", "Plus" },
                    { "hex.builtin.nodes.arithmetic.sub", "Subtraktion" },
                        { "hex.builtin.nodes.arithmetic.sub.header", "Minus" },
                    { "hex.builtin.nodes.arithmetic.mul", "Multiplikation" },
                        { "hex.builtin.nodes.arithmetic.mul.header", "Mal" },
                    { "hex.builtin.nodes.arithmetic.div", "Division" },
                        { "hex.builtin.nodes.arithmetic.div.header", "Durch" },
                    { "hex.builtin.nodes.arithmetic.mod", "Modulus" },
                        { "hex.builtin.nodes.arithmetic.mod.header", "Modulo" },
                    { "hex.builtin.nodes.arithmetic.average", "Durchschnitt" },
                        { "hex.builtin.nodes.arithmetic.average.header", "Durchschnitt" },
                    { "hex.builtin.nodes.arithmetic.median", "Median" },
                        { "hex.builtin.nodes.arithmetic.median.header", "Median" },

                { "hex.builtin.nodes.buffer", "Buffer" },
                    { "hex.builtin.nodes.buffer.combine", "Kombinieren" },
                        { "hex.builtin.nodes.buffer.combine.header", "Buffer kombinieren" },
                    { "hex.builtin.nodes.buffer.slice", "Zerschneiden" },
                        { "hex.builtin.nodes.buffer.slice.header", "Buffer zerschneiden" },
                        { "hex.builtin.nodes.buffer.slice.input.buffer", "Input" },
                        { "hex.builtin.nodes.buffer.slice.input.from", "Von" },
                        { "hex.builtin.nodes.buffer.slice.input.to", "Bis" },
                    { "hex.builtin.nodes.buffer.repeat", "Wiederholen" },
                        { "hex.builtin.nodes.buffer.repeat.header", "Buffer wiederholen" },
                        { "hex.builtin.nodes.buffer.repeat.input.buffer", "Input" },
                        { "hex.builtin.nodes.buffer.repeat.input.count", "Anzahl" },
                    { "hex.builtin.nodes.buffer.patch", "Patch" },
                        { "hex.builtin.nodes.buffer.patch.header", "Patch" },
                        { "hex.builtin.nodes.buffer.patch.input.patch", "Patch" },

                { "hex.builtin.nodes.control_flow", "Kontrollfluss" },
                    { "hex.builtin.nodes.control_flow.if", "If" },
                        { "hex.builtin.nodes.control_flow.if.header", "If" },
                        { "hex.builtin.nodes.control_flow.if.condition", "Bedingung" },
                        { "hex.builtin.nodes.control_flow.if.true", "Wahr" },
                        { "hex.builtin.nodes.control_flow.if.false", "Falsch" },
                    { "hex.builtin.nodes.control_flow.equals", "Gleich" },
                        { "hex.builtin.nodes.control_flow.equals.header", "Gleich" },
                    { "hex.builtin.nodes.control_flow.not", "Nicht" },
                        { "hex.builtin.nodes.control_flow.not.header", "Nicht" },
                    { "hex.builtin.nodes.control_flow.gt", "Grösser als" },
                        { "hex.builtin.nodes.control_flow.gt.header", "Grösser als" },
                    { "hex.builtin.nodes.control_flow.lt", "Kleiner als" },
                        { "hex.builtin.nodes.control_flow.lt.header", "Kleiner als" },
                    { "hex.builtin.nodes.control_flow.and", "UND" },
                        { "hex.builtin.nodes.control_flow.and.header", "Bool'sches UND" },
                    { "hex.builtin.nodes.control_flow.or", "ODER" },
                        { "hex.builtin.nodes.control_flow.or.header", "Bool'sches ODER" },

                { "hex.builtin.nodes.bitwise", "Bitweise Operationen" },
                    { "hex.builtin.nodes.bitwise.and", "UND" },
                        { "hex.builtin.nodes.bitwise.and.header", "Bitweise UND" },
                    { "hex.builtin.nodes.bitwise.or", "ODER" },
                        { "hex.builtin.nodes.bitwise.or.header", "Bitweise ODER" },
                    { "hex.builtin.nodes.bitwise.xor", "Exklusiv ODER" },
                        { "hex.builtin.nodes.bitwise.xor.header", "Bitweise Exklusiv ODER" },
                    { "hex.builtin.nodes.bitwise.not", "Nicht" },
                        { "hex.builtin.nodes.bitwise.not.header", "Bitweise Nicht" },

                { "hex.builtin.nodes.decoding", "Dekodieren" },
                    { "hex.builtin.nodes.decoding.base64", "Base64" },
                        { "hex.builtin.nodes.decoding.base64.header", "Base64 Dekodierer" },
                    { "hex.builtin.nodes.decoding.hex", "Hexadezimal" },
                        { "hex.builtin.nodes.decoding.hex.header", "Hexadezimal Dekodierer" },

                { "hex.builtin.nodes.crypto", "Kryptographie" },
                    { "hex.builtin.nodes.crypto.aes", "AES Dekryptor" },
                        { "hex.builtin.nodes.crypto.aes.header", "AES Dekryptor" },
                        { "hex.builtin.nodes.crypto.aes.key", "Schlüssel" },
                        { "hex.builtin.nodes.crypto.aes.iv", "IV" },
                        { "hex.builtin.nodes.crypto.aes.nonce", "Nonce" },
                        { "hex.builtin.nodes.crypto.aes.mode", "Modus" },
                        { "hex.builtin.nodes.crypto.aes.key_length", "Schlüssellänge" },

                { "hex.builtin.nodes.visualizer", "Visualisierung" },
                    { "hex.builtin.nodes.visualizer.digram", "Digram" },
                        { "hex.builtin.nodes.visualizer.digram.header", "Digram" },
                    { "hex.builtin.nodes.visualizer.layered_dist", "Geschichtete Verteilung" },
                        { "hex.builtin.nodes.visualizer.layered_dist.header", "Geschichtete Verteilung" },
                    { "hex.builtin.nodes.visualizer.image", "Bild" },
                        { "hex.builtin.nodes.visualizer.image.header", "Bild" },
                    { "hex.builtin.nodes.visualizer.image_rgba", "RGBA8 Bild" },
                        { "hex.builtin.nodes.visualizer.image_rgba.header", "RGBA8 Bild" },
                    { "hex.builtin.nodes.visualizer.byte_distribution", "Byteverteilung" },
                        { "hex.builtin.nodes.visualizer.byte_distribution.header", "Byteverteilung" },

                { "hex.builtin.nodes.pattern_language", "Pattern Language" },
                    { "hex.builtin.nodes.pattern_language.out_var", "Out Variabel" },
                        { "hex.builtin.nodes.pattern_language.out_var.header", "Out Variabel" },


                { "hex.builtin.tools.demangler", "LLVM Demangler" },
                    { "hex.builtin.tools.demangler.mangled", "Mangled Namen" },
                    { "hex.builtin.tools.demangler.demangled", "Demangled Namen" },
                { "hex.builtin.tools.ascii_table", "ASCII Tabelle" },
                    { "hex.builtin.tools.ascii_table.octal", "Oktal anzeigen" },
                { "hex.builtin.tools.regex_replacer", "Regex Ersetzer" },
                    { "hex.builtin.tools.regex_replacer.pattern", "Regex pattern" },
                    { "hex.builtin.tools.regex_replacer.replace", "Ersatz pattern" },
                    { "hex.builtin.tools.regex_replacer.input", "Input" },
                    { "hex.builtin.tools.regex_replacer.output", "Output" },
                { "hex.builtin.tools.color", "Farbwähler" },
                { "hex.builtin.tools.calc", "Rechner" },
                    { "hex.builtin.tools.input", "Input" },
                    { "hex.builtin.tools.format.standard", "Standard" },
                    { "hex.builtin.tools.format.scientific", "Wissenschaftlich" },
                    { "hex.builtin.tools.format.engineering", "Ingenieur" },
                    { "hex.builtin.tools.format.programmer", "Programmierer" },
                    { "hex.builtin.tools.error", "Letzter Fehler: '{0}'" },
                    { "hex.builtin.tools.history", "Geschichte" },
                    { "hex.builtin.tools.name", "Name" },
                    { "hex.builtin.tools.value", "Wert" },
                { "hex.builtin.tools.base_converter", "Basiskonverter" },
                    { "hex.builtin.tools.base_converter.dec", "DEC" },
                    { "hex.builtin.tools.base_converter.hex", "HEX" },
                    { "hex.builtin.tools.base_converter.oct", "OCT" },
                    { "hex.builtin.tools.base_converter.bin", "BIN" },
                { "hex.builtin.tools.permissions", "UNIX Berechtigungsrechner" },
                    { "hex.builtin.tools.permissions.perm_bits", "Berechtigungs bits" },
                    { "hex.builtin.tools.permissions.absolute", "Absolute Notation" },
                    { "hex.builtin.tools.permissions.setuid_error", "User benötigt execute Rechte, damit setuid bit gilt!" },
                    { "hex.builtin.tools.permissions.setgid_error", "Group benötigt execute Rechte, damit setgid bit gilt!" },
                    { "hex.builtin.tools.permissions.sticky_error", "Other benötigt execute Rechte, damit sticky bit gilt!" },
                { "hex.builtin.tools.file_uploader", "File Uploader" },
                    { "hex.builtin.tools.file_uploader.control", "Einstellungen" },
                    { "hex.builtin.tools.file_uploader.upload", "Upload" },
                    { "hex.builtin.tools.file_uploader.done", "Fertig!" },
                    { "hex.builtin.tools.file_uploader.recent", "Letzte Uploads" },
                    { "hex.builtin.tools.file_uploader.tooltip", "Klicken zum Kopieren\nCTRL + Klicken zum öffnen" },
                    { "hex.builtin.tools.file_uploader.invalid_response", "Ungültige Antwort von Anonfiles!" },
                    { "hex.builtin.tools.file_uploader.error", "Dateiupload fehlgeschlagen\n\nError Code: {0}" },
                { "hex.builtin.tools.wiki_explain", "Wikipedia Definition" },
                    { "hex.builtin.tools.wiki_explain.control", "Einstellungen" },
                    { "hex.builtin.tools.wiki_explain.search", "Suchen" },
                    { "hex.builtin.tools.wiki_explain.results", "Resultate" },
                    { "hex.builtin.tools.wiki_explain.invalid_response", "Ungültige Antwort von Wikipedia!" },
                { "hex.builtin.tools.file_tools", "File Tools" },
                    { "hex.builtin.tools.file_tools.shredder", "Schredder" },
                        { "hex.builtin.tools.file_tools.shredder.warning", "Dieses Tool zerstört eine Datei UNWIEDERRUFLICH. Mit Vorsicht verwenden" },
                        { "hex.builtin.tools.file_tools.shredder.input", "Datei zum schreddern" },
                        { "hex.builtin.tools.file_tools.shredder.picker", "Öffne Datei zum schreddern" },
                        { "hex.builtin.tools.file_tools.shredder.fast", "Schneller Modus" },
                        { "hex.builtin.tools.file_tools.shredder.shredding", "Schreddert..." },
                        { "hex.builtin.tools.file_tools.shredder.shred", "Schreddern" },
                        { "hex.builtin.tools.file_tools.shredder.error.open", "Öffnen der ausgewählten Datei fehlgeschlagen" },
                        { "hex.builtin.tools.file_tools.shredder.success", "Datei erfolgreich geschreddert!" },
                    { "hex.builtin.tools.file_tools.splitter", "Splitter" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.5_75_floppy", "5¼\" Floppy disk (1200KiB)" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.3_5_floppy", "3½\" Floppy disk (1400KiB)" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.zip100", "Zip 100 Disk (100MiB)" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.zip200", "Zip 200 Disk (200MiB)" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.cdrom650", "CD-ROM (650MiB)" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.cdrom700", "CD-ROM (700MiB)" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.fat32", "FAT32 (4GiB)" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.custom", "Benutzerdefiniert" },
                        { "hex.builtin.tools.file_tools.splitter.input", "Zu splittende Datei " },
                        { "hex.builtin.tools.file_tools.splitter.picker.input", "Zu splittende Datei öffnen" },
                        { "hex.builtin.tools.file_tools.splitter.output", "Ziel Pfad" },
                        { "hex.builtin.tools.file_tools.splitter.picker.output", "Ziel Pfad setzen" },
                        { "hex.builtin.tools.file_tools.splitter.splitting", "Splittet..." },
                        { "hex.builtin.tools.file_tools.splitter.split", "Splitten" },
                        { "hex.builtin.tools.file_tools.splitter.error.open", "Öffnen der ausgewählten Datei fehlgeschlagen" },
                        { "hex.builtin.tools.file_tools.splitter.error.size", "Datei ist kleiner als Zielgrösse" },
                        { "hex.builtin.tools.file_tools.splitter.error.create", "Erstellen der Teildatei {0} fehlgeschlagen" },
                        { "hex.builtin.tools.file_tools.splitter.success", "Datei erfolgreich gesplittet!" },
                    { "hex.builtin.tools.file_tools.combiner", "Kombinierer" },
                        { "hex.builtin.tools.file_tools.combiner.add", "Hinzufügen..." },
                        { "hex.builtin.tools.file_tools.combiner.add.picker", "Datei hinzufügen" },
                        { "hex.builtin.tools.file_tools.combiner.delete", "Entfernen" },
                        { "hex.builtin.tools.file_tools.combiner.clear", "Alle entfernen" },
                        { "hex.builtin.tools.file_tools.combiner.output", "Zieldatei " },
                        { "hex.builtin.tools.file_tools.combiner.output.picker", "Ziel Pfad setzen" },
                        { "hex.builtin.tools.file_tools.combiner.combining", "Kombiniert..." },
                        { "hex.builtin.tools.file_tools.combiner.combine", "Kombinieren" },
                        { "hex.builtin.tools.file_tools.combiner.error.open_output", "Erstellen der Zieldatei fehlgeschlagen" },
                        { "hex.builtin.tools.file_tools.combiner.open_input", "Öffnen der Inputdatei {0} fehlgeschlagen" },
                        { "hex.builtin.tools.file_tools.combiner.success", "Dateien erfolgreich kombiniert!" },
                { "hex.builtin.tools.ieee756", "IEEE 756 Fliesskommazahl Tester" },
                    { "hex.builtin.tools.ieee756.sign", "Vorzeichen" },
                    { "hex.builtin.tools.ieee756.exponent", "Exponent" },
                    { "hex.builtin.tools.ieee756.mantissa", "Mantisse" },
                    { "hex.builtin.tools.ieee756.exponent_size", "Exponentengrösse" },
                    { "hex.builtin.tools.ieee756.mantissa_size", "Mantissengrösse" },
                    { "hex.builtin.tools.ieee756.half_precision", "Half Precision" },
                    { "hex.builtin.tools.ieee756.singe_precision", "Single Precision" },
                    { "hex.builtin.tools.ieee756.double_precision", "Double Precision" },
                    { "hex.builtin.tools.ieee756.type", "Typ" },
                    { "hex.builtin.tools.ieee756.formula", "Formel" },
                    { "hex.builtin.tools.ieee756.result.title", "Resultat" },
                    { "hex.builtin.tools.ieee756.result.float", "Fliesskomma Resultat" },
                    { "hex.builtin.tools.ieee756.result.hex", "Hexadezimal Resultat" },

                { "hex.builtin.setting.imhex", "ImHex" },
                    { "hex.builtin.setting.imhex.recent_files", "Kürzlich geöffnete Dateien" },
                { "hex.builtin.setting.general", "Allgemein" },
                    // { "hex.builtin.setting.general.check_for_updates", "Check for updates on startup" },
                    { "hex.builtin.setting.general.show_tips", "Tipps beim start anzeigen" },
                    { "hex.builtin.setting.general.auto_load_patterns", "Automatisches Pattern laden" },
                    { "hex.builtin.setting.general.sync_pattern_source", "Pattern Source Code zwischen Providern synchronisieren" },
                    // { "hex.builtin.setting.general.enable_unicode", "Load all unicode characters" },
                { "hex.builtin.setting.interface", "Aussehen" },
                    { "hex.builtin.setting.interface.color", "Farbthema" },
                        { "hex.builtin.setting.interface.color.system", "System" },
                        { "hex.builtin.setting.interface.color.dark", "Dunkel" },
                        { "hex.builtin.setting.interface.color.light", "Hell" },
                        { "hex.builtin.setting.interface.color.classic", "Klassisch" },
                    { "hex.builtin.setting.interface.scaling", "Skalierung" },
                        { "hex.builtin.setting.interface.scaling.native", "Nativ" },
                        { "hex.builtin.setting.interface.scaling.x0_5", "x0.5" },
                        { "hex.builtin.setting.interface.scaling.x1_0", "x1.0" },
                        { "hex.builtin.setting.interface.scaling.x1_5", "x1.5" },
                        { "hex.builtin.setting.interface.scaling.x2_0", "x2.0" },
                        { "hex.builtin.setting.interface.scaling.x3_0", "x3.0" },
                        { "hex.builtin.setting.interface.scaling.x4_0", "x4.0" },
                    { "hex.builtin.setting.interface.language", "Sprache" },
                    { "hex.builtin.setting.interface.wiki_explain_language", "Wikipedia Sprache" },
                    { "hex.builtin.setting.interface.fps", "FPS Limite" },
                    { "hex.builtin.setting.interface.fps.unlocked", "Unbegrenzt" },
                    { "hex.builtin.setting.interface.multi_windows", "Multi-Window-Unterstützung aktivieren" },
                { "hex.builtin.setting.hex_editor", "Hex Editor" },
                    { "hex.builtin.setting.hex_editor.highlight_color", "Auswahlfarbe" },
                    { "hex.builtin.setting.hex_editor.bytes_per_row", "Bytes pro Zeile" },
                    { "hex.builtin.setting.hex_editor.ascii", "ASCII Spalte anzeigen" },
                    { "hex.builtin.setting.hex_editor.advanced_decoding", "Erweiterte Dekodierungsspalte anzeigen" },
                    { "hex.builtin.setting.hex_editor.grey_zeros", "Nullen ausgrauen" },
                    { "hex.builtin.setting.hex_editor.uppercase_hex", "Hex Zeichen als Grossbuchstaben" },
                    { "hex.builtin.setting.hex_editor.visualizer", "Data visualizer" },
                    { "hex.builtin.setting.hex_editor.sync_scrolling", "Editorposition synchronisieren" },
                    { "hex.builtin.setting.hex_editor.byte_padding", "Extra Byte-Zellenabstand" },
                    { "hex.builtin.setting.hex_editor.char_padding", "Extra Character-Zellenabstand" },
                { "hex.builtin.setting.folders", "Ordner" },
                    { "hex.builtin.setting.folders.description", "Gib zusätzliche Orderpfade an in welchen Pattern, Scripts, Yara Rules und anderes gesucht wird" },
                    { "hex.builtin.setting.folders.add_folder", "Neuer Ordner hinzufügen" },
                    { "hex.builtin.setting.folders.remove_folder", "Ausgewählter Ordner von Liste entfernen" },
                { "hex.builtin.setting.font", "Schriftart" },
                    { "hex.builtin.setting.font.font_path", "Eigene Schriftart" },
                    { "hex.builtin.setting.font.font_size", "Schriftgrösse" },
                { "hex.builtin.setting.proxy", "Proxy" },
                    { "hex.builtin.setting.proxy.description", "Proxy wird bei allen Netzwerkverbindungen angewendet." },
                    { "hex.builtin.setting.proxy.enable", "Proxy aktivieren" },
                    { "hex.builtin.setting.proxy.url", "Proxy URL" },
                    { "hex.builtin.setting.proxy.url.tooltip", "http(s):// oder socks5:// (z.B, http://127.0.0.1:1080)" },

                { "hex.builtin.provider.file", "Datei Provider" },
                    { "hex.builtin.provider.file.path", "Dateipfad" },
                    { "hex.builtin.provider.file.size", "Größe" },
                    { "hex.builtin.provider.file.creation", "Erstellungszeit" },
                    { "hex.builtin.provider.file.access", "Letzte Zugriffszeit" },
                    { "hex.builtin.provider.file.modification", "Letzte Modifikationszeit" },
                { "hex.builtin.provider.gdb", "GDB Server Provider" },
                    { "hex.builtin.provider.gdb.name", "GDB Server <{0}:{1}>" },
                    { "hex.builtin.provider.gdb.server", "Server" },
                    { "hex.builtin.provider.gdb.ip", "IP Adresse" },
                    { "hex.builtin.provider.gdb.port", "Port" },
                { "hex.builtin.provider.disk", "Datenträger Provider" },
                    { "hex.builtin.provider.disk.selected_disk", "Datenträger" },
                    { "hex.builtin.provider.disk.disk_size", "Datenträgergrösse" },
                    { "hex.builtin.provider.disk.sector_size", "Sektorgrösse" },
                    { "hex.builtin.provider.disk.reload", "Neu laden" },
                { "hex.builtin.provider.intel_hex", "Intel Hex Provider" },
                    { "hex.builtin.provider.intel_hex.name", "Intel Hex {0}" },
                { "hex.builtin.provider.motorola_srec", "Motorola SREC Provider" },
                    { "hex.builtin.provider.motorola_srec.name", "Motorola SREC {0}" },
                { "hex.builtin.provider.mem_file", "RAM Datei" },
                    { "hex.builtin.provider.mem_file.unsaved", "Ungespeicherte Datei" },
                { "hex.builtin.provider.view", "Ansicht" },

                { "hex.builtin.layouts.default", "Standard" },

                { "hex.builtin.visualizer.hexadecimal.8bit", "Hexadezimal (8 bits)" },
                { "hex.builtin.visualizer.hexadecimal.16bit", "Hexadezimal (16 bits)" },
                { "hex.builtin.visualizer.hexadecimal.32bit", "Hexadezimal (32 bits)" },
                { "hex.builtin.visualizer.hexadecimal.64bit", "Hexadezimal (64 bits)" },
                { "hex.builtin.visualizer.decimal.signed.8bit", "Dezimal Signed (8 bits)" },
                { "hex.builtin.visualizer.decimal.signed.16bit", "Dezimal Signed (16 bits)" },
                { "hex.builtin.visualizer.decimal.signed.32bit", "Dezimal Signed (32 bits)" },
                { "hex.builtin.visualizer.decimal.signed.64bit", "Dezimal Signed (64 bits)" },
                { "hex.builtin.visualizer.decimal.unsigned.8bit", "Dezimal Unsigned (8 bits)" },
                { "hex.builtin.visualizer.decimal.unsigned.16bit", "Dezimal Unsigned (16 bits)" },
                { "hex.builtin.visualizer.decimal.unsigned.32bit", "Dezimal Unsigned (32 bits)" },
                { "hex.builtin.visualizer.decimal.unsigned.64bit", "Dezimal Unsigned (64 bits)" },
                { "hex.builtin.visualizer.floating_point.16bit", "Floating Point (16 bits)" },
                { "hex.builtin.visualizer.floating_point.32bit", "Floating Point (32 bits)" },
                { "hex.builtin.visualizer.floating_point.64bit", "Floating Point (64 bits)" },
                { "hex.builtin.visualizer.hexii", "HexII" },
                { "hex.builtin.visualizer.rgba8", "RGBA8 Farbe" },

                { "hex.builtin.hash.md5", "MD5" },
                { "hex.builtin.hash.sha1", "SHA1" },
                { "hex.builtin.hash.sha224", "SHA224" },
                { "hex.builtin.hash.sha256", "SHA256" },
                { "hex.builtin.hash.sha384", "SHA384" },
                { "hex.builtin.hash.sha512", "SHA512" },
                { "hex.builtin.hash.crc8", "CRC8" },
                { "hex.builtin.hash.crc16", "CRC16" },
                { "hex.builtin.hash.crc32", "CRC32" },
                    { "hex.builtin.hash.crc.poly", "Polynom" },
                    { "hex.builtin.hash.crc.iv", "Initialwert" },
                    { "hex.builtin.hash.crc.xor_out", "XOR Out" },
                    { "hex.builtin.hash.crc.refl_in", "Reflect In" },
                    { "hex.builtin.hash.crc.refl_out", "Reflect Out" },
        });
    }

}