#include <hex/api/content_registry.hpp>
#include <hex/api/localization.hpp>

namespace hex::plugin::builtin {

    void registerLanguageEnUS() {
        ContentRegistry::Language::registerLanguage("English (US)", "en-US");
        LangEntry::setFallbackLanguage("en-US");

        ContentRegistry::Language::addLocalizations("en-US", {
                { "hex.builtin.welcome.header.main", "Welcome to ImHex" },
                { "hex.builtin.welcome.header.start", "Start" },
                    { "hex.builtin.welcome.start.create_file", "Create New File" },
                    { "hex.builtin.welcome.start.open_file", "Open File" },
                    { "hex.builtin.welcome.start.open_project", "Open Project" },
                    { "hex.builtin.welcome.start.recent", "Recent Files" },
                    { "hex.builtin.welcome.start.open_other", "Other Providers" },
                { "hex.builtin.welcome.header.help", "Help" },
                    { "hex.builtin.welcome.help.repo", "GitHub Repository" },
                        { "hex.builtin.welcome.help.repo.link", "https://imhex.werwolv.net/git" },
                    { "hex.builtin.welcome.help.gethelp", "Get Help" },
                        { "hex.builtin.welcome.help.gethelp.link", "https://github.com/WerWolv/ImHex/discussions/categories/get-help" },
                    { "hex.builtin.welcome.help.discord", "Discord Server" },
                        { "hex.builtin.welcome.help.discord.link", "https://imhex.werwolv.net/discord" },
                { "hex.builtin.welcome.header.plugins", "Loaded Plugins" },
                    { "hex.builtin.welcome.plugins.plugin", "Plugin" },
                    { "hex.builtin.welcome.plugins.author", "Author" },
                    { "hex.builtin.welcome.plugins.desc", "Description" },
                { "hex.builtin.welcome.header.customize", "Customize" },
                    { "hex.builtin.welcome.customize.settings.title", "Settings" },
                    { "hex.builtin.welcome.customize.settings.desc", "Change preferences of ImHex" },
                { "hex.builtin.welcome.header.update", "Updates" },
                    { "hex.builtin.welcome.update.title", "New Update available!" },
                    { "hex.builtin.welcome.update.desc", "ImHex {0} just released! Download it here." },
                    { "hex.builtin.welcome.update.link", "https://github.com/WerWolv/ImHex/releases/latest" },
                { "hex.builtin.welcome.header.learn", "Learn" },
                    { "hex.builtin.welcome.learn.latest.title", "Latest Release" },
                    { "hex.builtin.welcome.learn.latest.desc", "Read ImHex's current changelog" },
                    { "hex.builtin.welcome.learn.latest.link", "https://github.com/WerWolv/ImHex/releases/latest" },
                    { "hex.builtin.welcome.learn.pattern.title", "Pattern Language Documentation" },
                    { "hex.builtin.welcome.learn.pattern.desc", "Learn how to write ImHex patterns with our extensive documentation" },
                    { "hex.builtin.welcome.learn.pattern.link", "https://imhex.werwolv.net/docs" },
                    { "hex.builtin.welcome.learn.plugins.title", "Plugins API" },
                    { "hex.builtin.welcome.learn.plugins.desc", "Extend ImHex with additional features using plugins" },
                    { "hex.builtin.welcome.learn.plugins.link", "https://github.com/WerWolv/ImHex/wiki/Plugins-Development-Guide" },
                { "hex.builtin.welcome.header.various", "Various" },
                { "hex.builtin.welcome.tip_of_the_day", "Tip of the Day" },
                { "hex.builtin.welcome.check_for_updates_text", "Do you want to automatically check for updates on startup?\n"
                    "Possible updates will be shown in the 'Update' tab of the welcome screen" },

                { "hex.builtin.welcome.safety_backup.title", "Restore lost data" },
                { "hex.builtin.welcome.safety_backup.desc", "Oh no, ImHex crashed last time.\nDo you want to restore your past work?"},
                { "hex.builtin.welcome.safety_backup.restore", "Yes, Restore" },
                { "hex.builtin.welcome.safety_backup.delete", "No, Delete" },

                { "hex.builtin.common.name", "Name" },
                { "hex.builtin.common.endian", "Endian" },
                { "hex.builtin.common.little_endian", "Little Endian" },
                { "hex.builtin.common.big_endian", "Big Endian" },
                { "hex.builtin.common.little", "Little" },
                { "hex.builtin.common.big", "Big" },
                { "hex.builtin.common.number_format", "Format" },
                { "hex.builtin.common.decimal", "Decimal" },
                { "hex.builtin.common.hexadecimal", "Hexadecimal" },
                { "hex.builtin.common.octal", "Octal" },
                { "hex.builtin.common.info", "Information" },
                { "hex.builtin.common.error", "Error" },
                { "hex.builtin.common.fatal", "Fatal Error" },
                { "hex.builtin.common.question", "Question" },
                { "hex.builtin.common.address", "Address" },
                { "hex.builtin.common.size", "Size" },
                { "hex.builtin.common.region", "Region" },
                { "hex.builtin.common.match_selection", "Match Selection" },
                { "hex.builtin.common.yes", "Yes" },
                { "hex.builtin.common.no", "No" },
                { "hex.builtin.common.okay", "Okay" },
                { "hex.builtin.common.load", "Load" },
                { "hex.builtin.common.cancel", "Cancel" },
                { "hex.builtin.common.set", "Set" },
                { "hex.builtin.common.close", "Close" },
                { "hex.builtin.common.dont_show_again", "Don't show again" },
                { "hex.builtin.common.link", "Link" },
                { "hex.builtin.common.file", "File" },
                { "hex.builtin.common.open", "Open" },
                { "hex.builtin.common.browse", "Browse..." },
                { "hex.builtin.common.choose_file", "Choose file" },
                { "hex.builtin.common.processing", "Processing" },
                { "hex.builtin.common.filter", "Filter" },
                { "hex.builtin.common.count", "Count" },
                { "hex.builtin.common.value", "Value" },
                { "hex.builtin.common.type", "Type" },
                    { "hex.builtin.common.type.u8", "uint8_t" },
                    { "hex.builtin.common.type.i8", "int8_t" },
                    { "hex.builtin.common.type.u16", "uint16_t" },
                    { "hex.builtin.common.type.i16", "int16_t" },
                    { "hex.builtin.common.type.u24", "uint24_t" },
                    { "hex.builtin.common.type.i24", "int24_t" },
                    { "hex.builtin.common.type.u32", "uint32_t" },
                    { "hex.builtin.common.type.i32", "int32_t" },
                    { "hex.builtin.common.type.u48", "uint48_t" },
                    { "hex.builtin.common.type.i48", "int48_t" },
                    { "hex.builtin.common.type.u64", "uint64_t" },
                    { "hex.builtin.common.type.i64", "int64_t" },
                    { "hex.builtin.common.type.f32", "float" },
                    { "hex.builtin.common.type.f64", "double" },
                { "hex.builtin.common.offset", "Offset" },
                { "hex.builtin.common.range", "Range" },
                    { "hex.builtin.common.range.entire_data", "Entire Data" },
                    { "hex.builtin.common.range.selection", "Selection" },
                { "hex.builtin.common.comment", "Comment" },

                { "hex.builtin.common.encoding.ascii", "ASCII" },
                { "hex.builtin.common.encoding.utf16le", "UTF-16LE" },
                { "hex.builtin.common.encoding.utf16be", "UTF-16BE" },
                { "hex.builtin.common.encoding.utf8", "UTF-8" },

                { "hex.builtin.popup.exit_application.title", "Exit Application?" },
                { "hex.builtin.popup.exit_application.desc", "You have unsaved changes made to your Project.\nAre you sure you want to exit?" },
                { "hex.builtin.popup.close_provider.title", "Close Provider?" },
                { "hex.builtin.popup.close_provider.desc", "You have unsaved changes made to this Provider.\nAre you sure you want to close it?" },
                { "hex.builtin.popup.error.read_only", "Couldn't get write access. File opened in read-only mode." },
                { "hex.builtin.popup.error.open", "Failed to open file!" },
                { "hex.builtin.popup.error.create", "Failed to create new file!" },
                { "hex.builtin.popup.error.project.load", "Failed to load project!" },
                { "hex.builtin.popup.error.project.save", "Failed to save project!" },
                { "hex.builtin.popup.error.task_exception", "Exception thrown in Task '{}':\n\n{}" },
                { "hex.builtin.popup.error.file_dialog.portal",
                  "There was an error while opening the file browser. This might be caused by your system not having a xdg-desktop-portal backend installed correctly.\n"
                  "\n"
                  "On KDE, it's xdg-desktop-portal-kde.\n"
                  "On Gnome it's xdg-desktop-portal-gnome.\n"
                  "On wlroots it's xdg-desktop-portal-wlr.\n"
                  "Otherwise, you can try to use xdg-desktop-portal-gtk.\n"
                  "\n"
                  "Reboot your system after installing it.\n"
                  "\n"
                  "If the file browser still doesn't work after this, submit an issue at https://github.com/WerWolv/ImHex/issues\n"
                  "\n"
                  "In the meantime files can still be opened by dragging them onto the ImHex window!"
                },
                { "hex.builtin.popup.error.file_dialog.common", "An error occurred while opening the file browser!" },

                { "hex.builtin.hex_editor.page", "Page" },
                { "hex.builtin.hex_editor.selection", "Selection" },
                { "hex.builtin.hex_editor.selection.none", "None" },
                { "hex.builtin.hex_editor.region", "Region" },
                { "hex.builtin.hex_editor.data_size", "Data Size" },
                { "hex.builtin.hex_editor.no_bytes", "No bytes available" },

                { "hex.builtin.pattern_drawer.var_name", "Name" },
                { "hex.builtin.pattern_drawer.color", "Color" },
                { "hex.builtin.pattern_drawer.offset", "Offset" },
                { "hex.builtin.pattern_drawer.size", "Size" },
                { "hex.builtin.pattern_drawer.type", "Type" },
                { "hex.builtin.pattern_drawer.value", "Value" },
                { "hex.builtin.pattern_drawer.double_click", "Double-click to see more items" },

                { "hex.builtin.menu.file", "File" },
                    { "hex.builtin.menu.file.create_file", "New File..." },
                    { "hex.builtin.menu.file.open_file", "Open File..." },
                    { "hex.builtin.menu.file.open_recent", "Open Recent" },
                    { "hex.builtin.menu.file.clear_recent", "Clear" },
                    { "hex.builtin.menu.file.open_other", "Open Other..." },
                    { "hex.builtin.menu.file.close", "Close" },
                    { "hex.builtin.menu.file.reload_file", "Reload File" },
                    { "hex.builtin.menu.file.quit", "Quit ImHex" },
                    { "hex.builtin.menu.file.open_project", "Open Project..." },
                    { "hex.builtin.menu.file.save_project", "Save Project..." },
                    { "hex.builtin.menu.file.import", "Import..." },
                        { "hex.builtin.menu.file.import.base64", "Base64 File" },
                          { "hex.builtin.menu.file.import.base64.popup.import_error", "File is not in a valid Base64 format!" },
                          { "hex.builtin.menu.file.import.base64.popup.open_error", "Failed to open file!" },
                        { "hex.builtin.menu.file.import.ips", "IPS Patch" },
                        { "hex.builtin.menu.file.import.ips32", "IPS32 Patch" },
                    { "hex.builtin.menu.file.export", "Export..." },
                        { "hex.builtin.menu.file.export.title", "Export File" },
                        { "hex.builtin.menu.file.export.ips", "IPS Patch" },
                        { "hex.builtin.menu.file.export.ips32", "IPS32 Patch" },
                        { "hex.builtin.menu.file.export.base64.popup.export_error", "File is not in a valid Base64 format!" },
                        { "hex.builtin.menu.file.export.popup.create", "Cannot export data. Failed to create file!" },
                    { "hex.builtin.menu.file.bookmark.import", "Import bookmarks" },
                    { "hex.builtin.menu.file.bookmark.export", "Export bookmarks" },

                { "hex.builtin.menu.edit", "Edit" },
                    { "hex.builtin.menu.edit.undo", "Undo" },
                    { "hex.builtin.menu.edit.redo", "Redo" },
                    { "hex.builtin.menu.edit.bookmark.create", "Create bookmark" },

                { "hex.builtin.menu.view", "View" },
                { "hex.builtin.menu.layout", "Layout" },
                    { "hex.builtin.menu.view.fps", "Display FPS" },
                    { "hex.builtin.menu.view.demo", "Show ImGui Demo" },
                { "hex.builtin.menu.help", "Help" },

                { "hex.builtin.view.bookmarks.name", "Bookmarks" },
                    { "hex.builtin.view.bookmarks.default_title", "Bookmark [0x{0:X} - 0x{1:X}]" },
                    { "hex.builtin.view.bookmarks.no_bookmarks", "No bookmarks created yet. Add one with Edit -> Create Bookmark" },
                    { "hex.builtin.view.bookmarks.title.info", "Information" },
                    { "hex.builtin.view.bookmarks.address", "0x{0:X} : 0x{1:X} ({2} bytes)" },
                    { "hex.builtin.view.bookmarks.button.jump", "Jump to" },
                    { "hex.builtin.view.bookmarks.button.remove", "Remove" },
                    { "hex.builtin.view.bookmarks.header.name", "Name" },
                    { "hex.builtin.view.bookmarks.header.color", "Color" },
                    { "hex.builtin.view.bookmarks.header.comment", "Comment" },

                { "hex.builtin.view.command_palette.name", "Command Palette" },

                { "hex.builtin.view.data_inspector.name", "Data Inspector" },
                    { "hex.builtin.view.data_inspector.table.name", "Name" },
                    { "hex.builtin.view.data_inspector.table.value", "Value" },
                    { "hex.builtin.view.data_inspector.no_data", "No bytes selected" },
                    { "hex.builtin.view.data_inspector.invert", "Invert" },

                { "hex.builtin.view.data_processor.name", "Data Processor" },
                    { "hex.builtin.view.data_processor.help_text", "Right click to add a new node" },
                    { "hex.builtin.view.data_processor.menu.remove_selection", "Remove Selected" },
                    { "hex.builtin.view.data_processor.menu.remove_node", "Remove Node" },
                    { "hex.builtin.view.data_processor.menu.remove_link", "Remove Link" },
                    { "hex.builtin.view.data_processor.menu.file.load_processor", "Load data processor..." },
                    { "hex.builtin.view.data_processor.menu.file.save_processor", "Save data processor..." },

                { "hex.builtin.view.disassembler.name", "Disassembler" },
                    { "hex.builtin.view.disassembler.position", "Position" },
                    { "hex.builtin.view.disassembler.base", "Base address" },
                    { "hex.builtin.view.disassembler.region", "Code region" },
                    { "hex.builtin.view.disassembler.settings.header", "Settings" },
                    { "hex.builtin.view.disassembler.settings.mode", "Mode" },
                    { "hex.builtin.view.disassembler.arch", "Architecture" },
                        { "hex.builtin.view.disassembler.16bit", "16-bit" },
                        { "hex.builtin.view.disassembler.32bit", "32-bit" },
                        { "hex.builtin.view.disassembler.64bit", "64-bit" },

                        { "hex.builtin.view.disassembler.arm.arm", "ARM" },
                        { "hex.builtin.view.disassembler.arm.thumb", "Thumb" },
                        { "hex.builtin.view.disassembler.arm.default", "Default" },
                        { "hex.builtin.view.disassembler.arm.cortex_m", "Cortex-M" },
                        { "hex.builtin.view.disassembler.arm.armv8", "ARMv8" },

                        { "hex.builtin.view.disassembler.mips.mips32", "MIPS32" },
                        { "hex.builtin.view.disassembler.mips.mips64", "MIPS64" },
                        { "hex.builtin.view.disassembler.mips.mips32R6", "MIPS32R6" },
                        { "hex.builtin.view.disassembler.mips.mips2", "MIPS II" },
                        { "hex.builtin.view.disassembler.mips.mips3", "MIPS III" },
                        { "hex.builtin.view.disassembler.mips.micro", "Micro" },

                        { "hex.builtin.view.disassembler.ppc.qpx", "Quad Processing Extensions" },
                        { "hex.builtin.view.disassembler.ppc.spe", "Signal Processing Engine" },
                        { "hex.builtin.view.disassembler.ppc.booke", "Book-E" },

                        { "hex.builtin.view.disassembler.sparc.v9", "Sparc V9" },

                        { "hex.builtin.view.disassembler.riscv.compressed", "Compressed" },

                        { "hex.builtin.view.disassembler.m68k.000", "000" },
                        { "hex.builtin.view.disassembler.m68k.010", "010" },
                        { "hex.builtin.view.disassembler.m68k.020", "020" },
                        { "hex.builtin.view.disassembler.m68k.030", "030" },
                        { "hex.builtin.view.disassembler.m68k.040", "040" },
                        { "hex.builtin.view.disassembler.m68k.060", "060" },

                        { "hex.builtin.view.disassembler.m680x.6301", "6301" },
                        { "hex.builtin.view.disassembler.m680x.6309", "6309" },
                        { "hex.builtin.view.disassembler.m680x.6800", "6800" },
                        { "hex.builtin.view.disassembler.m680x.6801", "6801" },
                        { "hex.builtin.view.disassembler.m680x.6805", "6805" },
                        { "hex.builtin.view.disassembler.m680x.6808", "6808" },
                        { "hex.builtin.view.disassembler.m680x.6809", "6809" },
                        { "hex.builtin.view.disassembler.m680x.6811", "6811" },
                        { "hex.builtin.view.disassembler.m680x.cpu12", "CPU12" },
                        { "hex.builtin.view.disassembler.m680x.hcs08", "HCS08" },

                        { "hex.builtin.view.disassembler.mos65xx.6502", "6502" },
                        { "hex.builtin.view.disassembler.mos65xx.65c02", "65C02" },
                        { "hex.builtin.view.disassembler.mos65xx.w65c02", "W65C02" },
                        { "hex.builtin.view.disassembler.mos65xx.65816", "65816" },
                        { "hex.builtin.view.disassembler.mos65xx.65816_long_m", "65816 Long M" },
                        { "hex.builtin.view.disassembler.mos65xx.65816_long_x", "65816 Long X" },
                        { "hex.builtin.view.disassembler.mos65xx.65816_long_mx", "65816 Long MX" },

                        { "hex.builtin.view.disassembler.bpf.classic", "Classic" },
                        { "hex.builtin.view.disassembler.bpf.extended", "Extended" },

                    { "hex.builtin.view.disassembler.disassemble", "Disassemble" },
                    { "hex.builtin.view.disassembler.disassembling", "Disassembling..." },
                    { "hex.builtin.view.disassembler.disassembly.title", "Disassembly" },
                        { "hex.builtin.view.disassembler.disassembly.address", "Address" },
                        { "hex.builtin.view.disassembler.disassembly.offset", "Offset" },
                        { "hex.builtin.view.disassembler.disassembly.bytes", "Byte" },

                { "hex.builtin.view.hashes.name", "Hashes" },
                    { "hex.builtin.view.hashes.hash", "Hash" },
                    { "hex.builtin.view.hashes.no_settings", "No settings available" },
                    { "hex.builtin.view.hashes.function", "Hash function" },
                    { "hex.builtin.view.hashes.table.name", "Name" },
                    { "hex.builtin.view.hashes.table.type", "Type" },
                    { "hex.builtin.view.hashes.table.result", "Result" },
                    { "hex.builtin.view.hashes.remove", "Remove hash" },
                    { "hex.builtin.view.hashes.hover_info", "Hover over the Hex Editor selection and hold down SHIFT to view the hashes of that region." },

                { "hex.builtin.view.help.name", "Help" },
                    { "hex.builtin.view.help.about.name", "About" },
                        { "hex.builtin.view.help.about.translator", "Translated by WerWolv" },
                        { "hex.builtin.view.help.about.source", "Source code available on GitHub:" },
                        { "hex.builtin.view.help.about.donations", "Donations" },
                        { "hex.builtin.view.help.about.thanks", "If you like my work, please consider donating to keep the project going. Thanks a lot <3" },
                        { "hex.builtin.view.help.about.contributor", "Contributors" },
                        { "hex.builtin.view.help.about.libs", "Libraries used" },
                        { "hex.builtin.view.help.about.paths", "ImHex Directories" },
                        { "hex.builtin.view.help.about.license", "License" },
                    { "hex.builtin.view.help.documentation", "ImHex Documentation" },
                    { "hex.builtin.view.help.pattern_cheat_sheet", "Pattern Language Cheat Sheet"},
                    { "hex.builtin.view.help.calc_cheat_sheet", "Calculator Cheat Sheet" },

                { "hex.builtin.view.hex_editor.name", "Hex editor" },

                    { "hex.builtin.view.hex_editor.menu.file.load_encoding_file", "Load custom encoding..." },
                    { "hex.builtin.view.hex_editor.menu.file.search", "Search" },
                        { "hex.builtin.view.hex_editor.search.string", "String" },
                        { "hex.builtin.view.hex_editor.search.hex", "Hex" },
                        { "hex.builtin.view.hex_editor.search.find", "Find" },
                    { "hex.builtin.view.hex_editor.menu.file.goto", "Goto" },
                        { "hex.builtin.view.hex_editor.goto.offset.absolute", "Absolute" },
                        { "hex.builtin.view.hex_editor.goto.offset.relative", "Relative" },
                        { "hex.builtin.view.hex_editor.goto.offset.begin", "Begin" },
                        { "hex.builtin.view.hex_editor.goto.offset.end", "End" },
                    { "hex.builtin.view.hex_editor.menu.file.select", "Select" },
                        { "hex.builtin.view.hex_editor.select.offset.region", "Region" },
                            { "hex.builtin.view.hex_editor.select.offset.begin", "Begin" },
                            { "hex.builtin.view.hex_editor.select.offset.end", "End" },
                            { "hex.builtin.view.hex_editor.select.offset.size", "Size" },
                        { "hex.builtin.view.hex_editor.select.select", "Select" },
                    { "hex.builtin.view.hex_editor.menu.file.save", "Save" },
                    { "hex.builtin.view.hex_editor.menu.file.save_as", "Save As..." },
                    { "hex.builtin.view.hex_editor.menu.edit.copy", "Copy" },
                    { "hex.builtin.view.hex_editor.menu.edit.copy_as", "Copy as..." },
                        { "hex.builtin.view.hex_editor.copy.hex", "Hex String" },
                        { "hex.builtin.view.hex_editor.copy.address", "Address" },
                        { "hex.builtin.view.hex_editor.copy.c", "C Array" },
                        { "hex.builtin.view.hex_editor.copy.cpp", "C++ Array" },
                        { "hex.builtin.view.hex_editor.copy.csharp", "C# Array" },
                        { "hex.builtin.view.hex_editor.copy.rust", "Rust Array" },
                        { "hex.builtin.view.hex_editor.copy.python", "Python Array" },
                        { "hex.builtin.view.hex_editor.copy.java", "Java Array" },
                        { "hex.builtin.view.hex_editor.copy.js", "JavaScript Array" },
                        { "hex.builtin.view.hex_editor.copy.lua", "Lua Array" },
                        { "hex.builtin.view.hex_editor.copy.go", "Go Array" },
                        { "hex.builtin.view.hex_editor.copy.crystal", "Crystal Array" },
                        { "hex.builtin.view.hex_editor.copy.swift", "Swift Array" },
                        { "hex.builtin.view.hex_editor.copy.pascal", "Pascal Array" },
                        { "hex.builtin.view.hex_editor.copy.base64", "Base64" },
                        { "hex.builtin.view.hex_editor.copy.ascii", "Text Area" },
                        { "hex.builtin.view.hex_editor.copy.html", "HTML" },
                    { "hex.builtin.view.hex_editor.menu.edit.paste", "Paste" },
                    { "hex.builtin.view.hex_editor.menu.edit.paste_all", "Paste all" },
                    { "hex.builtin.view.hex_editor.menu.edit.select_all", "Select all" },
                    { "hex.builtin.view.hex_editor.menu.edit.set_base", "Set base address" },
                    { "hex.builtin.view.hex_editor.menu.edit.resize", "Resize..." },
                    { "hex.builtin.view.hex_editor.menu.edit.insert", "Insert..." },
                    { "hex.builtin.view.hex_editor.menu.edit.remove", "Remove..." },
                    { "hex.builtin.view.hex_editor.menu.edit.jump_to", "Jump to" },
                    { "hex.builtin.view.hex_editor.menu.edit.open_in_new_provider", "Open selection view..." },

                { "hex.builtin.view.information.name", "Data Information" },
                    { "hex.builtin.view.information.control", "Control" },
                    { "hex.builtin.view.information.analyze", "Analyze page" },
                    { "hex.builtin.view.information.analyzing", "Analyzing..." },
                    { "hex.builtin.view.information.region", "Analyzed region" },
                    { "hex.builtin.view.information.magic", "Magic information" },
                    { "hex.builtin.view.information.description", "Description:" },
                    { "hex.builtin.view.information.mime", "MIME Type:" },
                    { "hex.builtin.view.information.info_analysis", "Information analysis" },
                    { "hex.builtin.view.information.distribution", "Byte distribution" },
                    { "hex.builtin.view.information.entropy", "Entropy" },
                    { "hex.builtin.view.information.block_size", "Block size" },
                    { "hex.builtin.view.information.block_size.desc", "{0} blocks of {1} bytes" },
                    { "hex.builtin.view.information.file_entropy", "File entropy" },
                    { "hex.builtin.view.information.highest_entropy", "Highest entropy block" },
                    { "hex.builtin.view.information.encrypted", "This data is most likely encrypted or compressed!" },
                    { "hex.builtin.view.information.magic_db_added", "Magic database added!" },

                { "hex.builtin.view.patches.name", "Patches" },
                    { "hex.builtin.view.patches.offset", "Offset" },
                    { "hex.builtin.view.patches.orig", "Original value" },
                    { "hex.builtin.view.patches.patch", "Patched value"},
                    { "hex.builtin.view.patches.remove", "Remove patch" },

                { "hex.builtin.view.pattern_editor.name", "Pattern editor" },
                { "hex.builtin.view.pattern_editor.accept_pattern", "Accept pattern" },
                    { "hex.builtin.view.pattern_editor.accept_pattern.desc", "One or more pattern_language compatible with this data type has been found" },
                    { "hex.builtin.view.pattern_editor.accept_pattern.pattern_language", "Patterns" },
                    { "hex.builtin.view.pattern_editor.accept_pattern.question", "Do you want to apply the selected pattern?" },
                { "hex.builtin.view.pattern_editor.menu.file.load_pattern", "Load pattern..." },
                { "hex.builtin.view.pattern_editor.menu.file.save_pattern", "Save pattern..." },
                { "hex.builtin.view.pattern_editor.menu.edit.place_pattern", "Place pattern..." },
                    { "hex.builtin.view.pattern_editor.menu.edit.place_pattern.builtin", "Built-in Type" },
                        { "hex.builtin.view.pattern_editor.menu.edit.place_pattern.builtin.single", "Single" },
                        { "hex.builtin.view.pattern_editor.menu.edit.place_pattern.builtin.array", "Array" },
                    { "hex.builtin.view.pattern_editor.menu.edit.place_pattern.custom", "Custom Type" },
                { "hex.builtin.view.pattern_editor.open_pattern", "Open pattern" },
                { "hex.builtin.view.pattern_editor.evaluating", "Evaluating..." },
                { "hex.builtin.view.pattern_editor.auto", "Auto evaluate" },
                { "hex.builtin.view.pattern_editor.console", "Console" },
                { "hex.builtin.view.pattern_editor.env_vars", "Environment Variables" },
                { "hex.builtin.view.pattern_editor.settings", "Settings" },
                { "hex.builtin.view.pattern_editor.sections", "Sections" },
                    { "hex.builtin.view.pattern_editor.section_popup", "Section" },
                { "hex.builtin.view.pattern_editor.dangerous_function.name", "Allow dangerous function?" },
                { "hex.builtin.view.pattern_editor.dangerous_function.desc", "This pattern tried to call a dangerous function.\nAre you sure you want to trust this pattern?" },
                { "hex.builtin.view.pattern_editor.no_in_out_vars", "Define some global variables with the 'in' or 'out' specifier for them to appear here." },

                { "hex.builtin.view.pattern_data.name", "Pattern Data" },

                { "hex.builtin.view.settings.name", "Settings" },
                    { "hex.builtin.view.settings.restart_question", "A change you made requires a restart of ImHex to take effect. Would you like to restart it now?" },

                { "hex.builtin.view.tools.name", "Tools" },

                { "hex.builtin.view.yara.name", "Yara Rules" },
                    { "hex.builtin.view.yara.header.rules", "Rules" },
                        { "hex.builtin.view.yara.reload", "Reload" },
                        { "hex.builtin.view.yara.match", "Match Rules" },
                        { "hex.builtin.view.yara.reset", "Reset" },
                        { "hex.builtin.view.yara.matching", "Matching..." },
                        { "hex.builtin.view.yara.error", "Yara Compiler error: " },
                    { "hex.builtin.view.yara.header.matches", "Matches" },
                        { "hex.builtin.view.yara.matches.identifier", "Identifier" },
                        { "hex.builtin.view.yara.matches.variable", "Variable" },
                        { "hex.builtin.view.yara.whole_data", "Whole file matches!" },
                        { "hex.builtin.view.yara.no_rules", "No YARA rules found. Put them in ImHex's 'yara' folder" },
                    { "hex.builtin.view.yara.rule_added", "Yara rule added!" },


                { "hex.builtin.view.constants.name", "Constants" },
                    { "hex.builtin.view.constants.row.category", "Category" },
                    { "hex.builtin.view.constants.row.name", "Name" },
                    { "hex.builtin.view.constants.row.desc", "Description" },
                    { "hex.builtin.view.constants.row.value", "Value" },

                { "hex.builtin.view.store.name", "Content Store" },
                    { "hex.builtin.view.store.desc", "Download new content from ImHex's online database" },
                    { "hex.builtin.view.store.reload", "Reload" },
                    { "hex.builtin.view.store.row.name", "Name" },
                    { "hex.builtin.view.store.row.description", "Description" },
                    { "hex.builtin.view.store.download", "Download" },
                    { "hex.builtin.view.store.update", "Update" },
                    { "hex.builtin.view.store.remove", "Remove" },
                    { "hex.builtin.view.store.tab.patterns", "Patterns" },
                    { "hex.builtin.view.store.tab.libraries", "Libraries" },
                    { "hex.builtin.view.store.tab.magics", "Magic Files" },
                    { "hex.builtin.view.store.tab.constants", "Constants" },
                    { "hex.builtin.view.store.tab.yara", "Yara Rules" },
                    { "hex.builtin.view.store.tab.encodings", "Encodings" },
                    { "hex.builtin.view.store.loading", "Loading store content..." },
                    { "hex.builtin.view.store.netfailed", "Net request to load store content failed!" },
                    { "hex.builtin.view.store.download_error", "Failed to download file! Destination folder does not exist." },

                { "hex.builtin.view.diff.name", "Diffing" },

                { "hex.builtin.view.provider_settings.name", "Provider Settings" },
                    { "hex.builtin.view.provider_settings.load_popup", "Open Provider" },
                    { "hex.builtin.view.provider_settings.load_error", "An error occurred while trying to open this provider!"},

                { "hex.builtin.view.find.name", "Find" },
                    { "hex.builtin.view.find.searching", "Searching..." },
                    { "hex.builtin.view.find.demangled", "Demangled" },
                    { "hex.builtin.view.find.strings", "Strings" },
                        { "hex.builtin.view.find.strings.min_length", "Minimum length" },
                        { "hex.builtin.view.find.strings.match_settings", "Match Settings" },
                        { "hex.builtin.view.find.strings.null_term", "Require Null Termination" },
                        { "hex.builtin.view.find.strings.chars", "Characters" },
                        { "hex.builtin.view.find.strings.lower_case", "Lower case letters" },
                        { "hex.builtin.view.find.strings.upper_case", "Upper case letters" },
                        { "hex.builtin.view.find.strings.numbers", "Numbers" },
                        { "hex.builtin.view.find.strings.underscores", "Underscores" },
                        { "hex.builtin.view.find.strings.symbols", "Symbols" },
                        { "hex.builtin.view.find.strings.spaces", "Spaces" },
                        { "hex.builtin.view.find.strings.line_feeds", "Line Feeds" },
                    { "hex.builtin.view.find.sequences", "Sequences" },
                    { "hex.builtin.view.find.regex", "Regex" },
                        { "hex.builtin.view.find.regex.pattern", "Pattern" },
                        { "hex.builtin.view.find.regex.full_match", "Require full match" },
                    { "hex.builtin.view.find.value", "Numeric Value" },
                        { "hex.builtin.view.find.value.min", "Minimum Value" },
                        { "hex.builtin.view.find.value.max", "Maximum Value" },
                    { "hex.builtin.view.find.binary_pattern", "Binary Pattern" },
                    { "hex.builtin.view.find.search", "Search" },
                    { "hex.builtin.view.find.context.copy", "Copy Value" },
                    { "hex.builtin.view.find.context.copy_demangle", "Copy Demangled Value" },
                    { "hex.builtin.view.find.search.entries", "{} entries found" },
                    { "hex.builtin.view.find.search.reset", "Reset" },


                { "hex.builtin.command.calc.desc", "Calculator" },
                { "hex.builtin.command.cmd.desc", "Command" },
                { "hex.builtin.command.cmd.result", "Run command '{0}'" },
                { "hex.builtin.command.web.desc", "Website lookup" },
                { "hex.builtin.command.web.result", "Navigate to '{0}'" },

                { "hex.builtin.inspector.binary", "Binary (8 bit)" },
                { "hex.builtin.inspector.u8", "uint8_t" },
                { "hex.builtin.inspector.i8", "int8_t" },
                { "hex.builtin.inspector.u16", "uint16_t" },
                { "hex.builtin.inspector.i16", "int16_t" },
                { "hex.builtin.inspector.u24", "uint24_t" },
                { "hex.builtin.inspector.i24", "int24_t" },
                { "hex.builtin.inspector.u32", "uint32_t" },
                { "hex.builtin.inspector.i32", "int32_t" },
                { "hex.builtin.inspector.u48", "uint48_t" },
                { "hex.builtin.inspector.i48", "int48_t" },
                { "hex.builtin.inspector.u64", "uint64_t" },
                { "hex.builtin.inspector.i64", "int64_t" },
                { "hex.builtin.inspector.float16", "half float (16 bit)" },
                { "hex.builtin.inspector.float", "float (32 bit)" },
                { "hex.builtin.inspector.double", "double (64 bit)" },
                { "hex.builtin.inspector.long_double", "long double (128 bit)" },
                { "hex.builtin.inspector.sleb128", "Signed LEB128" },
                { "hex.builtin.inspector.uleb128", "Unsigned LEB128" },
                { "hex.builtin.inspector.bool", "bool" },
                { "hex.builtin.inspector.ascii", "ASCII Character" },
                { "hex.builtin.inspector.wide", "Wide Character" },
                { "hex.builtin.inspector.utf8", "UTF-8 code point" },
                { "hex.builtin.inspector.string", "String" },
                { "hex.builtin.inspector.string16", "Wide String" },
                { "hex.builtin.inspector.time32", "time32_t" },
                { "hex.builtin.inspector.time64", "time64_t" },
                { "hex.builtin.inspector.time", "time_t" },
                { "hex.builtin.inspector.dos_date", "DOS Date" },
                { "hex.builtin.inspector.dos_time", "DOS Time" },
                { "hex.builtin.inspector.guid", "GUID" },
                { "hex.builtin.inspector.rgba8", "RGBA8 Color" },
                { "hex.builtin.inspector.rgb565", "RGB565 Color" },

                { "hex.builtin.nodes.common.input", "Input" },
                { "hex.builtin.nodes.common.input.a", "Input A" },
                { "hex.builtin.nodes.common.input.b", "Input B" },
                { "hex.builtin.nodes.common.output", "Output" },
                { "hex.builtin.nodes.common.width", "Width" },
                { "hex.builtin.nodes.common.height", "Height" },

                { "hex.builtin.nodes.constants", "Constants" },
                    { "hex.builtin.nodes.constants.int", "Integer" },
                        { "hex.builtin.nodes.constants.int.header", "Integer" },
                    { "hex.builtin.nodes.constants.float", "Float" },
                        { "hex.builtin.nodes.constants.float.header", "Float" },
                    { "hex.builtin.nodes.constants.nullptr", "Nullptr" },
                        { "hex.builtin.nodes.constants.nullptr.header", "Nullptr" },
                    { "hex.builtin.nodes.constants.buffer", "Buffer" },
                        { "hex.builtin.nodes.constants.buffer.header", "Buffer" },
                        { "hex.builtin.nodes.constants.buffer.size", "Size" },
                    { "hex.builtin.nodes.constants.string", "String" },
                        { "hex.builtin.nodes.constants.string.header", "String" },
                    { "hex.builtin.nodes.constants.rgba8", "RGBA8 color" },
                        { "hex.builtin.nodes.constants.rgba8.header", "RGBA8 color" },
                        { "hex.builtin.nodes.constants.rgba8.output.r", "Red" },
                        { "hex.builtin.nodes.constants.rgba8.output.g", "Green" },
                        { "hex.builtin.nodes.constants.rgba8.output.b", "Blue" },
                        { "hex.builtin.nodes.constants.rgba8.output.a", "Alpha" },
                    { "hex.builtin.nodes.constants.comment", "Comment" },
                        { "hex.builtin.nodes.constants.comment.header", "Comment" },

                { "hex.builtin.nodes.display", "Display" },
                    { "hex.builtin.nodes.display.int", "Integer" },
                        { "hex.builtin.nodes.display.int.header", "Integer display" },
                    { "hex.builtin.nodes.display.float", "Float" },
                        { "hex.builtin.nodes.display.float.header", "Float display" },
                    { "hex.builtin.nodes.display.buffer", "Buffer" },
                        { "hex.builtin.nodes.display.buffer.header", "Buffer display" },
                    { "hex.builtin.nodes.display.string", "String" },
                        { "hex.builtin.nodes.display.string.header", "String display" },

                { "hex.builtin.nodes.data_access", "Data access" },
                    { "hex.builtin.nodes.data_access.read", "Read" },
                        { "hex.builtin.nodes.data_access.read.header", "Read" },
                        { "hex.builtin.nodes.data_access.read.address", "Address" },
                        { "hex.builtin.nodes.data_access.read.size", "Size" },
                        { "hex.builtin.nodes.data_access.read.data", "Data" },
                    { "hex.builtin.nodes.data_access.write", "Write" },
                        { "hex.builtin.nodes.data_access.write.header", "Write" },
                        { "hex.builtin.nodes.data_access.write.address", "Address" },
                        { "hex.builtin.nodes.data_access.write.data", "Data" },
                    { "hex.builtin.nodes.data_access.size", "Data Size"},
                        { "hex.builtin.nodes.data_access.size.header", "Data Size"},
                        { "hex.builtin.nodes.data_access.size.size", "Size"},
                    { "hex.builtin.nodes.data_access.selection", "Selected Region"},
                        { "hex.builtin.nodes.data_access.selection.header", "Selected Region"},
                        { "hex.builtin.nodes.data_access.selection.address", "Address"},
                        { "hex.builtin.nodes.data_access.selection.size", "Size"},

                { "hex.builtin.nodes.casting", "Data conversion" },
                    { "hex.builtin.nodes.casting.int_to_buffer", "Integer to Buffer" },
                        { "hex.builtin.nodes.casting.int_to_buffer.header", "Integer to Buffer" },
                    { "hex.builtin.nodes.casting.buffer_to_int", "Buffer to Integer" },
                        { "hex.builtin.nodes.casting.buffer_to_int.header", "Buffer to Integer" },
                    { "hex.builtin.nodes.casting.float_to_buffer", "Float to Buffer" },
                        { "hex.builtin.nodes.casting.float_to_buffer.header", "Float to Buffer" },
                    { "hex.builtin.nodes.casting.buffer_to_float", "Buffer to Float" },
                        { "hex.builtin.nodes.casting.buffer_to_float.header", "Buffer to Float" },

                { "hex.builtin.nodes.arithmetic", "Arithmetic" },
                    { "hex.builtin.nodes.arithmetic.add", "Addition" },
                        { "hex.builtin.nodes.arithmetic.add.header", "Add" },
                    { "hex.builtin.nodes.arithmetic.sub", "Subtraction" },
                        { "hex.builtin.nodes.arithmetic.sub.header", "Subtract" },
                    { "hex.builtin.nodes.arithmetic.mul", "Multiplication" },
                        { "hex.builtin.nodes.arithmetic.mul.header", "Multiply" },
                    { "hex.builtin.nodes.arithmetic.div", "Division" },
                        { "hex.builtin.nodes.arithmetic.div.header", "Divide" },
                    { "hex.builtin.nodes.arithmetic.mod", "Modulus" },
                        { "hex.builtin.nodes.arithmetic.mod.header", "Modulo" },
                    { "hex.builtin.nodes.arithmetic.average", "Average" },
                        { "hex.builtin.nodes.arithmetic.average.header", "Average" },
                    { "hex.builtin.nodes.arithmetic.median", "Median" },
                        { "hex.builtin.nodes.arithmetic.median.header", "Median" },

                { "hex.builtin.nodes.buffer", "Buffer" },
                    { "hex.builtin.nodes.buffer.combine", "Combine" },
                        { "hex.builtin.nodes.buffer.combine.header", "Combine buffers" },
                    { "hex.builtin.nodes.buffer.slice", "Slice" },
                        { "hex.builtin.nodes.buffer.slice.header", "Slice buffer" },
                        { "hex.builtin.nodes.buffer.slice.input.buffer", "Input" },
                        { "hex.builtin.nodes.buffer.slice.input.from", "From" },
                        { "hex.builtin.nodes.buffer.slice.input.to", "To" },
                    { "hex.builtin.nodes.buffer.repeat", "Repeat" },
                        { "hex.builtin.nodes.buffer.repeat.header", "Repeat buffer" },
                        { "hex.builtin.nodes.buffer.repeat.input.buffer", "Input" },
                        { "hex.builtin.nodes.buffer.repeat.input.count", "Count" },
                    { "hex.builtin.nodes.buffer.patch", "Patch" },
                        { "hex.builtin.nodes.buffer.patch.header", "Patch" },
                        { "hex.builtin.nodes.buffer.patch.input.patch", "Patch" },

                { "hex.builtin.nodes.control_flow", "Control flow" },
                    { "hex.builtin.nodes.control_flow.if", "If" },
                        { "hex.builtin.nodes.control_flow.if.header", "If" },
                        { "hex.builtin.nodes.control_flow.if.condition", "Condition" },
                        { "hex.builtin.nodes.control_flow.if.true", "True" },
                        { "hex.builtin.nodes.control_flow.if.false", "False" },
                    { "hex.builtin.nodes.control_flow.equals", "Equals" },
                        { "hex.builtin.nodes.control_flow.equals.header", "Equals" },
                    { "hex.builtin.nodes.control_flow.not", "Not" },
                        { "hex.builtin.nodes.control_flow.not.header", "Not" },
                    { "hex.builtin.nodes.control_flow.gt", "Greater than" },
                        { "hex.builtin.nodes.control_flow.gt.header", "Greater than" },
                    { "hex.builtin.nodes.control_flow.lt", "Less than" },
                        { "hex.builtin.nodes.control_flow.lt.header", "Less than" },
                    { "hex.builtin.nodes.control_flow.and", "AND" },
                        { "hex.builtin.nodes.control_flow.and.header", "Boolean AND" },
                    { "hex.builtin.nodes.control_flow.or", "OR" },
                        { "hex.builtin.nodes.control_flow.or.header", "Boolean OR" },

                { "hex.builtin.nodes.bitwise", "Bitwise operations" },
                    { "hex.builtin.nodes.bitwise.and", "AND" },
                        { "hex.builtin.nodes.bitwise.and.header", "Bitwise AND" },
                    { "hex.builtin.nodes.bitwise.or", "OR" },
                        { "hex.builtin.nodes.bitwise.or.header", "Bitwise OR" },
                    { "hex.builtin.nodes.bitwise.xor", "XOR" },
                        { "hex.builtin.nodes.bitwise.xor.header", "Bitwise XOR" },
                    { "hex.builtin.nodes.bitwise.not", "NOT" },
                        { "hex.builtin.nodes.bitwise.not.header", "Bitwise NOT" },

                { "hex.builtin.nodes.decoding", "Decoding" },
                    { "hex.builtin.nodes.decoding.base64", "Base64" },
                        { "hex.builtin.nodes.decoding.base64.header", "Base64 decoder" },
                    { "hex.builtin.nodes.decoding.hex", "Hexadecimal" },
                        { "hex.builtin.nodes.decoding.hex.header", "Hexadecimal decoder" },

                { "hex.builtin.nodes.crypto", "Cryptography" },
                    { "hex.builtin.nodes.crypto.aes", "AES Decryptor" },
                        { "hex.builtin.nodes.crypto.aes.header", "AES Decryptor" },
                        { "hex.builtin.nodes.crypto.aes.key", "Key" },
                        { "hex.builtin.nodes.crypto.aes.iv", "IV" },
                        { "hex.builtin.nodes.crypto.aes.nonce", "Nonce" },
                        { "hex.builtin.nodes.crypto.aes.mode", "Mode" },
                        { "hex.builtin.nodes.crypto.aes.key_length", "Key length" },

                { "hex.builtin.nodes.visualizer", "Visualizers" },
                    { "hex.builtin.nodes.visualizer.digram", "Digram" },
                        { "hex.builtin.nodes.visualizer.digram.header", "Digram" },
                    { "hex.builtin.nodes.visualizer.layered_dist", "Layered Distribution" },
                        { "hex.builtin.nodes.visualizer.layered_dist.header", "Layered Distribution" },
                    { "hex.builtin.nodes.visualizer.image", "Image" },
                        { "hex.builtin.nodes.visualizer.image.header", "Image Visualizer" },
                    { "hex.builtin.nodes.visualizer.image_rgba", "RGBA8 Image" },
                        { "hex.builtin.nodes.visualizer.image_rgba.header", "RGBA8 Image Visualizer" },
                    { "hex.builtin.nodes.visualizer.byte_distribution", "Byte Distribution" },
                        { "hex.builtin.nodes.visualizer.byte_distribution.header", "Byte Distribution" },

                { "hex.builtin.nodes.pattern_language", "Pattern Language" },
                    { "hex.builtin.nodes.pattern_language.out_var", "Out Variable" },
                        { "hex.builtin.nodes.pattern_language.out_var.header", "Out Variable" },


                { "hex.builtin.tools.demangler", "LLVM Demangler" },
                    { "hex.builtin.tools.demangler.mangled", "Mangled name" },
                    { "hex.builtin.tools.demangler.demangled", "Demangled name" },
                { "hex.builtin.tools.ascii_table", "ASCII table" },
                    { "hex.builtin.tools.ascii_table.octal", "Show octal" },
                { "hex.builtin.tools.regex_replacer", "Regex replacer" },
                    { "hex.builtin.tools.regex_replacer.pattern", "Regex pattern" },
                    { "hex.builtin.tools.regex_replacer.replace", "Replace pattern" },
                    { "hex.builtin.tools.regex_replacer.input", "Input" },
                    { "hex.builtin.tools.regex_replacer.output", "Output" },
                { "hex.builtin.tools.color", "Color picker" },
                { "hex.builtin.tools.calc", "Calculator" },
                    { "hex.builtin.tools.input", "Input" },
                    { "hex.builtin.tools.format.standard", "Standard" },
                    { "hex.builtin.tools.format.scientific", "Scientific" },
                    { "hex.builtin.tools.format.engineering", "Engineering" },
                    { "hex.builtin.tools.format.programmer", "Programmer" },
                    { "hex.builtin.tools.error", "Last error: '{0}'" },
                    { "hex.builtin.tools.history", "History" },
                    { "hex.builtin.tools.name", "Name" },
                    { "hex.builtin.tools.value", "Value" },
                { "hex.builtin.tools.base_converter", "Base converter" },
                    { "hex.builtin.tools.base_converter.dec", "DEC" },
                    { "hex.builtin.tools.base_converter.hex", "HEX" },
                    { "hex.builtin.tools.base_converter.oct", "OCT" },
                    { "hex.builtin.tools.base_converter.bin", "BIN" },
                { "hex.builtin.tools.permissions", "UNIX Permissions Calculator" },
                    { "hex.builtin.tools.permissions.perm_bits", "Permission bits" },
                    { "hex.builtin.tools.permissions.absolute", "Absolute Notation" },
                    { "hex.builtin.tools.permissions.setuid_error", "User must have execute rights for setuid bit to apply!" },
                    { "hex.builtin.tools.permissions.setgid_error", "Group must have execute rights for setgid bit to apply!" },
                    { "hex.builtin.tools.permissions.sticky_error", "Other must have execute rights for sticky bit to apply!" },
                { "hex.builtin.tools.file_uploader", "File Uploader" },
                    { "hex.builtin.tools.file_uploader.control", "Control" },
                    { "hex.builtin.tools.file_uploader.upload", "Upload" },
                    { "hex.builtin.tools.file_uploader.done", "Done!" },
                    { "hex.builtin.tools.file_uploader.recent", "Recent Uploads" },
                    { "hex.builtin.tools.file_uploader.tooltip", "Click to copy\nCTRL + Click to open" },
                    { "hex.builtin.tools.file_uploader.invalid_response", "Invalid response from Anonfiles!" },
                    { "hex.builtin.tools.file_uploader.error", "Failed to upload file!\n\nError Code: {0}" },
                { "hex.builtin.tools.wiki_explain", "Wikipedia term definitions" },
                    { "hex.builtin.tools.wiki_explain.control", "Control" },
                    { "hex.builtin.tools.wiki_explain.search", "Search" },
                    { "hex.builtin.tools.wiki_explain.results", "Results" },
                    { "hex.builtin.tools.wiki_explain.invalid_response", "Invalid response from Wikipedia!" },
                { "hex.builtin.tools.file_tools", "File Tools" },
                    { "hex.builtin.tools.file_tools.shredder", "Shredder" },
                        { "hex.builtin.tools.file_tools.shredder.warning", "This tool IRRECOVERABLY destroys a file. Use with caution" },
                        { "hex.builtin.tools.file_tools.shredder.input", "File to shred " },
                        { "hex.builtin.tools.file_tools.shredder.picker", "Open File to Shred" },
                        { "hex.builtin.tools.file_tools.shredder.fast", "Fast Mode" },
                        { "hex.builtin.tools.file_tools.shredder.shredding", "Shredding..." },
                        { "hex.builtin.tools.file_tools.shredder.shred", "Shred" },
                        { "hex.builtin.tools.file_tools.shredder.error.open", "Failed to open selected file!" },
                        { "hex.builtin.tools.file_tools.shredder.success", "Shredded successfully!" },
                    { "hex.builtin.tools.file_tools.splitter", "Splitter" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.5_75_floppy", "5¼\" Floppy disk (1200KiB)" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.3_5_floppy", "3½\" Floppy disk (1400KiB)" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.zip100", "Zip 100 Disk (100MiB)" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.zip200", "Zip 200 Disk (200MiB)" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.cdrom650", "CD-ROM (650MiB)" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.cdrom700", "CD-ROM (700MiB)" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.fat32", "FAT32 (4GiB)" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.custom", "Custom" },
                        { "hex.builtin.tools.file_tools.splitter.input", "File to split " },
                        { "hex.builtin.tools.file_tools.splitter.picker.input", "Open File to split" },
                        { "hex.builtin.tools.file_tools.splitter.output", "Output path " },
                        { "hex.builtin.tools.file_tools.splitter.picker.output", "Set base path" },
                        { "hex.builtin.tools.file_tools.splitter.picker.splitting", "Splitting..." },
                        { "hex.builtin.tools.file_tools.splitter.picker.split", "Split" },
                        { "hex.builtin.tools.file_tools.splitter.picker.error.open", "Failed to open selected file!" },
                        { "hex.builtin.tools.file_tools.splitter.picker.error.size", "File is smaller than part size" },
                        { "hex.builtin.tools.file_tools.splitter.picker.error.create", "Failed to create part file {0}" },
                        { "hex.builtin.tools.file_tools.splitter.picker.success", "File split successfully!" },
                    { "hex.builtin.tools.file_tools.combiner", "Combiner" },
                        { "hex.builtin.tools.file_tools.combiner.add", "Add..." },
                        { "hex.builtin.tools.file_tools.combiner.add.picker", "Add file" },
                        { "hex.builtin.tools.file_tools.combiner.delete", "Delete" },
                        { "hex.builtin.tools.file_tools.combiner.clear", "Clear" },
                        { "hex.builtin.tools.file_tools.combiner.output", "Output file " },
                        { "hex.builtin.tools.file_tools.combiner.output.picker", "Set output base path" },
                        { "hex.builtin.tools.file_tools.combiner.combining", "Combining..." },
                        { "hex.builtin.tools.file_tools.combiner.combine", "Combine" },
                        { "hex.builtin.tools.file_tools.combiner.error.open_output", "Failed to create output file" },
                        { "hex.builtin.tools.file_tools.combiner.open_input", "Failed to open input file {0}" },
                        { "hex.builtin.tools.file_tools.combiner.success", "Files combined successfully!" },
                { "hex.builtin.tools.ieee756", "IEEE 756 Floating Point Tester" },
                    { "hex.builtin.tools.ieee756.sign", "Sign" },
                    { "hex.builtin.tools.ieee756.exponent", "Exponent" },
                    { "hex.builtin.tools.ieee756.mantissa", "Mantissa" },
                    { "hex.builtin.tools.ieee756.exponent_size", "Exponent Size" },
                    { "hex.builtin.tools.ieee756.mantissa_size", "Mantissa Size" },
                    { "hex.builtin.tools.ieee756.half_precision", "Half Precision" },
                    { "hex.builtin.tools.ieee756.singe_precision", "Single Precision" },
                    { "hex.builtin.tools.ieee756.double_precision", "Double Precision" },
                    { "hex.builtin.tools.ieee756.type", "Type" },
                    { "hex.builtin.tools.ieee756.formula", "Formula" },
                    { "hex.builtin.tools.ieee756.result.title", "Result" },
                    { "hex.builtin.tools.ieee756.result.float", "Floating Point Result" },
                    { "hex.builtin.tools.ieee756.result.hex", "Hexadecimal Result" },

                { "hex.builtin.setting.imhex", "ImHex" },
                    { "hex.builtin.setting.imhex.recent_files", "Recent Files" },
                { "hex.builtin.setting.general", "General" },
                    { "hex.builtin.setting.general.check_for_updates", "Check for updates on startup" },
                    { "hex.builtin.setting.general.show_tips", "Show tips on startup" },
                    { "hex.builtin.setting.general.auto_load_patterns", "Auto-load supported pattern" },
                    { "hex.builtin.setting.general.sync_pattern_source", "Sync pattern source code between providers" },
                    { "hex.builtin.setting.general.enable_unicode", "Load all unicode characters" },
                { "hex.builtin.setting.interface", "Interface" },
                    { "hex.builtin.setting.interface.color", "Color theme" },
                        { "hex.builtin.setting.interface.color.system", "System" },
                        { "hex.builtin.setting.interface.color.dark", "Dark" },
                        { "hex.builtin.setting.interface.color.light", "Light" },
                        { "hex.builtin.setting.interface.color.classic", "Classic" },
                    { "hex.builtin.setting.interface.scaling", "Scaling" },
                        { "hex.builtin.setting.interface.scaling.native", "Native" },
                        { "hex.builtin.setting.interface.scaling.x0_5", "x0.5" },
                        { "hex.builtin.setting.interface.scaling.x1_0", "x1.0" },
                        { "hex.builtin.setting.interface.scaling.x1_5", "x1.5" },
                        { "hex.builtin.setting.interface.scaling.x2_0", "x2.0" },
                        { "hex.builtin.setting.interface.scaling.x3_0", "x3.0" },
                        { "hex.builtin.setting.interface.scaling.x4_0", "x4.0" },
                    { "hex.builtin.setting.interface.language", "Language" },
                    { "hex.builtin.setting.interface.wiki_explain_language", "Wikipedia Language" },
                    { "hex.builtin.setting.interface.fps", "FPS Limit" },
                    { "hex.builtin.setting.interface.fps.unlocked", "Unlocked" },
                    { "hex.builtin.setting.interface.multi_windows", "Enable Multi Window support" },
                { "hex.builtin.setting.hex_editor", "Hex Editor" },
                    { "hex.builtin.setting.hex_editor.highlight_color", "Selection highlight color" },
                    { "hex.builtin.setting.hex_editor.bytes_per_row", "Bytes per row" },
                    { "hex.builtin.setting.hex_editor.ascii", "Display ASCII column" },
                    { "hex.builtin.setting.hex_editor.advanced_decoding", "Display advanced decoding column" },
                    { "hex.builtin.setting.hex_editor.grey_zeros", "Grey out zeros" },
                    { "hex.builtin.setting.hex_editor.uppercase_hex", "Upper case Hex characters" },
                    { "hex.builtin.setting.hex_editor.visualizer", "Data visualizer" },
                    { "hex.builtin.setting.hex_editor.sync_scrolling", "Synchronize editor position" },
                    { "hex.builtin.setting.hex_editor.byte_padding", "Extra byte cell padding" },
                    { "hex.builtin.setting.hex_editor.char_padding", "Extra character cell padding" },
                { "hex.builtin.setting.folders", "Folders" },
                    { "hex.builtin.setting.folders.description", "Specify additional search paths for patterns, scripts, Yara rules and more" },
                    { "hex.builtin.setting.folders.add_folder", "Add new folder" },
                    { "hex.builtin.setting.folders.remove_folder", "Remove currently selected folder from list" },
                { "hex.builtin.setting.font", "Font" },
                    { "hex.builtin.setting.font.font_path", "Custom Font Path" },
                    { "hex.builtin.setting.font.font_size", "Font Size" },
                { "hex.builtin.setting.proxy", "Proxy" },
                    { "hex.builtin.setting.proxy.description", "Proxy will take effect on store, wikipedia or any other plugin immediately." },
                    { "hex.builtin.setting.proxy.enable", "Enable Proxy" },
                    { "hex.builtin.setting.proxy.url", "Proxy URL" },
                    { "hex.builtin.setting.proxy.url.tooltip", "http(s):// or socks5:// (e.g., http://127.0.0.1:1080)" },

                { "hex.builtin.provider.file", "File Provider" },
                    { "hex.builtin.provider.file.path", "File path" },
                    { "hex.builtin.provider.file.size", "Size" },
                    { "hex.builtin.provider.file.creation", "Creation time" },
                    { "hex.builtin.provider.file.access", "Last access time" },
                    { "hex.builtin.provider.file.modification", "Last modification time" },
                { "hex.builtin.provider.gdb", "GDB Server Provider" },
                    { "hex.builtin.provider.gdb.name", "GDB Server <{0}:{1}>" },
                    { "hex.builtin.provider.gdb.server", "Server" },
                    { "hex.builtin.provider.gdb.ip", "IP Address" },
                    { "hex.builtin.provider.gdb.port", "Port" },
                { "hex.builtin.provider.disk", "Raw Disk Provider" },
                    { "hex.builtin.provider.disk.selected_disk", "Disk" },
                    { "hex.builtin.provider.disk.disk_size", "Disk Size" },
                    { "hex.builtin.provider.disk.sector_size", "Sector Size" },
                    { "hex.builtin.provider.disk.reload", "Reload" },
                { "hex.builtin.provider.intel_hex", "Intel Hex Provider" },
                    { "hex.builtin.provider.intel_hex.name", "Intel Hex {0}" },
                { "hex.builtin.provider.motorola_srec", "Motorola SREC Provider" },
                    { "hex.builtin.provider.motorola_srec.name", "Motorola SREC {0}" },
                { "hex.builtin.provider.mem_file", "Memory File" },
                    { "hex.builtin.provider.mem_file.unsaved", "Unsaved File" },
                { "hex.builtin.provider.view", "View" },

                { "hex.builtin.layouts.default", "Default" },

                { "hex.builtin.visualizer.hexadecimal.8bit", "Hexadecimal (8 bits)" },
                { "hex.builtin.visualizer.hexadecimal.16bit", "Hexadecimal (16 bits)" },
                { "hex.builtin.visualizer.hexadecimal.32bit", "Hexadecimal (32 bits)" },
                { "hex.builtin.visualizer.hexadecimal.64bit", "Hexadecimal (64 bits)" },
                { "hex.builtin.visualizer.decimal.signed.8bit", "Decimal Signed (8 bits)" },
                { "hex.builtin.visualizer.decimal.signed.16bit", "Decimal Signed (16 bits)" },
                { "hex.builtin.visualizer.decimal.signed.32bit", "Decimal Signed (32 bits)" },
                { "hex.builtin.visualizer.decimal.signed.64bit", "Decimal Signed (64 bits)" },
                { "hex.builtin.visualizer.decimal.unsigned.8bit", "Decimal Unsigned (8 bits)" },
                { "hex.builtin.visualizer.decimal.unsigned.16bit", "Decimal Unsigned (16 bits)" },
                { "hex.builtin.visualizer.decimal.unsigned.32bit", "Decimal Unsigned (32 bits)" },
                { "hex.builtin.visualizer.decimal.unsigned.64bit", "Decimal Unsigned (64 bits)" },
                { "hex.builtin.visualizer.floating_point.16bit", "Floating Point (16 bits)" },
                { "hex.builtin.visualizer.floating_point.32bit", "Floating Point (32 bits)" },
                { "hex.builtin.visualizer.floating_point.64bit", "Floating Point (64 bits)" },
                { "hex.builtin.visualizer.hexii", "HexII" },
                { "hex.builtin.visualizer.rgba8", "RGBA8 Color" },

                { "hex.builtin.hash.md5", "MD5" },
                { "hex.builtin.hash.sha1", "SHA1" },
                { "hex.builtin.hash.sha224", "SHA224" },
                { "hex.builtin.hash.sha256", "SHA256" },
                { "hex.builtin.hash.sha384", "SHA384" },
                { "hex.builtin.hash.sha512", "SHA512" },
                { "hex.builtin.hash.crc8", "CRC8" },
                { "hex.builtin.hash.crc16", "CRC16" },
                { "hex.builtin.hash.crc32", "CRC32" },
                    { "hex.builtin.hash.crc.poly", "Polynomial" },
                    { "hex.builtin.hash.crc.iv", "Initial Value" },
                    { "hex.builtin.hash.crc.xor_out", "XOR Out" },
                    { "hex.builtin.hash.crc.refl_in", "Reflect In" },
                    { "hex.builtin.hash.crc.refl_out", "Reflect Out" },
        });
    }

}
