#include <hex/api/content_registry.hpp>
#include <hex/api/localization.hpp>

namespace hex::plugin::builtin {

    void registerLanguageItIT() {
        ContentRegistry::Language::registerLanguage("Italian", "it-IT");

        ContentRegistry::Language::addLocalizations("it-IT", {
                { "hex.builtin.welcome.header.main", "Benvenuto in ImHex" },
                { "hex.builtin.welcome.header.start", "Inizia" },
                    { "hex.builtin.welcome.start.create_file", "Crea un nuovo File" },
                    { "hex.builtin.welcome.start.open_file", "Apri un File" },
                    { "hex.builtin.welcome.start.open_project", "Apri un Progetto" },
                    { "hex.builtin.welcome.start.recent", "File recenti" },
                    //{ "hex.builtin.welcome.start.open_other", "Other Providers" },
                { "hex.builtin.welcome.header.help", "Aiuto" },
                    { "hex.builtin.welcome.help.repo", "Repo GitHub" },
                        { "hex.builtin.welcome.help.repo.link", "https://imhex.werwolv.net/git" },
                    { "hex.builtin.welcome.help.gethelp", "Chiedi aiuto" },
                        { "hex.builtin.welcome.help.gethelp.link", "https://github.com/WerWolv/ImHex/discussions/categories/get-help" },
                    { "hex.builtin.welcome.help.discord", "Server Discord" },
                        { "hex.builtin.welcome.help.discord.link", "https://imhex.werwolv.net/discord" },
                { "hex.builtin.welcome.header.plugins", "Plugins caricati" },
                    { "hex.builtin.welcome.plugins.plugin", "Plugin" },
                    { "hex.builtin.welcome.plugins.author", "Autore" },
                    { "hex.builtin.welcome.plugins.desc", "Descrizione" },
                { "hex.builtin.welcome.header.customize", "Personalizza" },
                    { "hex.builtin.welcome.customize.settings.title", "Impostazioni" },
                    { "hex.builtin.welcome.customize.settings.desc", "Cambia le preferenze di ImHex" },
                { "hex.builtin.welcome.header.update", "Aggiornamenti" },
                    { "hex.builtin.welcome.update.title", "Nuovo aggiornamento disponibile!" },
                    { "hex.builtin.welcome.update.desc", "ImHex {0} è appena stato rilasciato! Scaricalo qua" },
                    { "hex.builtin.welcome.update.link", "https://github.com/WerWolv/ImHex/releases/latest" },
                { "hex.builtin.welcome.header.learn", "Scopri" },
                    { "hex.builtin.welcome.learn.latest.title", "Ultima Versione" },
                    { "hex.builtin.welcome.learn.latest.desc", "Leggi il nuovo changelog di ImHex'" },
                    { "hex.builtin.welcome.learn.latest.link", "https://github.com/WerWolv/ImHex/releases/latest" },
                    { "hex.builtin.welcome.learn.pattern.title", "Documentazione dei Pattern" },
                    { "hex.builtin.welcome.learn.pattern.desc", "Scopri come scrivere pattern per ImHex con la nostra dettagliata documentazione" },
                    { "hex.builtin.welcome.learn.pattern.link", "https://imhex.werwolv.net/docs" },
                    { "hex.builtin.welcome.learn.plugins.title", "Plugins API" },
                    { "hex.builtin.welcome.learn.plugins.desc", "Espandi l'utilizzo di ImHex con i Plugin" },
                    { "hex.builtin.welcome.learn.plugins.link", "https://github.com/WerWolv/ImHex/wiki/Plugins-Development-Guide" },
                { "hex.builtin.welcome.header.various", "Varie" },
                { "hex.builtin.welcome.tip_of_the_day", "Consiglio del giorno" },
                // { "hex.builtin.welcome.check_for_updates_text", "Do you want to automatically check for updates on startup?\n"
                //     "Possible updates will be shown in the 'Update' tab of the welcome screen" },

                { "hex.builtin.welcome.safety_backup.title", "Ripristina i dati persi" },
                { "hex.builtin.welcome.safety_backup.desc", "Oh no, l'ultima volta ImHex è crashato.\nVuoi ripristinare il tuo lavoro?"},
                { "hex.builtin.welcome.safety_backup.restore", "Sì, Ripristina" },
                { "hex.builtin.welcome.safety_backup.delete", "No, Elimina" },

                //{ "hex.builtin.common.name", "Name" },
                { "hex.builtin.common.endian", "Endian" },
                { "hex.builtin.common.little_endian", "Little Endian" },
                { "hex.builtin.common.big_endian", "Big Endian" },
                { "hex.builtin.common.little", "Little" },
                { "hex.builtin.common.big", "Big" },
                //{ "hex.builtin.common.number_format", "Format" },
                { "hex.builtin.common.decimal", "Decimale" },
                { "hex.builtin.common.hexadecimal", "Esadecimale" },
                { "hex.builtin.common.octal", "Ottale" },
                { "hex.builtin.common.info", "Informazioni" },
                { "hex.builtin.common.error", "Errore" },
                { "hex.builtin.common.fatal", "Errore Fatale" },
                //{ "hex.builtin.common.question", "Question" },
                { "hex.builtin.common.address", "Indirizzo" },
                { "hex.builtin.common.size", "Dimensione" },
                { "hex.builtin.common.region", "Regione" },
                { "hex.builtin.common.match_selection", "Seleziona abbinamento" },
                { "hex.builtin.common.yes", "Sì" },
                { "hex.builtin.common.no", "No" },
                { "hex.builtin.common.okay", "Okay" },
                { "hex.builtin.common.load", "Carica" },
                { "hex.builtin.common.cancel", "Cancella" },
                { "hex.builtin.common.set", "Imposta" },
                { "hex.builtin.common.close", "Chiudi" },
                { "hex.builtin.common.dont_show_again", "Non mostrare di nuovo" },
                { "hex.builtin.common.link", "Link" },
                { "hex.builtin.common.file", "File" },
                { "hex.builtin.common.open", "Apri" },
                { "hex.builtin.common.browse", "Esplora..." },
                { "hex.builtin.common.choose_file", "Scegli file" },
                //{ "hex.builtin.common.processing", "Processing" },
                //{ "hex.builtin.common.filter", "Filter" },
                //{ "hex.builtin.common.count", "Count" },
                //{ "hex.builtin.common.value", "Value" },
                //{ "hex.builtin.common.type", "Type" },
                    { "hex.builtin.common.type.u8", "uint8_t" },
                    { "hex.builtin.common.type.i8", "int8_t" },
                    { "hex.builtin.common.type.u16", "uint16_t" },
                    { "hex.builtin.common.type.i16", "int16_t" },
                    { "hex.builtin.common.type.u24", "uint24_t" },
                    { "hex.builtin.common.type.i24", "int24_t" },
                    { "hex.builtin.common.type.u32", "uint32_t" },
                    { "hex.builtin.common.type.i32", "int32_t" },
                    { "hex.builtin.common.type.u48", "uint48_t" },
                    { "hex.builtin.common.type.i48", "int48_t" },
                    { "hex.builtin.common.type.u64", "uint64_t" },
                    { "hex.builtin.common.type.i64", "int64_t" },
                    { "hex.builtin.common.type.f32", "float" },
                    { "hex.builtin.common.type.f64", "double" },
                { "hex.builtin.common.offset", "Offset" },
                //{ "hex.builtin.common.range", "Range" },
                    //{ "hex.builtin.common.range.entire_data", "Entire Data" },
                    //{ "hex.builtin.common.range.selection", "Selection" },
                //{ "hex.builtin.common.comment", "Comment" },

                { "hex.builtin.common.encoding.ascii", "ASCII" },
                { "hex.builtin.common.encoding.utf16le", "UTF-16LE" },
                { "hex.builtin.common.encoding.utf16be", "UTF-16BE" },
                { "hex.builtin.common.encoding.utf8", "UTF-8" },

                { "hex.builtin.popup.exit_application.title", "Uscire dall'applicazione?" },
                { "hex.builtin.popup.exit_application.desc", "Hai delle modifiche non salvate nel tuo progetto.\nSei sicuro di voler uscire?" },
                //{ "hex.builtin.popup.close_provider.title", "Close Provider?" },
                //{ "hex.builtin.popup.close_provider.desc", "You have unsaved changes made to this Provider.\nAre you sure you want to close it?" },
                { "hex.builtin.popup.error.read_only", "Impossibile scrivere sul File. File aperto solo in modalità lettura" },
                { "hex.builtin.popup.error.open", "Impossibile aprire il File!" },
                { "hex.builtin.popup.error.create", "Impossibile creare il nuovo File!" },
                //{ "hex.builtin.popup.error.project.load", "Failed to load project!" },
                //{ "hex.builtin.popup.error.project.save", "Failed to save project!" },
                //{ "hex.builtin.popup.error.task_exception", "Exception thrown in Task '{}':\n\n{}" },
                //{ "hex.builtin.popup.error.file_dialog.portal",
                //    "There was an error while opening the file browser. This might be caused by your system not having a xdg-desktop-portal backend installed correctly.\n"
                //    "\n"
                //    "On KDE, it's xdg-desktop-portal-kde.\n"
                //    "On Gnome it's xdg-desktop-portal-gnome.\n"
                //    "On wlroots it's xdg-desktop-portal-wlr.\n"
                //    "Otherwise, you can try to use xdg-desktop-portal-gtk.\n"
                //    "\n"
                //    "Reboot your system after installing it.\n"
                //    "\n"
                //    "If the file browser still doesn't work after this, submit an issue at https://github.com/WerWolv/ImHex/issues\n"
                //    "\n"
                //    "In the meantime files can still be opened by dragging them onto the ImHex window!"
                //},
                //{ "hex.builtin.popup.error.file_dialog.common", "An error occurred while opening the file browser!" },

                //{ "hex.builtin.hex_editor.page", "Page" },
                //{ "hex.builtin.hex_editor.selection", "Selection" },
                //{ "hex.builtin.hex_editor.selection.none", "None" },
                //{ "hex.builtin.hex_editor.region", "Region" },
                //{ "hex.builtin.hex_editor.data_size", "Data Size" },
                //{ "hex.builtin.hex_editor.no_bytes", "No bytes available" },

                { "hex.builtin.view.pattern_data.var_name", "Nome" },
                { "hex.builtin.view.pattern_data.color", "Colore" },
                { "hex.builtin.view.pattern_data.offset", "Offset" },
                { "hex.builtin.view.pattern_data.size", "Dimensione" },
                { "hex.builtin.view.pattern_data.type", "Tipo" },
                { "hex.builtin.view.pattern_data.value", "Valore" },
                //{ "hex.builtin.pattern_drawer.double_click", "Double-click to see more items" },

                { "hex.builtin.menu.file", "File" },
                    //{ "hex.builtin.menu.file.create_file", "New File..." },
                    { "hex.builtin.menu.file.open_file", "Apri File..." },
                    { "hex.builtin.menu.file.open_recent", "File recenti" },
                    { "hex.builtin.menu.file.clear_recent", "Pulisci" },
                    { "hex.builtin.menu.file.open_other", "Apri altro..." },
                    { "hex.builtin.menu.file.close", "Chiudi" },
                    //{ "hex.builtin.menu.file.reload_file", "Reload File" },
                    { "hex.builtin.menu.file.quit", "Uscita ImHex" },
                    { "hex.builtin.menu.file.open_project", "Apri un Progetto..." },
                    { "hex.builtin.menu.file.save_project", "Salva Progetto..." },
                    { "hex.builtin.menu.file.import", "Importa..." },
                        { "hex.builtin.menu.file.import.base64", "Base64 File" },
                            //{ "hex.builtin.menu.file.import.base64.popup.import_error", "File is not in a valid Base64 format!" },
                            //{ "hex.builtin.menu.file.import.base64.popup.open_error", "Failed to open file!" },
                        { "hex.builtin.file_open_error", "Impossibile aprire il File!" },
                        { "hex.builtin.menu.file.import.ips", "IPS Patch" },
                        { "hex.builtin.menu.file.import.ips32", "IPS32 Patch" },
                    { "hex.builtin.menu.file.export", "Esporta..." },
                        { "hex.builtin.menu.file.export.title", "Esporta File" },
                        { "hex.builtin.menu.file.export.ips", "IPS Patch" },
                        { "hex.builtin.menu.file.export.ips32", "IPS32 Patch" },
                        //{ "hex.builtin.menu.file.export.base64.popup.export_error", "File is not in a valid Base64 format!" },
                    //{ "hex.builtin.menu.file.export.popup.create", "Cannot export data. Failed to create file!" },
                    //{ "hex.builtin.menu.file.bookmark.import", "Import bookmarks" },
                    //{ "hex.builtin.menu.file.bookmark.export", "Export bookmarks" },

                { "hex.builtin.menu.edit", "Modifica" },
                    { "hex.builtin.menu.edit.undo", "Annulla" },
                    { "hex.builtin.menu.edit.redo", "Ripeti" },
                    { "hex.builtin.menu.edit.bookmark.create", "Crea segnalibro" },

                { "hex.builtin.menu.view", "Vista" },
                { "hex.builtin.menu.layout", "Layout" },
                    { "hex.builtin.menu.view.fps", "Mostra FPS" },
                    { "hex.builtin.menu.view.demo", "Mostra la demo di ImGui" },
                { "hex.builtin.menu.help", "Aiuto" },

                { "hex.builtin.view.bookmarks.name", "Segnalibri" },
                    { "hex.builtin.view.bookmarks.default_title", "Segnalibro [0x{0:X} - 0x{1:X}]" },
                    { "hex.builtin.view.bookmarks.no_bookmarks", "Non è stato creato alcun segnalibro. Aggiungine uno andando su Modifica -> Crea Segnalibro" },
                    { "hex.builtin.view.bookmarks.title.info", "Informazioni" },
                    { "hex.builtin.view.bookmarks.address", "0x{0:X} : 0x{1:X} ({2} bytes)" },
                    { "hex.builtin.view.bookmarks.button.jump", "Vai a" },
                    { "hex.builtin.view.bookmarks.button.remove", "Rimuovi" },
                    { "hex.builtin.view.bookmarks.header.name", "Nome" },
                    { "hex.builtin.view.bookmarks.header.color", "Colore" },
                    { "hex.builtin.view.bookmarks.header.comment", "Commento" },

                { "hex.builtin.view.command_palette.name", "Tavola dei Comandi" },

                { "hex.builtin.view.data_inspector.name", "Ispezione Dati" },
                    { "hex.builtin.view.data_inspector.table.name", "Nome" },
                    { "hex.builtin.view.data_inspector.table.value", "Valore" },
                    { "hex.builtin.view.data_inspector.no_data", "Nessun byte selezionato"},
                    //{ "hex.builtin.view.data_inspector.invert", "Invert" },

                { "hex.builtin.view.data_processor.name", "Processa Dati"  },
                    //{ "hex.builtin.view.data_processor.help_text", "Right click to add a new node" },
                    { "hex.builtin.view.data_processor.menu.remove_selection", "Rimuovi i selezionati" },
                    { "hex.builtin.view.data_processor.menu.remove_node", "Rimuovi Nodo" },
                    { "hex.builtin.view.data_processor.menu.remove_link", "Rimuovi Link" },
                    { "hex.builtin.view.data_processor.menu.file.load_processor", "Caricare processore di dati..." },
                    { "hex.builtin.view.data_processor.menu.file.save_processor", "Salva processore di dati..." },

                    { "hex.builtin.view.disassembler.name", "Disassembla" },
                    { "hex.builtin.view.disassembler.position", "Posiziona" },
                    { "hex.builtin.view.disassembler.base", "Indirizzo di base" },
                    { "hex.builtin.view.disassembler.region", "Regione del Codice" },
                    { "hex.builtin.view.disassembler.settings.header", "Impostazioni" },
                    { "hex.builtin.view.disassembler.arch", "Architettura" },
                        { "hex.builtin.view.disassembler.16bit", "16-bit" },
                        { "hex.builtin.view.disassembler.32bit", "32-bit" },
                        { "hex.builtin.view.disassembler.64bit", "64-bit" },

                        { "hex.builtin.view.disassembler.arm.arm", "ARM" },
                        { "hex.builtin.view.disassembler.arm.thumb", "Thumb" },
                        { "hex.builtin.view.disassembler.arm.default", "Default" },
                        { "hex.builtin.view.disassembler.arm.cortex_m", "Cortex-M" },
                        { "hex.builtin.view.disassembler.arm.armv8", "ARMv8" },

                        { "hex.builtin.view.disassembler.mips.mips32", "MIPS32" },
                        { "hex.builtin.view.disassembler.mips.mips64", "MIPS64" },
                        { "hex.builtin.view.disassembler.mips.mips32R6", "MIPS32R6" },
                        { "hex.builtin.view.disassembler.mips.mips2", "MIPS II" },
                        { "hex.builtin.view.disassembler.mips.mips3", "MIPS III" },
                        { "hex.builtin.view.disassembler.mips.micro", "Micro" },

                        { "hex.builtin.view.disassembler.ppc.qpx", "Quad Processing Extensions" },
                        { "hex.builtin.view.disassembler.ppc.spe", "Signal Processing Engine" },
                        { "hex.builtin.view.disassembler.ppc.booke", "Book-E" },

                        { "hex.builtin.view.disassembler.sparc.v9", "Sparc V9" },

                        { "hex.builtin.view.disassembler.riscv.compressed", "Compresso" },

                        { "hex.builtin.view.disassembler.m68k.000", "000" },
                        { "hex.builtin.view.disassembler.m68k.010", "010" },
                        { "hex.builtin.view.disassembler.m68k.020", "020" },
                        { "hex.builtin.view.disassembler.m68k.030", "030" },
                        { "hex.builtin.view.disassembler.m68k.040", "040" },
                        { "hex.builtin.view.disassembler.m68k.060", "060" },

                        { "hex.builtin.view.disassembler.m680x.6301", "6301" },
                        { "hex.builtin.view.disassembler.m680x.6309", "6309" },
                        { "hex.builtin.view.disassembler.m680x.6800", "6800" },
                        { "hex.builtin.view.disassembler.m680x.6801", "6801" },
                        { "hex.builtin.view.disassembler.m680x.6805", "6805" },
                        { "hex.builtin.view.disassembler.m680x.6808", "6808" },
                        { "hex.builtin.view.disassembler.m680x.6809", "6809" },
                        { "hex.builtin.view.disassembler.m680x.6811", "6811" },
                        { "hex.builtin.view.disassembler.m680x.cpu12", "CPU12" },
                        { "hex.builtin.view.disassembler.m680x.hcs08", "HCS08" },

                        { "hex.builtin.view.disassembler.mos65xx.6502", "6502" },
                        { "hex.builtin.view.disassembler.mos65xx.65c02", "65C02" },
                        { "hex.builtin.view.disassembler.mos65xx.w65c02", "W65C02" },
                        { "hex.builtin.view.disassembler.mos65xx.65816", "65816" },
                        { "hex.builtin.view.disassembler.mos65xx.65816_long_m", "65816 Long M" },
                        { "hex.builtin.view.disassembler.mos65xx.65816_long_x", "65816 Long X" },
                        { "hex.builtin.view.disassembler.mos65xx.65816_long_mx", "65816 Long MX" },

                        { "hex.builtin.view.disassembler.bpf.classic", "Classico" },
                        { "hex.builtin.view.disassembler.bpf.extended", "Esteso" },
                    { "hex.builtin.view.disassembler.disassemble", "Disassembla" },
                    { "hex.builtin.view.disassembler.disassembling", "Disassemblaggio..." },
                    { "hex.builtin.view.disassembler.disassembly.title", "Disassembla" },
                        { "hex.builtin.view.disassembler.disassembly.address", "Indirizzo" },
                        { "hex.builtin.view.disassembler.disassembly.offset", "Offset" },
                        { "hex.builtin.view.disassembler.disassembly.bytes", "Byte" },

                { "hex.builtin.view.hashes.name", "Hash" },
                    { "hex.builtin.view.hashes.hash", "Hash" },
                    //{ "hex.builtin.view.hashes.no_settings", "No settings available" },
                    { "hex.builtin.view.hashes.function", "Funzioni di Hash" },
                    //{ "hex.builtin.view.hashes.table.name", "Name" },
                    //{ "hex.builtin.view.hashes.table.type", "Type" },
                    { "hex.builtin.view.hashes.table.result", "Risultato" },
                    //{ "hex.builtin.view.hashes.remove", "Remove hash" },
                    //{ "hex.builtin.view.hashes.hover_info", "Hover over the Hex Editor selection and hold down SHIFT to view the hashes of that region." },


                { "hex.builtin.view.help.name", "Aiuto" },
                    { "hex.builtin.view.help.about.name", "Riguardo ImHex" },
                        { "hex.builtin.view.help.about.translator", "Tradotto da CrustySeanPro" },
                        { "hex.builtin.view.help.about.source", "Codice Sorgente disponibile su GitHub:" },
                        { "hex.builtin.view.help.about.donations", "Donazioni" },
                        { "hex.builtin.view.help.about.thanks", "Se ti piace il mio lavoro, per favore considera di fare una donazione. Grazie mille <3" },
                        { "hex.builtin.view.help.about.contributor", "Collaboratori" },
                        { "hex.builtin.view.help.about.libs", "Librerie usate" },
                        { "hex.builtin.view.help.about.paths", "ImHex cartelle" },
                        { "hex.builtin.view.help.about.license", "Licenza" },
                    { "hex.builtin.view.help.documentation", "Documentazione di ImHex" },
                    { "hex.builtin.view.help.pattern_cheat_sheet", "Pattern Language Cheat Sheet"},
                    { "hex.builtin.view.help.calc_cheat_sheet", "Calcolatrice Cheat Sheet" },

                { "hex.builtin.view.hex_editor.name", "Hex editor" },

                    { "hex.builtin.view.hex_editor.menu.file.load_encoding_file", "Carica una codifica personalizzata..." },
                    { "hex.builtin.view.hex_editor.menu.file.search", "Cerca" },
                        { "hex.builtin.view.hex_editor.search.string", "Stringa" },
                        { "hex.builtin.view.hex_editor.search.hex", "Hex" },
                        { "hex.builtin.view.hex_editor.search.find", "Cerca" },
                        { "hex.builtin.view.hex_editor.search.find_next", "Cerca il prossimo" },
                        { "hex.builtin.view.hex_editor.search.find_prev", "Cerca il precedente" },
                    { "hex.builtin.view.hex_editor.menu.file.goto", "Vai a" },
                        { "hex.builtin.view.hex_editor.goto.offset.absolute", "Assoluto" },
                        //{ "hex.builtin.view.hex_editor.goto.offset.current", "Relative" },
                        { "hex.builtin.view.hex_editor.goto.offset.begin", "Inizo" },
                        { "hex.builtin.view.hex_editor.goto.offset.end", "Fine" },
                    //{ "hex.builtin.view.hex_editor.menu.file.select", "Select" },
                    //    { "hex.builtin.view.hex_editor.select.offset.region", "Region" },
                    //        { "hex.builtin.view.hex_editor.select.offset.begin", "Begin" },
                    //        { "hex.builtin.view.hex_editor.select.offset.end", "End" },
                    //          { "hex.builtin.view.hex_editor.select.offset.size", "Size" },
                    //    { "hex.builtin.view.hex_editor.select.select", "Select" },
                    { "hex.builtin.view.hex_editor.menu.file.save", "Salva" },
                    { "hex.builtin.view.hex_editor.menu.file.save_as", "Salva come..." },
                    { "hex.builtin.view.hex_editor.menu.edit.copy", "Copia" },
                    { "hex.builtin.view.hex_editor.menu.edit.copy_as", "Copia come..." },
                        { "hex.builtin.view.hex_editor.copy.hex", "Hex Stringa" },
                        //{ "hex.builtin.view.hex_editor.copy.address", "Address" },
                        { "hex.builtin.view.hex_editor.copy.c", "C Array" },
                        { "hex.builtin.view.hex_editor.copy.cpp", "C++ Array" },
                        { "hex.builtin.view.hex_editor.copy.csharp", "C# Array" },
                        { "hex.builtin.view.hex_editor.copy.rust", "Rust Array" },
                        { "hex.builtin.view.hex_editor.copy.python", "Python Array" },
                        { "hex.builtin.view.hex_editor.copy.java", "Java Array" },
                        { "hex.builtin.view.hex_editor.copy.js", "JavaScript Array" },
                        { "hex.builtin.view.hex_editor.copy.lua", "Lua Array" },
                        { "hex.builtin.view.hex_editor.copy.go", "Go Array" },
                        { "hex.builtin.view.hex_editor.copy.crystal", "Crystal Array" },
                        { "hex.builtin.view.hex_editor.copy.swift", "Swift Array" },
                        { "hex.builtin.view.hex_editor.copy.pascal", "Pascal Array" },
                        { "hex.builtin.view.hex_editor.copy.base64", "Base64" },
                        //{ "hex.builtin.view.hex_editor.copy.ascii", "Text Area" },
                        { "hex.builtin.view.hex_editor.copy.html", "HTML" },
                    { "hex.builtin.view.hex_editor.menu.edit.paste", "Incolla" },
                    //{ "hex.builtin.view.hex_editor.menu.edit.paste_all", "Paste all" },
                    { "hex.builtin.view.hex_editor.menu.edit.select_all", "Seleziona tutti" },
                    { "hex.builtin.view.hex_editor.menu.edit.set_base", "Imposta indirizzo di base" },
                    { "hex.builtin.view.hex_editor.menu.edit.resize", "Ridimensiona..." },
                    { "hex.builtin.view.hex_editor.menu.edit.insert", "Inserisci..." },
                    //{ "hex.builtin.view.hex_editor.menu.edit.remove", "Remove..." },
                    //{ "hex.builtin.view.hex_editor.menu.edit.jump_to", "Jump to" },
                    //{ "hex.builtin.view.hex_editor.menu.edit.open_in_new_provider", "Open selection view..." },

                { "hex.builtin.view.information.name", "Informazione sui Dati" },
                    { "hex.builtin.view.information.control", "Controllo" },
                    { "hex.builtin.view.information.analyze", "Analizza Pagina" },
                    { "hex.builtin.view.information.analyzing", "Sto analizzando..." },
                    { "hex.builtin.view.information.region", "Regione Analizzata" },
                    { "hex.builtin.view.information.magic", "Informazione Magica" },
                    { "hex.builtin.view.information.description", "Descrizione:" },
                    { "hex.builtin.view.information.mime", "Tipo di MIME:" },
                    { "hex.builtin.view.information.info_analysis", "Informazioni dell'analisi" },
                    { "hex.builtin.view.information.distribution", "Distribuzione dei Byte" },
                    { "hex.builtin.view.information.entropy", "Entropia" },
                    { "hex.builtin.view.information.block_size", "Dimensione del Blocco" },
                    { "hex.builtin.view.information.block_size.desc", "{0} blocchi di {1} bytes" },
                    { "hex.builtin.view.information.file_entropy", "Entropia dei File" },
                    { "hex.builtin.view.information.highest_entropy", "Highest entropy block" },
                    { "hex.builtin.view.information.encrypted", "Questi dati sono probabilmente codificati o compressi!" },
                    { "hex.builtin.view.information.magic_db_added", "Database magico aggiunto!" },


                { "hex.builtin.view.patches.name", "Patches" },
                    { "hex.builtin.view.patches.offset", "Offset" },
                    { "hex.builtin.view.patches.orig", "Valore Originale" },
                    { "hex.builtin.view.patches.patch", "Valore patchato"},
                    { "hex.builtin.view.patches.remove", "Rimuovi patch" },

                { "hex.builtin.view.pattern_editor.name", "Editor dei Pattern" },
                { "hex.builtin.view.pattern_editor.accept_pattern", "Accetta pattern" },
                    { "hex.builtin.view.pattern_editor.accept_pattern.desc", "Uno o più pattern compatibili con questo tipo di dati sono stati trovati!" },
                    { "hex.builtin.view.pattern_editor.accept_pattern.pattern_language", "Pattern" },
                    { "hex.builtin.view.pattern_editor.accept_pattern.question", "Vuoi applicare i patter selezionati" },
                { "hex.builtin.view.pattern_editor.menu.file.load_pattern", "Caricamento dei pattern..." },
                { "hex.builtin.view.pattern_editor.menu.file.save_pattern", "Salva pattern..." },
                //{ "hex.builtin.view.pattern_editor.menu.edit.place_pattern", "Place pattern..." },
                //    { "hex.builtin.view.pattern_editor.menu.edit.place_pattern.builtin", "Built-in Type" },
                //        { "hex.builtin.view.pattern_editor.menu.edit.place_pattern.builtin.single", "Single" },
                //        { "hex.builtin.view.pattern_editor.menu.edit.place_pattern.builtin.array", "Array" },
                //    { "hex.builtin.view.pattern_editor.menu.edit.place_pattern.custom", "Custom Type" },
                { "hex.builtin.view.pattern_editor.open_pattern", "Apri pattern" },
                { "hex.builtin.view.pattern_editor.evaluating", "Valutazione..." },
                { "hex.builtin.view.pattern_editor.auto", "Auto valutazione" },
                { "hex.builtin.view.pattern_editor.console", "Console" },
                { "hex.builtin.view.pattern_editor.env_vars", "Variabili d'ambiente" },
                { "hex.builtin.view.pattern_editor.settings", "Impostazioni" },
                //{ "hex.builtin.view.pattern_editor.sections", "Sections" },
                //    { "hex.builtin.view.pattern_editor.section_popup", "Section" },
                { "hex.builtin.view.pattern_editor.dangerous_function.name", "Vuoi consentire funzioni pericolose?" },
                { "hex.builtin.view.pattern_editor.dangerous_function.desc", "Questo pattern ha cercato di chiamare una funzione pericolosa.\nSei sicuro di volerti fidare?" },
                { "hex.builtin.view.pattern_editor.no_in_out_vars", "Definisci alcune variabili globali con 'in' o 'out' per farle apparire qui." },

                { "hex.builtin.view.pattern_data.name", "Dati dei Pattern" },

                { "hex.builtin.view.settings.name", "Impostazioni" },
                    //{ "hex.builtin.view.settings.restart_question", "A change you made requires a restart of ImHex to take effect. Would you like to restart it now?" },

                { "hex.builtin.view.tools.name", "Strumenti" },

                { "hex.builtin.view.yara.name", "Regole di Yara" },
                    { "hex.builtin.view.yara.header.rules", "Regola" },
                        { "hex.builtin.view.yara.reload", "Ricarica" },
                        { "hex.builtin.view.yara.match", "Abbina Regole" },
                        //{ "hex.builtin.view.yara.reset", "Reset" },
                        { "hex.builtin.view.yara.matching", "Abbinamento..." },
                        { "hex.builtin.view.yara.error", "Errore compilazione Yara: " },
                    { "hex.builtin.view.yara.header.matches", "Abbinamenti" },
                        { "hex.builtin.view.yara.matches.identifier", "Identificatore" },
                        { "hex.builtin.view.yara.matches.variable", "Variabile" },
                        { "hex.builtin.view.yara.whole_data", "Tutti i file combaciano!" },
                        { "hex.builtin.view.yara.no_rules", "Nessuna regola di YARA. Aggiungile in nella cartella 'yara' di 'ImHex'" },
                    { "hex.builtin.view.yara.rule_added", "Regola di Yara aggiunta!" },

                { "hex.builtin.view.constants.name", "Costanti" },
                    { "hex.builtin.view.constants.row.category", "Categoria" },
                    { "hex.builtin.view.constants.row.name", "Nome" },
                    { "hex.builtin.view.constants.row.desc", "Descrizione" },
                    { "hex.builtin.view.constants.row.value", "Valore" },
                { "hex.builtin.view.store.name", "Content Store" },
                    { "hex.builtin.view.store.desc", "Scarica nuovi contenuti dal database online di ImHex" },
                    { "hex.builtin.view.store.reload", "Ricarica" },
                    { "hex.builtin.view.store.row.name", "Nome" },
                    { "hex.builtin.view.store.row.description", "Descrizione" },
                    { "hex.builtin.view.store.download", "Download" },
                    { "hex.builtin.view.store.update", "Aggiorna" },
                    { "hex.builtin.view.store.remove", "Rimuovi" },
                    { "hex.builtin.view.store.tab.patterns", "Modelli" },
                    { "hex.builtin.view.store.tab.libraries", "Librerie" },
                    { "hex.builtin.view.store.tab.magics", "File Magici" },
                    { "hex.builtin.view.store.tab.constants", "Costanti" },
                    { "hex.builtin.view.store.tab.encodings", "Encodings" },
                    { "hex.builtin.view.store.tab.yara", "Regole di Yara" },
                    { "hex.builtin.view.store.loading", "Caricamento del content store..." },
                    // { "hex.builtin.view.store.netfailed", "Net request to load store content failed!" },
                    { "hex.builtin.view.store.download_error", "Impossibile scaricare file! La cartella di destinazione non esiste." },

                { "hex.builtin.view.diff.name", "Diffing" },

                { "hex.builtin.view.provider_settings.name", "Impostazioni Provider" },
                    { "hex.builtin.view.provider_settings.load_popup", "Apri Provider" },
                    // { "hex.builtin.view.provider_settings.load_error", "An error occurred while trying to open this provider!"},

                //{ "hex.builtin.view.find.name", "Find" },
                //    { "hex.builtin.view.find.searching", "Searching..." },
                //    { "hex.builtin.view.find.demangled", "Demangled" },
                //    { "hex.builtin.view.find.strings", "Strings" },
                //        { "hex.builtin.view.find.strings.min_length", "Minimum length" },
                //        { "hex.builtin.view.find.strings.match_settings", "Match Settings" },
                //        { "hex.builtin.view.find.strings.null_term", "Require Null Termination" },
                //        { "hex.builtin.view.find.strings.chars", "Characters" },
                //        { "hex.builtin.view.find.strings.lower_case", "Lower case letters" },
                //        { "hex.builtin.view.find.strings.upper_case", "Upper case letters" },
                //        { "hex.builtin.view.find.strings.numbers", "Numbers" },
                //        { "hex.builtin.view.find.strings.underscores", "Underscores" },
                //        { "hex.builtin.view.find.strings.symbols", "Symbols" },
                //        { "hex.builtin.view.find.strings.spaces", "Spaces" },
                //        { "hex.builtin.view.find.strings.line_feeds", "Line Feeds" },
                //    { "hex.builtin.view.find.sequences", "Sequences" },
                //    { "hex.builtin.view.find.regex", "Regex" },
                        //{ "hex.builtin.view.find.regex.pattern", "Pattern" },
                        //{ "hex.builtin.view.find.regex.full_match", "Require full match" },
                //    { "hex.builtin.view.find.binary_pattern", "Binary Pattern" },
                //    { "hex.builtin.view.find.value", "Numeric Value" },
                //          { "hex.builtin.view.find.value.min", "Minimum Value" },
                //          { "hex.builtin.view.find.value.max", "Maximum Value" },
                //    { "hex.builtin.view.find.search", "Search" },
                //    { "hex.builtin.view.find.context.copy", "Copy Value" },
                //    { "hex.builtin.view.find.context.copy_demangle", "Copy Demangled Value" },
                //    { "hex.builtin.view.find.search.entries", "{} entries found" },
                //    { "hex.builtin.view.find.search.reset", "Reset" },

                { "hex.builtin.command.calc.desc", "Calcolatrice" },
                { "hex.builtin.command.cmd.desc", "Comando" },
                { "hex.builtin.command.cmd.result", "Esegui comando '{0}'" },
                { "hex.builtin.command.web.desc", "Consulta il Web" },
                { "hex.builtin.command.web.result", "Naviga a '{0}'" },

                { "hex.builtin.inspector.binary", "Binary (8 bit)" },
                { "hex.builtin.inspector.u8", "uint8_t" },
                { "hex.builtin.inspector.i8", "int8_t" },
                { "hex.builtin.inspector.u16", "uint16_t" },
                { "hex.builtin.inspector.i16", "int16_t" },
                { "hex.builtin.inspector.u24", "uint24_t" },
                { "hex.builtin.inspector.i24", "int24_t" },
                { "hex.builtin.inspector.u32", "uint32_t" },
                { "hex.builtin.inspector.i32", "int32_t" },
                { "hex.builtin.inspector.u48", "uint48_t" },
                { "hex.builtin.inspector.i48", "int48_t" },
                { "hex.builtin.inspector.u64", "uint64_t" },
                { "hex.builtin.inspector.i64", "int64_t" },
                { "hex.builtin.inspector.float16", "half float (16 bit)" },
                { "hex.builtin.inspector.float", "float (32 bit)" },
                { "hex.builtin.inspector.double", "double (64 bit)" },
                { "hex.builtin.inspector.long_double", "long double (128 bit)" },
                //{ "hex.builtin.inspector.sleb128", "Signed LEB128" },
                //{ "hex.builtin.inspector.uleb128", "Unsigned LEB128" },
                { "hex.builtin.inspector.bool", "bool" },
                { "hex.builtin.inspector.ascii", "ASCII Character" },
                { "hex.builtin.inspector.wide", "Wide Character" },
                { "hex.builtin.inspector.utf8", "UTF-8 code point" },
                { "hex.builtin.inspector.string", "String" },
                { "hex.builtin.inspector.string16", "Wide String" },
                { "hex.builtin.inspector.time32", "time32_t" },
                { "hex.builtin.inspector.time64", "time64_t" },
                { "hex.builtin.inspector.time", "time_t" },
                //{ "hex.builtin.inspector.dos_date", "DOS Date" },
                //{ "hex.builtin.inspector.dos_time", "DOS Time" },
                { "hex.builtin.inspector.guid", "GUID" },
                { "hex.builtin.inspector.rgba8", "Colori RGBA8" },
                { "hex.builtin.inspector.rgb565", "Colori RGB565" },

                { "hex.builtin.nodes.constants", "Costanti" },
                    { "hex.builtin.nodes.constants.int", "Intero" },
                        { "hex.builtin.nodes.constants.int.header", "Intero" },
                        { "hex.builtin.nodes.constants.int.output", "" },
                    { "hex.builtin.nodes.constants.float", "Float" },
                        { "hex.builtin.nodes.constants.float.header", "Float" },
                        { "hex.builtin.nodes.constants.float.output", "" },
                    { "hex.builtin.nodes.constants.nullptr", "Nullptr" },
                        { "hex.builtin.nodes.constants.nullptr.header", "Nullptr" },
                        { "hex.builtin.nodes.constants.nullptr.output", "" },
                    { "hex.builtin.nodes.constants.buffer", "Buffer" },
                        { "hex.builtin.nodes.constants.buffer.header", "Buffer" },
                        { "hex.builtin.nodes.constants.buffer.size", "Dimensione" },
                        { "hex.builtin.nodes.constants.buffer.output", "" },
                    { "hex.builtin.nodes.constants.string", "Stringa" },
                        { "hex.builtin.nodes.constants.string.header", "Stringa" },
                        { "hex.builtin.nodes.constants.string.output", "" },
                    { "hex.builtin.nodes.constants.rgba8", "Colore RGBA8" },
                        { "hex.builtin.nodes.constants.rgba8.header", "Colore RGBA8" },
                        { "hex.builtin.nodes.constants.rgba8.output.r", "Rosso" },
                        { "hex.builtin.nodes.constants.rgba8.output.g", "Verde" },
                        { "hex.builtin.nodes.constants.rgba8.output.b", "Blu" },
                        { "hex.builtin.nodes.constants.rgba8.output.a", "Alpha" },
                    { "hex.builtin.nodes.constants.comment", "Comment" },
                        { "hex.builtin.nodes.constants.comment.header", "Commento" },

                { "hex.builtin.nodes.common.input", "Input" },
                { "hex.builtin.nodes.common.input.a", "Input A" },
                { "hex.builtin.nodes.common.input.b", "Input B" },
                { "hex.builtin.nodes.common.output", "Output" },
                //{ "hex.builtin.nodes.common.width", "Width" },
                //{ "hex.builtin.nodes.common.height", "Height" },

                { "hex.builtin.nodes.display", "Mostra" },
                    { "hex.builtin.nodes.display.int", "Intero" },
                        { "hex.builtin.nodes.display.int.header", "Mostra Intero" },
                    { "hex.builtin.nodes.display.float", "Float" },
                        { "hex.builtin.nodes.display.float.header", "Mostra Float" },
                //    { "hex.builtin.nodes.display.buffer", "Buffer" },
                //        { "hex.builtin.nodes.display.buffer.header", "Buffer display" },
                //    { "hex.builtin.nodes.display.string", "String" },
                //        { "hex.builtin.nodes.display.string.header", "String display" },

                { "hex.builtin.nodes.data_access", "Accesso ai Dati" },
                    { "hex.builtin.nodes.data_access.read", "Leggi" },
                        { "hex.builtin.nodes.data_access.read.header", "Leggi" },
                        { "hex.builtin.nodes.data_access.read.address", "Indirizzo" },
                        { "hex.builtin.nodes.data_access.read.size", "Dimensione" },
                        { "hex.builtin.nodes.data_access.read.data", "Dati" },
                    { "hex.builtin.nodes.data_access.write", "Scrivi" },
                        { "hex.builtin.nodes.data_access.write.header", "Scrivi" },
                        { "hex.builtin.nodes.data_access.write.address", "Indirizzo" },
                        { "hex.builtin.nodes.data_access.write.data", "Dati" },
                    { "hex.builtin.nodes.data_access.size", "Dati Dimensione"},
                        { "hex.builtin.nodes.data_access.size.header", "Dati Dimensione"},
                        { "hex.builtin.nodes.data_access.size.size", "Dimensione"},
                    //{ "hex.builtin.nodes.data_access.selection", "Selected Region"},
                        //{ "hex.builtin.nodes.data_access.selection.header", "Selected Region"},
                        //{ "hex.builtin.nodes.data_access.selection.address", "Address"},
                        //{ "hex.builtin.nodes.data_access.selection.size", "Size"},

                { "hex.builtin.nodes.casting", "Conversione Dati" },
                    { "hex.builtin.nodes.casting.int_to_buffer", "Da Intero a Buffer" },
                        { "hex.builtin.nodes.casting.int_to_buffer.header", "Da Intero a Buffer" },
                    { "hex.builtin.nodes.casting.buffer_to_int", "Da Buffer a Intero" },
                        { "hex.builtin.nodes.casting.buffer_to_int.header", "Da Buffer a Integer" },
                    //{ "hex.builtin.nodes.casting.float_to_buffer", "Float to Buffer" },
                        //{ "hex.builtin.nodes.casting.float_to_buffer.header", "Float to Buffer" },
                    //{ "hex.builtin.nodes.casting.buffer_to_float", "Buffer to Float" },
                        //{ "hex.builtin.nodes.casting.buffer_to_float.header", "Buffer to Float" },

                { "hex.builtin.nodes.arithmetic", "Aritmetica" },
                    { "hex.builtin.nodes.arithmetic.add", "Addizione" },
                        { "hex.builtin.nodes.arithmetic.add.header", "Aggiungi" },
                    { "hex.builtin.nodes.arithmetic.sub", "Sottrazione" },
                        { "hex.builtin.nodes.arithmetic.sub.header", "Sottrai" },
                        { "hex.builtin.nodes.arithmetic.mul", "Moltiplicazione" },
                        { "hex.builtin.nodes.arithmetic.mul.header", "Moltiplica" },
                    { "hex.builtin.nodes.arithmetic.div", "Divisione" },
                        { "hex.builtin.nodes.arithmetic.div.header", "Dividi" },
                    { "hex.builtin.nodes.arithmetic.mod", "Modulo" },
                        { "hex.builtin.nodes.arithmetic.mod.header", "Modulo" },
                //    { "hex.builtin.nodes.arithmetic.average", "Average" },
                //        { "hex.builtin.nodes.arithmetic.average.header", "Average" },
                //    { "hex.builtin.nodes.arithmetic.median", "Median" },
                //        { "hex.builtin.nodes.arithmetic.median.header", "Median" },

                { "hex.builtin.nodes.buffer", "Buffer" },
                    { "hex.builtin.nodes.buffer.combine", "Combina" },
                        { "hex.builtin.nodes.buffer.combine.header", "Combina buffer" },
                    { "hex.builtin.nodes.buffer.slice", "Affetta" },
                        { "hex.builtin.nodes.buffer.slice.header", "Affetta buffer" },
                        { "hex.builtin.nodes.buffer.slice.input.buffer", "Input" },
                        { "hex.builtin.nodes.buffer.slice.input.from", "Inizio" },
                        { "hex.builtin.nodes.buffer.slice.input.to", "Fine" },
                    { "hex.builtin.nodes.buffer.repeat", "Ripeti" },
                        { "hex.builtin.nodes.buffer.repeat.header", "Ripeti buffer" },
                            { "hex.builtin.nodes.buffer.repeat.input.buffer", "Input" },
                            { "hex.builtin.nodes.buffer.repeat.input.count", "Conta" },
                //    { "hex.builtin.nodes.buffer.patch", "Patch" },
                //        { "hex.builtin.nodes.buffer.patch.header", "Patch" },
                //        { "hex.builtin.nodes.buffer.patch.input.patch", "Patch" },

                { "hex.builtin.nodes.control_flow", "Controlla Flusso" },
                    { "hex.builtin.nodes.control_flow.if", "Se" },
                        { "hex.builtin.nodes.control_flow.if.header", "Se" },
                        { "hex.builtin.nodes.control_flow.if.condition", "Condizione" },
                        { "hex.builtin.nodes.control_flow.if.true", "Vero" },
                        { "hex.builtin.nodes.control_flow.if.false", "Falso" },
                    { "hex.builtin.nodes.control_flow.equals", "Uguale a" },
                        { "hex.builtin.nodes.control_flow.equals.header", "Uguale a" },
                    { "hex.builtin.nodes.control_flow.not", "Non" },
                        { "hex.builtin.nodes.control_flow.not.header", "Non" },
                    { "hex.builtin.nodes.control_flow.gt", "Maggiore di" },
                        { "hex.builtin.nodes.control_flow.gt.header", "Maggiore di" },
                    { "hex.builtin.nodes.control_flow.lt", "Minore di" },
                        { "hex.builtin.nodes.control_flow.lt.header", "Minore di" },
                    { "hex.builtin.nodes.control_flow.and", "E" },
                        { "hex.builtin.nodes.control_flow.and.header", "Boolean E" },
                    { "hex.builtin.nodes.control_flow.or", "O" },
                        { "hex.builtin.nodes.control_flow.or.header", "Boolean O" },

                { "hex.builtin.nodes.bitwise", "Operazioni di Bitwise" },
                    { "hex.builtin.nodes.bitwise.and", "E" },
                        { "hex.builtin.nodes.bitwise.and.header", "Bitwise E" },
                    { "hex.builtin.nodes.bitwise.or", "O" },
                        { "hex.builtin.nodes.bitwise.or.header", "Bitwise O" },
                    { "hex.builtin.nodes.bitwise.xor", "XOR" },
                        { "hex.builtin.nodes.bitwise.xor.header", "Bitwise XOR" },
                    { "hex.builtin.nodes.bitwise.not", "NON" },
                        { "hex.builtin.nodes.bitwise.not.header", "Bitwise NON" },

                { "hex.builtin.nodes.decoding", "Decodifica" },
                    { "hex.builtin.nodes.decoding.base64", "Base64" },
                        { "hex.builtin.nodes.decoding.base64.header", "Decodificatore Base64" },
                    { "hex.builtin.nodes.decoding.hex", "Esadecimale" },
                        { "hex.builtin.nodes.decoding.hex.header", "Decodificatore Esadecimale" },

                { "hex.builtin.nodes.crypto", "Cryptografia" },
                    { "hex.builtin.nodes.crypto.aes", "Decriptatore AES" },
                        { "hex.builtin.nodes.crypto.aes.header", "Decriptatore AES" },
                        { "hex.builtin.nodes.crypto.aes.key", "Chiave" },
                        { "hex.builtin.nodes.crypto.aes.iv", "IV" },
                        { "hex.builtin.nodes.crypto.aes.nonce", "Nonce" },
                        { "hex.builtin.nodes.crypto.aes.mode", "Modalità" },
                        { "hex.builtin.nodes.crypto.aes.key_length", "Lunghezza Chiave" },

                //{ "hex.builtin.nodes.visualizer", "Visualizers" },
                    //{ "hex.builtin.nodes.visualizer.digram", "Digram" },
                        //{ "hex.builtin.nodes.visualizer.digram.header", "Digram Visualizer" },
                    //{ "hex.builtin.nodes.visualizer.layered_dist", "Layered Distribution" },
                       //{ "hex.builtin.nodes.visualizer.layered_dist.header", "Layered Distribution" },
                    //{ "hex.builtin.nodes.visualizer.image", "Image" },
                        //{ "hex.builtin.nodes.visualizer.image.header", "Image Visualizer" },
                    //{ "hex.builtin.nodes.visualizer.image_rgba", "RGBA8 Image" },
                        //{ "hex.builtin.nodes.visualizer.image_rgba.header", "RGBA8 Image Visualizer" },
                    //{ "hex.builtin.nodes.visualizer.byte_distribution", "Byte Distribution" },
                        //{ "hex.builtin.nodes.visualizer.byte_distribution.header", "Byte Distribution" },

                //{ "hex.builtin.nodes.pattern_language", "Pattern Language" },
                    //{ "hex.builtin.nodes.pattern_language.out_var", "Out Variable" },
                        //{ "hex.builtin.nodes.pattern_language.out_var.header", "Out Variable" },

                { "hex.builtin.tools.demangler", "LLVM Demangler" },
                    { "hex.builtin.tools.demangler.mangled", "Nome Mangled" },
                    { "hex.builtin.tools.demangler.demangled", "Nome Demangled" },
                { "hex.builtin.tools.ascii_table", "Tavola ASCII" },
                    { "hex.builtin.tools.ascii_table.octal", "Mostra ottale" },
                { "hex.builtin.tools.regex_replacer", "Sostituzione Regex" },
                    { "hex.builtin.tools.regex_replacer.pattern", "Regex pattern" },
                    { "hex.builtin.tools.regex_replacer.replace", "Replace pattern" },
                    { "hex.builtin.tools.regex_replacer.input", "Input" },
                    { "hex.builtin.tools.regex_replacer.output", "Output" },
                { "hex.builtin.tools.color", "Selettore di Colore" },
                { "hex.builtin.tools.calc", "Calcolatrice" },
                    { "hex.builtin.tools.input", "Input" },
                    { "hex.builtin.tools.format.standard", "Standard" },
                    { "hex.builtin.tools.format.scientific", "Scientifica" },
                    { "hex.builtin.tools.format.engineering", "Ingegnere" },
                    { "hex.builtin.tools.format.programmer", "Programmatore" },
                    { "hex.builtin.tools.error", "Ultimo Errore: '{0}'" },
                    { "hex.builtin.tools.history", "Storia" },
                    { "hex.builtin.tools.name", "Nome" },
                    { "hex.builtin.tools.value", "Valore" },
                { "hex.builtin.tools.base_converter", "Convertitore di Base" },
                    { "hex.builtin.tools.base_converter.dec", "DEC" },
                    { "hex.builtin.tools.base_converter.hex", "HEX" },
                    { "hex.builtin.tools.base_converter.oct", "OCT" },
                    { "hex.builtin.tools.base_converter.bin", "BIN" },
                { "hex.builtin.tools.permissions", "Calcolatrice dei permessi UNIX" },
                    { "hex.builtin.tools.permissions.perm_bits", "Bit di autorizzazione" },
                    { "hex.builtin.tools.permissions.absolute", "Notazione assoluta" },
                    { "hex.builtin.tools.permissions.setuid_error", "L'utente deve avere i diritti di esecuzione per applicare il bit setuid!" },
                    { "hex.builtin.tools.permissions.setgid_error", "Il gruppo deve avere diritti di esecuzione per applicare il bit setgid!" },
                    { "hex.builtin.tools.permissions.sticky_error", "Altri devono avere i diritti di esecuzione per il bit appiccicoso da applicare!" },
                { "hex.builtin.tools.file_uploader", "Uploader dei file" },
                    { "hex.builtin.tools.file_uploader.control", "Controllo" },
                    { "hex.builtin.tools.file_uploader.upload", "Carica" },
                    { "hex.builtin.tools.file_uploader.done", "Fatto!" },
                    { "hex.builtin.tools.file_uploader.recent", "Caricamenti Recenti" },
                    { "hex.builtin.tools.file_uploader.tooltip", "Clicca per copiare\nCTRL + Click per aprire" },
                    { "hex.builtin.tools.file_uploader.invalid_response", "Risposta non valida da parte di Anonfiles!" },
                    { "hex.builtin.tools.file_uploader.error", "Impossibile caricare file!\n\nCodice di errore: {0}" },
                { "hex.builtin.tools.wiki_explain", "Definizioni dei termini da Wikipedia" },
                    { "hex.builtin.tools.wiki_explain.control", "Controllo" },
                    { "hex.builtin.tools.wiki_explain.search", "Cerca" },
                    { "hex.builtin.tools.wiki_explain.results", "Risultati" },
                    { "hex.builtin.tools.wiki_explain.invalid_response", "Risposta non valida da Wikipedia!" },
                { "hex.builtin.tools.file_tools", "Strumenti per i file" },
                    { "hex.builtin.tools.file_tools.shredder", "Tritatutto" },
                        { "hex.builtin.tools.file_tools.shredder.warning", "Questo strumento distrugge IRRECOVERABILMENTE un file. Usalo con attenzione" },
                        { "hex.builtin.tools.file_tools.shredder.input", "File da distruggere" },
                        { "hex.builtin.tools.file_tools.shredder.picker", "Apri file da distruggere" },
                        { "hex.builtin.tools.file_tools.shredder.fast", "Modalità veloce" },
                        { "hex.builtin.tools.file_tools.shredder.shredding", "Lo sto distruggendo..." },
                        { "hex.builtin.tools.file_tools.shredder.shred", "Distruggi" },
                        { "hex.builtin.tools.file_tools.shredder.error.open", "Impossibile aprire il file selezionato!" },
                        { "hex.builtin.tools.file_tools.shredder.success", "Distrutto con successo!" },
                    { "hex.builtin.tools.file_tools.splitter", "Divisore" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.5_75_floppy", "5¼\" disco Floppy (1200KiB)" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.3_5_floppy", "3½\" disco Floppy (1400KiB)" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.zip100", "Disco Zip 100 (100MiB)" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.zip200", "Disco Zip 200 (200MiB)" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.cdrom650", "CD-ROM (650MiB)" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.cdrom700", "CD-ROM (700MiB)" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.fat32", "FAT32 (4GiB)" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.custom", "Personalizzato" },
                        { "hex.builtin.tools.file_tools.splitter.input", "File da dividere " },
                        { "hex.builtin.tools.file_tools.splitter.picker.input", "Apri file da dividere" },
                        { "hex.builtin.tools.file_tools.splitter.output", "Cartella di output " },
                        { "hex.builtin.tools.file_tools.splitter.picker.output", "Imposta il percorso base" },
                        { "hex.builtin.tools.file_tools.splitter.picker.splitting", "Sto dividendo..." },
                        { "hex.builtin.tools.file_tools.splitter.picker.split", "Dividi" },
                        { "hex.builtin.tools.file_tools.splitter.picker.error.open", "Impossibile aprire il file selezionato!" },
                        { "hex.builtin.tools.file_tools.splitter.picker.error.size", "Il file è più piccolo della dimensione del file" },
                        { "hex.builtin.tools.file_tools.splitter.picker.error.create", "Impossibile creare file {0}" },
                        { "hex.builtin.tools.file_tools.splitter.picker.success", "File diviso con successo!" },
                    { "hex.builtin.tools.file_tools.combiner", "Combina" },
                        { "hex.builtin.tools.file_tools.combiner.add", "Aggiungi..." },
                        { "hex.builtin.tools.file_tools.combiner.add.picker", "Aggiungi file" },
                        { "hex.builtin.tools.file_tools.combiner.delete", "Elimina" },
                        { "hex.builtin.tools.file_tools.combiner.clear", "Pulisci" },
                        { "hex.builtin.tools.file_tools.combiner.output", "Fil di output " },
                        { "hex.builtin.tools.file_tools.combiner.output.picker", "Imposta il percorso base" },
                        { "hex.builtin.tools.file_tools.combiner.combining", "Sto combinando..." },
                        { "hex.builtin.tools.file_tools.combiner.combine", "Combina" },
                        { "hex.builtin.tools.file_tools.combiner.error.open_output", "Impossibile creare file di output" },
                        { "hex.builtin.tools.file_tools.combiner.open_input", "Impossibile aprire file di input {0}" },
                        { "hex.builtin.tools.file_tools.combiner.success", "File combinato con successo!" },
                //{ "hex.builtin.tools.ieee756", "IEEE 756 Floating Point Tester" },
                    //{ "hex.builtin.tools.ieee756.sign", "Sign" },
                    //{ "hex.builtin.tools.ieee756.exponent", "Exponent" },
                    //{ "hex.builtin.tools.ieee756.mantissa", "Mantissa" },
                    //{ "hex.builtin.tools.ieee756.exponent_size", "Exponent Size" },
                    //{ "hex.builtin.tools.ieee756.mantissa_size", "Mantissa Size" },
                    //{ "hex.builtin.tools.ieee756.half_precision", "Half Precision" },
                    //{ "hex.builtin.tools.ieee756.singe_precision", "Single Precision" },
                    //{ "hex.builtin.tools.ieee756.double_precision", "Double Precision" },
                    //{ "hex.builtin.tools.ieee756.type", "Type" },
                    //{ "hex.builtin.tools.ieee756.formula", "Formula" },
                    //{ "hex.builtin.tools.ieee756.result.title", "Result" },
                    //{ "hex.builtin.tools.ieee756.result.float", "Floating Point Result" },
                    //{ "hex.builtin.tools.ieee756.result.hex", "Hexadecimal Result" },

                { "hex.builtin.setting.imhex", "ImHex" },
                    { "hex.builtin.setting.imhex.recent_files", "File recenti" },
                { "hex.builtin.setting.general", "Generali" },
                    // { "hex.builtin.setting.general.check_for_updates", "Check for updates on startup" },
                    { "hex.builtin.setting.general.show_tips", "Mostra consigli all'avvio" },
                    { "hex.builtin.setting.general.auto_load_patterns", "Auto-caricamento del pattern supportato" },
                    // { "hex.builtin.setting.general.sync_pattern_source", "Sync pattern source code between providers" },
                    // { "hex.builtin.setting.general.enable_unicode", "Load all unicode characters" },
                { "hex.builtin.setting.interface", "Interfaccia" },
                    { "hex.builtin.setting.interface.color", "Colore del Tema" },
                        { "hex.builtin.setting.interface.color.system", "Sistema" },
                        { "hex.builtin.setting.interface.color.dark", "Scuro" },
                        { "hex.builtin.setting.interface.color.light", "Chiaro" },
                        { "hex.builtin.setting.interface.color.classic", "Classico" },
                    { "hex.builtin.setting.interface.language", "Lingua" },
                    //{ "hex.builtin.setting.interface.wiki_explain_language", "Wikipedia Language" },
                    { "hex.builtin.setting.interface.scaling", "Scale" },
                        { "hex.builtin.setting.interface.scaling.native", "Nativo" },
                        { "hex.builtin.setting.interface.scaling.x0_5", "x0.5" },
                        { "hex.builtin.setting.interface.scaling.x1_0", "x1.0" },
                        { "hex.builtin.setting.interface.scaling.x1_5", "x1.5" },
                        { "hex.builtin.setting.interface.scaling.x2_0", "x2.0" },
                        { "hex.builtin.setting.interface.scaling.x2_0", "x3.0" },
                        { "hex.builtin.setting.interface.scaling.x2_0", "x4.0" },
                    { "hex.builtin.setting.interface.fps", "Limite FPS" },
                    { "hex.builtin.setting.interface.fps.unlocked", "Unblocca" },
                    //{ "hex.builtin.setting.interface.multi_windows", "Enable Multi Window support" },
                { "hex.builtin.setting.hex_editor", "Hex Editor" },
                    //{ "hex.builtin.setting.hex_editor.highlight_color", "Selection highlight color" },
                    //{ "hex.builtin.setting.hex_editor.bytes_per_row", "Bytes per row" },
                    { "hex.builtin.setting.hex_editor.ascii", "Mostra la colonna ASCII" },
                    { "hex.builtin.setting.hex_editor.advanced_decoding", "Mostra la colonna di decodifica avanzata" },
                    { "hex.builtin.setting.hex_editor.grey_zeros", "Taglia fuori gli zeri" },
                    { "hex.builtin.setting.hex_editor.uppercase_hex", "Caratteri esadecimali maiuscoli" },
                    //{ "hex.builtin.setting.hex_editor.visualizer", "Data visualizer" },
                    //{ "hex.builtin.setting.hex_editor.sync_scrolling", "Synchronize editor position" },
                    //{ "hex.builtin.setting.hex_editor.byte_padding", "Extra byte cell padding" },
                    //{ "hex.builtin.setting.hex_editor.char_padding", "Extra character cell padding" },
                //{ "hex.builtin.setting.folders", "Folders" },
                    //{ "hex.builtin.setting.folders.description", "Specify additional search paths for patterns, scripts, rules and more" },
                    // { "hex.builtin.setting.folders.add_folder", "Add new folder" },
                    // { "hex.builtin.setting.folders.remove_folder", "Remove currently selected folder from list" },
                //{ "hex.builtin.setting.font", "Font" },
                    //{ "hex.builtin.setting.font.font_path", "Custom Font Path" },
                    //{ "hex.builtin.setting.font.font_size", "Font Size" },
                //{ "hex.builtin.setting.proxy", "Proxy" },
                    //{ "hex.builtin.setting.proxy.description", "Proxy will take effect on store, wikipedia or any other plugin immediately." },
                    //{ "hex.builtin.setting.proxy.enable", "Enable Proxy" },
                    //{ "hex.builtin.setting.proxy.url", "Proxy URL" },
                    //{ "hex.builtin.setting.proxy.url.tooltip", "http(s):// or socks5:// (e.g., http://127.0.0.1:1080)" },

                { "hex.builtin.provider.file", "Provider di file" },
                    { "hex.builtin.provider.file.path", "Percorso del File" },
                    { "hex.builtin.provider.file.size", "Dimensione" },
                    { "hex.builtin.provider.file.creation", "Data di creazione" },
                    { "hex.builtin.provider.file.access", "Data dell'ultimo accesso" },
                    { "hex.builtin.provider.file.modification", "Data dell'ultima modifica" },
                { "hex.builtin.provider.gdb", "Server GDB Provider" },
                    { "hex.builtin.provider.gdb.name", "Server GDB <{0}:{1}>" },
                    { "hex.builtin.provider.gdb.server", "Server" },
                    { "hex.builtin.provider.gdb.ip", "Indirizzo IP" },
                    { "hex.builtin.provider.gdb.port", "Porta" },
                { "hex.builtin.provider.disk", "Provider di dischi raw" },
                    { "hex.builtin.provider.disk.selected_disk", "Disco" },
                    { "hex.builtin.provider.disk.disk_size", "Dimensione disco" },
                    { "hex.builtin.provider.disk.sector_size", "Dimensione settore" },
                    { "hex.builtin.provider.disk.reload", "Ricarica" },
                //{ "hex.builtin.provider.intel_hex", "Intel Hex Provider" },
                //    { "hex.builtin.provider.intel_hex.name", "Intel Hex {0}" },
                //{ "hex.builtin.provider.motorola_srec", "Motorola SREC Provider" },
                //    { "hex.builtin.provider.motorola_srec.name", "Motorola SREC {0}" },
                //{ "hex.builtin.provider.mem_file", "Memory File" },
                //    { "hex.builtin.provider.mem_file.unsaved", "Unsaved File" },
                //{ "hex.builtin.provider.view", "View" },

                { "hex.builtin.layouts.default", "Default" },

                //{ "hex.builtin.visualizer.hexadecimal.8bit", "Hexadecimal (8 bits)" },
                //{ "hex.builtin.visualizer.hexadecimal.16bit", "Hexadecimal (16 bits)" },
                //{ "hex.builtin.visualizer.hexadecimal.32bit", "Hexadecimal (32 bits)" },
                //{ "hex.builtin.visualizer.hexadecimal.64bit", "Hexadecimal (64 bits)" },
                //{ "hex.builtin.visualizer.decimal.signed.8bit", "Decimal Signed (8 bits)" },
                //{ "hex.builtin.visualizer.decimal.signed.16bit", "Decimal Signed (16 bits)" },
                //{ "hex.builtin.visualizer.decimal.signed.32bit", "Decimal Signed (32 bits)" },
                //{ "hex.builtin.visualizer.decimal.signed.64bit", "Decimal Signed (64 bits)" },
                //{ "hex.builtin.visualizer.decimal.unsigned.8bit", "Decimal Unsigned (8 bits)" },
                //{ "hex.builtin.visualizer.decimal.unsigned.16bit", "Decimal Unsigned (16 bits)" },
                //{ "hex.builtin.visualizer.decimal.unsigned.32bit", "Decimal Unsigned (32 bits)" },
                //{ "hex.builtin.visualizer.decimal.unsigned.64bit", "Decimal Unsigned (64 bits)" },
                //{ "hex.builtin.visualizer.floating_point.16bit", "Floating Point (16 bits)" },
                //{ "hex.builtin.visualizer.floating_point.32bit", "Floating Point (32 bits)" },
                //{ "hex.builtin.visualizer.floating_point.64bit", "Floating Point (64 bits)" },
                //{ "hex.builtin.visualizer.hexii", "HexII" },
                //{ "hex.builtin.visualizer.rgba8", "RGBA8 Color" },

                { "hex.builtin.hash.md5", "MD5" },
                { "hex.builtin.hash.sha1", "SHA1" },
                { "hex.builtin.hash.sha224", "SHA224" },
                { "hex.builtin.hash.sha256", "SHA256" },
                { "hex.builtin.hash.sha384", "SHA384" },
                { "hex.builtin.hash.sha512", "SHA512" },
                { "hex.builtin.hash.crc8", "CRC8" },
                { "hex.builtin.hash.crc16", "CRC16" },
                { "hex.builtin.hash.crc32", "CRC32" },
                    { "hex.builtin.hash.crc.poly", "Polinomio" },
                    { "hex.builtin.hash.crc.iv", "Valore Iniziale" },
                    //{ "hex.builtin.hash.crc.xor_out", "XOR Out" },
                    //{ "hex.builtin.hash.crc.refl_in", "Reflect In" },
                    //{ "hex.builtin.hash.crc.refl_out", "Reflect Out" },
        });
    }

}