#include <hex/api/content_registry.hpp>
#include <hex/api/localization.hpp>

namespace hex::plugin::builtin {

    void registerLanguageJaJP() {
        ContentRegistry::Language::registerLanguage("Japanese", "ja-JP");

        ContentRegistry::Language::addLocalizations("ja-JP", {
                { "hex.builtin.welcome.header.main", "ImHexへようこそ" },
                { "hex.builtin.welcome.header.start", "はじめる" },
                    { "hex.builtin.welcome.start.create_file", "新規ファイルを作成" },
                    { "hex.builtin.welcome.start.open_file", "ファイルを開く…" },
                    { "hex.builtin.welcome.start.open_project", "プロジェクトを開く…" },
                    { "hex.builtin.welcome.start.recent", "最近使用したファイル" },
                    { "hex.builtin.welcome.start.open_other", "その他のプロバイダ" },
                { "hex.builtin.welcome.header.help", "ヘルプ" },
                    { "hex.builtin.welcome.help.repo", "GitHubリポジトリ" },
                        { "hex.builtin.welcome.help.repo.link", "https://imhex.werwolv.net/git" },
                    { "hex.builtin.welcome.help.gethelp", "助けを得る" },
                        { "hex.builtin.welcome.help.gethelp.link", "https://github.com/WerWolv/ImHex/discussions/categories/get-help" },
                    { "hex.builtin.welcome.help.discord", "Discordサーバー" },
                        { "hex.builtin.welcome.help.discord.link", "https://imhex.werwolv.net/discord" },
                { "hex.builtin.welcome.header.plugins", "読み込んだプラグイン" },
                    { "hex.builtin.welcome.plugins.plugin", "プラグイン" },
                    { "hex.builtin.welcome.plugins.author", "作者" },
                    { "hex.builtin.welcome.plugins.desc", "詳細" },
                { "hex.builtin.welcome.header.customize", "カスタマイズ" },
                    { "hex.builtin.welcome.customize.settings.title", "設定" },
                    { "hex.builtin.welcome.customize.settings.desc", "ImHexの設定を変更します" },
                { "hex.builtin.welcome.header.update", "アップデート" },
                    { "hex.builtin.welcome.update.title", "新しいアップデートが利用可能です。" },
                    { "hex.builtin.welcome.update.desc", "ImHex {0} がリリースされました。ここからダウンロードできます。" },
                    { "hex.builtin.welcome.update.link", "https://github.com/WerWolv/ImHex/releases/latest" },
                { "hex.builtin.welcome.header.learn", "学習" },
                    { "hex.builtin.welcome.learn.latest.title", "最新のリリース" },
                    { "hex.builtin.welcome.learn.latest.desc", "ImHexの更新履歴を見る" },
                    { "hex.builtin.welcome.learn.latest.link", "https://github.com/WerWolv/ImHex/releases/latest" },
                    { "hex.builtin.welcome.learn.pattern.title", "ImHexオリジナル言語について" },
                    { "hex.builtin.welcome.learn.pattern.desc", "公式ドキュメントを読む" },
                    { "hex.builtin.welcome.learn.pattern.link", "https://imhex.werwolv.net/docs" },
                    { "hex.builtin.welcome.learn.plugins.title", "プラグインAPI" },
                    { "hex.builtin.welcome.learn.plugins.desc", "ImHexの機能を拡張する" },
                    { "hex.builtin.welcome.learn.plugins.link", "https://github.com/WerWolv/ImHex/wiki/Plugins-Development-Guide" },
                { "hex.builtin.welcome.header.various", "Various" }, //?
                { "hex.builtin.welcome.tip_of_the_day", "今日の豆知識" },
                // { "hex.builtin.welcome.check_for_updates_text", "Do you want to automatically check for updates on startup?\n"
                //     "Possible updates will be shown in the 'Update' tab of the welcome screen" },

                { "hex.builtin.welcome.safety_backup.title", "セッションの回復" },
                { "hex.builtin.welcome.safety_backup.desc", "ImHexがクラッシュしました。\n前のデータを復元しますか？"},
                { "hex.builtin.welcome.safety_backup.restore", "復元する" },
                { "hex.builtin.welcome.safety_backup.delete", "破棄する" },

                //{ "hex.builtin.common.name", "Name" },
                { "hex.builtin.common.endian", "エンディアン" },
                { "hex.builtin.common.little_endian", "リトルエンディアン" },
                { "hex.builtin.common.big_endian", "ビッグエンディアン" },
                { "hex.builtin.common.little", "リトル" },
                { "hex.builtin.common.big", "ビッグ" },
                //{ "hex.builtin.common.number_format", "Format" },
                { "hex.builtin.common.decimal", "10進数" },
                { "hex.builtin.common.hexadecimal", "16進数" },
                { "hex.builtin.common.octal", "8進数" },
                { "hex.builtin.common.info", "情報" },
                { "hex.builtin.common.error", "エラー" },
                { "hex.builtin.common.fatal", "深刻なエラー" },
                //{ "hex.builtin.common.question", "Question" },
                { "hex.builtin.common.address", "アドレス" },
                { "hex.builtin.common.size", "サイズ" },
                { "hex.builtin.common.region", "領域" },
                { "hex.builtin.common.match_selection", "選択範囲と一致" },
                { "hex.builtin.common.yes", "はい" },
                { "hex.builtin.common.no", "いいえ" },
                { "hex.builtin.common.okay", "OK" },
                { "hex.builtin.common.load", "読み込む" },
                { "hex.builtin.common.cancel", "キャンセル" },
                { "hex.builtin.common.set", "セット" },
                { "hex.builtin.common.close", "閉じる" },
                { "hex.builtin.common.dont_show_again", "再度表示しない" },
                { "hex.builtin.common.link", "リンク" }, //?
                { "hex.builtin.common.file", "ファイル" },
                { "hex.builtin.common.open", "開く" },
                { "hex.builtin.common.browse", "ファイルを参照…" },
                { "hex.builtin.common.choose_file", "ファイルを選択" },
                // { "hex.builtin.common.processing", "Processing" },
                { "hex.builtin.common.filter", "フィルタ" },
                //{ "hex.builtin.common.count", "Count" },
                { "hex.builtin.common.value", "値" },
                //{ "hex.builtin.common.type", "Type" },
                    { "hex.builtin.common.type.u8", "uint8_t" },
                    { "hex.builtin.common.type.i8", "int8_t" },
                    { "hex.builtin.common.type.u16", "uint16_t" },
                    { "hex.builtin.common.type.i16", "int16_t" },
                    { "hex.builtin.common.type.u24", "uint24_t" },
                    { "hex.builtin.common.type.i24", "int24_t" },
                    { "hex.builtin.common.type.u32", "uint32_t" },
                    { "hex.builtin.common.type.i32", "int32_t" },
                    { "hex.builtin.common.type.u48", "uint48_t" },
                    { "hex.builtin.common.type.i48", "int48_t" },
                    { "hex.builtin.common.type.u64", "uint64_t" },
                    { "hex.builtin.common.type.i64", "int64_t" },
                    { "hex.builtin.common.type.f32", "float" },
                    { "hex.builtin.common.type.f64", "double" },
                { "hex.builtin.common.offset", "オフセット" },
                { "hex.builtin.common.range", "範囲" },
                    { "hex.builtin.common.range.entire_data", "データ全体" },
                    { "hex.builtin.common.range.selection", "選択範囲" },
                { "hex.builtin.common.comment", "コメント" },

                { "hex.builtin.common.encoding.ascii", "ASCII" },
                { "hex.builtin.common.encoding.utf16le", "UTF-16LE" },
                { "hex.builtin.common.encoding.utf16be", "UTF-16BE" },
                { "hex.builtin.common.encoding.utf8", "UTF-8" },

                { "hex.builtin.popup.exit_application.title", "アプリケーションを終了しますか？" },
                { "hex.builtin.popup.exit_application.desc", "プロジェクトに保存されていない変更があります。\n終了してもよろしいですか？" },
                //{ "hex.builtin.popup.close_provider.title", "Close Provider?" },
                //{ "hex.builtin.popup.close_provider.desc", "You have unsaved changes made to this Provider.\nAre you sure you want to close it?" },
                { "hex.builtin.popup.error.read_only", "書き込み権限を取得できませんでした。ファイルが読み取り専用で開かれました。" },
                { "hex.builtin.popup.error.open", "ファイルを開けませんでした。" },
                { "hex.builtin.popup.error.create", "新しいファイルを作成できませんでした。" },
                //{ "hex.builtin.popup.error.project.load", "Failed to load project!" },
                //{ "hex.builtin.popup.error.project.save", "Failed to save project!" },
                //{ "hex.builtin.popup.error.task_exception", "Exception thrown in Task '{}':\n\n{}" },
                //{ "hex.builtin.popup.error.file_dialog.portal",
                //    "There was an error while opening the file browser. This might be caused by your system not having a xdg-desktop-portal backend installed correctly.\n"
                //    "\n"
                //    "On KDE, it's xdg-desktop-portal-kde.\n"
                //    "On Gnome it's xdg-desktop-portal-gnome.\n"
                //    "On wlroots it's xdg-desktop-portal-wlr.\n"
                //    "Otherwise, you can try to use xdg-desktop-portal-gtk.\n"
                //    "\n"
                //    "Reboot your system after installing it.\n"
                //    "\n"
                //    "If the file browser still doesn't work after this, submit an issue at https://github.com/WerWolv/ImHex/issues\n"
                //    "\n"
                //    "In the meantime files can still be opened by dragging them onto the ImHex window!"
                //},
                //{ "hex.builtin.popup.error.file_dialog.common", "An error occurred while opening the file browser!" },

                { "hex.builtin.hex_editor.page", "ページ" },
                { "hex.builtin.hex_editor.selection", "選択中" },
                { "hex.builtin.hex_editor.selection.none", "なし" },
                { "hex.builtin.hex_editor.region", "ページの領域" },
                { "hex.builtin.hex_editor.data_size", "ファイルサイズ" },
                //{ "hex.builtin.hex_editor.no_bytes", "No bytes available" },

                { "hex.builtin.pattern_drawer.var_name", "名前" },
                { "hex.builtin.pattern_drawer.color", "色" },
                { "hex.builtin.pattern_drawer.offset", "オフセット" },
                { "hex.builtin.pattern_drawer.size", "サイズ" },
                { "hex.builtin.pattern_drawer.type", "型" },
                { "hex.builtin.pattern_drawer.value", "値" },
                //{ "hex.builtin.pattern_drawer.double_click", "Double-click to see more items" },

                { "hex.builtin.menu.file", "ファイル" },
                    //{ "hex.builtin.menu.file.create_file", "New File..." },
                    { "hex.builtin.menu.file.open_file", "ファイルを開く…" },
                    { "hex.builtin.menu.file.open_recent", "最近使用したファイル" },
                    { "hex.builtin.menu.file.clear_recent", "リストをクリア" },
                    { "hex.builtin.menu.file.open_other", "その他の開くオプション…" },
                    { "hex.builtin.menu.file.close", "ファイルを閉じる" },
                    //{ "hex.builtin.menu.file.reload_file", "Reload File" },
                    { "hex.builtin.menu.file.quit", "ImHexを終了" },
                    { "hex.builtin.menu.file.open_project", "プロジェクトを開く…" },
                    { "hex.builtin.menu.file.save_project", "プロジェクトを保存…" },
                    { "hex.builtin.view.hex_editor.menu.file.load_encoding_file", "カスタムエンコードを読み込む…" },
                    { "hex.builtin.menu.file.import", "インポート…" },
                        { "hex.builtin.menu.file.import.base64", "Base64ファイル" },
                            { "hex.builtin.menu.file.import.base64.popup.import_error", "有効なBase64形式ではありません。" },
                            { "hex.builtin.menu.file.import.base64.popup.open_error", "ファイルを開けません。" },
                        { "hex.builtin.menu.file.import.ips", "IPSパッチ" },
                        { "hex.builtin.menu.file.import.ips32", "IPS32パッチ" },
                    { "hex.builtin.menu.file.export", "エクスポート…" },
                        { "hex.builtin.menu.file.export.title", "ファイルをエクスポート" },
                        { "hex.builtin.menu.file.export.ips", "IPSパッチ" },
                        { "hex.builtin.menu.file.export.ips32", "IPS32パッチ" },
                        { "hex.builtin.menu.file.export.base64.popup.export_error", "有効なBase64形式ではありません。" },
                        { "hex.builtin.menu.file.export.popup.create", "データをエクスポートできません。\nファイルの作成に失敗しました。" },
                    { "hex.builtin.menu.file.bookmark.import", "ブックマークをインポート…" },
                    { "hex.builtin.menu.file.bookmark.export", "ブックマークをエクスポート…" },

                { "hex.builtin.menu.edit", "編集" },
                    { "hex.builtin.menu.edit.undo", "元に戻す" },
                    { "hex.builtin.menu.edit.redo", "やり直す" },
                    { "hex.builtin.menu.edit.bookmark.create", "ブックマークを作成" },

                { "hex.builtin.menu.view", "表示" },
                { "hex.builtin.menu.layout", "レイアウト" },
                    { "hex.builtin.menu.view.fps", "FPSを表示" },
                    { "hex.builtin.menu.view.demo", "ImGuiデモを表示" },
                { "hex.builtin.menu.help", "ヘルプ" },

                { "hex.builtin.view.bookmarks.name", "ブックマーク" },
                    { "hex.builtin.view.bookmarks.default_title", "ブックマーク [0x{0:X} - 0x{1:X}]" },
                    { "hex.builtin.view.bookmarks.no_bookmarks", "ブックマークが作成されていません。編集 -> ブックマークを作成 から追加できます。" },
                    { "hex.builtin.view.bookmarks.title.info", "情報" },
                    { "hex.builtin.view.bookmarks.address", "0x{0:X} : 0x{1:X} ({2} バイト)" },
                    { "hex.builtin.view.bookmarks.button.jump", "移動" },
                    { "hex.builtin.view.bookmarks.button.remove", "削除" },
                    { "hex.builtin.view.bookmarks.header.name", "名前" },
                    { "hex.builtin.view.bookmarks.header.color", "色" },
                    { "hex.builtin.view.bookmarks.header.comment", "コメント" },

                { "hex.builtin.view.command_palette.name", "コマンドパレット" },

                { "hex.builtin.view.data_inspector.name", "データインスペクタ" },
                    { "hex.builtin.view.data_inspector.table.name", "名前" },
                    { "hex.builtin.view.data_inspector.table.value", "値" },
                    { "hex.builtin.view.data_inspector.no_data", "範囲が選択されていません"},
                    { "hex.builtin.view.data_inspector.invert", "反転" },

                { "hex.builtin.view.data_processor.name", "データプロセッサ" },
                    { "hex.builtin.view.data_processor.help_text", "右クリックでノードを追加" },
                    { "hex.builtin.view.data_processor.menu.remove_selection", "選択部分を削除" },
                    { "hex.builtin.view.data_processor.menu.remove_node", "ノードを削除" },
                    { "hex.builtin.view.data_processor.menu.remove_link", "リンクを削除" },
                    { "hex.builtin.view.data_processor.menu.file.load_processor", "データプロセッサを読み込む…" },
                    { "hex.builtin.view.data_processor.menu.file.save_processor", "データプロセッサを保存…" },

                { "hex.builtin.view.disassembler.name", "逆アセンブラ" },
                    { "hex.builtin.view.disassembler.position", "位置" },
                    { "hex.builtin.view.disassembler.base", "ベースアドレス" },
                    { "hex.builtin.view.disassembler.region", "コード領域" },
                    { "hex.builtin.view.disassembler.settings.header", "設定" },
                    { "hex.builtin.view.disassembler.settings.mode", "モード" },
                    { "hex.builtin.view.disassembler.arch", "アーキテクチャ" },
                        { "hex.builtin.view.disassembler.16bit", "16-bit" },
                        { "hex.builtin.view.disassembler.32bit", "32-bit" },
                        { "hex.builtin.view.disassembler.64bit", "64-bit" },

                        { "hex.builtin.view.disassembler.arm.arm", "ARM" },
                        { "hex.builtin.view.disassembler.arm.thumb", "Thumb" },
                        { "hex.builtin.view.disassembler.arm.default", "デフォルト" },
                        { "hex.builtin.view.disassembler.arm.cortex_m", "Cortex-M" },
                        { "hex.builtin.view.disassembler.arm.armv8", "ARMv8" },

                        { "hex.builtin.view.disassembler.mips.mips32", "MIPS32" },
                        { "hex.builtin.view.disassembler.mips.mips64", "MIPS64" },
                        { "hex.builtin.view.disassembler.mips.mips32R6", "MIPS32R6" },
                        { "hex.builtin.view.disassembler.mips.mips2", "MIPS II" },
                        { "hex.builtin.view.disassembler.mips.mips3", "MIPS III" },
                        { "hex.builtin.view.disassembler.mips.micro", "Micro" },

                        //{ "hex.builtin.view.disassembler.ppc.qpx", "クアッド処理拡張" },
                        { "hex.builtin.view.disassembler.ppc.spe", "信号処理エンジン" },
                        { "hex.builtin.view.disassembler.ppc.booke", "Book-E" },

                        { "hex.builtin.view.disassembler.sparc.v9", "Sparc V9" },

                        { "hex.builtin.view.disassembler.riscv.compressed", "圧縮済み" },

                        { "hex.builtin.view.disassembler.m68k.000", "000" },
                        { "hex.builtin.view.disassembler.m68k.010", "010" },
                        { "hex.builtin.view.disassembler.m68k.020", "020" },
                        { "hex.builtin.view.disassembler.m68k.030", "030" },
                        { "hex.builtin.view.disassembler.m68k.040", "040" },
                        { "hex.builtin.view.disassembler.m68k.060", "060" },

                        { "hex.builtin.view.disassembler.m680x.6301", "6301" },
                        { "hex.builtin.view.disassembler.m680x.6309", "6309" },
                        { "hex.builtin.view.disassembler.m680x.6800", "6800" },
                        { "hex.builtin.view.disassembler.m680x.6801", "6801" },
                        { "hex.builtin.view.disassembler.m680x.6805", "6805" },
                        { "hex.builtin.view.disassembler.m680x.6808", "6808" },
                        { "hex.builtin.view.disassembler.m680x.6809", "6809" },
                        { "hex.builtin.view.disassembler.m680x.6811", "6811" },
                        { "hex.builtin.view.disassembler.m680x.cpu12", "CPU12" },
                        { "hex.builtin.view.disassembler.m680x.hcs08", "HCS08" },

                        { "hex.builtin.view.disassembler.mos65xx.6502", "6502" },
                        { "hex.builtin.view.disassembler.mos65xx.65c02", "65C02" },
                        { "hex.builtin.view.disassembler.mos65xx.w65c02", "W65C02" },
                        { "hex.builtin.view.disassembler.mos65xx.65816", "65816" },
                        { "hex.builtin.view.disassembler.mos65xx.65816_long_m", "65816 Long M" },
                        { "hex.builtin.view.disassembler.mos65xx.65816_long_x", "65816 Long X" },
                        { "hex.builtin.view.disassembler.mos65xx.65816_long_mx", "65816 Long MX" },

                        { "hex.builtin.view.disassembler.bpf.classic", "クラシック" },
                        { "hex.builtin.view.disassembler.bpf.extended", "拡張" },

                    { "hex.builtin.view.disassembler.disassemble", "逆アセンブル" },
                    { "hex.builtin.view.disassembler.disassembling", "逆アセンブル中…" },
                    { "hex.builtin.view.disassembler.disassembly.title", "逆アセンブル" },
                        { "hex.builtin.view.disassembler.disassembly.address", "アドレス" },
                        { "hex.builtin.view.disassembler.disassembly.offset", "オフセット" },
                        { "hex.builtin.view.disassembler.disassembly.bytes", "バイト" },

                { "hex.builtin.view.hashes.name", "ハッシュ" },
                    //{ "hex.builtin.view.hashes.hash", "Hash" },
                    //{ "hex.builtin.view.hashes.no_settings", "No settings available" },
                    { "hex.builtin.view.hashes.function", "ハッシュ関数" },
                    //{ "hex.builtin.view.hashes.table.name", "Name" },
                    //{ "hex.builtin.view.hashes.table.type", "Type" },
                    { "hex.builtin.view.hashes.table.result", "結果" },
                    //{ "hex.builtin.view.hashes.remove", "Remove hash" },
                    //{ "hex.builtin.view.hashes.hover_info", "Hover over the Hex Editor selection and hold down SHIFT to view the hashes of that region." },

                { "hex.builtin.view.help.name", "ヘルプ" },
                    { "hex.builtin.view.help.about.name", "このソフトについて" },
                        { "hex.builtin.view.help.about.translator", "Translated by gnuhead-chieb" },
                        { "hex.builtin.view.help.about.source", "GitHubからソースコードを入手できます:" },
                        { "hex.builtin.view.help.about.donations", "寄付" },
                        { "hex.builtin.view.help.about.thanks", "ご使用いただきありがとうございます。もし気に入って頂けたなら、プロジェクトを継続するための寄付をご検討ください。" },
                        { "hex.builtin.view.help.about.contributor", "ご協力頂いた方々" },
                        { "hex.builtin.view.help.about.libs", "使用しているライブラリ" },
                        { "hex.builtin.view.help.about.paths", "ImHexのディレクトリ" },
                        { "hex.builtin.view.help.about.license", "ライセンス" },
                    { "hex.builtin.view.help.documentation", "ImHexドキュメント" },
                    { "hex.builtin.view.help.pattern_cheat_sheet", "パターン言語リファレンス"},
                    { "hex.builtin.view.help.calc_cheat_sheet", "計算機チートシート" },

                { "hex.builtin.view.hex_editor.name", "Hexエディタ" },

                    { "hex.builtin.view.hex_editor.menu.file.search", "検索" },
                        { "hex.builtin.view.hex_editor.search.string", "文字列" },
                        { "hex.builtin.view.hex_editor.search.hex", "16進数" },
                        { "hex.builtin.view.hex_editor.search.find", "検索" },
                        { "hex.builtin.view.hex_editor.search.find_next", "次を検索" },
                        { "hex.builtin.view.hex_editor.search.find_prev", "前を検索" },
                    { "hex.builtin.view.hex_editor.menu.file.goto", "移動" },
                        { "hex.builtin.view.hex_editor.goto.offset.absolute", "絶対アドレス" },
                        { "hex.builtin.view.hex_editor.goto.offset.relative", "相対アドレス" },
                        { "hex.builtin.view.hex_editor.goto.offset.begin", "開始" }, //?
                        { "hex.builtin.view.hex_editor.goto.offset.end", "終了" }, //?
                    //{ "hex.builtin.view.hex_editor.menu.file.select", "Select" },
                    //    { "hex.builtin.view.hex_editor.select.offset.region", "Region" },
                    //        { "hex.builtin.view.hex_editor.select.offset.begin", "Begin" },
                    //        { "hex.builtin.view.hex_editor.select.offset.end", "End" },
                    //          { "hex.builtin.view.hex_editor.select.offset.size", "Size" },
                    //    { "hex.builtin.view.hex_editor.select.select", "Select" },
                    { "hex.builtin.view.hex_editor.menu.file.save", "保存" },
                    { "hex.builtin.view.hex_editor.menu.file.save_as", "名前をつけて保存…" },
                    { "hex.builtin.view.hex_editor.menu.edit.copy", "コピー" },
                    { "hex.builtin.view.hex_editor.menu.edit.copy_as", "〜としてコピー…" },
                        { "hex.builtin.view.hex_editor.copy.hex", "文字列" },
                        //{ "hex.builtin.view.hex_editor.copy.address", "Address" },
                        { "hex.builtin.view.hex_editor.copy.c", "C 配列" },
                        { "hex.builtin.view.hex_editor.copy.cpp", "C++ 配列" },
                        { "hex.builtin.view.hex_editor.copy.csharp", "C# 配列" },
                        { "hex.builtin.view.hex_editor.copy.rust", "Rust 配列" },
                        { "hex.builtin.view.hex_editor.copy.python", "Python 配列" },
                        { "hex.builtin.view.hex_editor.copy.java", "Java 配列" },
                        { "hex.builtin.view.hex_editor.copy.js", "JavaScript 配列" },
                        { "hex.builtin.view.hex_editor.copy.lua", "Lua 配列" },
                        { "hex.builtin.view.hex_editor.copy.go", "Go 配列" },
                        { "hex.builtin.view.hex_editor.copy.crystal", "Crystal 配列" },
                        { "hex.builtin.view.hex_editor.copy.swift", "Swift 配列" },
                        { "hex.builtin.view.hex_editor.copy.pascal", "Pascal 配列" },
                        { "hex.builtin.view.hex_editor.copy.base64", "Base64" },
                        //{ "hex.builtin.view.hex_editor.copy.ascii", "Text Area" },
                        { "hex.builtin.view.hex_editor.copy.html", "HTML" },
                    { "hex.builtin.view.hex_editor.menu.edit.paste", "貼り付け" },
                    //{ "hex.builtin.view.hex_editor.menu.edit.paste_all", "Paste all" },
                    { "hex.builtin.view.hex_editor.menu.edit.select_all", "すべて選択" },
                    { "hex.builtin.view.hex_editor.menu.edit.bookmark", "ブックマークを作成" },
                    { "hex.builtin.view.hex_editor.menu.edit.set_base", "ベースアドレスをセット" },
                    { "hex.builtin.view.hex_editor.menu.edit.resize", "リサイズ…" },
                    { "hex.builtin.view.hex_editor.menu.edit.insert", "挿入…" },
                    //{ "hex.builtin.view.hex_editor.menu.edit.remove", "Remove..." },
                    //{ "hex.builtin.view.hex_editor.menu.edit.jump_to", "Jump to" },
                    //{ "hex.builtin.view.hex_editor.menu.edit.open_in_new_provider", "Open selection view..." },

                { "hex.builtin.view.information.name", "データ解析" },
                    { "hex.builtin.view.information.control", "コントロール" },
                    { "hex.builtin.view.information.analyze", "表示中のページを解析する" },
                    { "hex.builtin.view.information.analyzing", "解析中…" },
                    { "hex.builtin.view.information.region", "解析する領域" },
                    { "hex.builtin.view.information.magic", "Magic情報" },
                    { "hex.builtin.view.information.description", "詳細:" },
                    { "hex.builtin.view.information.mime", "MIMEタイプ:" },
                    { "hex.builtin.view.information.info_analysis", "情報の分析" },
                    { "hex.builtin.view.information.distribution", "バイト分布" },
                    { "hex.builtin.view.information.entropy", "エントロピー" },
                    { "hex.builtin.view.information.block_size", "ブロックサイズ" },
                    { "hex.builtin.view.information.block_size.desc", "{0} ブロック/ {1} バイト" },
                    { "hex.builtin.view.information.file_entropy", "ファイルのエントロピー" },
                    { "hex.builtin.view.information.highest_entropy", "最大エントロピーブロック" },
                    { "hex.builtin.view.information.encrypted", "暗号化や圧縮を経たデータと推測されます。" },
                    { "hex.builtin.view.information.magic_db_added", "Magicデータベースが追加されました。" },

                { "hex.builtin.view.patches.name", "パッチ" },
                    { "hex.builtin.view.patches.offset", "オフセット" },
                    { "hex.builtin.view.patches.orig", "元の値" },
                    { "hex.builtin.view.patches.patch", "パッチした値"},
                    { "hex.builtin.view.patches.remove", "パッチを削除" },

                { "hex.builtin.view.pattern_editor.name", "パターンエディタ" },
                { "hex.builtin.view.pattern_editor.accept_pattern", "使用できるパターン" },
                    { "hex.builtin.view.pattern_editor.accept_pattern.desc", "このデータ型と互換性のある pattern_language が1つ以上見つかりました" },
                    { "hex.builtin.view.pattern_editor.accept_pattern.pattern_language", "パターン" },
                    { "hex.builtin.view.pattern_editor.accept_pattern.question", "選択したパターンを反映してよろしいですか？" },
                { "hex.builtin.view.pattern_editor.menu.file.load_pattern", "パターンを読み込み…" },
                { "hex.builtin.view.pattern_editor.menu.file.save_pattern", "パターンを保存…" },
                //{ "hex.builtin.view.pattern_editor.menu.edit.place_pattern", "Place pattern..." },
                //    { "hex.builtin.view.pattern_editor.menu.edit.place_pattern.builtin", "Built-in Type" },
                //        { "hex.builtin.view.pattern_editor.menu.edit.place_pattern.builtin.single", "Single" },
                //        { "hex.builtin.view.pattern_editor.menu.edit.place_pattern.builtin.array", "Array" },
                //    { "hex.builtin.view.pattern_editor.menu.edit.place_pattern.custom", "Custom Type" },
                { "hex.builtin.view.pattern_editor.open_pattern", "パターンを開く" },
                { "hex.builtin.view.pattern_editor.evaluating", "実行中…" }, //?
                { "hex.builtin.view.pattern_editor.auto", "常に実行" }, //?
                { "hex.builtin.view.pattern_editor.console", "コンソール" },
                { "hex.builtin.view.pattern_editor.env_vars", "環境変数" },
                { "hex.builtin.view.pattern_editor.settings", "設定" },
                //{ "hex.builtin.view.pattern_editor.sections", "Sections" },
                //    { "hex.builtin.view.pattern_editor.section_popup", "Section" },
                { "hex.builtin.view.pattern_editor.dangerous_function.name", "危険な関数の使用を許可しますか？" },
                { "hex.builtin.view.pattern_editor.dangerous_function.desc", "このパターンは危険な関数を呼び出そうとしました。\n本当にこのパターンを信頼しても宜しいですか？" },
                { "hex.builtin.view.pattern_editor.no_in_out_vars", "グローバル変数に 'in' または 'out' を指定して、ここに表示されるように定義してください。" },

                { "hex.builtin.view.pattern_data.name", "パターンデータ" },

                { "hex.builtin.view.settings.name", "設定" },
                    { "hex.builtin.view.settings.restart_question", "変更を反映させるには、ImHexの再起動が必要です。今すぐ再起動しますか？" },

                { "hex.builtin.view.tools.name", "ツール" },

                { "hex.builtin.view.yara.name", "Yaraルール" },
                    { "hex.builtin.view.yara.header.rules", "ルール" },
                        { "hex.builtin.view.yara.reload", "リロード" },
                        { "hex.builtin.view.yara.match", "検出" },
                        //{ "hex.builtin.view.yara.reset", "Reset" },
                        { "hex.builtin.view.yara.matching", "マッチ中…" },
                        { "hex.builtin.view.yara.error", "Yaraコンパイルエラー: " },
                    { "hex.builtin.view.yara.header.matches", "マッチ結果" },
                        { "hex.builtin.view.yara.matches.identifier", "識別子" },
                        { "hex.builtin.view.yara.matches.variable", "変数" },
                        { "hex.builtin.view.yara.whole_data", "ファイル全体が一致します。" },
                        { "hex.builtin.view.yara.no_rules", "YARAルールが見つかりませんでした。ImHexの'yara'フォルダ内に入れてください" },
                    { "hex.builtin.view.yara.rule_added", "Yaraルールが追加されました。" },


                { "hex.builtin.view.constants.name", "定数" },
                    { "hex.builtin.view.constants.row.category", "カテゴリ" },
                    { "hex.builtin.view.constants.row.name", "名前" },
                    { "hex.builtin.view.constants.row.desc", "記述" },
                    { "hex.builtin.view.constants.row.value", "値" },

                { "hex.builtin.view.store.name", "コンテンツストア" },
                    { "hex.builtin.view.store.desc", "ImHexのオンラインデータベースから新しいコンテンツをダウンロードする" },
                    { "hex.builtin.view.store.reload", "再読み込み" },
                    { "hex.builtin.view.store.row.name", "名前" },
                    { "hex.builtin.view.store.row.description", "詳細" },
                    { "hex.builtin.view.store.download", "ダウンロード" },
                    { "hex.builtin.view.store.update", "アップデート" },
                    { "hex.builtin.view.store.remove", "削除" },
                    { "hex.builtin.view.store.tab.patterns", "パターン" },
                    { "hex.builtin.view.store.tab.libraries", "ライブラリ" },
                    { "hex.builtin.view.store.tab.magics", "Magicファイル" },
                    { "hex.builtin.view.store.tab.constants", "定数" },
                    { "hex.builtin.view.store.tab.yara", "Yaraルール" },
                    { "hex.builtin.view.store.tab.encodings", "エンコード" },
                    { "hex.builtin.view.store.loading", "ストアコンテンツを読み込み中…" },
                    // { "hex.builtin.view.store.netfailed", "Net request to load store content failed!" },
                    { "hex.builtin.view.store.download_error", "ファイルのダウンロードに失敗しました。ダウンロード先フォルダが存在しません。" },

                { "hex.builtin.view.diff.name", "比較" },

                { "hex.builtin.view.provider_settings.name", "プロバイダ設定" },
                    { "hex.builtin.view.provider_settings.load_popup", "プロバイダを開く" },
                    { "hex.builtin.view.provider_settings.load_error", "プロバイダを開く際にエラーが発生しました。"},

                { "hex.builtin.view.find.name", "検索" },
                    { "hex.builtin.view.find.searching", "検索中…" },
                //    { "hex.builtin.view.find.demangled", "Demangled" },
                    { "hex.builtin.view.find.range", "検索する範囲" },
                    { "hex.builtin.view.find.range.selection", "選択中の箇所のみ" },
                //    { "hex.builtin.view.find.strings", "文字列" },
                //        { "hex.builtin.view.find.strings.min_length", "Minimum length" },
                        { "hex.builtin.view.find.strings.match_settings", "条件設定" },
                        { "hex.builtin.view.find.strings.null_term", "ヌル終端を含む文字列のみ検索" },
                //        { "hex.builtin.view.find.strings.chars", "Characters" },
                        { "hex.builtin.view.find.strings.lower_case", "大文字" },
                        { "hex.builtin.view.find.strings.upper_case", "小文字" },
                        { "hex.builtin.view.find.strings.numbers", "数字" },
                        { "hex.builtin.view.find.strings.underscores", "アンダースコア" },
                        { "hex.builtin.view.find.strings.symbols", "その他の記号" },
                        { "hex.builtin.view.find.strings.spaces", "半角スペース" },
                        { "hex.builtin.view.find.strings.line_feeds", "ラインフィード" },
                    { "hex.builtin.view.find.sequences", "通常検索" },
                    { "hex.builtin.view.find.regex", "正規表現" },
                        // { "hex.builtin.view.find.regex.pattern", "Pattern" },
                        // { "hex.builtin.view.find.regex.full_match", "Require full match" },
                    { "hex.builtin.view.find.binary_pattern", "16進数" },
                    //{ "hex.builtin.view.find.value", "Numeric Value" },
                        //{ "hex.builtin.view.find.value.min", "Minimum Value" },
                        //{ "hex.builtin.view.find.value.max", "Maximum Value" },
                    { "hex.builtin.view.find.search", "検索を実行" },
                    { "hex.builtin.view.find.context.copy", "値をコピー" },
                //    { "hex.builtin.view.find.context.copy_demangle", "Copy Demangled Value" },
                    { "hex.builtin.view.find.search.entries", "一致件数: {}" },
                // { "hex.builtin.view.find.search.reset", "Reset" },

                { "hex.builtin.command.calc.desc", "電卓" },
                { "hex.builtin.command.cmd.desc", "コマンド" },
                { "hex.builtin.command.cmd.result", "コマンド '{0}' を実行" },
                { "hex.builtin.command.web.desc", "ウェブサイト参照" },
                { "hex.builtin.command.web.result", "'{0}' を開く" },

                { "hex.builtin.inspector.binary", "バイナリ (8 bit)" },
                { "hex.builtin.inspector.u8", "uint8_t" },
                { "hex.builtin.inspector.i8", "int8_t" },
                { "hex.builtin.inspector.u16", "uint16_t" },
                { "hex.builtin.inspector.i16", "int16_t" },
                { "hex.builtin.inspector.u24", "uint24_t" },
                { "hex.builtin.inspector.i24", "int24_t" },
                { "hex.builtin.inspector.u32", "uint32_t" },
                { "hex.builtin.inspector.i32", "int32_t" },
                { "hex.builtin.inspector.u48", "uint48_t" },
                { "hex.builtin.inspector.i48", "int48_t" },
                { "hex.builtin.inspector.u64", "uint64_t" },
                { "hex.builtin.inspector.i64", "int64_t" },
                { "hex.builtin.inspector.float16", "half float (16 bit)" },
                { "hex.builtin.inspector.float", "float (32 bit)" },
                { "hex.builtin.inspector.double", "double (64 bit)" },
                { "hex.builtin.inspector.long_double", "long double (128 bit)" },
                //{ "hex.builtin.inspector.sleb128", "Signed LEB128" },
                //{ "hex.builtin.inspector.uleb128", "Unsigned LEB128" },
                { "hex.builtin.inspector.bool", "bool" },
                { "hex.builtin.inspector.ascii", "ASCII" },
                { "hex.builtin.inspector.wide", "Wide Character" },
                { "hex.builtin.inspector.utf8", "UTF-8 code point" },
                { "hex.builtin.inspector.string", "String" },
                { "hex.builtin.inspector.string16", "Wide String" },
                { "hex.builtin.inspector.time32", "time32_t" },
                { "hex.builtin.inspector.time64", "time64_t" },
                { "hex.builtin.inspector.time", "time_t" },
                //{ "hex.builtin.inspector.dos_date", "DOS Date" },
                //{ "hex.builtin.inspector.dos_time", "DOS Time" },
                { "hex.builtin.inspector.guid", "GUID" },
                { "hex.builtin.inspector.rgba8", "RGBA8 Color" },
                { "hex.builtin.inspector.rgb565", "RGB565 Color" },

                { "hex.builtin.nodes.common.input", "入力" },
                { "hex.builtin.nodes.common.input.a", "入力 A" },
                { "hex.builtin.nodes.common.input.b", "入力 B" },
                { "hex.builtin.nodes.common.output", "出力" },
                //{ "hex.builtin.nodes.common.width", "Width" },
                //{ "hex.builtin.nodes.common.height", "Height" },

                { "hex.builtin.nodes.constants", "定数" },
                    { "hex.builtin.nodes.constants.int", "整数" },
                        { "hex.builtin.nodes.constants.int.header", "整数" },
                    { "hex.builtin.nodes.constants.float", "小数" },
                        { "hex.builtin.nodes.constants.float.header", "小数" },
                    //{ "hex.builtin.nodes.constants.nullptr", "Nullptr" },
                        //{ "hex.builtin.nodes.constants.nullptr.header", "Nullptr" },
                    { "hex.builtin.nodes.constants.buffer", "バッファ" },
                        { "hex.builtin.nodes.constants.buffer.header", "バッファ" },
                        { "hex.builtin.nodes.constants.buffer.size", "サイズ" },
                    { "hex.builtin.nodes.constants.string", "文字列" },
                        { "hex.builtin.nodes.constants.string.header", "文字列" },
                    { "hex.builtin.nodes.constants.rgba8", "RGBA8" },
                        { "hex.builtin.nodes.constants.rgba8.header", "RGBA8" },
                        { "hex.builtin.nodes.constants.rgba8.output.r", "R" },
                        { "hex.builtin.nodes.constants.rgba8.output.g", "G" },
                        { "hex.builtin.nodes.constants.rgba8.output.b", "B" },
                        { "hex.builtin.nodes.constants.rgba8.output.a", "A" },
                    { "hex.builtin.nodes.constants.comment", "コメント" },
                        { "hex.builtin.nodes.constants.comment.header", "コメント" },

                { "hex.builtin.nodes.display", "表示" },
                    { "hex.builtin.nodes.display.int", "整数" },
                        { "hex.builtin.nodes.display.int.header", "整数表示" },
                    { "hex.builtin.nodes.display.float", "小数" },
                        { "hex.builtin.nodes.display.float.header", "小数表示" },
                //    { "hex.builtin.nodes.display.buffer", "Buffer" },
                //        { "hex.builtin.nodes.display.buffer.header", "Buffer display" },
                //    { "hex.builtin.nodes.display.string", "String" },
                //        { "hex.builtin.nodes.display.string.header", "String display" },

                { "hex.builtin.nodes.data_access", "データアクセス" },
                    { "hex.builtin.nodes.data_access.read", "読み込み" },
                        { "hex.builtin.nodes.data_access.read.header", "読み込み" },
                        { "hex.builtin.nodes.data_access.read.address", "アドレス" },
                        { "hex.builtin.nodes.data_access.read.size", "サイズ" },
                        { "hex.builtin.nodes.data_access.read.data", "データ" },
                    { "hex.builtin.nodes.data_access.write", "書き込み" },
                        { "hex.builtin.nodes.data_access.write.header", "書き込み" },
                        { "hex.builtin.nodes.data_access.write.address", "アドレス" },
                        { "hex.builtin.nodes.data_access.write.data", "データ" },
                    { "hex.builtin.nodes.data_access.size", "データサイズ"},
                        { "hex.builtin.nodes.data_access.size.header", "データサイズ"},
                        { "hex.builtin.nodes.data_access.size.size", "サイズ"},
                    { "hex.builtin.nodes.data_access.selection", "選択領域"},
                        { "hex.builtin.nodes.data_access.selection.header", "選択領域"},
                        { "hex.builtin.nodes.data_access.selection.address", "アドレス"},
                        { "hex.builtin.nodes.data_access.selection.size", "サイズ"},

                { "hex.builtin.nodes.casting", "データ変換" },
                    { "hex.builtin.nodes.casting.int_to_buffer", "整数→バッファ" },
                        { "hex.builtin.nodes.casting.int_to_buffer.header", "整数→バッファ" },
                    { "hex.builtin.nodes.casting.buffer_to_int", "バッファ→整数" },
                        { "hex.builtin.nodes.casting.buffer_to_int.header", "バッファ→整数" },
                    //{ "hex.builtin.nodes.casting.float_to_buffer", "Float to Buffer" },
                        //{ "hex.builtin.nodes.casting.float_to_buffer.header", "Float to Buffer" },
                    //{ "hex.builtin.nodes.casting.buffer_to_float", "Buffer to Float" },
                        //{ "hex.builtin.nodes.casting.buffer_to_float.header", "Buffer to Float" },

                { "hex.builtin.nodes.arithmetic", "演算" },
                    { "hex.builtin.nodes.arithmetic.add", "加算＋" },
                        { "hex.builtin.nodes.arithmetic.add.header", "加算" },
                    { "hex.builtin.nodes.arithmetic.sub", "減算－" },
                        { "hex.builtin.nodes.arithmetic.sub.header", "減算" },
                    { "hex.builtin.nodes.arithmetic.mul", "乗算×" },
                        { "hex.builtin.nodes.arithmetic.mul.header", "乗算" },
                    { "hex.builtin.nodes.arithmetic.div", "除算÷" },
                        { "hex.builtin.nodes.arithmetic.div.header", "除算" },
                    { "hex.builtin.nodes.arithmetic.mod", "剰余（余り）" },
                        { "hex.builtin.nodes.arithmetic.mod.header", "剰余" },
                //    { "hex.builtin.nodes.arithmetic.average", "Average" },
                //        { "hex.builtin.nodes.arithmetic.average.header", "Average" },
                //    { "hex.builtin.nodes.arithmetic.median", "Median" },
                //        { "hex.builtin.nodes.arithmetic.median.header", "Median" },

                { "hex.builtin.nodes.buffer", "バッファ" },
                    { "hex.builtin.nodes.buffer.combine", "結合" },
                        { "hex.builtin.nodes.buffer.combine.header", "バッファを結合" },
                    { "hex.builtin.nodes.buffer.slice", "スライス" },
                        { "hex.builtin.nodes.buffer.slice.header", "バッファをスライス" },
                        { "hex.builtin.nodes.buffer.slice.input.from", "From" },
                        { "hex.builtin.nodes.buffer.slice.input.to", "To" },
                    { "hex.builtin.nodes.buffer.repeat", "繰り返し" },
                        { "hex.builtin.nodes.buffer.repeat.header", "バッファを繰り返し" },
                        //{ "hex.builtin.nodes.buffer.repeat.input.buffer", "Input" },
                        { "hex.builtin.nodes.buffer.repeat.input.count", "カウント" },
                //    { "hex.builtin.nodes.buffer.patch", "Patch" },
                //        { "hex.builtin.nodes.buffer.patch.header", "Patch" },
                //        { "hex.builtin.nodes.buffer.patch.input.patch", "Patch" },

                { "hex.builtin.nodes.control_flow", "制御フロー" },
                    { "hex.builtin.nodes.control_flow.if", "If" },
                        { "hex.builtin.nodes.control_flow.if.header", "If" },
                        { "hex.builtin.nodes.control_flow.if.condition", "Condition" },
                        { "hex.builtin.nodes.control_flow.if.true", "True" },
                        { "hex.builtin.nodes.control_flow.if.false", "False" },
                    { "hex.builtin.nodes.control_flow.equals", "Equals" },
                        { "hex.builtin.nodes.control_flow.equals.header", "Equals" },
                    { "hex.builtin.nodes.control_flow.not", "Not" },
                        { "hex.builtin.nodes.control_flow.not.header", "Not" },
                    { "hex.builtin.nodes.control_flow.gt", "Greater than" },
                        { "hex.builtin.nodes.control_flow.gt.header", "Greater than" },
                    { "hex.builtin.nodes.control_flow.lt", "Less than" },
                        { "hex.builtin.nodes.control_flow.lt.header", "Less than" },
                    { "hex.builtin.nodes.control_flow.and", "AND" },
                        { "hex.builtin.nodes.control_flow.and.header", "Boolean AND" },
                    { "hex.builtin.nodes.control_flow.or", "OR" },
                        { "hex.builtin.nodes.control_flow.or.header", "Boolean OR" },

                { "hex.builtin.nodes.bitwise", "Bitwise operations" },
                    { "hex.builtin.nodes.bitwise.and", "AND" },
                        { "hex.builtin.nodes.bitwise.and.header", "Bitwise AND" },
                    { "hex.builtin.nodes.bitwise.or", "OR" },
                        { "hex.builtin.nodes.bitwise.or.header", "Bitwise OR" },
                    { "hex.builtin.nodes.bitwise.xor", "XOR" },
                        { "hex.builtin.nodes.bitwise.xor.header", "Bitwise XOR" },
                    { "hex.builtin.nodes.bitwise.not", "NOT" },
                        { "hex.builtin.nodes.bitwise.not.header", "Bitwise NOT" },

                { "hex.builtin.nodes.decoding", "デコード" },
                    { "hex.builtin.nodes.decoding.base64", "Base64" },
                        { "hex.builtin.nodes.decoding.base64.header", "Base64デコーダ" },
                    { "hex.builtin.nodes.decoding.hex", "16進法" },
                        { "hex.builtin.nodes.decoding.hex.header", "16進デコーダ" },

                { "hex.builtin.nodes.crypto", "暗号化" },
                    { "hex.builtin.nodes.crypto.aes", "AES復号化" },
                        { "hex.builtin.nodes.crypto.aes.header", "AES復号化" },
                        { "hex.builtin.nodes.crypto.aes.key", "キー" },
                        { "hex.builtin.nodes.crypto.aes.iv", "IV" },
                        { "hex.builtin.nodes.crypto.aes.nonce", "Nonce" },
                        { "hex.builtin.nodes.crypto.aes.mode", "モード" },
                        { "hex.builtin.nodes.crypto.aes.key_length", "キー長" },

                { "hex.builtin.nodes.visualizer", "ビジュアライザー" },
                    { "hex.builtin.nodes.visualizer.digram", "図式" },
                        { "hex.builtin.nodes.visualizer.digram.header", "図式" },
                    { "hex.builtin.nodes.visualizer.layered_dist", "層状分布" },
                        { "hex.builtin.nodes.visualizer.layered_dist.header", "層状分布" },
                    { "hex.builtin.nodes.visualizer.image", "画像" },
                        { "hex.builtin.nodes.visualizer.image.header", "画像ビジュアライザー" },
                    //{ "hex.builtin.nodes.visualizer.image_rgba", "RGBA8 Image" },
                        //{ "hex.builtin.nodes.visualizer.image_rgba.header", "RGBA8 Image Visualizer" },
                    { "hex.builtin.nodes.visualizer.byte_distribution", "バイト分布" },
                        { "hex.builtin.nodes.visualizer.byte_distribution.header", "バイト分布" },

                //{ "hex.builtin.nodes.pattern_language", "Pattern Language" },
                    //{ "hex.builtin.nodes.pattern_language.out_var", "Out Variable" },
                        //{ "hex.builtin.nodes.pattern_language.out_var.header", "Out Variable" },


                { "hex.builtin.tools.demangler", "LLVMデマングラー" },
                    { "hex.builtin.tools.demangler.mangled", "マングリング名" },
                    { "hex.builtin.tools.demangler.demangled", "デマングリング名" },
                { "hex.builtin.tools.ascii_table", "ASCIIテーブル" },
                    { "hex.builtin.tools.ascii_table.octal", "8進数表示" },
                { "hex.builtin.tools.regex_replacer", "正規表現置き換え" },
                    { "hex.builtin.tools.regex_replacer.pattern", "正規表現パターン" },
                    { "hex.builtin.tools.regex_replacer.replace", "置き換えパターン" },
                    { "hex.builtin.tools.regex_replacer.input", "入力" },
                    { "hex.builtin.tools.regex_replacer.output", "出力" },
                { "hex.builtin.tools.color", "カラーピッカー" },
                { "hex.builtin.tools.calc", "電卓" },
                    { "hex.builtin.tools.input", "入力" },
                    { "hex.builtin.tools.format.standard", "基本" },
                    { "hex.builtin.tools.format.scientific", "科学" },
                    { "hex.builtin.tools.format.engineering", "開発" },
                    { "hex.builtin.tools.format.programmer", "プログラム" },
                    { "hex.builtin.tools.error", "最終エラー: '{0}'" },
                    { "hex.builtin.tools.history", "履歴" },
                    { "hex.builtin.tools.name", "名前" },
                    { "hex.builtin.tools.value", "値" },
                { "hex.builtin.tools.base_converter", "単位変換" },
                    { "hex.builtin.tools.base_converter.dec", "10進法" },
                    { "hex.builtin.tools.base_converter.hex", "16進法" },
                    { "hex.builtin.tools.base_converter.oct", "8進法" },
                    { "hex.builtin.tools.base_converter.bin", "2進法" },
                { "hex.builtin.tools.permissions", "UNIXパーミッション計算機" },
                    { "hex.builtin.tools.permissions.perm_bits", "アクセス権" },
                    { "hex.builtin.tools.permissions.absolute", "数値表記" },
                    { "hex.builtin.tools.permissions.setuid_error", "setuidを適用するには、ユーザーに実行権限が必要です。" },
                    { "hex.builtin.tools.permissions.setgid_error", "setgidを適用するには、グループに実行権限が必要です。" },
                    { "hex.builtin.tools.permissions.sticky_error", "stickyを適用するには、その他に実行権限が必要です。" },
                { "hex.builtin.tools.file_uploader", "ファイルアップローダ" },
                    { "hex.builtin.tools.file_uploader.control", "コントロール" },
                    { "hex.builtin.tools.file_uploader.upload", "アップロード" },
                    { "hex.builtin.tools.file_uploader.done", "完了" },
                    { "hex.builtin.tools.file_uploader.recent", "最近のアップロード" },
                    { "hex.builtin.tools.file_uploader.tooltip", "クリックしてコピー\nCTRL + クリックで開く" },
                    { "hex.builtin.tools.file_uploader.invalid_response", "Anonfilesからのレスポンスが無効です。" },
                    { "hex.builtin.tools.file_uploader.error", "アップロードに失敗しました。\n\nエラーコード: {0}" },
                { "hex.builtin.tools.wiki_explain", "Wikipediaの用語定義" },
                    { "hex.builtin.tools.wiki_explain.control", "コントロール" },
                    { "hex.builtin.tools.wiki_explain.search", "検索" },
                    { "hex.builtin.tools.wiki_explain.results", "結果" },
                    { "hex.builtin.tools.wiki_explain.invalid_response", "Wikipediaからのレスポンスが無効です。" },
                { "hex.builtin.tools.file_tools", "ファイルツール" },
                    { "hex.builtin.tools.file_tools.shredder", "シュレッダー" },
                        { "hex.builtin.tools.file_tools.shredder.warning", "※このツールは、ファイルを完全に破壊します。使用する際は注意して下さい。" },
                        { "hex.builtin.tools.file_tools.shredder.input", "消去するファイル" },
                        { "hex.builtin.tools.file_tools.shredder.picker", "消去するファイルを開く" },
                        { "hex.builtin.tools.file_tools.shredder.fast", "高速モード" },
                        { "hex.builtin.tools.file_tools.shredder.shredding", "消去中…" },
                        { "hex.builtin.tools.file_tools.shredder.shred", "消去" },
                        { "hex.builtin.tools.file_tools.shredder.error.open", "選択されたファイルを開けませんでした。" },
                        { "hex.builtin.tools.file_tools.shredder.success", "正常に消去されました。" },
                    { "hex.builtin.tools.file_tools.splitter", "分割" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.5_75_floppy", "5¼\" フロッピーディスク (1200KiB)" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.3_5_floppy", "3½\" フロッピーディスク (1400KiB)" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.zip100", "Zip 100 ディスク (100MiB)" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.zip200", "Zip 200 ディスク (200MiB)" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.cdrom650", "CD-ROM (650MiB)" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.cdrom700", "CD-ROM (700MiB)" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.fat32", "FAT32 (4GiB)" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.custom", "カスタム" },
                        { "hex.builtin.tools.file_tools.splitter.input", "分割するファイル" },
                        { "hex.builtin.tools.file_tools.splitter.picker.input", "分割するファイルを開く" },
                        { "hex.builtin.tools.file_tools.splitter.output", "出力パス" },
                        { "hex.builtin.tools.file_tools.splitter.picker.output", "ベースパスを指定" },
                        { "hex.builtin.tools.file_tools.splitter.picker.splitting", "分割中…" },
                        { "hex.builtin.tools.file_tools.splitter.picker.split", "分割" },
                        { "hex.builtin.tools.file_tools.splitter.picker.error.open", "選択されたファイルを開けませんでした。" },
                        { "hex.builtin.tools.file_tools.splitter.picker.error.size", "ファイルが分割サイズよりも小さいです" },
                        { "hex.builtin.tools.file_tools.splitter.picker.error.create", "パートファイル {0} を作成できませんでした" },
                        { "hex.builtin.tools.file_tools.splitter.picker.success", "ファイルの分割に成功しました。" },
                    { "hex.builtin.tools.file_tools.combiner", "結合" },
                        { "hex.builtin.tools.file_tools.combiner.add", "追加…" },
                        { "hex.builtin.tools.file_tools.combiner.add.picker", "ファイルを追加" },
                        { "hex.builtin.tools.file_tools.combiner.delete", "削除" },
                        { "hex.builtin.tools.file_tools.combiner.clear", "クリア" },
                        { "hex.builtin.tools.file_tools.combiner.output", "出力ファイル " },
                        { "hex.builtin.tools.file_tools.combiner.output.picker", "出力ベースパスを指定" },
                        { "hex.builtin.tools.file_tools.combiner.combining", "結合中…" },
                        { "hex.builtin.tools.file_tools.combiner.combine", "結合" },
                        { "hex.builtin.tools.file_tools.combiner.error.open_output", "出力ファイルを作成できませんでした" },
                        { "hex.builtin.tools.file_tools.combiner.open_input", "入力ファイル {0} を開けませんでした" },
                        { "hex.builtin.tools.file_tools.combiner.success", "ファイルの結合に成功しました。" },
                //{ "hex.builtin.tools.ieee756", "IEEE 756 Floating Point Tester" },
                    //{ "hex.builtin.tools.ieee756.sign", "Sign" },
                    //{ "hex.builtin.tools.ieee756.exponent", "Exponent" },
                    //{ "hex.builtin.tools.ieee756.mantissa", "Mantissa" },
                    //{ "hex.builtin.tools.ieee756.exponent_size", "Exponent Size" },
                    //{ "hex.builtin.tools.ieee756.mantissa_size", "Mantissa Size" },
                    //{ "hex.builtin.tools.ieee756.half_precision", "Half Precision" },
                    //{ "hex.builtin.tools.ieee756.singe_precision", "Single Precision" },
                    //{ "hex.builtin.tools.ieee756.double_precision", "Double Precision" },
                    //{ "hex.builtin.tools.ieee756.type", "Type" },
                    //{ "hex.builtin.tools.ieee756.formula", "Formula" },
                    //{ "hex.builtin.tools.ieee756.result.title", "Result" },
                    //{ "hex.builtin.tools.ieee756.result.float", "Floating Point Result" },
                    //{ "hex.builtin.tools.ieee756.result.hex", "Hexadecimal Result" },

                { "hex.builtin.setting.imhex", "ImHex" },
                    { "hex.builtin.setting.imhex.recent_files", "最近開いたファイル" },
                { "hex.builtin.setting.general", "基本" },
                    // { "hex.builtin.setting.general.check_for_updates", "Check for updates on startup" },
                    { "hex.builtin.setting.general.show_tips", "起動時に豆知識を表示" },
                    { "hex.builtin.setting.general.auto_load_patterns", "対応するパターンを自動で読み込む" },
                    { "hex.builtin.setting.general.sync_pattern_source", "プロバイダ間のパターンソースコードを同期" },
                    // { "hex.builtin.setting.general.enable_unicode", "Load all unicode characters" },
                { "hex.builtin.setting.interface", "UI" },
                    { "hex.builtin.setting.interface.color", "カラーテーマ" },
                        { "hex.builtin.setting.interface.color.system", "システム設定に従う" },
                        { "hex.builtin.setting.interface.color.dark", "ダーク" },
                        { "hex.builtin.setting.interface.color.light", "ライト" },
                        { "hex.builtin.setting.interface.color.classic", "クラシック" },
                    { "hex.builtin.setting.interface.scaling", "スケーリング" },
                        { "hex.builtin.setting.interface.scaling.native", "ネイティブ" },
                        { "hex.builtin.setting.interface.scaling.x0_5", "x0.5" },
                        { "hex.builtin.setting.interface.scaling.x1_0", "x1.0" },
                        { "hex.builtin.setting.interface.scaling.x1_5", "x1.5" },
                        { "hex.builtin.setting.interface.scaling.x2_0", "x2.0" },
                        { "hex.builtin.setting.interface.scaling.x3_0", "x3.0" },
                        { "hex.builtin.setting.interface.scaling.x4_0", "x4.0" },
                    { "hex.builtin.setting.interface.language", "言語" },
                    //{ "hex.builtin.setting.interface.wiki_explain_language", "Wikipedia Language" },
                    { "hex.builtin.setting.interface.fps", "FPS制限" },
                    { "hex.builtin.setting.interface.fps.unlocked", "無制限" },
                    //{ "hex.builtin.setting.interface.multi_windows", "Enable Multi Window support" },
                { "hex.builtin.setting.hex_editor", "Hexエディタ" },
                    { "hex.builtin.setting.hex_editor.highlight_color", "選択範囲の色" },
                    { "hex.builtin.setting.hex_editor.bytes_per_row", "１行のバイト数" },
                    { "hex.builtin.setting.hex_editor.ascii", "ASCIIを表示" },
                    { "hex.builtin.setting.hex_editor.advanced_decoding", "他のデコード列を表示" },
                    { "hex.builtin.setting.hex_editor.grey_zeros", "ゼロをグレーアウト" },
                    { "hex.builtin.setting.hex_editor.uppercase_hex", "16進数を大文字表記" },
                    { "hex.builtin.setting.hex_editor.visualizer", "データ表示方式" },
                    //{ "hex.builtin.setting.hex_editor.sync_scrolling", "Synchronize editor position" },
                    //{ "hex.builtin.setting.hex_editor.byte_padding", "Extra byte cell padding" },
                    //{ "hex.builtin.setting.hex_editor.char_padding", "Extra character cell padding" },
                { "hex.builtin.setting.folders", "フォルダ" },
                    { "hex.builtin.setting.folders.description", "パターン、スクリプト、ルールなどのための検索パスを指定して追加できます。" },
                    { "hex.builtin.setting.folders.add_folder", "フォルダを追加…" },
                    { "hex.builtin.setting.folders.remove_folder", "選択中のフォルダをリストから消去" },
                { "hex.builtin.setting.font", "フォント" },
                    { "hex.builtin.setting.font.font_path", "フォントファイルのパス" },
                    { "hex.builtin.setting.font.font_size", "フォントサイズ" },
                { "hex.builtin.setting.proxy", "プロキシ" },
                    //{ "hex.builtin.setting.proxy.description", "Proxy will take effect on store, wikipedia or any other plugin immediately." },
                    { "hex.builtin.setting.proxy.enable", "プロキシを有効化" },
                    { "hex.builtin.setting.proxy.url", "プロキシURL" },
                    //{ "hex.builtin.setting.proxy.url.tooltip", "http(s):// or socks5:// (e.g., http://127.0.0.1:1080)" },

                { "hex.builtin.provider.file", "ファイルプロバイダ" },
                    { "hex.builtin.provider.file.path", "ファイルパス" },
                    { "hex.builtin.provider.file.size", "サイズ" },
                    { "hex.builtin.provider.file.creation", "作成時刻" },
                    { "hex.builtin.provider.file.access", "最終アクセス時刻" },
                    { "hex.builtin.provider.file.modification", "最終編集時刻" },
                { "hex.builtin.provider.gdb", "GDBサーバープロバイダ" },
                    { "hex.builtin.provider.gdb.name", "GDBサーバー <{0}:{1}>" },
                    { "hex.builtin.provider.gdb.server", "サーバー" },
                    { "hex.builtin.provider.gdb.ip", "IPアドレス" },
                    { "hex.builtin.provider.gdb.port", "ポート" },
                { "hex.builtin.provider.disk", "Rawディスクプロバイダ" },
                    { "hex.builtin.provider.disk.selected_disk", "ディスク" },
                    { "hex.builtin.provider.disk.disk_size", "ディスクサイズ" },
                    { "hex.builtin.provider.disk.sector_size", "セクタサイズ" },
                    { "hex.builtin.provider.disk.reload", "リロード" },
                //{ "hex.builtin.provider.intel_hex", "Intel Hex Provider" },
                //    { "hex.builtin.provider.intel_hex.name", "Intel Hex {0}" },
                //{ "hex.builtin.provider.motorola_srec", "Motorola SREC Provider" },
                //    { "hex.builtin.provider.motorola_srec.name", "Motorola SREC {0}" },
                //{ "hex.builtin.provider.mem_file", "Memory File" },
                //    { "hex.builtin.provider.mem_file.unsaved", "Unsaved File" },
                //{ "hex.builtin.provider.view", "View" },

                { "hex.builtin.layouts.default", "標準" },

                { "hex.builtin.visualizer.hexadecimal.8bit", "16進数 ( 8 bits)" },
                { "hex.builtin.visualizer.hexadecimal.16bit", "16進数 (16 bits)" },
                { "hex.builtin.visualizer.hexadecimal.32bit", "16進数 (32 bits)" },
                { "hex.builtin.visualizer.hexadecimal.64bit", "16進数 (64 bits)" },
                { "hex.builtin.visualizer.decimal.signed.8bit", "符号付き整数型 ( 8 bits)" },
                { "hex.builtin.visualizer.decimal.signed.16bit", "符号付き整数型 (16 bits)" },
                { "hex.builtin.visualizer.decimal.signed.32bit", "符号付き整数型 (32 bits)" },
                { "hex.builtin.visualizer.decimal.signed.64bit", "符号付き整数型 (64 bits)" },
                { "hex.builtin.visualizer.decimal.unsigned.8bit", "符号なし整数型 ( 8 bits)" },
                { "hex.builtin.visualizer.decimal.unsigned.16bit", "符号なし整数型 (16 bits)" },
                { "hex.builtin.visualizer.decimal.unsigned.32bit", "符号なし整数型 (32 bits)" },
                { "hex.builtin.visualizer.decimal.unsigned.64bit", "符号なし整数型 (64 bits)" },
                { "hex.builtin.visualizer.floating_point.16bit", "浮動小数点数 (16 bits)" },
                { "hex.builtin.visualizer.floating_point.32bit", "浮動小数点数 (32 bits)" },
                { "hex.builtin.visualizer.floating_point.64bit", "浮動小数点数 (64 bits)" },
                //{ "hex.builtin.visualizer.hexii", "HexII" },
                { "hex.builtin.visualizer.rgba8", "RGBA8" },

                { "hex.builtin.hash.md5", "MD5" },
                { "hex.builtin.hash.sha1", "SHA1" },
                { "hex.builtin.hash.sha224", "SHA224" },
                { "hex.builtin.hash.sha256", "SHA256" },
                { "hex.builtin.hash.sha384", "SHA384" },
                { "hex.builtin.hash.sha512", "SHA512" },
                { "hex.builtin.hash.crc8", "CRC8" },
                { "hex.builtin.hash.crc16", "CRC16" },
                { "hex.builtin.hash.crc32", "CRC32" },
                    { "hex.builtin.hash.crc.poly", "多項式" },
                    { "hex.builtin.hash.crc.iv", "初期値" },
                    { "hex.builtin.hash.crc.xor_out", "最終XOR値" },
                    { "hex.builtin.hash.crc.refl_in", "入力を反映" },
                    { "hex.builtin.hash.crc.refl_out", "出力を反映" },
        });
    }

}
