#include <hex/api/content_registry.hpp>
#include <hex/api/localization.hpp>

namespace hex::plugin::builtin {

    void registerLanguageKoKR() {
        ContentRegistry::Language::registerLanguage("한국어 (KR)", "ko-KR");

        ContentRegistry::Language::addLocalizations("ko-KR", {
                { "hex.builtin.welcome.header.main", "Welcome to ImHex" },
                { "hex.builtin.welcome.header.start", "시작하기" },
                    { "hex.builtin.welcome.start.create_file", "새 파일 생성" },
                    { "hex.builtin.welcome.start.open_file", "파일 열기" },
                    { "hex.builtin.welcome.start.open_project", "프로젝트 열기" },
                    { "hex.builtin.welcome.start.recent", "최근 파일들" },
                    { "hex.builtin.welcome.start.open_other", "다른 공급자 열기" },
                { "hex.builtin.welcome.header.help", "도움말" },
                    { "hex.builtin.welcome.help.repo", "GitHub 저장소" },
                        { "hex.builtin.welcome.help.repo.link", "https://imhex.werwolv.net/git" },
                    { "hex.builtin.welcome.help.gethelp", "도움 얻기" },
                        { "hex.builtin.welcome.help.gethelp.link", "https://github.com/WerWolv/ImHex/discussions/categories/get-help" },
                    { "hex.builtin.welcome.help.discord", "디스코드 서버" },
                        { "hex.builtin.welcome.help.discord.link", "https://imhex.werwolv.net/discord" },
                { "hex.builtin.welcome.header.plugins", "로딩된 플러그인" },
                    { "hex.builtin.welcome.plugins.plugin", "플러그인" },
                    { "hex.builtin.welcome.plugins.author", "작성자" },
                    { "hex.builtin.welcome.plugins.desc", "설명" },
                { "hex.builtin.welcome.header.customize", "커스터마이즈" },
                    { "hex.builtin.welcome.customize.settings.title", "설정" },
                    { "hex.builtin.welcome.customize.settings.desc", "ImHex의 설정을 변경합니다" },
                { "hex.builtin.welcome.header.update", "업데이트" },
                    { "hex.builtin.welcome.update.title", "새로운 업데이트가 존재합니다!" },
                    { "hex.builtin.welcome.update.desc", "ImHex {0} 가 업데이트 되었습니다! 여기서 다운로드하세요." },
                    { "hex.builtin.welcome.update.link", "https://github.com/WerWolv/ImHex/releases/latest" },
                { "hex.builtin.welcome.header.learn", "Learn" },
                    { "hex.builtin.welcome.learn.latest.title", "최신 릴리즈" },
                    { "hex.builtin.welcome.learn.latest.desc", "ImHex의 최신 변경사항 읽기" },
                    { "hex.builtin.welcome.learn.latest.link", "https://github.com/WerWolv/ImHex/releases/latest" },
                    { "hex.builtin.welcome.learn.pattern.title", "패턴 언어 작성 방법 문서" },
                    { "hex.builtin.welcome.learn.pattern.desc", "ImHex 패턴을 작성하는 방법을 배워 봅시다." },
                    { "hex.builtin.welcome.learn.pattern.link", "https://imhex.werwolv.net/docs" },
                    { "hex.builtin.welcome.learn.plugins.title", "플러그인 API" },
                    { "hex.builtin.welcome.learn.plugins.desc", "플러그인을 이용해 ImHex의 기능을 확장해 봅시다." },
                    { "hex.builtin.welcome.learn.plugins.link", "https://github.com/WerWolv/ImHex/wiki/Plugins-Development-Guide" },
                { "hex.builtin.welcome.header.various", "Various" },
                { "hex.builtin.welcome.tip_of_the_day", "오늘의 팁" },
                // { "hex.builtin.welcome.check_for_updates_text", "Do you want to automatically check for updates on startup?\n"
                //     "Possible updates will be shown in the 'Update' tab of the welcome screen" },

                { "hex.builtin.welcome.safety_backup.title", "손상된 데이터 복구" },
                { "hex.builtin.welcome.safety_backup.desc", "이전에 ImHex가 비 정상적으로 종료된 것 같습니다.\n이전의 작업을 복구할까요?"},
                { "hex.builtin.welcome.safety_backup.restore", "네, 복구" },
                { "hex.builtin.welcome.safety_backup.delete", "아니요, 삭제" },

                //{ "hex.builtin.common.name", "Name" },
                { "hex.builtin.common.endian", "엔디안" },
                { "hex.builtin.common.little_endian", "리틀 엔디안" },
                { "hex.builtin.common.big_endian", "빅 엔디안" },
                { "hex.builtin.common.little", "리틀" },
                { "hex.builtin.common.big", "빅" },
                { "hex.builtin.common.number_format", "포맷" },
                { "hex.builtin.common.decimal", "10진수" },
                { "hex.builtin.common.hexadecimal", "16진수" },
                { "hex.builtin.common.octal", "8진수" },
                { "hex.builtin.common.info", "정보" },
                { "hex.builtin.common.error", "에러" },
                { "hex.builtin.common.fatal", "치명적 에러" },
                { "hex.builtin.common.question", "질문" },
                { "hex.builtin.common.address", "주소" },
                { "hex.builtin.common.size", "크기" },
                { "hex.builtin.common.region", "지역" },
                { "hex.builtin.common.match_selection", "선택 범위와 일치" },
                { "hex.builtin.common.yes", "네" },
                { "hex.builtin.common.no", "아니오" },
                { "hex.builtin.common.okay", "네" },
                { "hex.builtin.common.load", "불러오기" },
                { "hex.builtin.common.cancel", "취소" },
                { "hex.builtin.common.set", "설정" },
                { "hex.builtin.common.close", "닫기" },
                { "hex.builtin.common.dont_show_again", "다시 보이지 않기" },
                { "hex.builtin.common.link", "링크" },
                { "hex.builtin.common.file", "파일" },
                { "hex.builtin.common.open", "열기" },
                { "hex.builtin.common.browse", "찾아보기..." },
                { "hex.builtin.common.choose_file", "파일 선택" },
                { "hex.builtin.common.processing", "작업 중" },
                { "hex.builtin.common.filter", "필터" },
                //{ "hex.builtin.common.count", "Count" },
                { "hex.builtin.common.value", "값" },
                { "hex.builtin.common.type", "타입" },
                    { "hex.builtin.common.type.u8", "uint8_t" },
                    { "hex.builtin.common.type.i8", "int8_t" },
                    { "hex.builtin.common.type.u16", "uint16_t" },
                    { "hex.builtin.common.type.i16", "int16_t" },
                    { "hex.builtin.common.type.u24", "uint24_t" },
                    { "hex.builtin.common.type.i24", "int24_t" },
                    { "hex.builtin.common.type.u32", "uint32_t" },
                    { "hex.builtin.common.type.i32", "int32_t" },
                    { "hex.builtin.common.type.u48", "uint48_t" },
                    { "hex.builtin.common.type.i48", "int48_t" },
                    { "hex.builtin.common.type.u64", "uint64_t" },
                    { "hex.builtin.common.type.i64", "int64_t" },
                    { "hex.builtin.common.type.f32", "float" },
                    { "hex.builtin.common.type.f64", "double" },
                { "hex.builtin.common.offset", "오프셋" },
                { "hex.builtin.common.range", "범위" },
                    { "hex.builtin.common.range.entire_data", "전체 데이터" },
                    { "hex.builtin.common.range.selection", "선택" },
                { "hex.builtin.common.comment", "주석" },

                { "hex.builtin.common.encoding.ascii", "ASCII" },
                { "hex.builtin.common.encoding.utf16le", "UTF-16LE" },
                { "hex.builtin.common.encoding.utf16be", "UTF-16BE" },
                { "hex.builtin.common.encoding.utf8", "UTF-8" },

                { "hex.builtin.popup.exit_application.title", "프로그램을 종료하시겠습니까?" },
                { "hex.builtin.popup.exit_application.desc", "프로젝트에 저장하지 않은 내용이 있습니다.\n정말로 종료하시겠습니까?" },
                { "hex.builtin.popup.close_provider.title", "공급자를 종료하시겠습니까?" },
                { "hex.builtin.popup.close_provider.desc", "공급자에 저장하지 않은 내용이 있습니다.\n정말로 종료하시겠습니까?" },
                { "hex.builtin.popup.error.read_only", "쓰기 권한을 가져올 수 없습니다. 파일이 읽기 전용 모드로 열렸습니다." },
                { "hex.builtin.popup.error.open", "파일을 여는데 실패했습니다!" },
                { "hex.builtin.popup.error.create", "새 파일을 만드는데 실패했습니다!" },
                //{ "hex.builtin.popup.error.project.load", "Failed to load project!" },
                //{ "hex.builtin.popup.error.project.save", "Failed to save project!" },
                //{ "hex.builtin.popup.error.task_exception", "Exception thrown in Task '{}':\n\n{}" },
                //{ "hex.builtin.popup.error.file_dialog.portal",
                //    "There was an error while opening the file browser. This might be caused by your system not having a xdg-desktop-portal backend installed correctly.\n"
                //    "\n"
                //    "On KDE, it's xdg-desktop-portal-kde.\n"
                //    "On Gnome it's xdg-desktop-portal-gnome.\n"
                //    "On wlroots it's xdg-desktop-portal-wlr.\n"
                //    "Otherwise, you can try to use xdg-desktop-portal-gtk.\n"
                //    "\n"
                //    "Reboot your system after installing it.\n"
                //    "\n"
                //    "If the file browser still doesn't work after this, submit an issue at https://github.com/WerWolv/ImHex/issues\n"
                //    "\n"
                //    "In the meantime files can still be opened by dragging them onto the ImHex window!"
                //},
                //{ "hex.builtin.popup.error.file_dialog.common", "An error occurred while opening the file browser!" },

                { "hex.builtin.hex_editor.page", "페이지" },
                { "hex.builtin.hex_editor.selection", "선택 영역" },
                { "hex.builtin.hex_editor.selection.none", "없음" },
                { "hex.builtin.hex_editor.region", "지역" },
                { "hex.builtin.hex_editor.data_size", "데이터 크기" },
                { "hex.builtin.hex_editor.no_bytes", "바이트가 존재하지 않습니다" },

                { "hex.builtin.pattern_drawer.var_name", "이름" },
                { "hex.builtin.pattern_drawer.color", "색상" },
                { "hex.builtin.pattern_drawer.offset", "오프셋" },
                { "hex.builtin.pattern_drawer.size", "크기" },
                { "hex.builtin.pattern_drawer.type", "타입" },
                { "hex.builtin.pattern_drawer.value", "값" },
                //{ "hex.builtin.pattern_drawer.double_click", "Double-click to see more items" },

                { "hex.builtin.menu.file", "파일" },
                    { "hex.builtin.menu.file.create_file", "새 파일..." },
                    { "hex.builtin.menu.file.open_file", "파일 열기..." },
                    { "hex.builtin.menu.file.open_recent", "최근 파일" },
                    { "hex.builtin.menu.file.clear_recent", "최근 이력 지우기" },
                    { "hex.builtin.menu.file.open_other", "다른 공급자 열기..." },
                    { "hex.builtin.menu.file.close", "닫기" },
                    //{ "hex.builtin.menu.file.reload_file", "Reload File" },
                    { "hex.builtin.menu.file.quit", "ImHex 종료하기" },
                    { "hex.builtin.menu.file.open_project", "프로젝트 열기..." },
                    { "hex.builtin.menu.file.save_project", "프로젝트 저장..." },
                    { "hex.builtin.menu.file.import", "가져오기..." },
                        { "hex.builtin.menu.file.import.base64", "Base64 파일" },
                          { "hex.builtin.menu.file.import.base64.popup.import_error", "파일이 올바른 Base64 형식이 아닙니다!" },
                          { "hex.builtin.menu.file.import.base64.popup.open_error", "파일을 여는 데 실패했습니다!" },
                        { "hex.builtin.menu.file.import.ips", "IPS 패치" },
                        { "hex.builtin.menu.file.import.ips32", "IPS32 패치" },
                    { "hex.builtin.menu.file.export", "내보내기..." },
                        { "hex.builtin.menu.file.export.title", "파일 내보내기" },
                        { "hex.builtin.menu.file.export.ips", "IPS 패치" },
                        { "hex.builtin.menu.file.export.ips32", "IPS32 패치" },
                        { "hex.builtin.menu.file.export.base64.popup.export_error", "파일이 올바른 Base64 형식이 아닙니다!" },
                        { "hex.builtin.menu.file.export.popup.create", "데이터를 내보낼 수 없습니다. 파일을 만드는 데 실패했습니다!" },
                    { "hex.builtin.menu.file.bookmark.import", "북마크 가져오기" },
                    { "hex.builtin.menu.file.bookmark.export", "북마크 내보내기" },

                { "hex.builtin.menu.edit", "수정" },
                    { "hex.builtin.menu.edit.undo", "실행 취소" },
                    { "hex.builtin.menu.edit.redo", "다시 실행" },
                    { "hex.builtin.menu.edit.bookmark.create", "북마크 생성하기" },

                { "hex.builtin.menu.view", "뷰" },
                { "hex.builtin.menu.layout", "레이아웃" },
                    { "hex.builtin.menu.view.demo", "ImGui Demo 표시하기" },
                { "hex.builtin.menu.help", "도움말" },

                { "hex.builtin.view.bookmarks.name", "북마크" },
                    { "hex.builtin.view.bookmarks.default_title", "북마크 [0x{0:X} - 0x{1:X}]" },
                    { "hex.builtin.view.bookmarks.no_bookmarks", "북마크가 없습니다. '수정 -> 북마크 생성하기'로 북마크를 생성하세요" },
                    { "hex.builtin.view.bookmarks.title.info", "정보" },
                    { "hex.builtin.view.bookmarks.address", "0x{0:X} : 0x{1:X} ({2} bytes)" },
                    { "hex.builtin.view.bookmarks.button.jump", "이동하기" },
                    { "hex.builtin.view.bookmarks.button.remove", "지우기" },
                    { "hex.builtin.view.bookmarks.header.name", "이름" },
                    { "hex.builtin.view.bookmarks.header.color", "색상" },
                    { "hex.builtin.view.bookmarks.header.comment", "설명" },

                { "hex.builtin.view.command_palette.name", "명령 팔레트" },

                // HxD의 번역을 그대로 가져왔습니다.
                { "hex.builtin.view.data_inspector.name", "데이터 변환기" }, 
                    { "hex.builtin.view.data_inspector.table.name", "이름" },
                    { "hex.builtin.view.data_inspector.table.value", "값" },
                    { "hex.builtin.view.data_inspector.no_data", "선택된 바이트 없음" },
                    { "hex.builtin.view.data_inspector.invert", "반전" },

                { "hex.builtin.view.data_processor.name", "데이터 프로세서" },
                    { "hex.builtin.view.data_processor.help_text", "오른쪽 클릭을 눌러 새 노드를 만드세요" },
                    { "hex.builtin.view.data_processor.menu.remove_selection", "선택 영역 삭제" },
                    { "hex.builtin.view.data_processor.menu.remove_node", "노드 삭제" },
                    { "hex.builtin.view.data_processor.menu.remove_link", "링크 삭제" },
                    { "hex.builtin.view.data_processor.menu.file.load_processor", "데이터 프로세서 불러오기..." },
                    { "hex.builtin.view.data_processor.menu.file.save_processor", "데이터 프로세서 저장하기..." },

                { "hex.builtin.view.disassembler.name", "디스어셈블러" },
                    { "hex.builtin.view.disassembler.position", "위치" },
                    { "hex.builtin.view.disassembler.base", "베이스 주소" },
                    { "hex.builtin.view.disassembler.region", "코드 영역" },
                    { "hex.builtin.view.disassembler.settings.header", "설정" },
                    { "hex.builtin.view.disassembler.settings.mode", "모드" },
                    { "hex.builtin.view.disassembler.arch", "아키텍쳐" },
                        { "hex.builtin.view.disassembler.16bit", "16-bit" },
                        { "hex.builtin.view.disassembler.32bit", "32-bit" },
                        { "hex.builtin.view.disassembler.64bit", "64-bit" },

                        { "hex.builtin.view.disassembler.arm.arm", "ARM" },
                        { "hex.builtin.view.disassembler.arm.thumb", "Thumb" },
                        { "hex.builtin.view.disassembler.arm.default", "Default" },
                        { "hex.builtin.view.disassembler.arm.cortex_m", "Cortex-M" },
                        { "hex.builtin.view.disassembler.arm.armv8", "ARMv8" },

                        { "hex.builtin.view.disassembler.mips.mips32", "MIPS32" },
                        { "hex.builtin.view.disassembler.mips.mips64", "MIPS64" },
                        { "hex.builtin.view.disassembler.mips.mips32R6", "MIPS32R6" },
                        { "hex.builtin.view.disassembler.mips.mips2", "MIPS II" },
                        { "hex.builtin.view.disassembler.mips.mips3", "MIPS III" },
                        { "hex.builtin.view.disassembler.mips.micro", "Micro" },

                        { "hex.builtin.view.disassembler.ppc.qpx", "Quad Processing Extensions" },
                        { "hex.builtin.view.disassembler.ppc.spe", "Signal Processing Engine" },
                        { "hex.builtin.view.disassembler.ppc.booke", "Book-E" },

                        { "hex.builtin.view.disassembler.sparc.v9", "Sparc V9" },

                        { "hex.builtin.view.disassembler.riscv.compressed", "Compressed" },

                        { "hex.builtin.view.disassembler.m68k.000", "000" },
                        { "hex.builtin.view.disassembler.m68k.010", "010" },
                        { "hex.builtin.view.disassembler.m68k.020", "020" },
                        { "hex.builtin.view.disassembler.m68k.030", "030" },
                        { "hex.builtin.view.disassembler.m68k.040", "040" },
                        { "hex.builtin.view.disassembler.m68k.060", "060" },

                        { "hex.builtin.view.disassembler.m680x.6301", "6301" },
                        { "hex.builtin.view.disassembler.m680x.6309", "6309" },
                        { "hex.builtin.view.disassembler.m680x.6800", "6800" },
                        { "hex.builtin.view.disassembler.m680x.6801", "6801" },
                        { "hex.builtin.view.disassembler.m680x.6805", "6805" },
                        { "hex.builtin.view.disassembler.m680x.6808", "6808" },
                        { "hex.builtin.view.disassembler.m680x.6809", "6809" },
                        { "hex.builtin.view.disassembler.m680x.6811", "6811" },
                        { "hex.builtin.view.disassembler.m680x.cpu12", "CPU12" },
                        { "hex.builtin.view.disassembler.m680x.hcs08", "HCS08" },

                        { "hex.builtin.view.disassembler.mos65xx.6502", "6502" },
                        { "hex.builtin.view.disassembler.mos65xx.65c02", "65C02" },
                        { "hex.builtin.view.disassembler.mos65xx.w65c02", "W65C02" },
                        { "hex.builtin.view.disassembler.mos65xx.65816", "65816" },
                        { "hex.builtin.view.disassembler.mos65xx.65816_long_m", "65816 Long M" },
                        { "hex.builtin.view.disassembler.mos65xx.65816_long_x", "65816 Long X" },
                        { "hex.builtin.view.disassembler.mos65xx.65816_long_mx", "65816 Long MX" },

                        { "hex.builtin.view.disassembler.bpf.classic", "Classic" },
                        { "hex.builtin.view.disassembler.bpf.extended", "Extended" },

                    { "hex.builtin.view.disassembler.disassemble", "디스어셈블" },
                    { "hex.builtin.view.disassembler.disassembling", "디스어셈블 중..." },
                    { "hex.builtin.view.disassembler.disassembly.title", "디스어셈블리" },
                        { "hex.builtin.view.disassembler.disassembly.address", "주소" },
                        { "hex.builtin.view.disassembler.disassembly.offset", "오프셋" },
                        { "hex.builtin.view.disassembler.disassembly.bytes", "바이트" },

                { "hex.builtin.view.hashes.name", "해시" },
                    { "hex.builtin.view.hashes.hash", "해시" },
                    { "hex.builtin.view.hashes.no_settings", "설정이 존재하지 않습니다" },
                    { "hex.builtin.view.hashes.function", "해시 함수" },
                    { "hex.builtin.view.hashes.name", "이름" },
                    { "hex.builtin.view.hashes.type", "종류" },
                    { "hex.builtin.view.hashes.result", "결과" },
                    { "hex.builtin.view.hashes.remove", "지우기" },
                    { "hex.builtin.view.hashes.hover_info", "헥스 편집기에서 영역을 선택 후 쉬프트를 누른 채로 마우스 커서를 올리면 해당 값들의 해시를 알 수 있습니다." },

                { "hex.builtin.view.help.name", "도움말" },
                    { "hex.builtin.view.help.about.name", "정보" },
                        { "hex.builtin.view.help.about.translator", "Translated by mirusu400" },
                        { "hex.builtin.view.help.about.source", "소스 코드는 GitHub에 존재합니다." },
                        { "hex.builtin.view.help.about.donations", "후원" },
                        { "hex.builtin.view.help.about.thanks", "이 작업물이 마음에 든다면, 프로젝트가 계속되도록 프로젝트에 후원해주세요. 감사합니다 <3" },
                        { "hex.builtin.view.help.about.contributor", "기여자" },
                        { "hex.builtin.view.help.about.libs", "사용한 라이브러리" },
                        { "hex.builtin.view.help.about.paths", "ImHex 주소" },
                        { "hex.builtin.view.help.about.license", "라이센스" },
                    { "hex.builtin.view.help.documentation", "ImHex 문서" },
                    { "hex.builtin.view.help.pattern_cheat_sheet", "패턴 언어 치트시트"},
                    { "hex.builtin.view.help.calc_cheat_sheet", "치트시트 계산기" },

                { "hex.builtin.view.hex_editor.name", "헥스 편집기" },

                    { "hex.builtin.view.hex_editor.menu.file.load_encoding_file", "커스텀 인코딩 불러오기..." },
                    { "hex.builtin.view.hex_editor.menu.file.search", "검색" },
                        { "hex.builtin.view.hex_editor.search.string", "문자열" },
                        { "hex.builtin.view.hex_editor.search.hex", "헥스" },
                        { "hex.builtin.view.hex_editor.search.find", "찾기" },
                    { "hex.builtin.view.hex_editor.menu.file.goto", "이동하기" },
                        { "hex.builtin.view.hex_editor.goto.offset.absolute", "절대주소" },
                        { "hex.builtin.view.hex_editor.goto.offset.relative", "상대주소" },
                        { "hex.builtin.view.hex_editor.goto.offset.begin", "시작" },
                        { "hex.builtin.view.hex_editor.goto.offset.end", "종료" },
                    { "hex.builtin.view.hex_editor.menu.file.select", "선택" },
                        { "hex.builtin.view.hex_editor.select.offset.region", "지역" },
                            { "hex.builtin.view.hex_editor.select.offset.begin", "시작" },
                            { "hex.builtin.view.hex_editor.select.offset.end", "끝" },
                            { "hex.builtin.view.hex_editor.select.offset.size", "크기" },
                        { "hex.builtin.view.hex_editor.select.select", "선택" },
                    { "hex.builtin.view.hex_editor.menu.file.save", "저장" },
                    { "hex.builtin.view.hex_editor.menu.file.save_as", "다른 이름으로 저장..." },
                    { "hex.builtin.view.hex_editor.menu.edit.copy", "복사" },
                    { "hex.builtin.view.hex_editor.menu.edit.copy_as", "다른 방법으로 복사..." },
                        { "hex.builtin.view.hex_editor.copy.hex", "문자열" },
                        //{ "hex.builtin.view.hex_editor.copy.address", "Address" },
                        { "hex.builtin.view.hex_editor.copy.c", "C 배열" },
                        { "hex.builtin.view.hex_editor.copy.cpp", "C++ 배열" },
                        { "hex.builtin.view.hex_editor.copy.csharp", "C# 배열" },
                        { "hex.builtin.view.hex_editor.copy.rust", "Rust 배열" },
                        { "hex.builtin.view.hex_editor.copy.python", "Python 배열" },
                        { "hex.builtin.view.hex_editor.copy.java", "Java 배열" },
                        { "hex.builtin.view.hex_editor.copy.js", "JavaScript 배열" },
                        { "hex.builtin.view.hex_editor.copy.lua", "Lua 배열" },
                        { "hex.builtin.view.hex_editor.copy.go", "Go 배열" },
                        { "hex.builtin.view.hex_editor.copy.crystal", "Crystal 배열" },
                        { "hex.builtin.view.hex_editor.copy.swift", "Swift 배열" },
                        { "hex.builtin.view.hex_editor.copy.pascal", "Pascal 배열" },
                        { "hex.builtin.view.hex_editor.copy.base64", "Base64" },
                        //{ "hex.builtin.view.hex_editor.copy.ascii", "Text Area" },
                        { "hex.builtin.view.hex_editor.copy.html", "HTML" },
                    { "hex.builtin.view.hex_editor.menu.edit.paste", "붙여넣기" },
                    //{ "hex.builtin.view.hex_editor.menu.edit.paste_all", "Paste all" },
                    { "hex.builtin.view.hex_editor.menu.edit.select_all", "모두 선택하기" },
                    { "hex.builtin.view.hex_editor.menu.edit.set_base", "베이스 주소 설정" },
                    { "hex.builtin.view.hex_editor.menu.edit.resize", "크기 변경..." },
                    { "hex.builtin.view.hex_editor.menu.edit.insert", "삽입..." },
                    { "hex.builtin.view.hex_editor.menu.edit.remove", "삭제..." },
                    //{ "hex.builtin.view.hex_editor.menu.edit.jump_to", "Jump to" },
                    //{ "hex.builtin.view.hex_editor.menu.edit.open_in_new_provider", "Open selection view..." },

                { "hex.builtin.view.information.name", "데이터 정보" },
                    { "hex.builtin.view.information.control", "컨트롤" },
                    { "hex.builtin.view.information.analyze", "페이지 분석" },
                    { "hex.builtin.view.information.analyzing", "분석 중..." },
                    { "hex.builtin.view.information.region", "분석한 영역" },
                    { "hex.builtin.view.information.magic", "Magic 정보" },
                    { "hex.builtin.view.information.description", "설명:" },
                    { "hex.builtin.view.information.mime", "MIME 타입:" },
                    { "hex.builtin.view.information.info_analysis", "정보 분석" },
                    { "hex.builtin.view.information.distribution", "바이트 분포" },
                    { "hex.builtin.view.information.entropy", "엔트로피" },
                    { "hex.builtin.view.information.block_size", "블록 크기" },
                    { "hex.builtin.view.information.block_size.desc", "{1} 바이트 중 {0} 블록 " },
                    { "hex.builtin.view.information.file_entropy", "파일 엔트로피" },
                    { "hex.builtin.view.information.highest_entropy", "최대 엔트로피 블록" },
                    { "hex.builtin.view.information.encrypted", "이 데이터는 아마 암호화 혹은 압축되었을 가능성이 높습니다!" },
                    { "hex.builtin.view.information.magic_db_added", "Magic 데이터베이스 추가됨!" },

                { "hex.builtin.view.patches.name", "패치" },
                    { "hex.builtin.view.patches.offset", "오프셋" },
                    { "hex.builtin.view.patches.orig", "원본 값" },
                    { "hex.builtin.view.patches.patch", "수정된 값"},
                    { "hex.builtin.view.patches.remove", "패치 없애기" },

                { "hex.builtin.view.pattern_editor.name", "패턴 편집기" },
                { "hex.builtin.view.pattern_editor.accept_pattern", "패턴 적용하기" },
                    { "hex.builtin.view.pattern_editor.accept_pattern.desc", "하나 이상의 패턴 언어와 호환되는 데이터 타입이 발견되었습니다" },
                    { "hex.builtin.view.pattern_editor.accept_pattern.pattern_language", "패턴" },
                    { "hex.builtin.view.pattern_editor.accept_pattern.question", "선택한 패턴을 적용하시겠습니까?" },
                { "hex.builtin.view.pattern_editor.menu.file.load_pattern", "패턴 불러오기..." },
                { "hex.builtin.view.pattern_editor.menu.file.save_pattern", "패턴 저장하기..." },
                //{ "hex.builtin.view.pattern_editor.menu.edit.place_pattern", "Place pattern..." },
                //    { "hex.builtin.view.pattern_editor.menu.edit.place_pattern.builtin", "Built-in Type" },
                //        { "hex.builtin.view.pattern_editor.menu.edit.place_pattern.builtin.single", "Single" },
                //        { "hex.builtin.view.pattern_editor.menu.edit.place_pattern.builtin.array", "Array" },
                //    { "hex.builtin.view.pattern_editor.menu.edit.place_pattern.custom", "Custom Type" },
                { "hex.builtin.view.pattern_editor.open_pattern", "패턴 열기" },
                { "hex.builtin.view.pattern_editor.evaluating", "평가 중..." },
                { "hex.builtin.view.pattern_editor.auto", "자동 평가" },
                { "hex.builtin.view.pattern_editor.console", "콘솔" },
                { "hex.builtin.view.pattern_editor.env_vars", "환경 변수" },
                { "hex.builtin.view.pattern_editor.settings", "설정" },
                //{ "hex.builtin.view.pattern_editor.sections", "Sections" },
                //    { "hex.builtin.view.pattern_editor.section_popup", "Section" },
                { "hex.builtin.view.pattern_editor.dangerous_function.name", "위험한 함수를 허용하시겠습니까?" },
                { "hex.builtin.view.pattern_editor.dangerous_function.desc", "이 패턴은 위험한 함수를 실행하려 합니다.\n정말로 이 패턴을 신뢰하시겠습니?" },
                { "hex.builtin.view.pattern_editor.no_in_out_vars", "'in' 또는 'out' 지정자를 이용해 여기에 나타날 전역 변수를 선언합니다." },

                { "hex.builtin.view.pattern_data.name", "패턴 데이터" },

                { "hex.builtin.view.settings.name", "설정" },
                    { "hex.builtin.view.settings.restart_question", "변경 사항을 적용할려면 ImHex를 재시작 해야 합니다. 지금 바로 재시작하시겠습니까?" },

                { "hex.builtin.view.tools.name", "도구" },

                { "hex.builtin.view.yara.name", "Yara 규칙" },
                    { "hex.builtin.view.yara.header.rules", "규칙" },
                        { "hex.builtin.view.yara.reload", "재검사" },
                        { "hex.builtin.view.yara.match", "일치하는 규칙" },
                        //{ "hex.builtin.view.yara.reset", "Reset" },
                        { "hex.builtin.view.yara.matching", "검색 중..." },
                        { "hex.builtin.view.yara.error", "Yara 컴파일러 에러: " },
                    { "hex.builtin.view.yara.header.matches", "규칙" },
                        { "hex.builtin.view.yara.matches.identifier", "식별자" },
                        { "hex.builtin.view.yara.matches.variable", "변수" },
                        { "hex.builtin.view.yara.whole_data", "모든 파일을 검색했습니다!" },
                        { "hex.builtin.view.yara.no_rules", "YARA 규칙이 없습니다. ImHex의 'yara' 폴더에 YARA 규칙을 넣으세요." },
                    { "hex.builtin.view.yara.rule_added", "Yara 규칙 추가됨!" },


                { "hex.builtin.view.constants.name", "상수" },
                    { "hex.builtin.view.constants.row.category", "종류" },
                    { "hex.builtin.view.constants.row.name", "이름" },
                    { "hex.builtin.view.constants.row.desc", "설명" },
                    { "hex.builtin.view.constants.row.value", "값" },

                { "hex.builtin.view.store.name", "콘텐츠 스토어" },
                    { "hex.builtin.view.store.desc", "ImHex의 온라인 데이터베이스에서 새로운 컨텐츠를 다운로드 받으세요." },
                    { "hex.builtin.view.store.reload", "새로 고침" },
                    { "hex.builtin.view.store.row.name", "이름" },
                    { "hex.builtin.view.store.row.description", "설명" },
                    { "hex.builtin.view.store.download", "다운로드" },
                    { "hex.builtin.view.store.update", "업데이트" },
                    { "hex.builtin.view.store.remove", "제거" },
                    { "hex.builtin.view.store.tab.patterns", "패턴" },
                    { "hex.builtin.view.store.tab.libraries", "라이브러리" },
                    { "hex.builtin.view.store.tab.magics", "Magic 파일" },
                    { "hex.builtin.view.store.tab.constants", "상수" },
                    { "hex.builtin.view.store.tab.yara", "Yara 규칙" },
                    { "hex.builtin.view.store.tab.encodings", "인코딩" },
                    { "hex.builtin.view.store.loading", "스토어 콘텐츠 불러오는 중..." },
                    // { "hex.builtin.view.store.netfailed", "Net request to load store content failed!" },
                    { "hex.builtin.view.store.download_error", "파일 다운로드에 실패했습니다! 저장 폴더가 존재하지 않습니다." },

                { "hex.builtin.view.diff.name", "파일 비교" },

                { "hex.builtin.view.provider_settings.name", "공급자 설정" },
                    { "hex.builtin.view.provider_settings.load_popup", "공급자 열기" },
                    { "hex.builtin.view.provider_settings.load_error", "이 공급자를 여는 도중 에러가 발생했습니다!"},

                { "hex.builtin.view.find.name", "찾기" },
                    { "hex.builtin.view.find.searching", "검색 중..." },
                    { "hex.builtin.view.find.demangled", "Demangled" },
                    { "hex.builtin.view.find.strings", "문자열" },
                        { "hex.builtin.view.find.strings.min_length", "최소 길이" },
                        { "hex.builtin.view.find.strings.match_settings", "검색 설정" },
                        { "hex.builtin.view.find.strings.null_term", "Null로 끝난 글자만 검색" },
                        { "hex.builtin.view.find.strings.chars", "문자" },
                        { "hex.builtin.view.find.strings.lower_case", "소문자" },
                        { "hex.builtin.view.find.strings.upper_case", "대문자" },
                        { "hex.builtin.view.find.strings.numbers", "숫자" },
                        { "hex.builtin.view.find.strings.underscores", "언더스코어" },
                        { "hex.builtin.view.find.strings.symbols", "특수 문자" },
                        { "hex.builtin.view.find.strings.spaces", "공백 문자" },
                        { "hex.builtin.view.find.strings.line_feeds", "라인 피드" },
                    { "hex.builtin.view.find.sequences", "텍스트 시퀸스" },
                    { "hex.builtin.view.find.regex", "정규식" },
                        // { "hex.builtin.view.find.regex.pattern", "Pattern" },
                        // { "hex.builtin.view.find.regex.full_match", "Require full match" },
                    { "hex.builtin.view.find.binary_pattern", "바이너리 패턴" },
                    //{ "hex.builtin.view.find.value", "Numeric Value" },
                //          { "hex.builtin.view.find.value.min", "Minimum Value" },
                //          { "hex.builtin.view.find.value.max", "Maximum Value" },
                    { "hex.builtin.view.find.search", "검색" },
                    { "hex.builtin.view.find.context.copy", "값 복사" },
                    { "hex.builtin.view.find.context.copy_demangle", "Copy Demangled Value" },
                    { "hex.builtin.view.find.search.entries", "{} 개 검색됨" },
                    // { "hex.builtin.view.find.search.reset", "Reset" },


                { "hex.builtin.command.calc.desc", "계산기" },
                { "hex.builtin.command.cmd.desc", "명령" },
                { "hex.builtin.command.cmd.result", "명령 실행 '{0}'" },
                { "hex.builtin.command.web.desc", "웹사이트 탐색" },
                { "hex.builtin.command.web.result", "웹사이트 이동 '{0}'" },

                { "hex.builtin.inspector.binary", "Binary (8 bit)" },
                { "hex.builtin.inspector.u8", "uint8_t" },
                { "hex.builtin.inspector.i8", "int8_t" },
                { "hex.builtin.inspector.u16", "uint16_t" },
                { "hex.builtin.inspector.i16", "int16_t" },
                { "hex.builtin.inspector.u24", "uint24_t" },
                { "hex.builtin.inspector.i24", "int24_t" },
                { "hex.builtin.inspector.u32", "uint32_t" },
                { "hex.builtin.inspector.i32", "int32_t" },
                { "hex.builtin.inspector.u48", "uint48_t" },
                { "hex.builtin.inspector.i48", "int48_t" },
                { "hex.builtin.inspector.u64", "uint64_t" },
                { "hex.builtin.inspector.i64", "int64_t" },
                { "hex.builtin.inspector.float16", "half float (16 bit)" },
                { "hex.builtin.inspector.float", "float (32 bit)" },
                { "hex.builtin.inspector.double", "double (64 bit)" },
                { "hex.builtin.inspector.long_double", "long double (128 bit)" },
                { "hex.builtin.inspector.sleb128", "Signed LEB128" },
                { "hex.builtin.inspector.uleb128", "Unsigned LEB128" },
                { "hex.builtin.inspector.bool", "bool" },
                { "hex.builtin.inspector.ascii", "ASCII Character" },
                { "hex.builtin.inspector.wide", "Wide Character" },
                { "hex.builtin.inspector.utf8", "UTF-8 code point" },
                { "hex.builtin.inspector.string", "String" },
                { "hex.builtin.inspector.string16", "Wide String" },
                { "hex.builtin.inspector.time32", "time32_t" },
                { "hex.builtin.inspector.time64", "time64_t" },
                { "hex.builtin.inspector.time", "time_t" },
                { "hex.builtin.inspector.dos_date", "DOS Date" },
                { "hex.builtin.inspector.dos_time", "DOS Time" },
                { "hex.builtin.inspector.guid", "GUID" },
                { "hex.builtin.inspector.rgba8", "RGBA8 Color" },
                { "hex.builtin.inspector.rgb565", "RGB565 Color" },

                { "hex.builtin.nodes.common.input", "Input" },
                { "hex.builtin.nodes.common.input.a", "Input A" },
                { "hex.builtin.nodes.common.input.b", "Input B" },
                { "hex.builtin.nodes.common.output", "Output" },
                //{ "hex.builtin.nodes.common.width", "Width" },
                //{ "hex.builtin.nodes.common.height", "Height" },

                { "hex.builtin.nodes.constants", "상수" },
                    { "hex.builtin.nodes.constants.int", "정수" },
                        { "hex.builtin.nodes.constants.int.header", "정수" },
                    { "hex.builtin.nodes.constants.float", "실수" },
                        { "hex.builtin.nodes.constants.float.header", "실수" },
                    { "hex.builtin.nodes.constants.nullptr", "Nullptr" },
                        { "hex.builtin.nodes.constants.nullptr.header", "Nullptr" },
                    { "hex.builtin.nodes.constants.buffer", "버퍼" },
                        { "hex.builtin.nodes.constants.buffer.header", "버퍼" },
                        { "hex.builtin.nodes.constants.buffer.size", "크기" },
                    { "hex.builtin.nodes.constants.string", "문자열" },
                        { "hex.builtin.nodes.constants.string.header", "문자열" },
                    { "hex.builtin.nodes.constants.rgba8", "RGBA8 색상" },
                        { "hex.builtin.nodes.constants.rgba8.header", "RGBA8 색상" },
                        { "hex.builtin.nodes.constants.rgba8.output.r", "Red" },
                        { "hex.builtin.nodes.constants.rgba8.output.g", "Green" },
                        { "hex.builtin.nodes.constants.rgba8.output.b", "Blue" },
                        { "hex.builtin.nodes.constants.rgba8.output.a", "Alpha" },
                    { "hex.builtin.nodes.constants.comment", "주석" },
                        { "hex.builtin.nodes.constants.comment.header", "주석" },

                { "hex.builtin.nodes.display", "디스플레이" },
                    { "hex.builtin.nodes.display.int", "정수" },
                        { "hex.builtin.nodes.display.int.header", "정수 디스플레이" },
                    { "hex.builtin.nodes.display.float", "실수" },
                        { "hex.builtin.nodes.display.float.header", "실수 디스플레이" },
                //    { "hex.builtin.nodes.display.buffer", "Buffer" },
                //        { "hex.builtin.nodes.display.buffer.header", "Buffer display" },
                //    { "hex.builtin.nodes.display.string", "String" },
                //        { "hex.builtin.nodes.display.string.header", "String display" },

                { "hex.builtin.nodes.data_access", "데이터 접근" },
                    { "hex.builtin.nodes.data_access.read", "읽기" },
                        { "hex.builtin.nodes.data_access.read.header", "읽기" },
                        { "hex.builtin.nodes.data_access.read.address", "주소" },
                        { "hex.builtin.nodes.data_access.read.size", "크기" },
                        { "hex.builtin.nodes.data_access.read.data", "데이터" },
                    { "hex.builtin.nodes.data_access.write", "쓰기" },
                        { "hex.builtin.nodes.data_access.write.header", "쓰기" },
                        { "hex.builtin.nodes.data_access.write.address", "주소" },
                        { "hex.builtin.nodes.data_access.write.data", "데이터" },
                    { "hex.builtin.nodes.data_access.size", "데이터 크기"},
                        { "hex.builtin.nodes.data_access.size.header", "데이터 크기"},
                        { "hex.builtin.nodes.data_access.size.size", "크기"},
                    { "hex.builtin.nodes.data_access.selection", "선택한 영역"},
                        { "hex.builtin.nodes.data_access.selection.header", "선택한 영역"},
                        { "hex.builtin.nodes.data_access.selection.address", "주소"},
                        { "hex.builtin.nodes.data_access.selection.size", "크기"},

                { "hex.builtin.nodes.casting", "데이터 변환" },
                    { "hex.builtin.nodes.casting.int_to_buffer", "정수에서 버퍼로" },
                        { "hex.builtin.nodes.casting.int_to_buffer.header", "정수에서 버퍼로" },
                    { "hex.builtin.nodes.casting.buffer_to_int", "버퍼에서 정수로" },
                        { "hex.builtin.nodes.casting.buffer_to_int.header", "버퍼에서 정수로" },
                    //{ "hex.builtin.nodes.casting.float_to_buffer", "Float to Buffer" },
                        //{ "hex.builtin.nodes.casting.float_to_buffer.header", "Float to Buffer" },
                    //{ "hex.builtin.nodes.casting.buffer_to_float", "Buffer to Float" },
                        //{ "hex.builtin.nodes.casting.buffer_to_float.header", "Buffer to Float" },

                { "hex.builtin.nodes.arithmetic", "수학" },
                    { "hex.builtin.nodes.arithmetic.add", "덧셈" },
                        { "hex.builtin.nodes.arithmetic.add.header", "덧셈" },
                    { "hex.builtin.nodes.arithmetic.sub", "뺄셈" },
                        { "hex.builtin.nodes.arithmetic.sub.header", "뺄셈" },
                    { "hex.builtin.nodes.arithmetic.mul", "곱셈" },
                        { "hex.builtin.nodes.arithmetic.mul.header", "곱셈" },
                    { "hex.builtin.nodes.arithmetic.div", "나눗셈" },
                        { "hex.builtin.nodes.arithmetic.div.header", "나눗셈" },
                    { "hex.builtin.nodes.arithmetic.mod", "나머지" },
                        { "hex.builtin.nodes.arithmetic.mod.header", "나머지" },
                //    { "hex.builtin.nodes.arithmetic.average", "Average" },
                //        { "hex.builtin.nodes.arithmetic.average.header", "Average" },
                //    { "hex.builtin.nodes.arithmetic.median", "Median" },
                //        { "hex.builtin.nodes.arithmetic.median.header", "Median" },

                { "hex.builtin.nodes.buffer", "버퍼" },
                    { "hex.builtin.nodes.buffer.combine", "합치기" },
                        { "hex.builtin.nodes.buffer.combine.header", "버퍼 합치기" },
                    { "hex.builtin.nodes.buffer.slice", "자르기" },
                        { "hex.builtin.nodes.buffer.slice.header", "버퍼 자르기" },
                        { "hex.builtin.nodes.buffer.slice.input.buffer", "입력" },
                        { "hex.builtin.nodes.buffer.slice.input.from", "시작" },
                        { "hex.builtin.nodes.buffer.slice.input.to", "끝" },
                    { "hex.builtin.nodes.buffer.repeat", "출력" },
                        { "hex.builtin.nodes.buffer.repeat.header", "버퍼 반복" },
                        //{ "hex.builtin.nodes.buffer.repeat.input.buffer", "Input" },
                        { "hex.builtin.nodes.buffer.repeat.input.count", "개수" },
                //    { "hex.builtin.nodes.buffer.patch", "Patch" },
                //        { "hex.builtin.nodes.buffer.patch.header", "Patch" },
                //        { "hex.builtin.nodes.buffer.patch.input.patch", "Patch" },

                { "hex.builtin.nodes.control_flow", "데이터 플로우" },
                    { "hex.builtin.nodes.control_flow.if", "If" },
                        { "hex.builtin.nodes.control_flow.if.header", "If" },
                        { "hex.builtin.nodes.control_flow.if.condition", "조건" },
                        { "hex.builtin.nodes.control_flow.if.true", "True" },
                        { "hex.builtin.nodes.control_flow.if.false", "False" },
                    { "hex.builtin.nodes.control_flow.equals", "Equals" },
                        { "hex.builtin.nodes.control_flow.equals.header", "Equals" },
                    { "hex.builtin.nodes.control_flow.not", "Not" },
                        { "hex.builtin.nodes.control_flow.not.header", "Not" },
                    { "hex.builtin.nodes.control_flow.gt", "Greater than" },
                        { "hex.builtin.nodes.control_flow.gt.header", "Greater than" },
                    { "hex.builtin.nodes.control_flow.lt", "Less than" },
                        { "hex.builtin.nodes.control_flow.lt.header", "Less than" },
                    { "hex.builtin.nodes.control_flow.and", "AND" },
                        { "hex.builtin.nodes.control_flow.and.header", "Boolean AND" },
                    { "hex.builtin.nodes.control_flow.or", "OR" },
                        { "hex.builtin.nodes.control_flow.or.header", "Boolean OR" },

                { "hex.builtin.nodes.bitwise", "비트 연산" },
                    { "hex.builtin.nodes.bitwise.and", "AND" },
                        { "hex.builtin.nodes.bitwise.and.header", "논리 AND" },
                    { "hex.builtin.nodes.bitwise.or", "OR" },
                        { "hex.builtin.nodes.bitwise.or.header", "논리 OR" },
                    { "hex.builtin.nodes.bitwise.xor", "XOR" },
                        { "hex.builtin.nodes.bitwise.xor.header", "논리 XOR" },
                    { "hex.builtin.nodes.bitwise.not", "NOT" },
                        { "hex.builtin.nodes.bitwise.not.header", "논리 NOT" },

                { "hex.builtin.nodes.decoding", "디코딩" },
                    { "hex.builtin.nodes.decoding.base64", "Base64" },
                        { "hex.builtin.nodes.decoding.base64.header", "Base64 디코더" },
                    { "hex.builtin.nodes.decoding.hex", "16진수" },
                        { "hex.builtin.nodes.decoding.hex.header", "16진수 decoder" },

                { "hex.builtin.nodes.crypto", "암호학" },
                    { "hex.builtin.nodes.crypto.aes", "AES 복호화" },
                        { "hex.builtin.nodes.crypto.aes.header", "AES 복호화" },
                        { "hex.builtin.nodes.crypto.aes.key", "키" },
                        { "hex.builtin.nodes.crypto.aes.iv", "IV" },
                        { "hex.builtin.nodes.crypto.aes.nonce", "논스" },
                        { "hex.builtin.nodes.crypto.aes.mode", "모드" },
                        { "hex.builtin.nodes.crypto.aes.key_length", "Key 길이" },

                { "hex.builtin.nodes.visualizer", "시작화" },
                    { "hex.builtin.nodes.visualizer.digram", "다이어그램" },
                        { "hex.builtin.nodes.visualizer.digram.header", "다이어그램" },
                    { "hex.builtin.nodes.visualizer.layered_dist", "계층적 분포" },
                        { "hex.builtin.nodes.visualizer.layered_dist.header", "계층적 분포" },
                    { "hex.builtin.nodes.visualizer.image", "이미지" },
                        { "hex.builtin.nodes.visualizer.image.header", "이미지 시각화" },
                    //{ "hex.builtin.nodes.visualizer.image_rgba", "RGBA8 Image" },
                        //{ "hex.builtin.nodes.visualizer.image_rgba.header", "RGBA8 Image Visualizer" },
                    { "hex.builtin.nodes.visualizer.byte_distribution", "바이트 분포" },
                        { "hex.builtin.nodes.visualizer.byte_distribution.header", "바이트 분포" },

                //{ "hex.builtin.nodes.pattern_language", "Pattern Language" },
                    //{ "hex.builtin.nodes.pattern_language.out_var", "Out Variable" },
                        //{ "hex.builtin.nodes.pattern_language.out_var.header", "Out Variable" },


                { "hex.builtin.tools.demangler", "LLVM Demangler" },
                    { "hex.builtin.tools.demangler.mangled", "Mangled name" },
                    { "hex.builtin.tools.demangler.demangled", "Demangled name" },
                { "hex.builtin.tools.ascii_table", "ASCII 테이블" },
                    { "hex.builtin.tools.ascii_table.octal", "8진수 표시" },
                { "hex.builtin.tools.regex_replacer", "정규식 변환기" },
                    { "hex.builtin.tools.regex_replacer.pattern", "정규식 패턴" },
                    { "hex.builtin.tools.regex_replacer.replace", "교체할 패턴" },
                    { "hex.builtin.tools.regex_replacer.input", "입력" },
                    { "hex.builtin.tools.regex_replacer.output", "출력" },
                { "hex.builtin.tools.color", "컬러 피커" },
                { "hex.builtin.tools.calc", "계산기" },
                    { "hex.builtin.tools.input", "입력" },
                    { "hex.builtin.tools.format.standard", "표준" },
                    { "hex.builtin.tools.format.scientific", "공학용" },
                    { "hex.builtin.tools.format.engineering", "엔지니어링" },
                    { "hex.builtin.tools.format.programmer", "프로그래머" },
                    { "hex.builtin.tools.error", "마지막 에러: '{0}'" },
                    { "hex.builtin.tools.history", "이력" },
                    { "hex.builtin.tools.name", "이름" },
                    { "hex.builtin.tools.value", "값" },
                { "hex.builtin.tools.base_converter", "진수 변환기" },
                    { "hex.builtin.tools.base_converter.dec", "DEC" },
                    { "hex.builtin.tools.base_converter.hex", "HEX" },
                    { "hex.builtin.tools.base_converter.oct", "OCT" },
                    { "hex.builtin.tools.base_converter.bin", "BIN" },
                { "hex.builtin.tools.permissions", "UNIX 권한 계산기" },
                    { "hex.builtin.tools.permissions.perm_bits", "권한 비트" },
                    { "hex.builtin.tools.permissions.absolute", "절대값" },
                    { "hex.builtin.tools.permissions.setuid_error", "Setuid bit를 적용하기 위한 올바른 유저 권한이 필요합니다!" },
                    { "hex.builtin.tools.permissions.setgid_error", "Setgid bit를 적용하기 위한 올바른 그룹 권한이 필요합니다!" },
                    { "hex.builtin.tools.permissions.sticky_error", "Sticky bit를 적용하기 위한 올바른 기타 권한이 필요합니다!" },
                { "hex.builtin.tools.file_uploader", "파일 업로더" },
                    { "hex.builtin.tools.file_uploader.control", "컨트롤" },
                    { "hex.builtin.tools.file_uploader.upload", "업로드" },
                    { "hex.builtin.tools.file_uploader.done", "완료!" },
                    { "hex.builtin.tools.file_uploader.recent", "최근 업로드" },
                    { "hex.builtin.tools.file_uploader.tooltip", "클릭해 복사,\nCTRL + 클릭으로 열기" },
                    { "hex.builtin.tools.file_uploader.invalid_response", "Anonfiles에서 잘못된 응답이 왔습니다!" },
                    { "hex.builtin.tools.file_uploader.error", "파일 업로드 실패!\n\n에러 코드: {0}" },
                { "hex.builtin.tools.wiki_explain", "Wikipedia 용어 정의" },
                    { "hex.builtin.tools.wiki_explain.control", "컨트롤" },
                    { "hex.builtin.tools.wiki_explain.search", "검색" },
                    { "hex.builtin.tools.wiki_explain.results", "결과" },
                    { "hex.builtin.tools.wiki_explain.invalid_response", "Wikipedia에서 잘못된 응답이 왔습니다!" },
                { "hex.builtin.tools.file_tools", "파일 도구" },
                    { "hex.builtin.tools.file_tools.shredder", "완전 삭제 도구" },
                        { "hex.builtin.tools.file_tools.shredder.warning", "이 도구는 복구할 수 없도록 파일을 제거합니다. 주의하세요." },
                        { "hex.builtin.tools.file_tools.shredder.input", "삭제할 파일 " },
                        { "hex.builtin.tools.file_tools.shredder.picker", "삭제할 파일을 선택하세요." },
                        { "hex.builtin.tools.file_tools.shredder.fast", "빠른 삭제" },
                        { "hex.builtin.tools.file_tools.shredder.shredding", "삭제 중..." },
                        { "hex.builtin.tools.file_tools.shredder.shred", "삭제 완료" },
                        { "hex.builtin.tools.file_tools.shredder.error.open", "파일을 여는데 실패했습니다!" },
                        { "hex.builtin.tools.file_tools.shredder.success", "삭제을 완료했습니다!" },
                    { "hex.builtin.tools.file_tools.splitter", "분리 도구" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.5_75_floppy", "5¼\" 플로피 디스크 (1200KiB)" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.3_5_floppy", "3½\" 플로피 디스크 (1400KiB)" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.zip100", "Zip 100 디스크 (100MiB)" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.zip200", "Zip 200 디스크 (200MiB)" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.cdrom650", "CD-ROM (650MiB)" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.cdrom700", "CD-ROM (700MiB)" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.fat32", "FAT32 (4GiB)" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.custom", "Custom" },
                        { "hex.builtin.tools.file_tools.splitter.input", "분리할 파일 " },
                        { "hex.builtin.tools.file_tools.splitter.picker.input", "분리할 파일을 선택하세요" },
                        { "hex.builtin.tools.file_tools.splitter.output", "저장 경로 " },
                        { "hex.builtin.tools.file_tools.splitter.picker.output", "저장 경로를 선택하세요" },
                        { "hex.builtin.tools.file_tools.splitter.picker.splitting", "분리 중..." },
                        { "hex.builtin.tools.file_tools.splitter.picker.split", "분리" },
                        { "hex.builtin.tools.file_tools.splitter.picker.error.open", "파일을 여는데 실패했습니다!" },
                        { "hex.builtin.tools.file_tools.splitter.picker.error.size", "파일이 분리할 크기보다 작습니다" },
                        { "hex.builtin.tools.file_tools.splitter.picker.error.create", "파일 조각 {0}를 만드는 데 실패했습니다" },
                        { "hex.builtin.tools.file_tools.splitter.picker.success", "파일 분리를 완료했습니다!" },
                    { "hex.builtin.tools.file_tools.combiner", "병합 도구" },
                        { "hex.builtin.tools.file_tools.combiner.add", "추가..." },
                        { "hex.builtin.tools.file_tools.combiner.add.picker", "파일 추가" },
                        { "hex.builtin.tools.file_tools.combiner.delete", "삭제" },
                        { "hex.builtin.tools.file_tools.combiner.clear", "비우기" },
                        { "hex.builtin.tools.file_tools.combiner.output", "저장 경로 " },
                        { "hex.builtin.tools.file_tools.combiner.output.picker", "저장 경로를 선택하세요" },
                        { "hex.builtin.tools.file_tools.combiner.combining", "병합 중..." },
                        { "hex.builtin.tools.file_tools.combiner.combine", "병합" },
                        { "hex.builtin.tools.file_tools.combiner.error.open_output", "출력 파일을 여는 데 실패했습니다!" },
                        { "hex.builtin.tools.file_tools.combiner.open_input", "입력 파일 {0}을 열지 못했습니다" },
                        { "hex.builtin.tools.file_tools.combiner.success", "파일 병합을 완료했습니다!" },
                { "hex.builtin.tools.ieee756", "IEEE 756 부동 소수점 테스트" },
                    { "hex.builtin.tools.ieee756.sign", "부포" },
                    { "hex.builtin.tools.ieee756.exponent", "지수부" },
                    { "hex.builtin.tools.ieee756.mantissa", "가수부" },
                    { "hex.builtin.tools.ieee756.exponent_size", "지수부 크기" },
                    { "hex.builtin.tools.ieee756.mantissa_size", "가수부 크기" },
                    { "hex.builtin.tools.ieee756.half_precision", "Half Precision" },
                    { "hex.builtin.tools.ieee756.singe_precision", "Single Precision" },
                    { "hex.builtin.tools.ieee756.double_precision", "Double Precision" },
                    { "hex.builtin.tools.ieee756.type", "종류" },
                    { "hex.builtin.tools.ieee756.formula", "공식" },
                    { "hex.builtin.tools.ieee756.result.title", "결과" },
                    { "hex.builtin.tools.ieee756.result.float", "부동 소수점 결과" },
                    { "hex.builtin.tools.ieee756.result.hex", "16진수 결과" },

                { "hex.builtin.setting.imhex", "ImHex" },
                    { "hex.builtin.setting.imhex.recent_files", "최근 파일" },
                { "hex.builtin.setting.general", "일반" },
                    // { "hex.builtin.setting.general.check_for_updates", "Check for updates on startup" },
                    { "hex.builtin.setting.general.show_tips", "시작 시 팁 표시" },
                    { "hex.builtin.setting.general.auto_load_patterns", "지원하는 패턴 자동으로 로드" },
                    { "hex.builtin.setting.general.sync_pattern_source", "공급자 간 패턴 소스 코드 동기화" },
                    // { "hex.builtin.setting.general.enable_unicode", "Load all unicode characters" },
                { "hex.builtin.setting.interface", "인터페이스" },
                    { "hex.builtin.setting.interface.color", "색상 테마" },
                        { "hex.builtin.setting.interface.color.system", "시스템" },
                        { "hex.builtin.setting.interface.color.dark", "다크" },
                        { "hex.builtin.setting.interface.color.light", "라이트" },
                        { "hex.builtin.setting.interface.color.classic", "클래식" },
                    { "hex.builtin.setting.interface.scaling", "크기" },
                        { "hex.builtin.setting.interface.scaling.native", "기본" },
                        { "hex.builtin.setting.interface.scaling.x0_5", "x0.5" },
                        { "hex.builtin.setting.interface.scaling.x1_0", "x1.0" },
                        { "hex.builtin.setting.interface.scaling.x1_5", "x1.5" },
                        { "hex.builtin.setting.interface.scaling.x2_0", "x2.0" },
                        { "hex.builtin.setting.interface.scaling.x3_0", "x3.0" },
                        { "hex.builtin.setting.interface.scaling.x4_0", "x4.0" },
                    { "hex.builtin.setting.interface.language", "언어" },
                    { "hex.builtin.setting.interface.wiki_explain_language", "Wikipedia 언어" },
                    { "hex.builtin.setting.interface.fps", "FPS 제한" },
                    { "hex.builtin.setting.interface.fps.unlocked", "제한 없음" },
                    //{ "hex.builtin.setting.interface.multi_windows", "Enable Multi Window support" },
                { "hex.builtin.setting.hex_editor", "헥스 편집기" },
                    { "hex.builtin.setting.hex_editor.highlight_color", "선택 영역 색상 하이라이트" },
                    { "hex.builtin.setting.hex_editor.bytes_per_row", "한 줄당 바이트 수" },
                    { "hex.builtin.setting.hex_editor.ascii", "ASCII 열 표시" },
                    { "hex.builtin.setting.hex_editor.advanced_decoding", "추가 디코딩 열 표시" },
                    { "hex.builtin.setting.hex_editor.grey_zeros", "00을 회색으로 표시" },
                    { "hex.builtin.setting.hex_editor.uppercase_hex", "16진수 값을 대문자로 표시" },
                    { "hex.builtin.setting.hex_editor.visualizer", "데이터 표시" },
                    //{ "hex.builtin.setting.hex_editor.sync_scrolling", "Synchronize editor position" },
                    //{ "hex.builtin.setting.hex_editor.byte_padding", "Extra byte cell padding" },
                    //{ "hex.builtin.setting.hex_editor.char_padding", "Extra character cell padding" },
                { "hex.builtin.setting.folders", "폴더" },
                    { "hex.builtin.setting.folders.description", "패턴, 스크립트, YARA 규칙 등을 찾아볼 추가적인 폴더 경로를 지정하세요" },
                    { "hex.builtin.setting.folders.add_folder", "새 폴더 추가" },
                    { "hex.builtin.setting.folders.remove_folder", "선택한 폴더를 리스트에서 제거" },
                { "hex.builtin.setting.font", "글꼴" },
                    { "hex.builtin.setting.font.font_path", "사용자 지정 글꼴 경로" },
                    { "hex.builtin.setting.font.font_size", "글꼴 크기" },
                { "hex.builtin.setting.proxy", "프록시" },
                    { "hex.builtin.setting.proxy.description", "프록시는 스토어, wikipedia, 그리고 추가적인 플러그인에 즉시 적용이 됩니다." },
                    { "hex.builtin.setting.proxy.enable", "Proxy 활성화" },
                    { "hex.builtin.setting.proxy.url", "Proxy 경로" },
                    { "hex.builtin.setting.proxy.url.tooltip", "http(s):// 혹은 socks5:// (예., http://127.0.0.1:1080)" },

                { "hex.builtin.provider.file", "파일 공급자" },
                    { "hex.builtin.provider.file.path", "파일 경로" },
                    { "hex.builtin.provider.file.size", "크기" },
                    { "hex.builtin.provider.file.creation", "생성 시각" },
                    { "hex.builtin.provider.file.access", "마지막 접근 시각" },
                    { "hex.builtin.provider.file.modification", "마지막 수정 시각" },
                { "hex.builtin.provider.gdb", "GDB 서버 공급자" },
                    { "hex.builtin.provider.gdb.name", "GDB 서버 <{0}:{1}>" },
                    { "hex.builtin.provider.gdb.server", "서버" },
                    { "hex.builtin.provider.gdb.ip", "IP 주소" },
                    { "hex.builtin.provider.gdb.port", "포트" },
                { "hex.builtin.provider.disk", "Raw 디스크 공급자" },
                    { "hex.builtin.provider.disk.selected_disk", "디스크" },
                    { "hex.builtin.provider.disk.disk_size", "디스크 크기" },
                    { "hex.builtin.provider.disk.sector_size", "섹터 크기" },
                    { "hex.builtin.provider.disk.reload", "새로 고침" },
                { "hex.builtin.provider.intel_hex", "Intel Hex 공급자" },
                    { "hex.builtin.provider.intel_hex.name", "Intel Hex {0}" },
                { "hex.builtin.provider.motorola_srec", "Motorola SREC 공급자" },
                    { "hex.builtin.provider.motorola_srec.name", "Motorola SREC {0}" },
                //{ "hex.builtin.provider.mem_file", "Memory File" },
                //    { "hex.builtin.provider.mem_file.unsaved", "Unsaved File" },
                //{ "hex.builtin.provider.view", "View" },

                { "hex.builtin.layouts.default", "기본 값" },

                { "hex.builtin.visualizer.hexadecimal.8bit", "16진수 (8 비트)" },
                { "hex.builtin.visualizer.hexadecimal.16bit", "16진수 (16 비트)" },
                { "hex.builtin.visualizer.hexadecimal.32bit", "16진수 (32 비트)" },
                { "hex.builtin.visualizer.hexadecimal.64bit", "16진수 (64 비트)" },
                { "hex.builtin.visualizer.decimal.signed.8bit", "부호 있는 10진수 (8 비트)" },
                { "hex.builtin.visualizer.decimal.signed.16bit", "부호 있는 10진수 (16 비트)" },
                { "hex.builtin.visualizer.decimal.signed.32bit", "부호 있는 10진수 (32 비트)" },
                { "hex.builtin.visualizer.decimal.signed.64bit", "부호 있는 10진수 (64 비트)" },
                { "hex.builtin.visualizer.decimal.unsigned.8bit", "부호 없는 10진수 (8 비트)" },
                { "hex.builtin.visualizer.decimal.unsigned.16bit", "부호 없는 10진수 (16 비트)" },
                { "hex.builtin.visualizer.decimal.unsigned.32bit", "부호 없는 10진수 (32 비트)" },
                { "hex.builtin.visualizer.decimal.unsigned.64bit", "부호 없는 10진수 (64 비트)" },
                { "hex.builtin.visualizer.floating_point.16bit", "부동소수점 (16 비트)" },
                { "hex.builtin.visualizer.floating_point.32bit", "부동소수점 (32 비트)" },
                { "hex.builtin.visualizer.floating_point.64bit", "부동소수점 (64 비트)" },
                { "hex.builtin.visualizer.hexii", "HexII" },
                { "hex.builtin.visualizer.rgba8", "RGBA8 색상" },

                { "hex.builtin.hash.md5", "MD5" },
                { "hex.builtin.hash.sha1", "SHA1" },
                { "hex.builtin.hash.sha224", "SHA224" },
                { "hex.builtin.hash.sha256", "SHA256" },
                { "hex.builtin.hash.sha384", "SHA384" },
                { "hex.builtin.hash.sha512", "SHA512" },
                { "hex.builtin.hash.crc8", "CRC8" },
                { "hex.builtin.hash.crc16", "CRC16" },
                { "hex.builtin.hash.crc32", "CRC32" },
                    { "hex.builtin.hash.crc.poly", "Polynomial" },
                    { "hex.builtin.hash.crc.iv", "Initial Value" },
                    { "hex.builtin.hash.crc.xor_out", "XOR Out" },
                    { "hex.builtin.hash.crc.refl_in", "Reflect In" },
                    { "hex.builtin.hash.crc.refl_out", "Reflect Out" },
        });
    }

}
