#include <hex/api/content_registry.hpp>
#include <hex/api/localization.hpp>

namespace hex::plugin::builtin {

    void registerLanguageZhCN() {
        ContentRegistry::Language::registerLanguage("Chinese (Simplified)", "zh-CN");

        ContentRegistry::Language::addLocalizations("zh-CN", {
                { "hex.builtin.welcome.header.main", "欢迎来到 ImHex" },
                { "hex.builtin.welcome.header.start", "开始" },
                    { "hex.builtin.welcome.start.create_file", "创建新文件" },
                    { "hex.builtin.welcome.start.open_file", "打开文件" },
                    { "hex.builtin.welcome.start.open_project", "打开工程" },
                    { "hex.builtin.welcome.start.recent", "最近文件" },
                    { "hex.builtin.welcome.start.open_other", "其他提供器" },
                { "hex.builtin.welcome.header.help", "帮助" },
                    { "hex.builtin.welcome.help.repo", "GitHub 仓库" },
                        { "hex.builtin.welcome.help.repo.link", "https://imhex.werwolv.net/git" },
                    { "hex.builtin.welcome.help.gethelp", "获得帮助" },
                        { "hex.builtin.welcome.help.gethelp.link", "https://github.com/WerWolv/ImHex/discussions/categories/get-help" },
                    { "hex.builtin.welcome.help.discord", "Discord 服务器" },
                        { "hex.builtin.welcome.help.discord.link", "https://imhex.werwolv.net/discord" },
                { "hex.builtin.welcome.header.plugins", "已加载插件" },
                    { "hex.builtin.welcome.plugins.plugin", "插件" },
                    { "hex.builtin.welcome.plugins.author", "作者" },
                    { "hex.builtin.welcome.plugins.desc", "描述" },
                { "hex.builtin.welcome.header.customize", "自定义" },
                    { "hex.builtin.welcome.customize.settings.title", "设置" },
                    { "hex.builtin.welcome.customize.settings.desc", "更改 ImHex 的设置" },
                { "hex.builtin.welcome.header.update", "更新" },
                    { "hex.builtin.welcome.update.title", "新的更新可用！" },
                    { "hex.builtin.welcome.update.desc", "ImHex {0} 已发布！在这里下载。" },
                    { "hex.builtin.welcome.update.link", "https://github.com/WerWolv/ImHex/releases/latest" },
                { "hex.builtin.welcome.header.learn", "学习" },
                    { "hex.builtin.welcome.learn.latest.title", "最新版本" },
                    { "hex.builtin.welcome.learn.latest.desc", "阅读 ImHex 最新版本的更改日志" },
                    { "hex.builtin.welcome.learn.latest.link", "https://github.com/WerWolv/ImHex/releases/latest" },
                    { "hex.builtin.welcome.learn.pattern.title", "模式文档" },
                    { "hex.builtin.welcome.learn.pattern.desc", "如何基于我们完善的文档编写 ImHex 模式" },
                    { "hex.builtin.welcome.learn.pattern.link", "https://imhex.werwolv.net/docs" },
                    { "hex.builtin.welcome.learn.plugins.title", "插件 API" },
                    { "hex.builtin.welcome.learn.plugins.desc", "通过插件扩展 ImHex 获得更多功能" },
                    { "hex.builtin.welcome.learn.plugins.link", "https://github.com/WerWolv/ImHex/wiki/Plugins-Development-Guide" },
                { "hex.builtin.welcome.header.various", "杂项" },
                { "hex.builtin.welcome.tip_of_the_day", "每日提示" },
                // { "hex.builtin.welcome.check_for_updates_text", "Do you want to automatically check for updates on startup?\n"
                //     "Possible updates will be shown in the 'Update' tab of the welcome screen" },

                { "hex.builtin.welcome.safety_backup.title", "恢复崩溃数据" },
                { "hex.builtin.welcome.safety_backup.desc", "糟糕，ImHex 上次崩溃了！\n您想从异常转储中恢复之前的数据吗？"},
                { "hex.builtin.welcome.safety_backup.restore", "恢复" },
                { "hex.builtin.welcome.safety_backup.delete", "删除" },

                //{ "hex.builtin.common.name", "Name" },
                { "hex.builtin.common.endian", "端序" },
                { "hex.builtin.common.little_endian", "小端序" },
                { "hex.builtin.common.big_endian", "大端序" },
                { "hex.builtin.common.little", "小" },
                { "hex.builtin.common.big", "大" },
                { "hex.builtin.common.number_format", "数字进制" },
                { "hex.builtin.common.decimal", "十进制" },
                { "hex.builtin.common.hexadecimal", "十六进制" },
                { "hex.builtin.common.octal", "八进制" },
                { "hex.builtin.common.info", "信息" },
                { "hex.builtin.common.error", "错误" },
                { "hex.builtin.common.fatal", "致命错误" },
                { "hex.builtin.common.question", "问题" },
                { "hex.builtin.common.address", "地址" },
                { "hex.builtin.common.size", "大小" },
                { "hex.builtin.common.region", "区域" },
                { "hex.builtin.common.match_selection", "匹配选择" },
                { "hex.builtin.common.yes", "是" },
                { "hex.builtin.common.no", "否" },
                { "hex.builtin.common.okay", "好的" },
                { "hex.builtin.common.load", "加载" },
                { "hex.builtin.common.cancel", "取消" },
                { "hex.builtin.common.set", "设置" },
                { "hex.builtin.common.close", "关闭" },
                { "hex.builtin.common.dont_show_again", "不要再次显示" },
                { "hex.builtin.common.link", "链接" },
                { "hex.builtin.common.file", "文件" },
                { "hex.builtin.common.open", "打开" },
                { "hex.builtin.common.browse", "浏览..." },
                { "hex.builtin.common.choose_file", "选择文件" },
                { "hex.builtin.common.processing", "处理" },
                { "hex.builtin.common.filter", "过滤器" },
                //{ "hex.builtin.common.count", "Count" },
                { "hex.builtin.common.value", "值" },
                { "hex.builtin.common.type", "类型" },
                    { "hex.builtin.common.type.u8", "uint8_t" },
                    { "hex.builtin.common.type.i8", "int8_t" },
                    { "hex.builtin.common.type.u16", "uint16_t" },
                    { "hex.builtin.common.type.i16", "int16_t" },
                    { "hex.builtin.common.type.u24", "uint24_t" },
                    { "hex.builtin.common.type.i24", "int24_t" },
                    { "hex.builtin.common.type.u32", "uint32_t" },
                    { "hex.builtin.common.type.i32", "int32_t" },
                    { "hex.builtin.common.type.u48", "uint48_t" },
                    { "hex.builtin.common.type.i48", "int48_t" },
                    { "hex.builtin.common.type.u64", "uint64_t" },
                    { "hex.builtin.common.type.i64", "int64_t" },
                    { "hex.builtin.common.type.f32", "float" },
                    { "hex.builtin.common.type.f64", "double" },
                { "hex.builtin.common.offset", "偏移" },
                { "hex.builtin.common.range", "范围" },
                    { "hex.builtin.common.range.entire_data", "所有数据" },
                    { "hex.builtin.common.range.selection", "选区" },
                { "hex.builtin.common.comment", "注释" },

                { "hex.builtin.common.encoding.ascii", "ASCII" },
                { "hex.builtin.common.encoding.utf16le", "UTF-16LE" },
                { "hex.builtin.common.encoding.utf16be", "UTF-16BE" },
                { "hex.builtin.common.encoding.utf8", "UTF-8" },

                { "hex.builtin.popup.exit_application.title", "退出？" },
                { "hex.builtin.popup.exit_application.desc", "工程还有未保存的更改。\n确定要退出吗？" },
                { "hex.builtin.popup.close_provider.title", "关闭提供器？" },
                { "hex.builtin.popup.close_provider.desc", "有对此提供器做出的未保存的更改。\n你确定要关闭吗？" },
                { "hex.builtin.popup.error.read_only", "无法获得写权限，文件以只读方式打开。" },
                { "hex.builtin.popup.error.open", "打开文件失败！" },
                { "hex.builtin.popup.error.create", "创建新文件失败！" },
                { "hex.builtin.popup.error.project.load", "加载工程失败！" },
                { "hex.builtin.popup.error.project.save", "保存工程失败！" },
                { "hex.builtin.popup.error.task_exception", "任务 '{}' 异常：\n\n{}" },
                { "hex.builtin.popup.error.file_dialog.portal",
                    "打开文件浏览器时发生了错误。这可能是由于您的系统没有正确安装 xdg-desktop-portal 后端。\n"
                    "\n"
                    "对于 KDE，请使用 xdg-desktop-portal-kde。\n"
                    "对于 Gnome，请使用 xdg-desktop-portal-gnome。\n"
                    "对于 wlroots，请使用 xdg-desktop-portal-wlr。\n"
                    "其他情况，您可以尝试使用 xdg-desktop-portal-gtk。\n"
                    "\n"
                    "重启后请重启您的系统。\n"
                    "\n"
                    "如果在这之后文件浏览器仍然不能正常工作，请在 https://github.com/WerWolv/ImHex/issues 提交问题。\n"
                    "\n"
                    "与此同时，仍然可以通过将文件拖到 ImHex 窗口来打开它们！"
                },
                { "hex.builtin.popup.error.file_dialog.common", "尝试打开文件浏览器时发生了错误！" },

                { "hex.builtin.hex_editor.page", "分页" },
                { "hex.builtin.hex_editor.selection", "选区" },
                { "hex.builtin.hex_editor.selection.none", "未选中" },
                { "hex.builtin.hex_editor.region", "范围" },
                { "hex.builtin.hex_editor.data_size", "总大小" },
                { "hex.builtin.hex_editor.no_bytes", "没有可显示的字节" },

                { "hex.builtin.pattern_drawer.var_name", "名称" },
                { "hex.builtin.pattern_drawer.color", "颜色" },
                { "hex.builtin.pattern_drawer.offset", "偏移" },
                { "hex.builtin.pattern_drawer.size", "大小" },
                { "hex.builtin.pattern_drawer.type", "类型" },
                { "hex.builtin.pattern_drawer.value", "值" },
                //{ "hex.builtin.pattern_drawer.double_click", "Double-click to see more items" },

                { "hex.builtin.menu.file", "文件" },
                    { "hex.builtin.menu.file.create_file", "新建文件..." },
                    { "hex.builtin.menu.file.open_file", "打开文件..." },
                    { "hex.builtin.menu.file.open_recent", "最近打开" },
                    { "hex.builtin.menu.file.clear_recent", "清除" },
                    { "hex.builtin.menu.file.open_other", "打开其他..." },
                    { "hex.builtin.menu.file.close", "关闭" },
                    { "hex.builtin.menu.file.reload_file", "重新加载文件" },
                    { "hex.builtin.menu.file.quit", "退出 ImHex" },
                    { "hex.builtin.menu.file.open_project", "打开项目..." },
                    { "hex.builtin.menu.file.save_project", "保存项目..." },
                    { "hex.builtin.menu.file.import", "导入..." },
                        { "hex.builtin.menu.file.import.base64", "Base64 文件" },
                            { "hex.builtin.menu.file.import.base64.popup.import_error", "文件不是有效的 Base64 格式！" },
                            { "hex.builtin.menu.file.import.base64.popup.open_error", "打开文件失败！" },
                        { "hex.builtin.menu.file.import.ips", "IPS 补丁" },
                        { "hex.builtin.menu.file.import.ips32", "IPS32 补丁" },
                    { "hex.builtin.menu.file.export", "导出..." },
                        { "hex.builtin.menu.file.export.title", "导出文件" },
                        { "hex.builtin.menu.file.export.ips", "IPS 补丁" },
                        { "hex.builtin.menu.file.export.ips32", "IPS32 补丁" },
                        { "hex.builtin.menu.file.export.base64.popup.export_error", "文件不是有效的 Base64 格式！" },
                    { "hex.builtin.menu.file.export.popup.create", "无法导出文件。文件创建失败！" },
                    { "hex.builtin.menu.file.bookmark.import", "导入书签" },
                    { "hex.builtin.menu.file.bookmark.export", "导出书签" },

                { "hex.builtin.menu.edit", "编辑" },
                    { "hex.builtin.menu.edit.undo", "撤销" },
                    { "hex.builtin.menu.edit.redo", "重做" },
                    { "hex.builtin.menu.edit.bookmark.create", "添加书签" },

                { "hex.builtin.menu.view", "视图" },
                { "hex.builtin.menu.layout", "布局" },
                    { "hex.builtin.menu.view.fps", "显示 FPS" },
                    { "hex.builtin.menu.view.demo", "ImGui 演示" },
                { "hex.builtin.menu.help", "帮助" },

                { "hex.builtin.view.bookmarks.name", "书签" },
                    { "hex.builtin.view.bookmarks.default_title", "书签 [0x{0:X} - 0x{1:X}]" },
                    { "hex.builtin.view.bookmarks.no_bookmarks", "空空如也--您可以使用 '编辑' 菜单来添加书签。" },
                    { "hex.builtin.view.bookmarks.title.info", "信息" },
                    { "hex.builtin.view.bookmarks.address", "0x{0:X} : 0x{1:X} ({2} 字节)" },
                    { "hex.builtin.view.bookmarks.button.jump", "转到" },
                    { "hex.builtin.view.bookmarks.button.remove", "移除" },
                    { "hex.builtin.view.bookmarks.header.name", "名称" },
                    { "hex.builtin.view.bookmarks.header.color", "颜色" },
                    { "hex.builtin.view.bookmarks.header.comment", "注释" },

                { "hex.builtin.view.command_palette.name", "命令栏" },

                { "hex.builtin.view.data_inspector.name", "数据分析器" },
                    { "hex.builtin.view.data_inspector.table.name", "格式" },
                    { "hex.builtin.view.data_inspector.table.value", "值" },
                    { "hex.builtin.view.data_inspector.no_data", "没有选中数据"},
                    { "hex.builtin.view.data_inspector.invert", "按位取反" },

                { "hex.builtin.view.data_processor.name", "数据处理器" },
                    { "hex.builtin.view.data_processor.help_text", "右键以添加新的节点" },
                    { "hex.builtin.view.data_processor.menu.remove_selection", "移除已选" },
                    { "hex.builtin.view.data_processor.menu.remove_node", "移除节点" },
                    { "hex.builtin.view.data_processor.menu.remove_link", "移除链接" },
                    { "hex.builtin.view.data_processor.menu.file.load_processor", "加载数据处理器..." },
                    { "hex.builtin.view.data_processor.menu.file.save_processor", "保存数据处理器..." },

                { "hex.builtin.view.disassembler.name", "反汇编" },
                    { "hex.builtin.view.disassembler.position", "位置" },
                    { "hex.builtin.view.disassembler.base", "基地址" },
                    { "hex.builtin.view.disassembler.region", "代码范围" },
                    { "hex.builtin.view.disassembler.settings.header", "设置" },
                    { "hex.builtin.view.disassembler.settings.mode", "模式" },
                    { "hex.builtin.view.disassembler.arch", "架构" },
                        { "hex.builtin.view.disassembler.16bit", "16 位" },
                        { "hex.builtin.view.disassembler.32bit", "32 位" },
                        { "hex.builtin.view.disassembler.64bit", "64 位" },

                        { "hex.builtin.view.disassembler.arm.arm", "ARM" },
                        { "hex.builtin.view.disassembler.arm.thumb", "Thumb" },
                        { "hex.builtin.view.disassembler.arm.default", "默认" },
                        { "hex.builtin.view.disassembler.arm.cortex_m", "Cortex-M" },
                        { "hex.builtin.view.disassembler.arm.armv8", "ARMv8" },

                        { "hex.builtin.view.disassembler.mips.mips32", "MIPS32" },
                        { "hex.builtin.view.disassembler.mips.mips64", "MIPS64" },
                        { "hex.builtin.view.disassembler.mips.mips32R6", "MIPS32R6" },
                        { "hex.builtin.view.disassembler.mips.mips2", "MIPS II" },
                        { "hex.builtin.view.disassembler.mips.mips3", "MIPS III" },
                        { "hex.builtin.view.disassembler.mips.micro", "Micro MIPS" },

                        { "hex.builtin.view.disassembler.ppc.qpx", "PowerPC 四核处理扩展（QPX）" },
                        { "hex.builtin.view.disassembler.ppc.spe", "PowerPC 单核引擎（SPE）" },
                        { "hex.builtin.view.disassembler.ppc.booke", "PowerPC Book-E" },

                        { "hex.builtin.view.disassembler.sparc.v9", "Sparc V9" },

                        { "hex.builtin.view.disassembler.riscv.compressed", "压缩的 RISC-V" },

                        { "hex.builtin.view.disassembler.m68k.000", "000" },
                        { "hex.builtin.view.disassembler.m68k.010", "010" },
                        { "hex.builtin.view.disassembler.m68k.020", "020" },
                        { "hex.builtin.view.disassembler.m68k.030", "030" },
                        { "hex.builtin.view.disassembler.m68k.040", "040" },
                        { "hex.builtin.view.disassembler.m68k.060", "060" },

                        { "hex.builtin.view.disassembler.m680x.6301", "6301" },
                        { "hex.builtin.view.disassembler.m680x.6309", "6309" },
                        { "hex.builtin.view.disassembler.m680x.6800", "6800" },
                        { "hex.builtin.view.disassembler.m680x.6801", "6801" },
                        { "hex.builtin.view.disassembler.m680x.6805", "6805" },
                        { "hex.builtin.view.disassembler.m680x.6808", "6808" },
                        { "hex.builtin.view.disassembler.m680x.6809", "6809" },
                        { "hex.builtin.view.disassembler.m680x.6811", "6811" },
                        { "hex.builtin.view.disassembler.m680x.cpu12", "CPU12" },
                        { "hex.builtin.view.disassembler.m680x.hcs08", "HCS08" },

                        { "hex.builtin.view.disassembler.mos65xx.6502", "6502" },
                        { "hex.builtin.view.disassembler.mos65xx.65c02", "65C02" },
                        { "hex.builtin.view.disassembler.mos65xx.w65c02", "W65C02" },
                        { "hex.builtin.view.disassembler.mos65xx.65816", "65816" },
                        { "hex.builtin.view.disassembler.mos65xx.65816_long_m", "65816 Long M" },
                        { "hex.builtin.view.disassembler.mos65xx.65816_long_x", "65816 Long X" },
                        { "hex.builtin.view.disassembler.mos65xx.65816_long_mx", "65816 Long MX" },

                        { "hex.builtin.view.disassembler.bpf.classic", "传统 BPF（cBPF）" },
                        { "hex.builtin.view.disassembler.bpf.extended", "扩展 BPF（eBPF）" },

                    { "hex.builtin.view.disassembler.disassemble", "反汇编" },
                    { "hex.builtin.view.disassembler.disassembling", "反汇编中..." },
                    { "hex.builtin.view.disassembler.disassembly.title", "反汇编" },
                        { "hex.builtin.view.disassembler.disassembly.address", "地址" },
                        { "hex.builtin.view.disassembler.disassembly.offset", "偏移" },
                        { "hex.builtin.view.disassembler.disassembly.bytes", "字节" },

                { "hex.builtin.view.hashes.name", "哈希" },
                    { "hex.builtin.view.hashes.hash", "哈希" },
                    { "hex.builtin.view.hashes.no_settings", "没有可用哈希设置" },
                    { "hex.builtin.view.hashes.function", "哈希函数" },
                    { "hex.builtin.view.hashes.table.name", "名称" },
                    { "hex.builtin.view.hashes.table.type", "类型" },
                    { "hex.builtin.view.hashes.table.result", "结果" },
                    { "hex.builtin.view.hashes.remove", "移除哈希" },
                    { "hex.builtin.view.hashes.hover_info", "将鼠标放在 Hex 编辑器的选区上，按住 SHIFT 来查看其哈希。" },


                { "hex.builtin.view.help.name", "帮助" },
                    { "hex.builtin.view.help.about.name", "关于" },
                        { "hex.builtin.view.help.about.translator", "由 xtexChooser 翻译" },
                        { "hex.builtin.view.help.about.source", "源代码位于 GitHub：" },
                        { "hex.builtin.view.help.about.donations", "赞助" },
                        { "hex.builtin.view.help.about.thanks", "如果您喜欢我的工作，请赞助以帮助此项目继续前进。非常感谢 <3" },
                        { "hex.builtin.view.help.about.contributor", "贡献者" },
                        { "hex.builtin.view.help.about.libs", "使用的库" },
                        { "hex.builtin.view.help.about.paths", "ImHex 目录" },
                        { "hex.builtin.view.help.about.license", "许可证" },
                    { "hex.builtin.view.help.documentation", "ImHex 文档" },
                    { "hex.builtin.view.help.pattern_cheat_sheet", "模式语言帮助"},
                    { "hex.builtin.view.help.calc_cheat_sheet", "计算器帮助" },

                { "hex.builtin.view.hex_editor.name", "Hex 编辑器" },

                    { "hex.builtin.view.hex_editor.menu.file.load_encoding_file", "加载自定义编码..." },
                    { "hex.builtin.view.hex_editor.menu.file.search", "搜索" },
                        { "hex.builtin.view.hex_editor.search.string", "字符串" },
                        { "hex.builtin.view.hex_editor.search.hex", "Hex" },
                        { "hex.builtin.view.hex_editor.search.find", "查找" },
                        { "hex.builtin.view.hex_editor.search.find_next", "查找下一个" },
                        { "hex.builtin.view.hex_editor.search.find_prev", "查找上一个" },
                    { "hex.builtin.view.hex_editor.menu.file.goto", "转到" },
                        { "hex.builtin.view.hex_editor.goto.offset.absolute", "绝对" },
                        { "hex.builtin.view.hex_editor.goto.offset.relative", "相对" },
                        { "hex.builtin.view.hex_editor.goto.offset.begin", "起始" },
                        { "hex.builtin.view.hex_editor.goto.offset.end", "末尾" },
                    { "hex.builtin.view.hex_editor.menu.file.select", "选择" },
                        { "hex.builtin.view.hex_editor.select.offset.region", "区域" },
                            { "hex.builtin.view.hex_editor.select.offset.begin", "起始" },
                            { "hex.builtin.view.hex_editor.select.offset.end", "结束" },
                              { "hex.builtin.view.hex_editor.select.offset.size", "大小" },
                        { "hex.builtin.view.hex_editor.select.select", "选择" },
                    { "hex.builtin.view.hex_editor.menu.file.save", "保存" },
                    { "hex.builtin.view.hex_editor.menu.file.save_as", "另存为..." },
                    { "hex.builtin.view.hex_editor.menu.edit.copy", "复制" },
                    { "hex.builtin.view.hex_editor.menu.edit.copy_as", "复制为..." },
                        { "hex.builtin.view.hex_editor.copy.hex", "字符串" },
                        { "hex.builtin.view.hex_editor.copy.address", "地址" },
                        { "hex.builtin.view.hex_editor.copy.c", "C 数组" },
                        { "hex.builtin.view.hex_editor.copy.cpp", "C++ 数组" },
                        { "hex.builtin.view.hex_editor.copy.csharp", "C# 数组" },
                        { "hex.builtin.view.hex_editor.copy.rust", "Rust 数组" },
                        { "hex.builtin.view.hex_editor.copy.python", "Python 数组" },
                        { "hex.builtin.view.hex_editor.copy.java", "Java 数组" },
                        { "hex.builtin.view.hex_editor.copy.js", "JavaScript 数组" },
                        { "hex.builtin.view.hex_editor.copy.lua", "Lua 数组" },
                        { "hex.builtin.view.hex_editor.copy.go", "Go 数组" },
                        { "hex.builtin.view.hex_editor.copy.crystal", "Crystal 数组" },
                        { "hex.builtin.view.hex_editor.copy.swift", "Swift 数组" },
                        { "hex.builtin.view.hex_editor.copy.pascal", "Pascal 数组" },
                        { "hex.builtin.view.hex_editor.copy.base64", "Base64" },
                        { "hex.builtin.view.hex_editor.copy.ascii", "ASCII 文本" },
                        { "hex.builtin.view.hex_editor.copy.html", "HTML" },
                    { "hex.builtin.view.hex_editor.menu.edit.paste", "粘贴" },
                    //{ "hex.builtin.view.hex_editor.menu.edit.paste_all", "Paste all" },
                    { "hex.builtin.view.hex_editor.menu.edit.select_all", "全选" },
                    { "hex.builtin.view.hex_editor.menu.edit.set_base", "设置基地址" },
                    { "hex.builtin.view.hex_editor.menu.edit.resize", "修改大小..." },
                    { "hex.builtin.view.hex_editor.menu.edit.insert", "插入..." },
                    { "hex.builtin.view.hex_editor.menu.edit.remove", "删除..." },
                    { "hex.builtin.view.hex_editor.menu.edit.jump_to", "转到" },
                    //{ "hex.builtin.view.hex_editor.menu.edit.open_in_new_provider", "Open selection view..." },

                { "hex.builtin.view.information.name", "数据信息" },
                    { "hex.builtin.view.information.control", "控制" },
                    { "hex.builtin.view.information.analyze", "分析" },
                    { "hex.builtin.view.information.analyzing", "分析中..." },
                    { "hex.builtin.view.information.region", "已分析区域" },
                    { "hex.builtin.view.information.magic", "LibMagic 信息" },
                    { "hex.builtin.view.information.description", "描述:" },
                    { "hex.builtin.view.information.mime", "MIME 类型:" },
                    { "hex.builtin.view.information.info_analysis", "信息分析" },
                    { "hex.builtin.view.information.distribution", "字节分布" },
                    { "hex.builtin.view.information.entropy", "熵" },
                    { "hex.builtin.view.information.block_size", "块大小" },
                    { "hex.builtin.view.information.block_size.desc", "{0} 块 × {1} 字节" },
                    { "hex.builtin.view.information.file_entropy", "文件熵" },
                    { "hex.builtin.view.information.highest_entropy", "最高熵" },
                    { "hex.builtin.view.information.encrypted", "此数据似乎经过了加密或压缩！" },
                    { "hex.builtin.view.information.magic_db_added", "LibMagic 数据库已添加！" },

                { "hex.builtin.view.patches.name", "补丁" },
                    { "hex.builtin.view.patches.offset", "偏移" },
                    { "hex.builtin.view.patches.orig", "原始值" },
                    { "hex.builtin.view.patches.patch", "修改值"},
                    { "hex.builtin.view.patches.remove", "移除补丁" },

                { "hex.builtin.view.pattern_editor.name", "模式编辑器" },
                { "hex.builtin.view.pattern_editor.accept_pattern", "接受模式" },
                    { "hex.builtin.view.pattern_editor.accept_pattern.desc", "一个或多个模式与所找到的数据类型兼容" },
                    { "hex.builtin.view.pattern_editor.accept_pattern.pattern_language", "模式" },
                    { "hex.builtin.view.pattern_editor.accept_pattern.question", "是否应用找到的模式？" },
                { "hex.builtin.view.pattern_editor.menu.file.load_pattern", "加载模式文件..." },
                { "hex.builtin.view.pattern_editor.menu.file.save_pattern", "保存模式文件..." },
                //{ "hex.builtin.view.pattern_editor.menu.edit.place_pattern", "Place pattern..." },
                //    { "hex.builtin.view.pattern_editor.menu.edit.place_pattern.builtin", "Built-in Type" },
                //        { "hex.builtin.view.pattern_editor.menu.edit.place_pattern.builtin.single", "Single" },
                //        { "hex.builtin.view.pattern_editor.menu.edit.place_pattern.builtin.array", "Array" },
                //    { "hex.builtin.view.pattern_editor.menu.edit.place_pattern.custom", "Custom Type" },
                { "hex.builtin.view.pattern_editor.open_pattern", "打开模式" },
                { "hex.builtin.view.pattern_editor.evaluating", "计算中..." },
                { "hex.builtin.view.pattern_editor.auto", "自动计算" },
                { "hex.builtin.view.pattern_editor.console", "控制台" },
                { "hex.builtin.view.pattern_editor.env_vars", "环境变量" },
                { "hex.builtin.view.pattern_editor.settings", "设置" },
                //{ "hex.builtin.view.pattern_editor.sections", "Sections" },
                //    { "hex.builtin.view.pattern_editor.section_popup", "Section" },
                { "hex.builtin.view.pattern_editor.dangerous_function.name", "允许危险的函数？" },
                { "hex.builtin.view.pattern_editor.dangerous_function.desc", "此模式试图调用一个危险的函数。\n您确定要信任此模式吗？" },
                { "hex.builtin.view.pattern_editor.no_in_out_vars", "使用 'in' 或 'out' 修饰符定义一些全局变量，以使它们出现在这里。" },

                { "hex.builtin.view.pattern_data.name", "模式数据" },

                { "hex.builtin.view.settings.name", "设置" },
                    { "hex.builtin.view.settings.restart_question", "一项更改需要重启 ImHex 以生效，您想要现在重启吗？" },

                { "hex.builtin.view.tools.name", "工具" },

                { "hex.builtin.view.yara.name", "Yara 规则" },
                    { "hex.builtin.view.yara.header.rules", "规则" },
                        { "hex.builtin.view.yara.reload", "重新加载" },
                        { "hex.builtin.view.yara.match", "匹配规则" },
                        //{ "hex.builtin.view.yara.reset", "Reset" },
                        { "hex.builtin.view.yara.matching", "匹配中..." },
                        { "hex.builtin.view.yara.error", "Yara 编译器错误: " },
                    { "hex.builtin.view.yara.header.matches", "匹配" },
                        { "hex.builtin.view.yara.matches.identifier", "标识符" },
                        { "hex.builtin.view.yara.matches.variable", "变量" },
                        { "hex.builtin.view.yara.whole_data", "全文件匹配！" },
                        { "hex.builtin.view.yara.no_rules", "没有找到 Yara 规则。请将规则放到 ImHex 的 'yara' 目录下。" },
                    { "hex.builtin.view.yara.rule_added", "Yara 规则已添加！" },

                { "hex.builtin.view.constants.name", "常量" },
                    { "hex.builtin.view.constants.row.category", "分类" },
                    { "hex.builtin.view.constants.row.name", "名称" },
                    { "hex.builtin.view.constants.row.desc", "描述" },
                    { "hex.builtin.view.constants.row.value", "值" },

                { "hex.builtin.view.store.name", "可下载内容" },
                    { "hex.builtin.view.store.desc", "从 ImHex 仓库下载新内容" },
                    { "hex.builtin.view.store.reload", "刷新" },
                    { "hex.builtin.view.store.row.name", "名称" },
                    { "hex.builtin.view.store.row.description", "描述" },
                    { "hex.builtin.view.store.download", "下载" },
                    { "hex.builtin.view.store.update", "更新" },
                    { "hex.builtin.view.store.remove", "移除" },
                    { "hex.builtin.view.store.tab.patterns", "模式" },
                    { "hex.builtin.view.store.tab.libraries", "库" },
                    { "hex.builtin.view.store.tab.magics", "LibMagic 数据库" },
                    { "hex.builtin.view.store.tab.constants", "常量" },
                    { "hex.builtin.view.store.tab.yara", "Yara 规则" },
                    { "hex.builtin.view.store.tab.encodings", "编码" },
                    { "hex.builtin.view.store.loading", "正在加载在线内容..." },
                    // { "hex.builtin.view.store.netfailed", "Net request to load store content failed!" },
                    { "hex.builtin.view.store.download_error", "下载文件失败！目标文件夹不存在。" },

                { "hex.builtin.view.diff.name", "差异" },

                { "hex.builtin.view.provider_settings.name", "提供器设置" },
                    { "hex.builtin.view.provider_settings.load_popup", "打开提供器" },
                    { "hex.builtin.view.provider_settings.load_error", "尝试打开此提供器时出现错误"},

                { "hex.builtin.view.find.name", "查找" },
                    { "hex.builtin.view.find.searching", "搜索中..." },
                    { "hex.builtin.view.find.demangled", "还原名" },
                    { "hex.builtin.view.find.strings", "字符串" },
                        { "hex.builtin.view.find.strings.min_length", "最短长度" },
                        { "hex.builtin.view.find.strings.match_settings", "配置设置" },
                        { "hex.builtin.view.find.strings.null_term", "需要NULL终止" },
                        { "hex.builtin.view.find.strings.chars", "字符" },
                        { "hex.builtin.view.find.strings.lower_case", "小写字母" },
                        { "hex.builtin.view.find.strings.upper_case", "大写字母" },
                        { "hex.builtin.view.find.strings.numbers", "数字" },
                        { "hex.builtin.view.find.strings.underscores", "下划线" },
                        { "hex.builtin.view.find.strings.symbols", "符号" },
                        { "hex.builtin.view.find.strings.spaces", "空格" },
                        { "hex.builtin.view.find.strings.line_feeds", "换行" },
                    { "hex.builtin.view.find.sequences", "序列" },
                    { "hex.builtin.view.find.regex", "正则表达式" },
                         { "hex.builtin.view.find.regex.pattern", "模式" },
                         { "hex.builtin.view.find.regex.full_match", "要求完整匹配" },
                    { "hex.builtin.view.find.binary_pattern", "二进制模式" },
                    { "hex.builtin.view.find.value", "数字值" },
                          { "hex.builtin.view.find.value.min", "最小值" },
                          { "hex.builtin.view.find.value.max", "最大值" },
                    { "hex.builtin.view.find.search", "搜索" },
                    { "hex.builtin.view.find.context.copy", "复制值" },
                    { "hex.builtin.view.find.context.copy_demangle", "复制值的还原名" },
                    { "hex.builtin.view.find.search.entries", "{} 个结果" },
                    { "hex.builtin.view.find.search.reset", "重置" },

                { "hex.builtin.command.calc.desc", "计算器" },
                { "hex.builtin.command.cmd.desc", "指令" },
                { "hex.builtin.command.cmd.result", "运行指令 '{0}'" },
                { "hex.builtin.command.web.desc", "网站解析" },
                { "hex.builtin.command.web.result", "导航到 '{0}'" },

                { "hex.builtin.inspector.binary", "二进制（8 位）" },
                { "hex.builtin.inspector.u8", "uint8_t" },
                { "hex.builtin.inspector.i8", "int8_t" },
                { "hex.builtin.inspector.u16", "uint16_t" },
                { "hex.builtin.inspector.i16", "int16_t" },
                { "hex.builtin.inspector.u24", "uint24_t" },
                { "hex.builtin.inspector.i24", "int24_t" },
                { "hex.builtin.inspector.u32", "uint32_t" },
                { "hex.builtin.inspector.i32", "int32_t" },
                { "hex.builtin.inspector.u48", "uint48_t" },
                { "hex.builtin.inspector.i48", "int48_t" },
                { "hex.builtin.inspector.u64", "uint64_t" },
                { "hex.builtin.inspector.i64", "int64_t" },
                { "hex.builtin.inspector.float16", "half float（16 位）" },
                { "hex.builtin.inspector.float", "float（32 位）" },
                { "hex.builtin.inspector.double", "double（64 位）" },
                { "hex.builtin.inspector.long_double", "long double（128 位）" },
                { "hex.builtin.inspector.sleb128", "有符号LEB128" },
                { "hex.builtin.inspector.uleb128", "无符号LEB128" },
                { "hex.builtin.inspector.bool", "bool" },
                { "hex.builtin.inspector.ascii", "ASCII 字符" },
                { "hex.builtin.inspector.wide", "宽字符" },
                { "hex.builtin.inspector.utf8", "UTF-8 码位" },
                { "hex.builtin.inspector.string", "字符串" },
                { "hex.builtin.inspector.string16", "宽字符串" },
                { "hex.builtin.inspector.time32", "time32_t" },
                { "hex.builtin.inspector.time64", "time64_t" },
                { "hex.builtin.inspector.time", "time_t" },
                { "hex.builtin.inspector.dos_date", "DOS 日期" },
                { "hex.builtin.inspector.dos_time", "DOS 时间" },
                { "hex.builtin.inspector.guid", "GUID" },
                { "hex.builtin.inspector.rgba8", "RGBA8 颜色" },
                { "hex.builtin.inspector.rgb565", "RGB565 颜色" },

                { "hex.builtin.nodes.common.input", "输入" },
                { "hex.builtin.nodes.common.input.a", "输入 A" },
                { "hex.builtin.nodes.common.input.b", "输入 B" },
                { "hex.builtin.nodes.common.output", "输出" },
                //{ "hex.builtin.nodes.common.width", "Width" },
                //{ "hex.builtin.nodes.common.height", "Height" },

                { "hex.builtin.nodes.constants", "常量" },
                    { "hex.builtin.nodes.constants.int", "整数" },
                        { "hex.builtin.nodes.constants.int.header", "整数" },
                    { "hex.builtin.nodes.constants.float", "浮点数" },
                        { "hex.builtin.nodes.constants.float.header", "浮点数" },
                    { "hex.builtin.nodes.constants.nullptr", "空指针" },
                        { "hex.builtin.nodes.constants.nullptr.header", "空指针" },
                    { "hex.builtin.nodes.constants.buffer", "缓冲区" },
                        { "hex.builtin.nodes.constants.buffer.header", "缓冲区" },
                        { "hex.builtin.nodes.constants.buffer.size", "大小" },
                    { "hex.builtin.nodes.constants.string", "字符串" },
                        { "hex.builtin.nodes.constants.string.header", "字符串" },
                    { "hex.builtin.nodes.constants.rgba8", "RGBA8 颜色" },
                        { "hex.builtin.nodes.constants.rgba8.header", "RGBA8 颜色" },
                        { "hex.builtin.nodes.constants.rgba8.output.r", "红" },
                        { "hex.builtin.nodes.constants.rgba8.output.g", "绿" },
                        { "hex.builtin.nodes.constants.rgba8.output.b", "蓝" },
                        { "hex.builtin.nodes.constants.rgba8.output.a", "透明" },
                    { "hex.builtin.nodes.constants.comment", "注释" },
                        { "hex.builtin.nodes.constants.comment.header", "注释" },

                { "hex.builtin.nodes.display", "显示" },
                    { "hex.builtin.nodes.display.int", "整数" },
                        { "hex.builtin.nodes.display.int.header", "整数显示" },
                    { "hex.builtin.nodes.display.float", "浮点数" },
                        { "hex.builtin.nodes.display.float.header", "浮点数显示" },
                //    { "hex.builtin.nodes.display.buffer", "Buffer" },
                //        { "hex.builtin.nodes.display.buffer.header", "Buffer display" },
                //    { "hex.builtin.nodes.display.string", "String" },
                //        { "hex.builtin.nodes.display.string.header", "String display" },

                { "hex.builtin.nodes.data_access", "数据访问" },
                    { "hex.builtin.nodes.data_access.read", "读取" },
                        { "hex.builtin.nodes.data_access.read.header", "读取" },
                        { "hex.builtin.nodes.data_access.read.address", "地址" },
                        { "hex.builtin.nodes.data_access.read.size", "大小" },
                        { "hex.builtin.nodes.data_access.read.data", "数据" },
                    { "hex.builtin.nodes.data_access.write", "写入" },
                        { "hex.builtin.nodes.data_access.write.header", "写入" },
                        { "hex.builtin.nodes.data_access.write.address", "地址" },
                        { "hex.builtin.nodes.data_access.write.data", "数据" },
                    { "hex.builtin.nodes.data_access.size", "数据大小"},
                        { "hex.builtin.nodes.data_access.size.header", "数据大小"},
                        { "hex.builtin.nodes.data_access.size.size", "大小"},
                    { "hex.builtin.nodes.data_access.selection", "已选中区域"},
                        { "hex.builtin.nodes.data_access.selection.header", "已选中区域"},
                        { "hex.builtin.nodes.data_access.selection.address", "地址"},
                        { "hex.builtin.nodes.data_access.selection.size", "大小"},

                { "hex.builtin.nodes.casting", "数据转换" },
                    { "hex.builtin.nodes.casting.int_to_buffer", "整数到缓冲区" },
                        { "hex.builtin.nodes.casting.int_to_buffer.header", "整数到缓冲区" },
                    { "hex.builtin.nodes.casting.buffer_to_int", "缓冲区到整数" },
                        { "hex.builtin.nodes.casting.buffer_to_int.header", "缓冲区到整数" },
                    //{ "hex.builtin.nodes.casting.float_to_buffer", "Float to Buffer" },
                        //{ "hex.builtin.nodes.casting.float_to_buffer.header", "Float to Buffer" },
                    //{ "hex.builtin.nodes.casting.buffer_to_float", "Buffer to Float" },
                        //{ "hex.builtin.nodes.casting.buffer_to_float.header", "Buffer to Float" },

                { "hex.builtin.nodes.arithmetic", "运算" },
                    { "hex.builtin.nodes.arithmetic.add", "加法" },
                        { "hex.builtin.nodes.arithmetic.add.header", "加法" },
                    { "hex.builtin.nodes.arithmetic.sub", "减法" },
                        { "hex.builtin.nodes.arithmetic.sub.header", "减法" },
                    { "hex.builtin.nodes.arithmetic.mul", "乘法" },
                        { "hex.builtin.nodes.arithmetic.mul.header", "乘法" },
                    { "hex.builtin.nodes.arithmetic.div", "除法" },
                        { "hex.builtin.nodes.arithmetic.div.header", "除法" },
                    { "hex.builtin.nodes.arithmetic.mod", "取模" },
                        { "hex.builtin.nodes.arithmetic.mod.header", "取模" },
                //    { "hex.builtin.nodes.arithmetic.average", "Average" },
                //        { "hex.builtin.nodes.arithmetic.average.header", "Average" },
                //    { "hex.builtin.nodes.arithmetic.median", "Median" },
                //        { "hex.builtin.nodes.arithmetic.median.header", "Median" },

                { "hex.builtin.nodes.buffer", "缓冲区" },
                    { "hex.builtin.nodes.buffer.combine", "组合" },
                        { "hex.builtin.nodes.buffer.combine.header", "缓冲区组合" },
                    { "hex.builtin.nodes.buffer.slice", "切片" },
                        { "hex.builtin.nodes.buffer.slice.header", "缓冲区切片" },
                        { "hex.builtin.nodes.buffer.slice.input.buffer", "输入" },
                        { "hex.builtin.nodes.buffer.slice.input.from", "从" },
                        { "hex.builtin.nodes.buffer.slice.input.to", "到" },
                    { "hex.builtin.nodes.buffer.repeat", "重复" },
                        { "hex.builtin.nodes.buffer.repeat.header", "缓冲区重复" },
                        { "hex.builtin.nodes.buffer.repeat.input.buffer", "输入" },
                        { "hex.builtin.nodes.buffer.repeat.input.count", "次数" },
                //    { "hex.builtin.nodes.buffer.patch", "Patch" },
                //        { "hex.builtin.nodes.buffer.patch.header", "Patch" },
                //        { "hex.builtin.nodes.buffer.patch.input.patch", "Patch" },

                { "hex.builtin.nodes.control_flow", "控制流" },
                    { "hex.builtin.nodes.control_flow.if", "如果" },
                        { "hex.builtin.nodes.control_flow.if.header", "如果" },
                        { "hex.builtin.nodes.control_flow.if.condition", "条件" },
                        { "hex.builtin.nodes.control_flow.if.true", "True" },
                        { "hex.builtin.nodes.control_flow.if.false", "False" },
                    { "hex.builtin.nodes.control_flow.equals", "等于" },
                        { "hex.builtin.nodes.control_flow.equals.header", "等于" },
                    { "hex.builtin.nodes.control_flow.not", "取反" },
                        { "hex.builtin.nodes.control_flow.not.header", "取反" },
                    { "hex.builtin.nodes.control_flow.gt", "大于" },
                        { "hex.builtin.nodes.control_flow.gt.header", "大于" },
                    { "hex.builtin.nodes.control_flow.lt", "小于" },
                        { "hex.builtin.nodes.control_flow.lt.header", "小于" },
                    { "hex.builtin.nodes.control_flow.and", "与" },
                        { "hex.builtin.nodes.control_flow.and.header", "逻辑与" },
                    { "hex.builtin.nodes.control_flow.or", "或" },
                        { "hex.builtin.nodes.control_flow.or.header", "逻辑或" },

                { "hex.builtin.nodes.bitwise", "按位操作" },
                    { "hex.builtin.nodes.bitwise.and", "与" },
                        { "hex.builtin.nodes.bitwise.and.header", "位与" },
                    { "hex.builtin.nodes.bitwise.or", "或" },
                        { "hex.builtin.nodes.bitwise.or.header", "位或" },
                    { "hex.builtin.nodes.bitwise.xor", "异或" },
                        { "hex.builtin.nodes.bitwise.xor.header", "按位异或" },
                    { "hex.builtin.nodes.bitwise.not", "取反" },
                        { "hex.builtin.nodes.bitwise.not.header", "按位取反" },

                { "hex.builtin.nodes.decoding", "编码" },
                    { "hex.builtin.nodes.decoding.base64", "Base64" },
                        { "hex.builtin.nodes.decoding.base64.header", "Base64 解码" },
                    { "hex.builtin.nodes.decoding.hex", "十六进制" },
                        { "hex.builtin.nodes.decoding.hex.header", "十六进制解码" },

                { "hex.builtin.nodes.crypto", "加密" },
                    { "hex.builtin.nodes.crypto.aes", "AES 解密" },
                        { "hex.builtin.nodes.crypto.aes.header", "AES 解密" },
                        { "hex.builtin.nodes.crypto.aes.key", "密钥" },
                        { "hex.builtin.nodes.crypto.aes.iv", "IV" },
                        { "hex.builtin.nodes.crypto.aes.nonce", "Nonce" },
                        { "hex.builtin.nodes.crypto.aes.mode", "模式" },
                        { "hex.builtin.nodes.crypto.aes.key_length", "密钥长度" },

                { "hex.builtin.nodes.visualizer", "可视化" },
                    { "hex.builtin.nodes.visualizer.digram", "图表" },
                        { "hex.builtin.nodes.visualizer.digram.header", "图表可视化" },
                    { "hex.builtin.nodes.visualizer.layered_dist", "分层布局" },
                        { "hex.builtin.nodes.visualizer.layered_dist.header", "分层布局" },
                    { "hex.builtin.nodes.visualizer.image", "图像" },
                        { "hex.builtin.nodes.visualizer.image.header", "图像可视化" },
                    //{ "hex.builtin.nodes.visualizer.image_rgba", "RGBA8 Image" },
                        //{ "hex.builtin.nodes.visualizer.image_rgba.header", "RGBA8 Image Visualizer" },
                    { "hex.builtin.nodes.visualizer.byte_distribution", "字节分布" },
                        { "hex.builtin.nodes.visualizer.byte_distribution.header", "字节分布" },

                //{ "hex.builtin.nodes.pattern_language", "Pattern Language" },
                    //{ "hex.builtin.nodes.pattern_language.out_var", "Out Variable" },
                        //{ "hex.builtin.nodes.pattern_language.out_var.header", "Out Variable" },


                { "hex.builtin.tools.demangler", "LLVM 名还原" },
                    { "hex.builtin.tools.demangler.mangled", "修饰名" },
                    { "hex.builtin.tools.demangler.demangled", "还原名" },
                { "hex.builtin.tools.ascii_table", "ASCII 表" },
                    { "hex.builtin.tools.ascii_table.octal", "显示八进制" },
                { "hex.builtin.tools.regex_replacer", "正则替换" },
                    { "hex.builtin.tools.regex_replacer.pattern", "正则表达式" },
                    { "hex.builtin.tools.regex_replacer.replace", "替换表达式" },
                    { "hex.builtin.tools.regex_replacer.input", "输入" },
                    { "hex.builtin.tools.regex_replacer.output", "输出" },
                { "hex.builtin.tools.color", "颜色选择器" },
                { "hex.builtin.tools.calc", "计算器" },
                    { "hex.builtin.tools.input", "输入" },
                    { "hex.builtin.tools.format.standard", "标准" },
                    { "hex.builtin.tools.format.scientific", "科学" },
                    { "hex.builtin.tools.format.engineering", "工程师" },
                    { "hex.builtin.tools.format.programmer", "程序员" },
                    { "hex.builtin.tools.error", "最后错误： '{0}'" },
                    { "hex.builtin.tools.history", "历史" },
                    { "hex.builtin.tools.name", "名称" },
                    { "hex.builtin.tools.value", "值" },
                { "hex.builtin.tools.base_converter", "基本进制转换" },
                    { "hex.builtin.tools.base_converter.dec", "DEC" },
                    { "hex.builtin.tools.base_converter.hex", "HEX" },
                    { "hex.builtin.tools.base_converter.oct", "OCT" },
                    { "hex.builtin.tools.base_converter.bin", "BIN" },
                { "hex.builtin.tools.permissions", "UNIX 权限计算器" },
                    { "hex.builtin.tools.permissions.perm_bits", "权限位" },
                    { "hex.builtin.tools.permissions.absolute", "绝对符号" },
                    { "hex.builtin.tools.permissions.setuid_error", "用户必须具有 setuid 位的执行权限才能应用！" },
                    { "hex.builtin.tools.permissions.setgid_error", "组必须具有 setgid 位的执行权限才能应用！" },
                    { "hex.builtin.tools.permissions.sticky_error", "必须有执行权限才能申请粘滞位！" },
                { "hex.builtin.tools.file_uploader", "文件上传" },
                    { "hex.builtin.tools.file_uploader.control", "控制" },
                    { "hex.builtin.tools.file_uploader.upload", "上传" },
                    { "hex.builtin.tools.file_uploader.done", "完成！" },
                    { "hex.builtin.tools.file_uploader.recent", "最近上传" },
                    { "hex.builtin.tools.file_uploader.tooltip", "点击复制\n按住 CTRL 并点击以打开" },
                    { "hex.builtin.tools.file_uploader.invalid_response", "接收到来自 Anonfiles 的无效响应！" },
                    { "hex.builtin.tools.file_uploader.error", "上传文件失败！\n\n错误代码：{0}" },
                { "hex.builtin.tools.wiki_explain", "维基百科搜索" },
                    { "hex.builtin.tools.wiki_explain.control", "控制" },
                    { "hex.builtin.tools.wiki_explain.search", "搜索" },
                    { "hex.builtin.tools.wiki_explain.results", "结果" },
                    { "hex.builtin.tools.wiki_explain.invalid_response", "接收到来自 Wikipedia 的无效响应！" },
                { "hex.builtin.tools.file_tools", "文件工具" },
                    { "hex.builtin.tools.file_tools.shredder", "销毁" },
                        { "hex.builtin.tools.file_tools.shredder.warning", "此工具将不可恢复地破坏文件。请谨慎使用。" },
                        { "hex.builtin.tools.file_tools.shredder.input", "目标文件 " },
                        { "hex.builtin.tools.file_tools.shredder.picker", "打开文件以销毁" },
                        { "hex.builtin.tools.file_tools.shredder.fast", "快速模式" },
                        { "hex.builtin.tools.file_tools.shredder.shredding", "销毁中..." },
                        { "hex.builtin.tools.file_tools.shredder.shred", "销毁" },
                        { "hex.builtin.tools.file_tools.shredder.error.open", "打开选择的文件失败！" },
                        { "hex.builtin.tools.file_tools.shredder.success", "文件成功销毁！" },
                    { "hex.builtin.tools.file_tools.splitter", "分割" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.5_75_floppy", "5 寸软盘（1200KiB）" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.3_5_floppy", "3 寸软盘（1400KiB）" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.zip100", "Zip 100 磁盘（100MiB）" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.zip200", "Zip 200 磁盘（200MiB）" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.cdrom650", "CD-ROM（650MiB）" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.cdrom700", "CD-ROM（700MiB）" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.fat32", "FAT32（4GiB）" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.custom", "自定义" },
                        { "hex.builtin.tools.file_tools.splitter.input", "目标文件 " },
                        { "hex.builtin.tools.file_tools.splitter.picker.input", "打开文件以分割" },
                        { "hex.builtin.tools.file_tools.splitter.output", "输出路径 " },
                        { "hex.builtin.tools.file_tools.splitter.picker.output", "选择输出路径" },
                        { "hex.builtin.tools.file_tools.splitter.picker.splitting", "分割中..." },
                        { "hex.builtin.tools.file_tools.splitter.picker.split", "分割" },
                        { "hex.builtin.tools.file_tools.splitter.picker.error.open", "打开选择的文件失败！" },
                        { "hex.builtin.tools.file_tools.splitter.picker.error.size", "文件小于单分块大小" },
                        { "hex.builtin.tools.file_tools.splitter.picker.error.create", "创建分块文件 {0} 失败！" },
                        { "hex.builtin.tools.file_tools.splitter.picker.success", "文件分割成功！" },
                    { "hex.builtin.tools.file_tools.combiner", "合并" },
                        { "hex.builtin.tools.file_tools.combiner.add", "添加..." },
                        { "hex.builtin.tools.file_tools.combiner.add.picker", "添加文件" },
                        { "hex.builtin.tools.file_tools.combiner.delete", "删除" },
                        { "hex.builtin.tools.file_tools.combiner.clear", "清空" },
                        { "hex.builtin.tools.file_tools.combiner.output", "输出文件 " },
                        { "hex.builtin.tools.file_tools.combiner.output.picker", "选择输出路径" },
                        { "hex.builtin.tools.file_tools.combiner.combining", "合并中..." },
                        { "hex.builtin.tools.file_tools.combiner.combine", "合并" },
                        { "hex.builtin.tools.file_tools.combiner.error.open_output", "创建输出文件失败！" },
                        { "hex.builtin.tools.file_tools.combiner.open_input", "打开输入文件 {0} 失败" },
                        { "hex.builtin.tools.file_tools.combiner.success", "文件合并成功！" },
                    { "hex.builtin.tools.ieee756", "IEEE 756 浮点数测试器" },
                        { "hex.builtin.tools.ieee756.sign", "符号" },
                        { "hex.builtin.tools.ieee756.exponent", "指数" },
                        { "hex.builtin.tools.ieee756.mantissa", "尾数" },
                        { "hex.builtin.tools.ieee756.exponent_size", "指数位数" },
                        { "hex.builtin.tools.ieee756.mantissa_size", "尾数位数" },
                        { "hex.builtin.tools.ieee756.half_precision", "半精度浮点数" },
                        { "hex.builtin.tools.ieee756.singe_precision", "单精度浮点数" },
                        { "hex.builtin.tools.ieee756.double_precision", "双精度浮点数" },
                        { "hex.builtin.tools.ieee756.type", "部分" },
                        { "hex.builtin.tools.ieee756.formula", "计算式" },
                        { "hex.builtin.tools.ieee756.result.title", "结果" },
                        { "hex.builtin.tools.ieee756.result.float", "十进制小数表示" },
                        { "hex.builtin.tools.ieee756.result.hex", "十六进制小数表示" },

                { "hex.builtin.setting.imhex", "ImHex" },
                    { "hex.builtin.setting.imhex.recent_files", "最近文件" },
                { "hex.builtin.setting.general", "通用" },
                    // { "hex.builtin.setting.general.check_for_updates", "Check for updates on startup" },
                    { "hex.builtin.setting.general.show_tips", "在启动时显示每日提示" },
                    { "hex.builtin.setting.general.auto_load_patterns", "自动加载支持的模式" },
                    { "hex.builtin.setting.general.sync_pattern_source", "在提供器间同步模式源码" },
                    // { "hex.builtin.setting.general.enable_unicode", "Load all unicode characters" },
                { "hex.builtin.setting.interface", "界面" },
                    { "hex.builtin.setting.interface.color", "颜色主题" },
                        { "hex.builtin.setting.interface.color.system", "跟随系统" },
                        { "hex.builtin.setting.interface.color.dark", "暗" },
                        { "hex.builtin.setting.interface.color.light", "亮" },
                        { "hex.builtin.setting.interface.color.classic", "经典" },
                    { "hex.builtin.setting.interface.scaling", "缩放" },
                        { "hex.builtin.setting.interface.scaling.native", "本地默认" },
                        { "hex.builtin.setting.interface.scaling.x0_5", "x0.5" },
                        { "hex.builtin.setting.interface.scaling.x1_0", "x1.0" },
                        { "hex.builtin.setting.interface.scaling.x1_5", "x1.5" },
                        { "hex.builtin.setting.interface.scaling.x2_0", "x2.0" },
                        { "hex.builtin.setting.interface.scaling.x3_0", "x3.0" },
                        { "hex.builtin.setting.interface.scaling.x4_0", "x4.0" },
                    { "hex.builtin.setting.interface.language", "语言" },
                    { "hex.builtin.setting.interface.wiki_explain_language", "维基百科使用语言" },
                    { "hex.builtin.setting.interface.fps", "FPS 限制" },
                    { "hex.builtin.setting.interface.fps.unlocked", "无限制" },
                    //{ "hex.builtin.setting.interface.multi_windows", "Enable Multi Window support" },
                { "hex.builtin.setting.hex_editor", "Hex 编辑器" },
                    { "hex.builtin.setting.hex_editor.highlight_color", "选区高亮色" },
                    { "hex.builtin.setting.hex_editor.bytes_per_row", "每行显示的字节数" },
                    { "hex.builtin.setting.hex_editor.ascii", "显示 ASCII 栏" },
                    { "hex.builtin.setting.hex_editor.advanced_decoding", "显示高级解码栏" },
                    { "hex.builtin.setting.hex_editor.grey_zeros", "显示零字节为灰色" },
                    { "hex.builtin.setting.hex_editor.uppercase_hex", "大写十六进制" },
                    { "hex.builtin.setting.hex_editor.visualizer", "数据处理器的数据可视化格式" },
                    { "hex.builtin.setting.hex_editor.sync_scrolling", "同步编辑器位置" },
                    //{ "hex.builtin.setting.hex_editor.byte_padding", "Extra byte cell padding" },
                    //{ "hex.builtin.setting.hex_editor.char_padding", "Extra character cell padding" },
                { "hex.builtin.setting.folders", "扩展搜索路径" },
                    { "hex.builtin.setting.folders.description", "为模式、脚本和规则等指定额外的搜索路径" },
                    { "hex.builtin.setting.folders.add_folder", "添加新的目录" },
                    { "hex.builtin.setting.folders.remove_folder", "从列表中移除当前目录" },
                { "hex.builtin.setting.font", "字体" },
                    { "hex.builtin.setting.font.font_path", "自定义字体路径" },
                    { "hex.builtin.setting.font.font_size", "字体大小" },
                { "hex.builtin.setting.proxy", "网络代理" },
                    { "hex.builtin.setting.proxy.description", "代理设置会立即在可下载内容、维基百科查询上生效。" },
                    { "hex.builtin.setting.proxy.enable", "启用代理" },
                    { "hex.builtin.setting.proxy.url", "代理 URL" },
                    { "hex.builtin.setting.proxy.url.tooltip", "http(s):// 或 socks5://（如 http://127.0.0.1:1080）" },

                { "hex.builtin.provider.file", "文件" },
                    { "hex.builtin.provider.file.path", "路径" },
                    { "hex.builtin.provider.file.size", "大小" },
                    { "hex.builtin.provider.file.creation", "创建时间" },
                    { "hex.builtin.provider.file.access", "最后访问时间" },
                    { "hex.builtin.provider.file.modification", "最后更改时间" },
                { "hex.builtin.provider.gdb", "GDB 服务器" },
                    { "hex.builtin.provider.gdb.name", "GDB 服务器 <{0}:{1}>" },
                    { "hex.builtin.provider.gdb.server", "服务器" },
                    { "hex.builtin.provider.gdb.ip", "IP 地址" },
                    { "hex.builtin.provider.gdb.port", "端口" },
                { "hex.builtin.provider.disk", "原始磁盘" },
                    { "hex.builtin.provider.disk.selected_disk", "磁盘" },
                    { "hex.builtin.provider.disk.disk_size", "磁盘大小" },
                    { "hex.builtin.provider.disk.sector_size", "扇区大小" },
                    { "hex.builtin.provider.disk.reload", "刷新" },
                { "hex.builtin.provider.intel_hex", "Intel Hex" },
                    { "hex.builtin.provider.intel_hex.name", "Intel Hex {0}" },
                { "hex.builtin.provider.motorola_srec", "Motorola SREC" },
                    { "hex.builtin.provider.motorola_srec.name", "Motorola SREC {0}" },
                //{ "hex.builtin.provider.mem_file", "Memory File" },
                //    { "hex.builtin.provider.mem_file.unsaved", "Unsaved File" },
                //{ "hex.builtin.provider.view", "View" },

                { "hex.builtin.layouts.default", "默认" },

                { "hex.builtin.visualizer.hexadecimal.8bit", "十六进制（8 位）" },
                { "hex.builtin.visualizer.hexadecimal.16bit", "十六进制（16 位）" },
                { "hex.builtin.visualizer.hexadecimal.32bit", "十六进制（32 位）" },
                { "hex.builtin.visualizer.hexadecimal.64bit", "十六进制（64 位）" },
                { "hex.builtin.visualizer.decimal.signed.8bit", "有符号十进制（8 位）" },
                { "hex.builtin.visualizer.decimal.signed.16bit", "有符号十进制（16 位）" },
                { "hex.builtin.visualizer.decimal.signed.32bit", "有符号十进制（32 位）" },
                { "hex.builtin.visualizer.decimal.signed.64bit", "有符号十进制（64 位）" },
                { "hex.builtin.visualizer.decimal.unsigned.8bit", "无符号十进制（8 位）" },
                { "hex.builtin.visualizer.decimal.unsigned.16bit", "无符号十进制（16 位）" },
                { "hex.builtin.visualizer.decimal.unsigned.32bit", "无符号十进制（32 位）" },
                { "hex.builtin.visualizer.decimal.unsigned.64bit", "无符号十进制（64 位）" },
                { "hex.builtin.visualizer.floating_point.16bit", "单精度浮点（16 位）" },
                { "hex.builtin.visualizer.floating_point.32bit", "单精度浮点（32 位）" },
                { "hex.builtin.visualizer.floating_point.64bit", "双精度浮点（64 位）" },
                { "hex.builtin.visualizer.hexii", "HexII" },
                { "hex.builtin.visualizer.rgba8", "RGBA8 颜色" },

                { "hex.builtin.hash.md5", "MD5" },
                { "hex.builtin.hash.sha1", "SHA1" },
                { "hex.builtin.hash.sha224", "SHA224" },
                { "hex.builtin.hash.sha256", "SHA256" },
                { "hex.builtin.hash.sha384", "SHA384" },
                { "hex.builtin.hash.sha512", "SHA512" },
                { "hex.builtin.hash.crc8", "CRC8" },
                { "hex.builtin.hash.crc16", "CRC16" },
                { "hex.builtin.hash.crc32", "CRC32" },
                    { "hex.builtin.hash.crc.poly", "多项式" },
                    { "hex.builtin.hash.crc.iv", "初始值" },
                    { "hex.builtin.hash.crc.xor_out", "结果异或值" },
                    { "hex.builtin.hash.crc.refl_in", "输入值取反" },
                    { "hex.builtin.hash.crc.refl_out", "输出值取反" },
        });
    }

}
