#include <hex/api/content_registry.hpp>
#include <hex/api/localization.hpp>

namespace hex::plugin::builtin {

    void registerLanguageZhTW() {
        ContentRegistry::Language::registerLanguage("Chinese (Traditional)", "zh-TW");

        ContentRegistry::Language::addLocalizations("zh-TW", {
                { "hex.builtin.welcome.header.main", "歡迎使用 ImHex" },
                { "hex.builtin.welcome.header.start", "開始" },
                    { "hex.builtin.welcome.start.create_file", "建立新檔案" },
                    { "hex.builtin.welcome.start.open_file", "開啟檔案" },
                    { "hex.builtin.welcome.start.open_project", "開啟專案" },
                    { "hex.builtin.welcome.start.recent", "近期檔案" },
                    { "hex.builtin.welcome.start.open_other", "其他提供者" },
                { "hex.builtin.welcome.header.help", "幫助" },
                    { "hex.builtin.welcome.help.repo", "GitHub 儲存庫" },
                        { "hex.builtin.welcome.help.repo.link", "https://imhex.werwolv.net/git" },
                    { "hex.builtin.welcome.help.gethelp", "取得協助" },
                        { "hex.builtin.welcome.help.gethelp.link", "https://github.com/WerWolv/ImHex/discussions/categories/get-help" },
                    { "hex.builtin.welcome.help.discord", "Discord 伺服器" },
                        { "hex.builtin.welcome.help.discord.link", "https://imhex.werwolv.net/discord" },
                { "hex.builtin.welcome.header.plugins", "已載入的外掛程式" },
                    { "hex.builtin.welcome.plugins.plugin", "外掛程式" },
                    { "hex.builtin.welcome.plugins.author", "作者" },
                    { "hex.builtin.welcome.plugins.desc", "說明" },
                { "hex.builtin.welcome.header.customize", "自訂" },
                    { "hex.builtin.welcome.customize.settings.title", "設定" },
                    { "hex.builtin.welcome.customize.settings.desc", "更改 ImHex 的設定" },
                { "hex.builtin.welcome.header.update", "更新" },
                    { "hex.builtin.welcome.update.title", "有可用更新！" },
                    { "hex.builtin.welcome.update.desc", "ImHex {0} 發布了！點此下載。" },
                    { "hex.builtin.welcome.update.link", "https://github.com/WerWolv/ImHex/releases/latest" },
                { "hex.builtin.welcome.header.learn", "學習" },
                    { "hex.builtin.welcome.learn.latest.title", "最新版本" },
                    { "hex.builtin.welcome.learn.latest.desc", "閱讀 ImHex 的更新日誌" },
                    { "hex.builtin.welcome.learn.latest.link", "https://github.com/WerWolv/ImHex/releases/latest" },
                    { "hex.builtin.welcome.learn.pattern.title", "模式語言說明文件" },
                    { "hex.builtin.welcome.learn.pattern.desc", " 閱覽我們詳盡的說明文件來學習如何編寫 ImHex 的模式" },
                    { "hex.builtin.welcome.learn.pattern.link", "https://imhex.werwolv.net/docs" },
                    { "hex.builtin.welcome.learn.plugins.title", "外掛程式 API" },
                    { "hex.builtin.welcome.learn.plugins.desc", " 使用外掛程式來拓展 ImHex 的功能" },
                    { "hex.builtin.welcome.learn.plugins.link", "https://github.com/WerWolv/ImHex/wiki/Plugins-Development-Guide" },
                { "hex.builtin.welcome.header.various", "多樣" },
                { "hex.builtin.welcome.tip_of_the_day", "今日提示" },
                // { "hex.builtin.welcome.check_for_updates_text", "Do you want to automatically check for updates on startup?\n"
                //     "Possible updates will be shown in the 'Update' tab of the welcome screen" },

                { "hex.builtin.welcome.safety_backup.title", "復原遺失資料" },
                { "hex.builtin.welcome.safety_backup.desc", "喔不，ImHex 上次崩潰了。\n您要復原您的工作階段嗎？"},
                { "hex.builtin.welcome.safety_backup.restore", "好，請復原" },
                { "hex.builtin.welcome.safety_backup.delete", "不用，請刪除" },

                //{ "hex.builtin.common.name", "Name" },
                { "hex.builtin.common.endian", "端序" },
                { "hex.builtin.common.little_endian", "小端序" },
                { "hex.builtin.common.big_endian", "大端序" },
                { "hex.builtin.common.little", "小" },
                { "hex.builtin.common.big", "大" },
                { "hex.builtin.common.number_format", "格式" },
                { "hex.builtin.common.decimal", "十進位" },
                { "hex.builtin.common.hexadecimal", "十六進位" },
                { "hex.builtin.common.octal", "八進位" },
                { "hex.builtin.common.info", "資訊" },
                { "hex.builtin.common.error", "錯誤" },
                { "hex.builtin.common.fatal", "嚴重錯誤" },
                { "hex.builtin.common.question", "問題" },
                { "hex.builtin.common.address", "位址" },
                { "hex.builtin.common.size", "大小" },
                { "hex.builtin.common.region", "區域" },
                { "hex.builtin.common.match_selection", "符合選取" },
                { "hex.builtin.common.yes", "是" },
                { "hex.builtin.common.no", "否" },
                { "hex.builtin.common.okay", "好" },
                { "hex.builtin.common.load", "載入" },
                { "hex.builtin.common.cancel", "取消" },
                { "hex.builtin.common.set", "設置" },
                { "hex.builtin.common.close", "關閉" },
                { "hex.builtin.common.dont_show_again", "不再顯示" },
                { "hex.builtin.common.link", "連結" },
                { "hex.builtin.common.file", "檔案" },
                { "hex.builtin.common.open", "開啟" },
                { "hex.builtin.common.browse", "瀏覽..." },
                { "hex.builtin.common.choose_file", "選擇檔案" },
                { "hex.builtin.common.processing", "正在處理" },
                { "hex.builtin.common.filter", "篩選" },
                { "hex.builtin.common.count", "計數" },
                { "hex.builtin.common.value", "數值" },
                { "hex.builtin.common.type", "類型" },
                    { "hex.builtin.common.type.u8", "uint8_t" },
                    { "hex.builtin.common.type.i8", "int8_t" },
                    { "hex.builtin.common.type.u16", "uint16_t" },
                    { "hex.builtin.common.type.i16", "int16_t" },
                    { "hex.builtin.common.type.u24", "uint24_t" },
                    { "hex.builtin.common.type.i24", "int24_t" },
                    { "hex.builtin.common.type.u32", "uint32_t" },
                    { "hex.builtin.common.type.i32", "int32_t" },
                    { "hex.builtin.common.type.u48", "uint48_t" },
                    { "hex.builtin.common.type.i48", "int48_t" },
                    { "hex.builtin.common.type.u64", "uint64_t" },
                    { "hex.builtin.common.type.i64", "int64_t" },
                    { "hex.builtin.common.type.f32", "float" },
                    { "hex.builtin.common.type.f64", "double" },
                { "hex.builtin.common.offset", "位移" },
                { "hex.builtin.common.range", "範圍" },
                    { "hex.builtin.common.range.entire_data", "整筆資料" },
                    { "hex.builtin.common.range.selection", "所選" },
                { "hex.builtin.common.comment", "註解" },

                { "hex.builtin.common.encoding.ascii", "ASCII" },
                { "hex.builtin.common.encoding.utf16le", "UTF-16LE" },
                { "hex.builtin.common.encoding.utf16be", "UTF-16BE" },
                { "hex.builtin.common.encoding.utf8", "UTF-8" },

                { "hex.builtin.popup.exit_application.title", "離開應用程式？" },
                { "hex.builtin.popup.exit_application.desc", "您的專案有未儲存的更動。\n您確定要離開嗎？" },
                { "hex.builtin.popup.close_provider.title", "關閉提供者？" },
                { "hex.builtin.popup.close_provider.desc", "您對此提供者有未儲存的更動。\n您確定要關閉嗎？" },
                { "hex.builtin.popup.error.read_only", "無法取得寫入權限。檔案已以唯讀模式開啟。" },
                { "hex.builtin.popup.error.open", "無法開啟檔案！" },
                { "hex.builtin.popup.error.create", "無法建立新檔案！" },
                { "hex.builtin.popup.error.project.load", "無法載入專案！" },
                { "hex.builtin.popup.error.project.save", "無法儲存專案！" },
                { "hex.builtin.popup.error.task_exception", "工作 '{}' 擲回了例外狀況：\n\n{}" },
                { "hex.builtin.popup.error.file_dialog.portal",
                    "開啟檔案瀏覽器時發生錯誤。可能是因為您的系統未正確安裝 xdg-desktop-portal 後端。\n"
                    "\n"
                    "KDE 為 xdg-desktop-portal-kde。\n"
                    "Gnome 為 xdg-desktop-portal-gnome。\n"
                    "wlroots 為 xdg-desktop-portal-wlr。\n"
                    "否則您可以嘗試使用 xdg-desktop-portal-gtk。\n"
                    "\n"
                    "安裝後，請重新啟動您的系統。\n"
                    "\n"
                    "若安裝後，檔案管理器仍無法正常運作，請在 https://github.com/WerWolv/ImHex/issues 提交 Issue。\n"
                    "\n"
                    "您仍可以將檔案拖曳至 ImHex 視窗來開啟！"
                },
                { "hex.builtin.popup.error.file_dialog.common", "開啟檔案瀏覽器時發生錯誤！" },

                { "hex.builtin.hex_editor.page", "頁面" },
                { "hex.builtin.hex_editor.selection", "選取" },
                { "hex.builtin.hex_editor.selection.none", "無" },
                { "hex.builtin.hex_editor.region", "區域" },
                { "hex.builtin.hex_editor.data_size", "資料大小" },
                { "hex.builtin.hex_editor.no_bytes", "無可用位元組" },

                { "hex.builtin.pattern_drawer.var_name", "名稱" },
                { "hex.builtin.pattern_drawer.color", "顏色" },
                { "hex.builtin.pattern_drawer.offset", "位移" },
                { "hex.builtin.pattern_drawer.size", "大小" },
                { "hex.builtin.pattern_drawer.type", "類型" },
                { "hex.builtin.pattern_drawer.value", "數值" },
                //{ "hex.builtin.pattern_drawer.double_click", "Double-click to see more items" },

                { "hex.builtin.menu.file", "檔案" },
                    { "hex.builtin.menu.file.create_file", "新檔案..." },
                    { "hex.builtin.menu.file.open_file", "開啟檔案..." },
                    { "hex.builtin.menu.file.open_recent", "開啟近期" },
                    { "hex.builtin.menu.file.clear_recent", "清除" },
                    { "hex.builtin.menu.file.open_other", "開啟其他..." },
                    { "hex.builtin.menu.file.close", "關閉" },
                    { "hex.builtin.menu.file.reload_file", "重新載入檔案" },
                    { "hex.builtin.menu.file.quit", "退出 ImHex" },
                    { "hex.builtin.menu.file.open_project", "開啟專案..." },
                    { "hex.builtin.menu.file.save_project", "儲存專案..." },
                    { "hex.builtin.menu.file.import", "匯入..." },
                        { "hex.builtin.menu.file.import.base64", "Base64 檔案" },
                          { "hex.builtin.menu.file.import.base64.popup.import_error", "檔案並非有效的 Base64 格式！" },
                          { "hex.builtin.menu.file.import.base64.popup.open_error", "無法開啟檔案！" },
                        { "hex.builtin.menu.file.import.ips", "IPS 修補檔案" },
                        { "hex.builtin.menu.file.import.ips32", "IPS32 修補檔案" },
                    { "hex.builtin.menu.file.export", "匯出..." },
                        { "hex.builtin.menu.file.export.title", "匯出檔案" },
                        { "hex.builtin.menu.file.export.ips", "IPS 修補檔案" },
                        { "hex.builtin.menu.file.export.ips32", "IPS32 修補檔案" },
                        { "hex.builtin.menu.file.export.base64.popup.export_error", "檔案並非有效的 Base64 格式！" },
                    { "hex.builtin.menu.file.export.popup.create", "無法匯出資料。無法建立檔案！" },
                    { "hex.builtin.menu.file.bookmark.import", "匯入書籤" },
                    { "hex.builtin.menu.file.bookmark.export", "匯出書籤" },

                { "hex.builtin.menu.edit", "編輯" },
                    { "hex.builtin.menu.edit.undo", "復原" },
                    { "hex.builtin.menu.edit.redo", "取消復原" },
                    { "hex.builtin.menu.edit.bookmark.create", "建立書籤" },

                { "hex.builtin.menu.view", "檢視" },
                { "hex.builtin.menu.layout", "版面配置" },
                    { "hex.builtin.menu.view.fps", "顯示 FPS" },
                    { "hex.builtin.menu.view.demo", "顯示 ImGui Demo" },
                { "hex.builtin.menu.help", "幫助" },

                { "hex.builtin.view.bookmarks.name", "書籤" },
                    { "hex.builtin.view.bookmarks.default_title", "書籤 [0x{0:X} - 0x{1:X}]" },
                    { "hex.builtin.view.bookmarks.no_bookmarks", "尚未建立書籤。前往編輯 -> 建立書籤來建立。" },
                    { "hex.builtin.view.bookmarks.title.info", "資訊" },
                    { "hex.builtin.view.bookmarks.address", "0x{0:X} : 0x{1:X} ({2} 位元組)" },
                    { "hex.builtin.view.bookmarks.button.jump", "跳至" },
                    { "hex.builtin.view.bookmarks.button.remove", "移除" },
                    { "hex.builtin.view.bookmarks.header.name", "名稱" },
                    { "hex.builtin.view.bookmarks.header.color", "顏色" },
                    { "hex.builtin.view.bookmarks.header.comment", "註解" },

                { "hex.builtin.view.command_palette.name", "命令選擇區" },

                { "hex.builtin.view.data_inspector.name", "資料檢查器" },
                    { "hex.builtin.view.data_inspector.table.name", "名稱" },
                    { "hex.builtin.view.data_inspector.table.value", "數值" },
                    { "hex.builtin.view.data_inspector.no_data", "未選取位元組" },
                    { "hex.builtin.view.data_inspector.invert", "反轉" },

                { "hex.builtin.view.data_processor.name", "資料處理器" },
                    { "hex.builtin.view.data_processor.help_text", "右鍵來新增節點" },
                    { "hex.builtin.view.data_processor.menu.remove_selection", "移除所選" },
                    { "hex.builtin.view.data_processor.menu.remove_node", "移除節點" },
                    { "hex.builtin.view.data_processor.menu.remove_link", "移除連結" },
                    { "hex.builtin.view.data_processor.menu.file.load_processor", "載入資料處理器..." },
                    { "hex.builtin.view.data_processor.menu.file.save_processor", "儲存資料處理器..." },

                { "hex.builtin.view.disassembler.name", "反組譯器" },
                    { "hex.builtin.view.disassembler.position", "位置" },
                    { "hex.builtin.view.disassembler.base", "基址" },
                    { "hex.builtin.view.disassembler.region", "程式碼區域" },
                    { "hex.builtin.view.disassembler.settings.header", "設定" },
                    { "hex.builtin.view.disassembler.settings.mode", "模式" },
                    { "hex.builtin.view.disassembler.arch", "架構" },
                        { "hex.builtin.view.disassembler.16bit", "16 位元" },
                        { "hex.builtin.view.disassembler.32bit", "32 位元" },
                        { "hex.builtin.view.disassembler.64bit", "64 位元" },

                        { "hex.builtin.view.disassembler.arm.arm", "ARM" },
                        { "hex.builtin.view.disassembler.arm.thumb", "Thumb" },
                        { "hex.builtin.view.disassembler.arm.default", "預設" },
                        { "hex.builtin.view.disassembler.arm.cortex_m", "Cortex-M" },
                        { "hex.builtin.view.disassembler.arm.armv8", "ARMv8" },

                        { "hex.builtin.view.disassembler.mips.mips32", "MIPS32" },
                        { "hex.builtin.view.disassembler.mips.mips64", "MIPS64" },
                        { "hex.builtin.view.disassembler.mips.mips32R6", "MIPS32R6" },
                        { "hex.builtin.view.disassembler.mips.mips2", "MIPS II" },
                        { "hex.builtin.view.disassembler.mips.mips3", "MIPS III" },
                        { "hex.builtin.view.disassembler.mips.micro", "Micro" },

                        { "hex.builtin.view.disassembler.ppc.qpx", "Quad Processing Extensions" },
                        { "hex.builtin.view.disassembler.ppc.spe", "訊號處理引擎" },
                        { "hex.builtin.view.disassembler.ppc.booke", "Book-E" },

                        { "hex.builtin.view.disassembler.sparc.v9", "Sparc V9" },

                        { "hex.builtin.view.disassembler.riscv.compressed", "Compressed" },

                        { "hex.builtin.view.disassembler.m68k.000", "000" },
                        { "hex.builtin.view.disassembler.m68k.010", "010" },
                        { "hex.builtin.view.disassembler.m68k.020", "020" },
                        { "hex.builtin.view.disassembler.m68k.030", "030" },
                        { "hex.builtin.view.disassembler.m68k.040", "040" },
                        { "hex.builtin.view.disassembler.m68k.060", "060" },

                        { "hex.builtin.view.disassembler.m680x.6301", "6301" },
                        { "hex.builtin.view.disassembler.m680x.6309", "6309" },
                        { "hex.builtin.view.disassembler.m680x.6800", "6800" },
                        { "hex.builtin.view.disassembler.m680x.6801", "6801" },
                        { "hex.builtin.view.disassembler.m680x.6805", "6805" },
                        { "hex.builtin.view.disassembler.m680x.6808", "6808" },
                        { "hex.builtin.view.disassembler.m680x.6809", "6809" },
                        { "hex.builtin.view.disassembler.m680x.6811", "6811" },
                        { "hex.builtin.view.disassembler.m680x.cpu12", "CPU12" },
                        { "hex.builtin.view.disassembler.m680x.hcs08", "HCS08" },

                        { "hex.builtin.view.disassembler.mos65xx.6502", "6502" },
                        { "hex.builtin.view.disassembler.mos65xx.65c02", "65C02" },
                        { "hex.builtin.view.disassembler.mos65xx.w65c02", "W65C02" },
                        { "hex.builtin.view.disassembler.mos65xx.65816", "65816" },
                        { "hex.builtin.view.disassembler.mos65xx.65816_long_m", "65816 Long M" },
                        { "hex.builtin.view.disassembler.mos65xx.65816_long_x", "65816 Long X" },
                        { "hex.builtin.view.disassembler.mos65xx.65816_long_mx", "65816 Long MX" },

                        { "hex.builtin.view.disassembler.bpf.classic", "Classic" },
                        { "hex.builtin.view.disassembler.bpf.extended", "Extended" },

                    { "hex.builtin.view.disassembler.disassemble", "解譯" },
                    { "hex.builtin.view.disassembler.disassembling", "正在反組譯..." },
                    { "hex.builtin.view.disassembler.disassembly.title", "反組譯" },
                        { "hex.builtin.view.disassembler.disassembly.address", "位址" },
                        { "hex.builtin.view.disassembler.disassembly.offset", "位移" },
                        { "hex.builtin.view.disassembler.disassembly.bytes", "位元" },

                { "hex.builtin.view.hashes.name", "雜湊" },
                    { "hex.builtin.view.hashes.hash", "雜湊" },
                    { "hex.builtin.view.hashes.no_settings", "無可用設定" },
                    { "hex.builtin.view.hashes.function", "雜湊函式" },
                    { "hex.builtin.view.hashes.table.name", "名稱" },
                    { "hex.builtin.view.hashes.table.type", "類型" },
                    { "hex.builtin.view.hashes.table.result", "結果" },
                    { "hex.builtin.view.hashes.remove", "移除雜湊" },
                    { "hex.builtin.view.hashes.hover_info", "懸停在十六進位編輯器的選取範圍上，並按住 Shift 以查看該區域的雜湊。" },

                { "hex.builtin.view.help.name", "幫助" },
                    { "hex.builtin.view.help.about.name", "關於" },
                        { "hex.builtin.view.help.about.translator", "由 5idereal 翻譯" },
                        { "hex.builtin.view.help.about.source", "原始碼存放於 GitHub：" },
                        { "hex.builtin.view.help.about.donations", "贊助" },
                        { "hex.builtin.view.help.about.thanks", "如果您喜歡 ImHex，請考慮贊助使專案能夠永續運營。感謝您 <3" },
                        { "hex.builtin.view.help.about.contributor", "貢獻者" },
                        { "hex.builtin.view.help.about.libs", "使用的程式庫" },
                        { "hex.builtin.view.help.about.paths", "ImHex 目錄" },
                        { "hex.builtin.view.help.about.license", "授權條款" },
                    { "hex.builtin.view.help.documentation", "ImHex 說明文件" },
                    { "hex.builtin.view.help.pattern_cheat_sheet", "模式語言小抄"},
                    { "hex.builtin.view.help.calc_cheat_sheet", "計算機小抄" },

                { "hex.builtin.view.hex_editor.name", "十六進位編輯器" },

                    { "hex.builtin.view.hex_editor.menu.file.load_encoding_file", "載入自訂編碼..." },
                    { "hex.builtin.view.hex_editor.menu.file.search", "搜尋" },
                        { "hex.builtin.view.hex_editor.search.string", "字串" },
                        { "hex.builtin.view.hex_editor.search.hex", "十六進位" },
                        { "hex.builtin.view.hex_editor.search.find", "尋找" },
                    { "hex.builtin.view.hex_editor.menu.file.goto", "跳至" },
                        { "hex.builtin.view.hex_editor.goto.offset.absolute", "絕對" },
                        { "hex.builtin.view.hex_editor.goto.offset.relative", "相對" },
                        { "hex.builtin.view.hex_editor.goto.offset.begin", "開始" },
                        { "hex.builtin.view.hex_editor.goto.offset.end", "結束" },
                    { "hex.builtin.view.hex_editor.menu.file.select", "選取" },
                        { "hex.builtin.view.hex_editor.select.offset.region", "區域" },
                            { "hex.builtin.view.hex_editor.select.offset.begin", "開始" },
                            { "hex.builtin.view.hex_editor.select.offset.end", "結束" },
                              { "hex.builtin.view.hex_editor.select.offset.size", "大小" },
                        { "hex.builtin.view.hex_editor.select.select", "選取" },
                    { "hex.builtin.view.hex_editor.menu.file.save", "儲存" },
                    { "hex.builtin.view.hex_editor.menu.file.save_as", "另存為..." },
                    { "hex.builtin.view.hex_editor.menu.edit.copy", "複製" },
                    { "hex.builtin.view.hex_editor.menu.edit.copy_as", "複製為..." },
                        { "hex.builtin.view.hex_editor.copy.hex", "字串" },
                        { "hex.builtin.view.hex_editor.copy.address", "地址" },
                        { "hex.builtin.view.hex_editor.copy.c", "C 陣列" },
                        { "hex.builtin.view.hex_editor.copy.cpp", "C++ 陣列" },
                        { "hex.builtin.view.hex_editor.copy.csharp", "C# 陣列" },
                        { "hex.builtin.view.hex_editor.copy.rust", "Rust 陣列" },
                        { "hex.builtin.view.hex_editor.copy.python", "Python 陣列" },
                        { "hex.builtin.view.hex_editor.copy.java", "Java 陣列" },
                        { "hex.builtin.view.hex_editor.copy.js", "JavaScript 陣列" },
                        { "hex.builtin.view.hex_editor.copy.lua", "Lua 陣列" },
                        { "hex.builtin.view.hex_editor.copy.go", "Go 陣列" },
                        { "hex.builtin.view.hex_editor.copy.crystal", "Crystal 陣列" },
                        { "hex.builtin.view.hex_editor.copy.swift", "Swift 陣列" },
                        { "hex.builtin.view.hex_editor.copy.pascal", "Pascal 陣列" },
                        { "hex.builtin.view.hex_editor.copy.base64", "Base64" },
                        { "hex.builtin.view.hex_editor.copy.ascii", "文字區域" },
                        { "hex.builtin.view.hex_editor.copy.html", "HTML" },
                    { "hex.builtin.view.hex_editor.menu.edit.paste", "貼上" },
                    { "hex.builtin.view.hex_editor.menu.edit.paste_all", "全部貼上" },
                    { "hex.builtin.view.hex_editor.menu.edit.select_all", "全選" },
                    { "hex.builtin.view.hex_editor.menu.edit.set_base", "設置基址" },
                    { "hex.builtin.view.hex_editor.menu.edit.resize", "縮放..." },
                    { "hex.builtin.view.hex_editor.menu.edit.insert", "插入..." },
                    { "hex.builtin.view.hex_editor.menu.edit.remove", "移除..." },
                    { "hex.builtin.view.hex_editor.menu.edit.jump_to", "跳至" },
                    //{ "hex.builtin.view.hex_editor.menu.edit.open_in_new_provider", "Open selection view..." },

                { "hex.builtin.view.information.name", "資料資訊" },
                    { "hex.builtin.view.information.control", "控制" },
                    { "hex.builtin.view.information.analyze", "分析頁面" },
                    { "hex.builtin.view.information.analyzing", "正在分析..." },
                    { "hex.builtin.view.information.region", "Analyzed region" },
                    { "hex.builtin.view.information.magic", "Magic information" },
                    { "hex.builtin.view.information.description", "說明：" },
                    { "hex.builtin.view.information.mime", "MIME 類型：" },
                    { "hex.builtin.view.information.info_analysis", "資訊分析" },
                    { "hex.builtin.view.information.distribution", "位元組分佈" },
                    { "hex.builtin.view.information.entropy", "熵" },
                    { "hex.builtin.view.information.block_size", "區塊大小" },
                    { "hex.builtin.view.information.block_size.desc", "{0} blocks of {1} bytes" },
                    { "hex.builtin.view.information.file_entropy", "檔案熵" },
                    { "hex.builtin.view.information.highest_entropy", "Highest entropy block" },
                    { "hex.builtin.view.information.encrypted", "此資料很有可能經過加密或壓縮！" },
                    { "hex.builtin.view.information.magic_db_added", "Magic database added!" },

                { "hex.builtin.view.patches.name", "Patches" },
                    { "hex.builtin.view.patches.offset", "位移" },
                    { "hex.builtin.view.patches.orig", "原始數值" },
                    { "hex.builtin.view.patches.patch", "Patched value"},
                    { "hex.builtin.view.patches.remove", "Remove patch" },

                { "hex.builtin.view.pattern_editor.name", "模式編輯器" },
                { "hex.builtin.view.pattern_editor.accept_pattern", "接受模式" },
                    { "hex.builtin.view.pattern_editor.accept_pattern.desc", "已找到一或多個與此資料類型相容的 pattern_language" },
                    { "hex.builtin.view.pattern_editor.accept_pattern.pattern_language", "模式" },
                    { "hex.builtin.view.pattern_editor.accept_pattern.question", "您要套用所選的模式嗎？" },
                { "hex.builtin.view.pattern_editor.menu.file.load_pattern", "載入模式..." },
                { "hex.builtin.view.pattern_editor.menu.file.save_pattern", "儲存模式..." },
                //{ "hex.builtin.view.pattern_editor.menu.edit.place_pattern", "Place pattern..." },
                    { "hex.builtin.view.pattern_editor.menu.edit.place_pattern.builtin", "內建類型" },
                        { "hex.builtin.view.pattern_editor.menu.edit.place_pattern.builtin.single", "單一" },
                        { "hex.builtin.view.pattern_editor.menu.edit.place_pattern.builtin.array", "陣列" },
                    { "hex.builtin.view.pattern_editor.menu.edit.place_pattern.custom", "自訂類型" },
                { "hex.builtin.view.pattern_editor.open_pattern", "開啟模式" },
                { "hex.builtin.view.pattern_editor.evaluating", "正在評估..." },
                { "hex.builtin.view.pattern_editor.auto", "自動評估" },
                { "hex.builtin.view.pattern_editor.console", "終端機" },
                { "hex.builtin.view.pattern_editor.env_vars", "環境變數" },
                { "hex.builtin.view.pattern_editor.settings", "設定" },
                //{ "hex.builtin.view.pattern_editor.sections", "Sections" },
                //    { "hex.builtin.view.pattern_editor.section_popup", "Section" },
                { "hex.builtin.view.pattern_editor.dangerous_function.name", "允許具危險性的函數？" },
                { "hex.builtin.view.pattern_editor.dangerous_function.desc", "此模式嘗試呼叫具危險性的函數。\n您確定要信任此模式嗎？" },
                { "hex.builtin.view.pattern_editor.no_in_out_vars", "Define some global variables with the 'in' or 'out' specifier for them to appear here." },

                { "hex.builtin.view.pattern_data.name", "模式資料" },

                { "hex.builtin.view.settings.name", "設定" },
                    { "hex.builtin.view.settings.restart_question", "需要重啟 ImHex 方能使您所做的更動生效。您要現在重新啟動嗎？" },

                { "hex.builtin.view.tools.name", "工具" },

                { "hex.builtin.view.yara.name", "Yara 規則" },
                    { "hex.builtin.view.yara.header.rules", "規則" },
                        { "hex.builtin.view.yara.reload", "重新載入" },
                        { "hex.builtin.view.yara.match", "Match Rules" },
                        //{ "hex.builtin.view.yara.reset", "Reset" },
                        { "hex.builtin.view.yara.matching", "Matching..." },
                        { "hex.builtin.view.yara.error", "Yara 編譯器錯誤：" },
                    { "hex.builtin.view.yara.header.matches", "Matches" },
                        { "hex.builtin.view.yara.matches.identifier", "識別碼" },
                        { "hex.builtin.view.yara.matches.variable", "變數" },
                        { "hex.builtin.view.yara.whole_data", "Whole file matches!" },
                        { "hex.builtin.view.yara.no_rules", "找不到 YARA 規則。請放進 ImHex 的 'yara' 資料夾中" },
                    { "hex.builtin.view.yara.rule_added", " Yara 規則已新增！" },


                { "hex.builtin.view.constants.name", "常數" },
                    { "hex.builtin.view.constants.row.category", "類別" },
                    { "hex.builtin.view.constants.row.name", "名稱" },
                    { "hex.builtin.view.constants.row.desc", "說明" },
                    { "hex.builtin.view.constants.row.value", "數值" },

                { "hex.builtin.view.store.name", "內容商店" },
                    { "hex.builtin.view.store.desc", "從 ImHex 的線上資料庫下載新內容" },
                    { "hex.builtin.view.store.reload", "重新載入" },
                    { "hex.builtin.view.store.row.name", "名稱" },
                    { "hex.builtin.view.store.row.description", "說明" },
                    { "hex.builtin.view.store.download", "下載" },
                    { "hex.builtin.view.store.update", "更新" },
                    { "hex.builtin.view.store.remove", "移除" },
                    { "hex.builtin.view.store.tab.patterns", "模式" },
                    { "hex.builtin.view.store.tab.libraries", "程式庫" },
                    { "hex.builtin.view.store.tab.magics", "Magic Files" },
                    { "hex.builtin.view.store.tab.constants", "常數" },
                    { "hex.builtin.view.store.tab.yara", "Yara 規則" },
                    { "hex.builtin.view.store.tab.encodings", "編碼" },
                    { "hex.builtin.view.store.loading", "正在載入商店內容..." },
                    // { "hex.builtin.view.store.netfailed", "Net request to load store content failed!" },
                    { "hex.builtin.view.store.download_error", "無法下載檔案！目的地資料夾不存在。" },

                { "hex.builtin.view.diff.name", "Diffing" },

                { "hex.builtin.view.provider_settings.name", "提供者設定" },
                    { "hex.builtin.view.provider_settings.load_popup", "開啟提供者" },
                    // { "hex.builtin.view.provider_settings.load_error", "An error occurred while trying to open this provider!"},

                { "hex.builtin.view.find.name", "尋找" },
                    { "hex.builtin.view.find.searching", "正在搜尋..." },
                //    { "hex.builtin.view.find.demangled", "Demangled" },
                    { "hex.builtin.view.find.strings", "字串" },
                        { "hex.builtin.view.find.strings.min_length", "最短長度" },
                //        { "hex.builtin.view.find.strings.match_settings", "Match Settings" },
                        { "hex.builtin.view.find.strings.null_term", "要求空終止" },
                        { "hex.builtin.view.find.strings.chars", "字元" },
                        { "hex.builtin.view.find.strings.lower_case", "小寫字母" },
                        { "hex.builtin.view.find.strings.upper_case", "大寫字母" },
                        { "hex.builtin.view.find.strings.numbers", "數字" },
                        { "hex.builtin.view.find.strings.underscores", "底線" },
                        { "hex.builtin.view.find.strings.symbols", "符號" },
                        { "hex.builtin.view.find.strings.spaces", "空格" },
                //        { "hex.builtin.view.find.strings.line_feeds", "Line Feeds" },
                //    { "hex.builtin.view.find.sequences", "Sequences" },
                //    { "hex.builtin.view.find.regex", "Regex" },
                         { "hex.builtin.view.find.regex.pattern", "模式" },
                        // { "hex.builtin.view.find.regex.full_match", "Require full match" },
                //    { "hex.builtin.view.find.binary_pattern", "Binary Pattern" },
                    { "hex.builtin.view.find.value", "數值" },
                          { "hex.builtin.view.find.value.min", "最小值" },
                          { "hex.builtin.view.find.value.max", "最大值" },
                    { "hex.builtin.view.find.search", "搜尋" },
                    { "hex.builtin.view.find.context.copy", "複製數值" },
                //    { "hex.builtin.view.find.context.copy_demangle", "Copy Demangled Value" },
                    { "hex.builtin.view.find.search.entries", "找到 {} 個項目" },
                    { "hex.builtin.view.find.search.reset", "重設" },

                { "hex.builtin.command.calc.desc", "計算機" },
                { "hex.builtin.command.cmd.desc", "命令" },
                { "hex.builtin.command.cmd.result", "執行命令 '{0}'" },
                { "hex.builtin.command.web.desc", "Website lookup" },
                { "hex.builtin.command.web.result", "前往 '{0}'" },

                { "hex.builtin.inspector.binary", "二進位 (8 位元)" },
                { "hex.builtin.inspector.u8", "uint8_t" },
                { "hex.builtin.inspector.i8", "int8_t" },
                { "hex.builtin.inspector.u16", "uint16_t" },
                { "hex.builtin.inspector.i16", "int16_t" },
                { "hex.builtin.inspector.u24", "uint24_t" },
                { "hex.builtin.inspector.i24", "int24_t" },
                { "hex.builtin.inspector.u32", "uint32_t" },
                { "hex.builtin.inspector.i32", "int32_t" },
                { "hex.builtin.inspector.u48", "uint48_t" },
                { "hex.builtin.inspector.i48", "int48_t" },
                { "hex.builtin.inspector.u64", "uint64_t" },
                { "hex.builtin.inspector.i64", "int64_t" },
                { "hex.builtin.inspector.float16", "half float (16 位元)" },
                { "hex.builtin.inspector.float", "float (32 位元)" },
                { "hex.builtin.inspector.double", "double (64 位元)" },
                { "hex.builtin.inspector.long_double", "long double (128 位元)" },
                { "hex.builtin.inspector.sleb128", "有號數 LEB128" },
                { "hex.builtin.inspector.uleb128", "無號數 LEB128" },
                { "hex.builtin.inspector.bool", "bool" },
                { "hex.builtin.inspector.ascii", "ASCII 字元" },
                { "hex.builtin.inspector.wide", "框字元" },
                { "hex.builtin.inspector.utf8", "UTF-8 code point" },
                { "hex.builtin.inspector.string", "字串" },
                { "hex.builtin.inspector.string16", "寬字串" },
                { "hex.builtin.inspector.time32", "time32_t" },
                { "hex.builtin.inspector.time64", "time64_t" },
                { "hex.builtin.inspector.time", "time_t" },
                { "hex.builtin.inspector.dos_date", "DOS 日期" },
                { "hex.builtin.inspector.dos_time", "DOS 時間" },
                { "hex.builtin.inspector.guid", "GUID" },
                { "hex.builtin.inspector.rgba8", "RGBA8 顏色" },
                { "hex.builtin.inspector.rgb565", "RGB565 顏色" },

                { "hex.builtin.nodes.common.input", "輸入" },
                { "hex.builtin.nodes.common.input.a", "輸入 A" },
                { "hex.builtin.nodes.common.input.b", "輸入 B" },
                { "hex.builtin.nodes.common.output", "輸出" },
                { "hex.builtin.nodes.common.width", "寬度" },
                { "hex.builtin.nodes.common.height", "高度" },

                { "hex.builtin.nodes.constants", "常數" },
                    { "hex.builtin.nodes.constants.int", "整數" },
                        { "hex.builtin.nodes.constants.int.header", "整數" },
                    { "hex.builtin.nodes.constants.float", "浮點數" },
                        { "hex.builtin.nodes.constants.float.header", "浮點數" },
                    { "hex.builtin.nodes.constants.nullptr", "空指標" },
                        { "hex.builtin.nodes.constants.nullptr.header", "空指標" },
                    { "hex.builtin.nodes.constants.buffer", "緩衝" },
                        { "hex.builtin.nodes.constants.buffer.header", "緩衝" },
                        { "hex.builtin.nodes.constants.buffer.size", "大小" },
                    { "hex.builtin.nodes.constants.string", "字串" },
                        { "hex.builtin.nodes.constants.string.header", "字串" },
                    { "hex.builtin.nodes.constants.rgba8", "RGBA8 顏色" },
                        { "hex.builtin.nodes.constants.rgba8.header", "RGBA8 顏色" },
                        { "hex.builtin.nodes.constants.rgba8.output.r", "紅" },
                        { "hex.builtin.nodes.constants.rgba8.output.g", "綠" },
                        { "hex.builtin.nodes.constants.rgba8.output.b", "藍" },
                        { "hex.builtin.nodes.constants.rgba8.output.a", "透明度" },
                    { "hex.builtin.nodes.constants.comment", "註解" },
                        { "hex.builtin.nodes.constants.comment.header", "註解" },

                { "hex.builtin.nodes.display", "顯示" },
                    { "hex.builtin.nodes.display.int", "整數" },
                        { "hex.builtin.nodes.display.int.header", "整數顯示" },
                    { "hex.builtin.nodes.display.float", "浮點數" },
                        { "hex.builtin.nodes.display.float.header", "浮點數顯示" },
                    { "hex.builtin.nodes.display.buffer", "緩衝" },
                        { "hex.builtin.nodes.display.buffer.header", "緩衝顯示" },
                    { "hex.builtin.nodes.display.string", "字串" },
                        { "hex.builtin.nodes.display.string.header", "字串顯示" },

                { "hex.builtin.nodes.data_access", "資料存取" },
                    { "hex.builtin.nodes.data_access.read", "讀取" },
                        { "hex.builtin.nodes.data_access.read.header", "讀取" },
                        { "hex.builtin.nodes.data_access.read.address", "位址" },
                        { "hex.builtin.nodes.data_access.read.size", "大小" },
                        { "hex.builtin.nodes.data_access.read.data", "資料" },
                    { "hex.builtin.nodes.data_access.write", "寫入" },
                        { "hex.builtin.nodes.data_access.write.header", "寫入" },
                        { "hex.builtin.nodes.data_access.write.address", "位址" },
                        { "hex.builtin.nodes.data_access.write.data", "資料" },
                    { "hex.builtin.nodes.data_access.size", "資料大小"},
                        { "hex.builtin.nodes.data_access.size.header", "資料大小"},
                        { "hex.builtin.nodes.data_access.size.size", "大小"},
                    { "hex.builtin.nodes.data_access.selection", "Selected Region"},
                        { "hex.builtin.nodes.data_access.selection.header", "Selected Region"},
                        { "hex.builtin.nodes.data_access.selection.address", "位址"},
                        { "hex.builtin.nodes.data_access.selection.size", "大小"},

                { "hex.builtin.nodes.casting", "資料轉換" },
                    { "hex.builtin.nodes.casting.int_to_buffer", "整數轉緩衝" },
                        { "hex.builtin.nodes.casting.int_to_buffer.header", "整數轉緩衝" },
                    { "hex.builtin.nodes.casting.buffer_to_int", "緩衝轉整數" },
                        { "hex.builtin.nodes.casting.buffer_to_int.header", "緩衝轉整數" },
                    { "hex.builtin.nodes.casting.float_to_buffer", "浮點轉緩衝" },
                        { "hex.builtin.nodes.casting.float_to_buffer.header", "浮點轉緩衝" },
                    { "hex.builtin.nodes.casting.buffer_to_float", "緩衝轉浮點" },
                        { "hex.builtin.nodes.casting.buffer_to_float.header", "緩衝轉浮點" },

                { "hex.builtin.nodes.arithmetic", "數學運算" },
                    { "hex.builtin.nodes.arithmetic.add", "加法" },
                        { "hex.builtin.nodes.arithmetic.add.header", "加" },
                    { "hex.builtin.nodes.arithmetic.sub", "減法" },
                        { "hex.builtin.nodes.arithmetic.sub.header", "減" },
                    { "hex.builtin.nodes.arithmetic.mul", "乘法" },
                        { "hex.builtin.nodes.arithmetic.mul.header", "乘" },
                    { "hex.builtin.nodes.arithmetic.div", "除法" },
                        { "hex.builtin.nodes.arithmetic.div.header", "除" },
                    { "hex.builtin.nodes.arithmetic.mod", "取模" },
                        { "hex.builtin.nodes.arithmetic.mod.header", "模" },
                    { "hex.builtin.nodes.arithmetic.average", "平均數" },
                        { "hex.builtin.nodes.arithmetic.average.header", "平均數" },
                    { "hex.builtin.nodes.arithmetic.median", "中位數" },
                        { "hex.builtin.nodes.arithmetic.median.header", "中位數" },

                { "hex.builtin.nodes.buffer", "緩衝" },
                    { "hex.builtin.nodes.buffer.combine", "合併" },
                        { "hex.builtin.nodes.buffer.combine.header", "合併緩衝" },
                    { "hex.builtin.nodes.buffer.slice", "分割" },
                        { "hex.builtin.nodes.buffer.slice.header", "分割緩衝" },
                        { "hex.builtin.nodes.buffer.slice.input.buffer", "輸入" },
                        { "hex.builtin.nodes.buffer.slice.input.from", "從" },
                        { "hex.builtin.nodes.buffer.slice.input.to", "到" },
                    { "hex.builtin.nodes.buffer.repeat", "重複" },
                        { "hex.builtin.nodes.buffer.repeat.header", "重複緩衝" },
                        { "hex.builtin.nodes.buffer.repeat.input.buffer", "輸入" },
                        { "hex.builtin.nodes.buffer.repeat.input.count", "計數" },
                //    { "hex.builtin.nodes.buffer.patch", "Patch" },
                //        { "hex.builtin.nodes.buffer.patch.header", "Patch" },
                //        { "hex.builtin.nodes.buffer.patch.input.patch", "Patch" },

                { "hex.builtin.nodes.control_flow", "控制流程" },
                    { "hex.builtin.nodes.control_flow.if", "如果" },
                        { "hex.builtin.nodes.control_flow.if.header", "如果" },
                        { "hex.builtin.nodes.control_flow.if.condition", "條件" },
                        { "hex.builtin.nodes.control_flow.if.true", "True" },
                        { "hex.builtin.nodes.control_flow.if.false", "False" },
                    { "hex.builtin.nodes.control_flow.equals", "等於" },
                        { "hex.builtin.nodes.control_flow.equals.header", "等於" },
                    { "hex.builtin.nodes.control_flow.not", "非" },
                        { "hex.builtin.nodes.control_flow.not.header", "非" },
                    { "hex.builtin.nodes.control_flow.gt", "大於" },
                        { "hex.builtin.nodes.control_flow.gt.header", "大於" },
                    { "hex.builtin.nodes.control_flow.lt", "小於" },
                        { "hex.builtin.nodes.control_flow.lt.header", "小於" },
                    { "hex.builtin.nodes.control_flow.and", "AND" },
                        { "hex.builtin.nodes.control_flow.and.header", "布林 AND" },
                    { "hex.builtin.nodes.control_flow.or", "OR" },
                        { "hex.builtin.nodes.control_flow.or.header", "布林 OR" },

                { "hex.builtin.nodes.bitwise", "位元運算" },
                    { "hex.builtin.nodes.bitwise.and", "AND" },
                        { "hex.builtin.nodes.bitwise.and.header", "位元 AND" },
                    { "hex.builtin.nodes.bitwise.or", "OR" },
                        { "hex.builtin.nodes.bitwise.or.header", "位元 OR" },
                    { "hex.builtin.nodes.bitwise.xor", "XOR" },
                        { "hex.builtin.nodes.bitwise.xor.header", "位元 XOR" },
                    { "hex.builtin.nodes.bitwise.not", "NOT" },
                        { "hex.builtin.nodes.bitwise.not.header", "位元 NOT" },

                { "hex.builtin.nodes.decoding", "解碼" },
                    { "hex.builtin.nodes.decoding.base64", "Base64" },
                        { "hex.builtin.nodes.decoding.base64.header", "Base64 解碼工具" },
                    { "hex.builtin.nodes.decoding.hex", "十六進位" },
                        { "hex.builtin.nodes.decoding.hex.header", "十六進位解碼工具" },

                { "hex.builtin.nodes.crypto", "加密" },
                    { "hex.builtin.nodes.crypto.aes", "AES 解碼工具" },
                        { "hex.builtin.nodes.crypto.aes.header", "AES 解碼工具" },
                        { "hex.builtin.nodes.crypto.aes.key", "金鑰" },
                        { "hex.builtin.nodes.crypto.aes.iv", "IV" },
                        { "hex.builtin.nodes.crypto.aes.nonce", "Nonce" },
                        { "hex.builtin.nodes.crypto.aes.mode", "模式" },
                        { "hex.builtin.nodes.crypto.aes.key_length", "金鑰長度" },

                { "hex.builtin.nodes.visualizer", "視覺化工具" },
                    { "hex.builtin.nodes.visualizer.digram", "流程圖" },
                        { "hex.builtin.nodes.visualizer.digram.header", "流程圖" },
                    { "hex.builtin.nodes.visualizer.layered_dist", "Layered Distribution" },
                        { "hex.builtin.nodes.visualizer.layered_dist.header", "Layered Distribution" },
                    { "hex.builtin.nodes.visualizer.image", "圖片" },
                        { "hex.builtin.nodes.visualizer.image.header", "圖片視覺化工具" },
                    { "hex.builtin.nodes.visualizer.image_rgba", "RGBA8 圖片" },
                        { "hex.builtin.nodes.visualizer.image_rgba.header", "RGBA8 圖片視覺化工具" },
                    { "hex.builtin.nodes.visualizer.byte_distribution", "位元組分佈" },
                        { "hex.builtin.nodes.visualizer.byte_distribution.header", "位元組分佈" },

                //{ "hex.builtin.nodes.pattern_language", "Pattern Language" },
                    //{ "hex.builtin.nodes.pattern_language.out_var", "Out Variable" },
                        //{ "hex.builtin.nodes.pattern_language.out_var.header", "Out Variable" },


                { "hex.builtin.tools.demangler", "LLVM Demangler" },
                    { "hex.builtin.tools.demangler.mangled", "Mangled name" },
                    { "hex.builtin.tools.demangler.demangled", "Demangled name" },
                { "hex.builtin.tools.ascii_table", "ASCII 表" },
                    { "hex.builtin.tools.ascii_table.octal", "Show octal" },
                { "hex.builtin.tools.regex_replacer", "Regex 取代工具" },
                    { "hex.builtin.tools.regex_replacer.pattern", "Regex 模式" },
                    { "hex.builtin.tools.regex_replacer.replace", "取代模式" },
                    { "hex.builtin.tools.regex_replacer.input", "輸入" },
                    { "hex.builtin.tools.regex_replacer.output", "輸出" },
                { "hex.builtin.tools.color", "Color picker" },
                { "hex.builtin.tools.calc", "計算機" },
                    { "hex.builtin.tools.input", "輸入" },
                    { "hex.builtin.tools.format.standard", "標準" },
                    { "hex.builtin.tools.format.scientific", "科學" },
                    { "hex.builtin.tools.format.engineering", "工程" },
                    { "hex.builtin.tools.format.programmer", "程式" },
                    { "hex.builtin.tools.error", "Last error: '{0}'" },
                    { "hex.builtin.tools.history", "歷史" },
                    { "hex.builtin.tools.name", "名稱" },
                    { "hex.builtin.tools.value", "數值" },
                { "hex.builtin.tools.base_converter", "進位轉換工具" },
                    { "hex.builtin.tools.base_converter.dec", "DEC" },
                    { "hex.builtin.tools.base_converter.hex", "HEX" },
                    { "hex.builtin.tools.base_converter.oct", "OCT" },
                    { "hex.builtin.tools.base_converter.bin", "BIN" },
                { "hex.builtin.tools.permissions", "UNIX 權限計算機" },
                    { "hex.builtin.tools.permissions.perm_bits", "權限位元" },
                    { "hex.builtin.tools.permissions.absolute", "Absolute Notation" },
                    { "hex.builtin.tools.permissions.setuid_error", "User must have execute rights for setuid bit to apply!" },
                    { "hex.builtin.tools.permissions.setgid_error", "Group must have execute rights for setgid bit to apply!" },
                    { "hex.builtin.tools.permissions.sticky_error", "Other must have execute rights for sticky bit to apply!" },
                { "hex.builtin.tools.file_uploader", "檔案上傳工具" },
                    { "hex.builtin.tools.file_uploader.control", "控制" },
                    { "hex.builtin.tools.file_uploader.upload", "上傳" },
                    { "hex.builtin.tools.file_uploader.done", "完成！" },
                    { "hex.builtin.tools.file_uploader.recent", "近期上傳" },
                    { "hex.builtin.tools.file_uploader.tooltip", "點擊以複製\nCTRL + 點擊以開啟" },
                    { "hex.builtin.tools.file_uploader.invalid_response", "Anonfiles 回應無效！" },
                    { "hex.builtin.tools.file_uploader.error", "無法上傳檔案！\n\n錯誤代碼：{0}" },
                { "hex.builtin.tools.wiki_explain", "Wikipedia term definitions" },
                    { "hex.builtin.tools.wiki_explain.control", "控制" },
                    { "hex.builtin.tools.wiki_explain.search", "搜尋" },
                    { "hex.builtin.tools.wiki_explain.results", "結果" },
                    { "hex.builtin.tools.wiki_explain.invalid_response", "維基百科回應無效！" },
                { "hex.builtin.tools.file_tools", "檔案工具" },
                    { "hex.builtin.tools.file_tools.shredder", "粉碎機" },
                        { "hex.builtin.tools.file_tools.shredder.warning", " 此工具將破壞檔案，且無法復原。請小心使用" },
                        { "hex.builtin.tools.file_tools.shredder.input", "要粉碎的檔案 " },
                        { "hex.builtin.tools.file_tools.shredder.picker", "開啟檔案以粉碎" },
                        { "hex.builtin.tools.file_tools.shredder.fast", "快速模式" },
                        { "hex.builtin.tools.file_tools.shredder.shredding", "正在粉碎..." },
                        { "hex.builtin.tools.file_tools.shredder.shred", "粉碎" },
                        { "hex.builtin.tools.file_tools.shredder.error.open", "無法開啟所選檔案！" },
                        { "hex.builtin.tools.file_tools.shredder.success", "成功粉碎！" },
                    { "hex.builtin.tools.file_tools.splitter", "分割機" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.5_75_floppy", "5¼\" 磁碟片 (1200KiB)" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.3_5_floppy", "3½\" 磁碟片 (1400KiB)" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.zip100", "Zip 100 碟片 (100MiB)" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.zip200", "Zip 200 碟片 (200MiB)" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.cdrom650", "CD-ROM (650MiB)" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.cdrom700", "CD-ROM (700MiB)" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.fat32", "FAT32 (4GiB)" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.custom", "自訂" },
                        { "hex.builtin.tools.file_tools.splitter.input", "要分割的檔案 " },
                        { "hex.builtin.tools.file_tools.splitter.picker.input", "開啟檔案以分割" },
                        { "hex.builtin.tools.file_tools.splitter.output", "輸出路徑 " },
                        { "hex.builtin.tools.file_tools.splitter.picker.output", "設置基礎路徑" },
                        { "hex.builtin.tools.file_tools.splitter.picker.splitting", "正在分割..." },
                        { "hex.builtin.tools.file_tools.splitter.picker.split", "分割" },
                        { "hex.builtin.tools.file_tools.splitter.picker.error.open", "無法開啟所選檔案！" },
                        { "hex.builtin.tools.file_tools.splitter.picker.error.size", "檔案小於分割大小" },
                        { "hex.builtin.tools.file_tools.splitter.picker.error.create", "無法建立分割檔 {0}" },
                        { "hex.builtin.tools.file_tools.splitter.picker.success", "檔案成功分割！" },
                    { "hex.builtin.tools.file_tools.combiner", "合併器" },
                        { "hex.builtin.tools.file_tools.combiner.add", "新增..." },
                        { "hex.builtin.tools.file_tools.combiner.add.picker", "新增檔案" },
                        { "hex.builtin.tools.file_tools.combiner.delete", "刪除" },
                        { "hex.builtin.tools.file_tools.combiner.clear", "清除" },
                        { "hex.builtin.tools.file_tools.combiner.output", "輸出檔案 " },
                        { "hex.builtin.tools.file_tools.combiner.output.picker", "設置輸出基礎路徑" },
                        { "hex.builtin.tools.file_tools.combiner.combining", "正在合併..." },
                        { "hex.builtin.tools.file_tools.combiner.combine", "合併" },
                        { "hex.builtin.tools.file_tools.combiner.error.open_output", "無法建立輸出檔" },
                        { "hex.builtin.tools.file_tools.combiner.open_input", "無法開啟輸入檔 {0}" },
                        { "hex.builtin.tools.file_tools.combiner.success", "檔案成功合併！" },
                { "hex.builtin.tools.ieee756", "IEEE 756 浮點數測試工具" },
                    { "hex.builtin.tools.ieee756.sign", "符號" },
                    { "hex.builtin.tools.ieee756.exponent", "指數" },
                    { "hex.builtin.tools.ieee756.mantissa", "尾數" },
                    { "hex.builtin.tools.ieee756.exponent_size", "指數大小" },
                    { "hex.builtin.tools.ieee756.mantissa_size", "尾數大小" },
                    { "hex.builtin.tools.ieee756.half_precision", "半精度" },
                    { "hex.builtin.tools.ieee756.singe_precision", "單精度" },
                    { "hex.builtin.tools.ieee756.double_precision", "雙精度" },
                    { "hex.builtin.tools.ieee756.type", "類型" },
                    { "hex.builtin.tools.ieee756.formula", "Formula" },
                    { "hex.builtin.tools.ieee756.result.title", "結果" },
                    { "hex.builtin.tools.ieee756.result.float", "浮點數結果" },
                    { "hex.builtin.tools.ieee756.result.hex", "十六進位結果" },

                { "hex.builtin.setting.imhex", "ImHex" },
                    { "hex.builtin.setting.imhex.recent_files", "近期檔案" },
                { "hex.builtin.setting.general", "一般" },
                    // { "hex.builtin.setting.general.check_for_updates", "Check for updates on startup" },
                    { "hex.builtin.setting.general.show_tips", "啟動時顯示提示" },
                    { "hex.builtin.setting.general.auto_load_patterns", "自動載入支援的模式" },
                     { "hex.builtin.setting.general.sync_pattern_source", "同步提供者之間的模式原始碼" },
                     { "hex.builtin.setting.general.enable_unicode", "載入所有 unicode 字元" },
                { "hex.builtin.setting.interface", "介面" },
                    { "hex.builtin.setting.interface.color", "顏色主題" },
                        { "hex.builtin.setting.interface.color.system", "系統" },
                        { "hex.builtin.setting.interface.color.dark", "暗色" },
                        { "hex.builtin.setting.interface.color.light", "亮色" },
                        { "hex.builtin.setting.interface.color.classic", "經典" },
                    { "hex.builtin.setting.interface.scaling", "縮放" },
                        { "hex.builtin.setting.interface.scaling.native", "原生" },
                        { "hex.builtin.setting.interface.scaling.x0_5", "x0.5" },
                        { "hex.builtin.setting.interface.scaling.x1_0", "x1.0" },
                        { "hex.builtin.setting.interface.scaling.x1_5", "x1.5" },
                        { "hex.builtin.setting.interface.scaling.x2_0", "x2.0" },
                        { "hex.builtin.setting.interface.scaling.x3_0", "x3.0" },
                        { "hex.builtin.setting.interface.scaling.x4_0", "x4.0" },
                    { "hex.builtin.setting.interface.language", "語言" },
                    { "hex.builtin.setting.interface.wiki_explain_language", "維基百科語言" },
                    { "hex.builtin.setting.interface.fps", "FPS 限制" },
                    { "hex.builtin.setting.interface.fps.unlocked", "解鎖" },
                    { "hex.builtin.setting.interface.multi_windows", "啟用多視窗支援" },
                { "hex.builtin.setting.hex_editor", "十六進位編輯器" },
                    //{ "hex.builtin.setting.hex_editor.highlight_color", "Selection highlight color" },
                    { "hex.builtin.setting.hex_editor.bytes_per_row", "Bytes per row 每列位元組" },
                    { "hex.builtin.setting.hex_editor.ascii", "顯示 ASCII 欄" },
                    { "hex.builtin.setting.hex_editor.advanced_decoding", "顯示進階解碼欄" },
                    //{ "hex.builtin.setting.hex_editor.grey_zeros", "Grey out zeros" },
                    //{ "hex.builtin.setting.hex_editor.uppercase_hex", "Upper case Hex characters" },
                    { "hex.builtin.setting.hex_editor.visualizer", "資料可視化工具" },
                    //{ "hex.builtin.setting.hex_editor.sync_scrolling", "Synchronize editor position" },
                    //{ "hex.builtin.setting.hex_editor.byte_padding", "Extra byte cell padding" },
                    //{ "hex.builtin.setting.hex_editor.char_padding", "Extra character cell padding" },
                { "hex.builtin.setting.folders", "資料夾" },
                    //{ "hex.builtin.setting.folders.description", "Specify additional search paths for patterns, scripts, Yara rules and more" },
                    { "hex.builtin.setting.folders.add_folder", "新增資料夾" },
                    //{ "hex.builtin.setting.folders.remove_folder", "Remove currently selected folder from list" },
                { "hex.builtin.setting.font", "字體" },
                    { "hex.builtin.setting.font.font_path", "自訂字型路徑" },
                    { "hex.builtin.setting.font.font_size", "字體大小" },
                { "hex.builtin.setting.proxy", "Proxy" },
                    { "hex.builtin.setting.proxy.description", "Proxy 將立即在儲存、查詢維基百科，或使用任何外掛程式時生效。" },
                    { "hex.builtin.setting.proxy.enable", "啟用 Proxy" },
                    { "hex.builtin.setting.proxy.url", "Proxy 網址" },
                    { "hex.builtin.setting.proxy.url.tooltip", "http(s):// 或 socks5:// (例如 http://127.0.0.1:1080)" },

                { "hex.builtin.provider.file", "檔案提供者" },
                    { "hex.builtin.provider.file.path", "檔案路徑" },
                    { "hex.builtin.provider.file.size", "大小" },
                    { "hex.builtin.provider.file.creation", "建立時間" },
                    { "hex.builtin.provider.file.access", "最後存取時間" },
                    { "hex.builtin.provider.file.modification", "最後修改時間" },
                { "hex.builtin.provider.gdb", "GDB 伺服器提供者" },
                    { "hex.builtin.provider.gdb.name", "GDB 伺服器 <{0}:{1}>" },
                    { "hex.builtin.provider.gdb.server", "伺服器" },
                    { "hex.builtin.provider.gdb.ip", "IP 位址" },
                    { "hex.builtin.provider.gdb.port", "連接埠" },
                { "hex.builtin.provider.disk", "原始磁碟提供者" },
                    { "hex.builtin.provider.disk.selected_disk", "磁碟" },
                    { "hex.builtin.provider.disk.disk_size", "磁碟大小" },
                    { "hex.builtin.provider.disk.sector_size", "磁區大小" },
                    { "hex.builtin.provider.disk.reload", "重新載入" },
                { "hex.builtin.provider.intel_hex", "Intel Hex 提供者" },
                    { "hex.builtin.provider.intel_hex.name", "Intel Hex {0}" },
                { "hex.builtin.provider.motorola_srec", "Motorola SREC 提供者" },
                    { "hex.builtin.provider.motorola_srec.name", "Motorola SREC {0}" },
                //{ "hex.builtin.provider.mem_file", "Memory File" },
                //    { "hex.builtin.provider.mem_file.unsaved", "Unsaved File" },
                //{ "hex.builtin.provider.view", "View" },

                { "hex.builtin.layouts.default", "預設" },

                { "hex.builtin.visualizer.hexadecimal.8bit", "十六進位 (8 位元)" },
                { "hex.builtin.visualizer.hexadecimal.16bit", "十六進位 (16 位元)" },
                { "hex.builtin.visualizer.hexadecimal.32bit", "十六進位 (32 位元)" },
                { "hex.builtin.visualizer.hexadecimal.64bit", "十六進位 (64 位元)" },
                { "hex.builtin.visualizer.decimal.signed.8bit", "十進位有號數 (8 位元)" },
                { "hex.builtin.visualizer.decimal.signed.16bit", "十進位有號數 (16 位元)" },
                { "hex.builtin.visualizer.decimal.signed.32bit", "十進位有號數 (32 位元)" },
                { "hex.builtin.visualizer.decimal.signed.64bit", "十進位有號數 (64 位元)" },
                { "hex.builtin.visualizer.decimal.unsigned.8bit", "十進位無號數 (8 位元)" },
                { "hex.builtin.visualizer.decimal.unsigned.16bit", "十進位無號數 (16 位元)" },
                { "hex.builtin.visualizer.decimal.unsigned.32bit", "十進位無號數 (32 位元)" },
                { "hex.builtin.visualizer.decimal.unsigned.64bit", "十進位無號數 (64 位元)" },
                { "hex.builtin.visualizer.floating_point.16bit", "浮點數 (16 位元)" },
                { "hex.builtin.visualizer.floating_point.32bit", "浮點數 (32 位元)" },
                { "hex.builtin.visualizer.floating_point.64bit", "浮點數 (64 位元)" },
                { "hex.builtin.visualizer.hexii", "HexII" },
                { "hex.builtin.visualizer.rgba8", "RGBA8 顏色" },

                { "hex.builtin.hash.md5", "MD5" },
                { "hex.builtin.hash.sha1", "SHA1" },
                { "hex.builtin.hash.sha224", "SHA224" },
                { "hex.builtin.hash.sha256", "SHA256" },
                { "hex.builtin.hash.sha384", "SHA384" },
                { "hex.builtin.hash.sha512", "SHA512" },
                { "hex.builtin.hash.crc8", "CRC8" },
                { "hex.builtin.hash.crc16", "CRC16" },
                { "hex.builtin.hash.crc32", "CRC32" },
                    { "hex.builtin.hash.crc.poly", "多項式" },
                    { "hex.builtin.hash.crc.iv", "初始數值" },
                    { "hex.builtin.hash.crc.xor_out", "XOR Out" },
                    { "hex.builtin.hash.crc.refl_in", "Reflect In" },
                    { "hex.builtin.hash.crc.refl_out", "Reflect Out" },
        });
    }

}
